<?php

namespace Modules\CouncilManagement\Http\Controllers;

use App\Models\LicenceTarriff;
use App\Models\LicenceType;
use App\Models\Stage;
use App\Models\Tarrif;
use App\Models\WaitingListSetting;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Modules\CouncilManagement\Http\Livewire\Configuration\MarketType;

class CouncilConfigurationManagementController extends Controller
{
    public function __construct(){
        $this->middleware=['auth','isCouncil'];
    }
    /**
     * Display a listing of the resource.
     * @return Renderable
     */
    public function addLandClass(Request $request)
    {
        DB::beginTransaction();
        try {
            foreach ($request->class as $value){
                if(WaitingListSetting::where('land_use', '=', $value['name'])->where('council_id',Auth::user()->council_id)->exists()){
                    array_push($existing_records,$value['name']);
                    continue;
                }else {
                    $class = new WaitingListSetting();
                    $class->land_use = $value['name'];
                    $class->council_id = Auth::user()->council_id;
                    $class->description = $value['description'];
                    $class->status = true;
                    $class->application_amount = $value['application_amount'];
                    $class->renewal_fee = $value['renewal_fee'];
                    $class->save();
                }
            }
            DB::commit();
            return back()->with('success', 'Successfully added land classes');
        }catch (\Exception $e){
            dd($e);
            return back()->with('error', 'failed to add land classes');
        }
        return view('councilmanagement::index');
    }

    public function addMarkType(Request $request)
    {
        DB::beginTransaction();
        try {
            foreach ($request->class as $value){
                if(WaitingListSetting::where('land_use', '=', $value['name'])->where('council_id',Auth::user()->council_id)->exists()){
                    array_push($existing_records,$value['name']);
                    continue;
                }else {
                    $class = new MarketType();
                    $class->land_use = $value['name'];
                    $class->council_id = Auth::user()->council_id;
                    $class->description = $value['description'];
                    $class->status = true;
                    $class->application_amount = $value['application_amount'];
                    $class->renewal_fee = $value['renewal_fee'];
                    $class->save();
                }
            }
            DB::commit();
            return back()->with('success', 'Successfully added land classes');
        }catch (\Exception $e){
            dd($e);
            return back()->with('error', 'failed to add land classes');
        }
        return view('councilmanagement::index');
    }

    /**
     * Show the form for creating a new resource.
     * @return Renderable
     */
    public function businessCategory(Request $request)
    {
        dd($request->all());
        DB::beginTransaction();
        try{
            dd($request->all());
            foreach ($request->business as $value){
                if(LicenceType::where('title', '=', $value['title'])->where('council_id',Auth::user()->council_id)->exists()){
                    array_push($existing_records,$value['title']);
                    continue;
                }else {
                    $licence_type = new LicenceType;
                    $licence_type->title = $value['title'];
                    $licence_type->status = 'active';
                    $licence_type->council_id = Auth::user()->council_id;
                    $licence_type->type = $value['type'];
                    $licence_type->application_fee = $value['application_fee'];
                    $licence_type->inspection_fee = $value['inspection_fee'];
                    $licence_type->save();

//                    $licence_tarif = new LicenceTarriff;
//                    $licence_tarif->licence_type_id =$licence_type->id;
//                    $licence_tarif->title =$licence_type->id;
//                    $licence_tarif->notes =$licence_type->id;
                }
            }
            DB::commit();
            return back()->with('success','Successfully created type');
        }catch (\Exception $e){
            dd($e);
            DB::rollBack();
            return back()->with('error','Failed to create category');
        }
    }

    /**
     * Store a newly created resource in storage.
     * @param Request $request
     * @return Renderable
     */
    public function inspectionStage(Request $request)
    {
        try{
            foreach ($request->stage as $stage){
                $stages=new Stage;
                $stages->name = $stage['name'];
                $stages->status= true;
                $stages->council_id= Auth::user()->council_id;
                $stages->save();
            }

            return back()->with('success','Inspection stage successfully added ');
        }catch (\Exception $e){
            dd($e);
            return back()->with('error','Failed to add inspection stage');
        }
    }

    /**
     * Show the specified resource.
     * @param int $id
     * @return Renderable
     */
    public function newTarrif(Request $request)
    {
        try {
            $tarriff = new Tarrif;
            $tarriff->tarrif_code=$request->code;
            $tarriff->council_id=Auth::user()->council_id;
            $tarriff->tarrif=$request->tarrif;
            $tarriff->min_amount=$request->amount;
            $tarriff->max_period=$request->period;
            $tarriff->save();

            return back()->with('success','Successfully added a new Tarrif');
        }catch (\Exception $e){
            return back()->with('error','Failed to add a new Tarrif');
        }
    }

    public function updateTarrif(Request $request)
    {
        try {
            $tarriff = Tarrif::where('council_id',Auth::user()->council_id)
            ->update([
//                'tarrif_code'=>,
                'tarrif'=>$request->tarrif,
                'min_amount'=>$request->min_amount,
                'max_period'=>$request->max_period,
            ]);
            $tarriff->save();

            return back()->with('success','Successfully updated Tarrif');
        }catch (\Exception $e){
            return back()->with('error','Failed to update Tarrif');
        }
    }

    /**
     * Show the form for editing the specified resource.
     * @param int $id
     * @return Renderable
     */
    public function edit($id)
    {
        return view('councilmanagement::edit');
    }

    /**
     * Update the specified resource in storage.
     * @param Request $request
     * @param int $id
     * @return Renderable
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     * @param int $id
     * @return Renderable
     */
    public function destroy($id)
    {
        //
    }
}
