<?php

namespace Modules\CouncilManagement\Http\Controllers;

use App\Http\Controllers\Controller;
use App\Models\LoggedQuery;
use App\Models\WaitingListApplicantDetail;
use App\Models\WaitingListMarketApplicant;
use App\Models\WaitingListPortalPayment;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;

class CouncilManagementController extends Controller
{
//    public function __construct()
//    {
////        $this->middleware('auth');
//        $this->middleware('auth','isCouncil');
//    }

    public function index()
    {

        return view('councilmanagement::index');
    }

    public function pendingApprovals()
    {
        return view('councilmanagement::approval.index');
    }

    /**
     * Show the form for creating a new resource.
     * @return Renderable
     */
    public function allAccounts()
    {
        return view('councilmanagement::accounts.index');
    }

    public function allQueries()
    {
        return view('councilmanagement::crm.queries');
    }

    public function allWaitingListApplicants()
    {
        $data = [
            "totalResidentWaitingList" => WaitingListApplicantDetail::where("waiting_list_number", "!=", "NOT SET")->count(),
            "totalResidentWaitingListPayment" => WaitingListPortalPayment::where("status", "paid")
                ->where("platform", "Portal")
                ->whereNull("market_applicant")
                ->sum('amount'),
            "totalMarketWaitingList" => WaitingListMarketApplicant::where("waiting_list_number", "!=", "NOT SET")->count(),
            "totalMarketWaitingListPayment" => WaitingListPortalPayment::where("status", "paid")
                ->where("platform", "Portal")
                ->whereNotNull("market_applicant")
                ->sum('amount')];

        return view('councilmanagement::waiting-list.index',$data);
    }

    public function allPaymentPlanApplicants()
    {
        return view('councilmanagement::payment-plan.index');
    }

    public function allBusinessLicenceApplicants()
    {
        return view('councilmanagement::business-licence.index');
    }

    public function allPayments()
    {
        return view('councilmanagement::payments.index');
    }

    public function inspections()
    {
        return view('councilmanagement::payments.index');
    }

    /**
     * Store a newly created resource in storage.
     * @param Request $request
     * @return Renderable
     */
    public function configurations(Request $request)
    {
        return view('councilmanagement::configuration.index');
    }

    /**
     * Show the specified resource.
     * @param int $id
     * @return Renderable
     */
    public function show($id)
    {
        return view('councilmanagement::show');
    }

    /**
     * Show the form for editing the specified resource.
     * @param int $id
     * @return Renderable
     */
    public function edit($id)
    {
        return view('councilmanagement::edit');
    }

    public function callCenter()
    {
        return view('councilmanagement::crm.chat-room');
    }

    public function readQuery(LoggedQuery $id)
    {
//        return $id;
        return view('councilmanagement::crm.council-read', ["query" => $id]);
    }

    public function viewApplicant(WaitingListApplicantDetail $id)
    {
//        return $id;
        return view('councilmanagement::waiting-list.view-applicant-waiting-list', ['id' => $id]);
    }

    public function viewMarketCouncil(WaitingListMarketApplicant $id)
    {
        return view('councilmanagement::waiting-list.view-market-council', ['market' => $id]);
    }
}
