<?php

namespace Modules\CouncilManagement\Http\Livewire\Accounts;

use App\Models\AccountPortalPayment;
use App\Models\AccountVerificationApplication;
use App\Models\BillingAccounts;
use App\Traits\IsTable;
use Illuminate\Support\Facades\Auth;
use Jantinnerezo\LivewireAlert\LivewireAlert;
use Livewire\Component;
use Livewire\WithPagination;

class Index extends Component
{
    use IsTable, WithPagination, LivewireAlert;

    public function mount()
    {
        $this->columns = [
            'Date' => 'created_at',
            'Account Number' => 'account_no',
            'Amount' => 'amount',
            'Rate' => 'rate',
            'Date Paid' => 'created_at'
        ];
    }

    public function render()
    {
        $results = AccountPortalPayment::where("pay_now_status", "Paid")
            ->where(function ($q) {
                $q->orwhere('account_no', 'LIKE', '%' . $this->search . '%')
                    ->orwhere('payer_name', 'LIKE', '%' . $this->search . '%')
                    ->orwhere('amount', 'LIKE', '%' . $this->search . '%')
                    ->orwhere('rate', 'LIKE', '%' . $this->search . '%')
                    ->orwhere('date_paid', 'LIKE', '%' . $this->search . '%');
            })
            ->orderBy($this->columns[$this->orderBy], $this->orderDirection)->paginate($this->paginationCount);
        return view('councilmanagement::livewire.accounts.index', [
            'results' => $results
        ]);
    }
}
