<?php

namespace Modules\CouncilManagement\Http\Livewire\BusinessLicence;

use App\Models\LicenceApplication;
use App\Traits\IsTable;
use App\Traits\Loggable;
use Illuminate\Support\Facades\Auth;
use Jantinnerezo\LivewireAlert\LivewireAlert;
use Livewire\Component;
use Livewire\WithPagination;

class Index extends Component
{
    use WithPagination, IsTable, LivewireAlert;
    public function mount(){
        $this->columns=[
            'Date'=>'created_at'
        ];
    }
    public function render()
    {
        $results = LicenceApplication::where('council_id', Auth::user()->council_id)
            ->orwhere('status', 'like', '%' . $this->search . '%')
            ->orderBy($this->columns[$this->orderBy], $this->orderDirection)
            ->paginate($this->paginationCount);
        return view('councilmanagement::livewire.business-licence.index',[
            'results'=>$results
        ]);
    }
}
