<?php

namespace Modules\CouncilManagement\Http\Livewire\Configuration;

use App\Models\LicenceType;
use App\Traits\IsTable;
use Illuminate\Support\Facades\Auth;
use Livewire\Component;
use Livewire\WithPagination;

class BusinessLicence extends Component
{
    use IsTable, WithPagination;
    public function mount(){
        $this->columns = [
            'Name' => 'name',
            'Date' => 'created_at',
            'Last Updated' => 'updated_at'
        ];
    }

    public function render()
    {
        $results=LicenceType::where('council_id', Auth::user()->council_id)
            ->orderBy($this->columns[$this->orderBy], $this->orderDirection)->paginate($this->paginationCount);
        return view(
            'councilmanagement::livewire.configuration.business-licence',[
            'results'=>$results
        ]);
    }

    public function businessStatus($id, $status){
        $class =LicenceType::where('id',$id);
        if($status =='active'){
            $class->update(['status' => 'deactivated']);
            $this->alert('success','Deactivated licence status.',[
                'position'=>'top-end'
            ]);
        }else{
            $class->update(['status' => 'active']);
            $this->alert('success','Activated licence status.',[
                'position'=>'top-end'
            ]);
        }
    }
}
