<?php

namespace Modules\CouncilManagement\Http\Livewire\Configuration;

use App\Models\Stage;
use App\Traits\IsTable;
use Illuminate\Support\Facades\Auth;
use Jantinnerezo\LivewireAlert\LivewireAlert;
use Livewire\Component;
use Livewire\WithPagination;
use function view;

class InspectionStages extends Component
{
    use LivewireAlert,IsTable, WithPagination;

    public function mount(){
        $this->columns=[
            'Date'=>'created_at'
        ];
    }

    public function render()
    {
        $results =Stage::where('council_id',Auth::user()->council_id)
        ->where('name', 'like', '%' . $this->search . '%')
        ->orderBy($this->columns[$this->orderBy], $this->orderDirection)->paginate($this->paginationCount);
        return view('councilmanagement::livewire.configuration.inspection-stages',[
            'results'=>$results
        ]);
    }

    public function checkStatus($id, $status){
        $class =Stage::where('id',$id);
        if($status){
            $class->update(['status' => 0]);
            $this->alert('success','Deactivated stage status.',[
                'position'=>'top-end'
            ]);
        }else{
            $class->update(['status' => 1]);
            $this->alert('success','Activated stage status.',[
                'position'=>'top-end'
            ]);
        }
    }
}
