<?php

namespace Modules\CouncilManagement\Http\Livewire\Configuration;

use App\Models\MarketType;
use App\Traits\IsTable;
use Illuminate\Support\Facades\Auth;
use Livewire\Component;
use Livewire\WithPagination;

class MarketTypeTable extends Component
{
    use IsTable,WithPagination;
    public function mount(){
        $this->columns = [
            'Name' => 'name',
            'Description' => 'description',
            'Date' => 'created_at',
            'Last Updated' => 'updated_at'
        ];
    }
    public function render()
    {
        $results=MarketType::where('council_id', Auth::user()->council_id)
            ->orderBy($this->columns[$this->orderBy], $this->orderDirection)->paginate($this->paginationCount);
        return view('councilmanagement::livewire.configuration.market-type',[
            'results'=>$results
        ]);
    }

    public function classStatus($id, $status){
        $class =WaitingListSetting::where('id',$id);
        if($status){
            $class->update(['status' => 0]);
            $this->alert('success','class successfully deactivated.');
        }else{
            $class->update(['status' => 1]);
            $this->alert('success','class successfully activated.');
        }
    }
}
