<?php

namespace Modules\CouncilManagement\Http\Livewire\Configuration;

use App\Models\CrmQueryCategory;
use App\Models\WaitingListSetting;
use App\Traits\IsTable;
use Illuminate\Support\Facades\Auth;
use Jantinnerezo\LivewireAlert\LivewireAlert;
use Livewire\Component;
use Livewire\WithPagination;

class QueryCategories extends Component
{

    use IsTable,WithPagination, LivewireAlert;
    public function mount(){
        $this->columns = [
            'Renewal Fee' => 'renewal_fee',
            'Application Amount' => 'application_amount',
            'Date' => 'created_at',
            'Last Updated' => 'updated_at'
        ];
    }
    public function render()
    {
        $result = CrmQueryCategory::all();
        return view('councilmanagement::livewire.configuration.query-categories',[
            'results'=>$result
        ]);
    }

    public function addQueryCategory($request){
        try {
            dd($request);
            foreach ($request->class as $value){
                if(WaitingListSetting::where('land_use', '=', $value['name'])->where('council_id',Auth::user()->council_id)->exists()){
                    array_push($existing_records,$value['name']);
                    continue;
                }else {
                    $class = new MarketType();
                    $class->land_use = $value['name'];
                    $class->council_id = Auth::user()->council_id;
                    $class->description = $value['description'];
                    $class->status = true;
                    $class->application_amount = $value['application_amount'];
                    $class->renewal_fee = $value['renewal_fee'];
                    $class->save();
                }
            }
        }catch (\Exception $e){
            $this->alert('warning','Failed to create categories');
        }
    }
}
