<?php

namespace Modules\CouncilManagement\Http\Livewire\Configuration;

use App\Models\WaitingListSetting;
use App\Traits\IsTable;
use Illuminate\Support\Facades\Auth;
use Jantinnerezo\LivewireAlert\LivewireAlert;
use Livewire\Component;
use Livewire\WithPagination;

class WaitingList extends Component
{
    use IsTable,WithPagination,LivewireAlert;
    public function mount(){
        $this->columns = [
            'Renewal Fee' => 'renewal_fee',
            'Application Amount' => 'application_amount',
            'Date' => 'created_at',
            'Last Updated' => 'updated_at'
        ];
    }
    public function render()
    {
        $results=WaitingListSetting::where('council_id', Auth::user()->council_id)
            ->orwhere('renewal_fee', 'like', '%' . $this->search . '%')
            ->orwhere('application_amount', 'like', '%' . $this->search . '%')
            ->orderBy($this->columns[$this->orderBy], $this->orderDirection)->paginate($this->paginationCount);
        return view('councilmanagement::livewire.configuration.waiting-list',[
            'results'=>$results
        ]);
    }

    public function classStatus($id, $status){
        $class =WaitingListSetting::where('id',$id);
        if($status){
            $class->update(['status' => 0]);
            $this->alert('success','class successfully deactivated.');
        }else{
            $class->update(['status' => 1]);
            $this->alert('success','class successfully activated.');
        }
    }
}
