<?php

namespace Modules\CouncilManagement\Http\Livewire;

use App\Models\CrmSuggestion;
use App\Traits\IsTable;
use Livewire\Component;
use Livewire\WithPagination;

class CouncilSuggestionsTable extends Component
{
    use WithPagination, IsTable;

    public function mount()
    {
        $this->columns = [
            'Date' => 'created_at',
            'First Name' => 'first_name',
            'Surname' => 'last_name'
        ];
    }

    public function render()
    {
        $results = CrmSuggestion::where('type', 'LIKE', '%' . $this->search . '%')
            ->orWhere('sc_id', '%' . $this->search . '%')
            ->orWhere('first_name', 'LIKE', '%' . $this->search . '%')
            ->orWhere('last_name', 'LIKE', '%' . $this->search . '%')
            ->orWhere('phone_number', 'LIKE', '%' . $this->search . '%')
            ->orWhere('subject', 'LIKE', '%' . $this->search . '%')
            ->orWhere('description', 'LIKE', '%' . $this->search . '%')
            ->orWhere('reporting_channel', 'LIKE', '%' . $this->search . '%')
//            ->orWhereHas('department', function ($query) {
//                $query->where('name', 'LIKE', '%' . $this->search . '%');
//            })
//            ->with(['department'])
            ->orderBy($this->columns[$this->orderBy], $this->orderDirection)
            ->paginate($this->paginationCount);
        return view('councilmanagement::livewire.council-suggestions-table',['results'=>$results]);
    }
}
