<?php

namespace Modules\CouncilManagement\Http\Livewire\Crm;

use App\Models\CrmPregressUpload;
use App\Models\CrmQueryPregress;
use App\Models\LoggedQuery;
use App\Traits\IsTable;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Storage;
use Jantinnerezo\LivewireAlert\LivewireAlert;
use Livewire\Component;
use Livewire\WithPagination;

class PendingQueriesTable extends Component
{
    use WithPagination,IsTable,LivewireAlert;
    public function mount(){
        $this->columns=[
            'Date'=>'created_at'
        ];
    }
    public function render()
    {
        $results= LoggedQuery::where('council_id',Auth::user()->council_id)
            ->where('status','pending')
            ->orderBy($this->columns[$this->orderBy], $this->orderDirection)
            ->paginate($this->paginationCount);
        return view('councilmanagement::livewire.crm.pending-queries-table',[
            'results'=>$results
        ]);
    }

    public function updateStatus(Request $data){
        dd($data->all());
        $current = null;
    DB::beginTransaction();
        if(strtolower($data['status']) != 'in progress')
            $current = Carbon::now();

        try{
            LoggedQuery::where('id',$data['id'])->update(array(
                'status' => strtolower($data['status']),
                'resolved_at'=> $current,
            ));
            if($data['progress'] != null){
                $filename = 'Query-progress-'.$query.
                    request()->file('progress')->getClientOriginalName().'.'.request()->file('progress')->getClientOriginalExtension();
                request()->file('progress')->storeAs($query,$filename);
                $path2 = Storage::disk('local')->getAdapter()->applyPathPrefix($query.'/'.$filename);
                $upload = new CrmPregressUpload();
                $upload->query_id = $query;
                $upload->file_url = $path2;
                $upload->employee_id = Auth::user()->employee->id;
                $upload->save();
            }
            $progress = new CrmQueryPregress();
            $progress->notes = $data['notes'];
            $progress->query_id = $data['id'];
            $progress->employee_id = Auth::user()->id;
            $progress->save();
        }
        catch(Exception $e){
            return back()->with('error','Failed to update query');
        }
        if(strtolower($validator['status'])=='resolved'){
            if(CrmQuery::where('id',$query)->value('query_type')=='external'){
                $number = CrmQuery::where('id',$query)->value('phonenumber');
                $logger = [];
                array_push($logger,$number);
                $message = 'Good day Client, Your Query has been Resolved, Thank You for your continued support';
                sendSmsFunction($logger,$message);
            }

        }
        return redirect('customerrelationshipmanagement/attendant/queries')->with('success','Succesfully updated query status');
        $this->alert('info',$value);
    }
}
