<?php

namespace Modules\CouncilManagement\Http\Livewire\Dashboard;

use App\Models\AccountVerificationApplication;
use App\Models\BillingAccounts;
use App\Models\BillingAccountType;
use App\Traits\IsTable;
use Illuminate\Support\Facades\Auth;
use Jantinnerezo\LivewireAlert\LivewireAlert;
use Livewire\Component;
use Livewire\WithPagination;

class Index extends Component
{
    use IsTable, WithPagination,LivewireAlert;
    public $arrayKeys;
    public function  mount(){
        $this->columns=[
            'Date'=>'created_at'
        ];
    }

    public function render()
    {
      $accounts_pending=AccountVerificationApplication::where('status','pending')->where('council_id',Auth::user()->coucil_id)->count();
      $accounts_declined=AccountVerificationApplication::where('status','declined')->where('council_id',Auth::user()->coucil_id)->count();
      $accounts_approved=AccountVerificationApplication::where('status','approved')->where('council_id',Auth::user()->coucil_id)->count();
      $acc=BillingAccounts::where('council_id',Auth::user()->coucil_id)->get();
      $accounts_total=$acc->count();
      $results=['pending'=>$accounts_pending,
                'declined'=>$accounts_declined,
                'approved'=>$accounts_approved,
                'total'=>$accounts_total];
      //dd($results['total']);

        $type=BillingAccountType::all();
        $typeCount=['0'=>5];
        $i=0;
        foreach($type as $tp)
        {
            $typeCount[$tp->id]=BillingAccounts::where('type_id',$tp->id)->count();
            $this->arrayKeys[$i]=$tp->id;
            $i++;

        }
        return view('councilmanagement::livewire.dashboard.index',[
            'results'=>$results,
            'typeCount'=>$typeCount,
            'arrayKeys'=>$this->arrayKeys,
            'type'=>$type
        ]);
    }
}

