<?php

namespace Modules\CouncilManagement\Http\Livewire\PaymentPlan;

use App\Models\PaymentPlan;
use App\Traits\IsTable;
use Illuminate\Support\Facades\Auth;
use Jantinnerezo\LivewireAlert\LivewireAlert;
use Livewire\Component;
use Livewire\WithPagination;

class Index extends Component
{
    use WithPagination , IsTable, LivewireAlert;

    public function mount()
    {
        $this->columns = [
            'Plan no' => 'id',
            'Account no' => 'account_no',
            'Credit' => 'credit',
            'Debt' => 'debt',
            'Created By' => 'created_by',
            'status' => 'status',
            'Date' => 'created_at'

        ];
    }

    public function render()
    {
        $results = PaymentPlan::where('council_id',Auth::user()->council_id)
            ->where( function ($query) {
                $query->where('account_no','like' , '%'.$this->search.'%')
                    ->orwhere('credit','like','%'.$this->search.'%')
                    ->orwhere('debt','like','%'.$this->search.'%')
                    ->orwhere('status','like','%'.$this->search.'%')
                    ->orwhere('created_by','like','%'.$this->search.'%')
                    ->orwhere('created_at','like','%'.$this->search.'%');
            })->orderBy($this->columns[$this->orderBy],$this->orderDirection)
            ->paginate($this->paginationCount);
        return view('councilmanagement::livewire.payment-plan.index',[
            'results'=>$results
        ]);
    }
}
