<?php

namespace Modules\CouncilManagement\Http\Livewire\WaitingList;

use App\Models\WaitingListMarketApplicant;
use App\Traits\IsTable;
use Illuminate\Support\Facades\Auth;
use Jantinnerezo\LivewireAlert\LivewireAlert;
use Livewire\Component;
use Livewire\WithPagination;

class CouncilMarketTable extends Component
{
    use LivewireAlert, IsTable, WithPagination;
    public function mount()
    {
        $this->columns = [
            'Firstname' => 'firstname',
            'Lastname' => 'lastname',
            'Date' => 'created_at',
            'National Id' => 'national_id',
            'Physical Address' => 'physical_address',
            'Phone No' => 'contact',
        ];
    }
    public function render()
    {
        $results = WaitingListMarketApplicant::where(function ($q) {
                $q->orwhere('firstname', 'LIKE', '%' . $this->search . '%')
                    ->orwhere('lastname', 'LIKE', '%' . $this->search . '%')
                    ->orwhere('sex', 'LIKE', '%' . $this->search . '%')
                    ->orwhere('national_id', 'LIKE', '%' . $this->search . '%')
                    ->orwhere('region', 'LIKE', '%' . $this->search . '%')
                    ->orwhere('city', 'LIKE', '%' . $this->search . '%')
                    ->orwhere('physical_address', 'LIKE', '%' . $this->search . '%')
                    ->orwhere('contact', 'LIKE', '%' . $this->search . '%')
                    ->orwhere('email', 'LIKE', '%' . $this->search . '%')
                    ->orwhere('application_date', 'LIKE', '%' . $this->search . '%');
            })
            ->orderBy($this->columns[$this->orderBy], $this->orderDirection)
            ->paginate($this->paginationCount);
        return view('councilmanagement::livewire.waiting-list.council-market-table',['results'=>$results]);
    }
}
