<?php

namespace Modules\CouncilManagement\Http\Livewire;

use App\Models\WaitingListPortalPayment;
use App\Traits\IsTable;
use Jantinnerezo\LivewireAlert\LivewireAlert;
use Livewire\Component;
use Livewire\WithPagination;

class WaitingListPortalPayments extends Component
{
    use WithPagination, IsTable, LivewireAlert;

    public $type;

    public function mount()
    {
        $this->columns = [
            "Date" => "created_at"
        ];
    }

    public function render()
    {
        $results = WaitingListPortalPayment::where("status", "paid")
            ->where("platform", "Portal")
            ->whereNotNull($this->type)
            ->where(function ($q) {
                $q->orwhere("paynow_reference", 'LIKE', '%' . $this->search . '%')
                    ->orwhere("status", "LIKE", '%', $this->search . '%')
                    ->orwhere("amount", "LIKE", '%', $this->search . '%')
                    ->orwhere("date", "LIKE", '%', $this->search . '%');
            })
            ->orderBy($this->columns[$this->orderBy], $this->orderDirection)
            ->paginate($this->paginationCount);
        return view('councilmanagement::livewire.waiting-list-portal-payments', ['results' => $results]);
    }
}
