@extends('layouts.master', ['menuJson' => $councilMenu, 'moduleTitle' => Auth::user()->council->council])

@section('page-css')
<style>
    .switch {
        position: relative;
        display: inline-block;
        width: 60px;
        height: 29px;
        top: -6px;
    }

    .switch input {
        opacity: 0;
        width: 0;
        height: 0;
    }

    .slider {
        position: absolute;
        cursor: pointer;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: #ccc;
        -webkit-transition: .4s;
        transition: .4s;
    }

    .slider:before {
        position: absolute;
        content: "";
        height: 21px;
        width: 26px;
        left: 4px;
        bottom: 4px;
        background-color: white;
        -webkit-transition: .4s;
        transition: .4s;
    }

    input:checked + .slider {
        background-color: #2196F3;
    }

    input:focus + .slider {
        box-shadow: 0 0 1px #2196F3;
    }

    input:checked + .slider:before {
        -webkit-transform: translateX(26px);
        -ms-transform: translateX(26px);
        transform: translateX(26px);
    }

    /* Rounded sliders */
    .slider.round {
        border-radius: 34px;
    }

    .slider.round:before {
        border-radius: 50%;
    }
</style>
<style src="{{ asset('assets/css/custom/sweetalerts.css') }}"></style>
@livewireStyles
@endsection

@section('content')
<!-- Main-body start -->
<div class="main-body">
    <div class="page-wrapper">
        <!-- Page-header start -->
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <div class="d-inline">
                            <h4>Approval Mangement</h4>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Page-header end -->

        <!-- Page-body start -->
        <div class="page-body" id="display_msg">

            <div class="row">
                <div class="col-lg-12">
                    <!-- personal card start -->
                    <div class="card">
                        <div class="card-header">
                            <h5 class="card-header-text">View Councils</h5>
                            <button class="btn btn-primary pull-right" data-toggle="modal" data-target="#add-council">Add Council</button>
                        </div>
                        <div class="card-block">
                            <div class="view-info">
                                <div class="row">
                                    <div class="col-lg-12">
                                        <div class="general-info">
                                            <div class="row">
                                                <div class="col-lg-12 col-xl-12" style="border: solid thin red;border-radius: 5px;">
                                                    <div class="table-responsive">
                                                        @livewire('councilmanagement::approval.account-pending')
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- end of card-block -->
                    </div>
                    <!-- contact card end-->
                </div>
            </div>
            <!-- Page-body end -->
        </div>
        <!-- Page-body end -->
    </div>
</div>
@endsection

@section('modals')
{{--    @include('councilmanagement::layouts.modals')--}}
@endsection

@section('page-js')
@livewireScripts
{{--<script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>--}}
<script src="{{ asset('assets/js/sweetalert/js/sweetalert2@11.js') }}"></script>
<x-livewire-alert::scripts />
<script src="{{ asset('vendor/livewire-alert/livewire-alert.js') }}"></script>
<x-livewire-alert::flash />
@endsection
