@extends('layouts.master', ['menuJson' => $councilMenu, 'moduleTitle' => Auth::user()->council->council])

@section('page-css')
    <style>
        .switch {
            position: relative;
            display: inline-block;
            width: 60px;
            height: 29px;
        }

        .switch input {
            opacity: 0;
            width: 0;
            height: 0;
        }

        .slider {
            position: absolute;
            cursor: pointer;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            background-color: #ccc;
            -webkit-transition: .4s;
            transition: .4s;
        }

        .slider:before {
            position: absolute;
            content: "";
            height: 21px;
            width: 26px;
            left: 4px;
            bottom: 4px;
            background-color: white;
            -webkit-transition: .4s;
            transition: .4s;
        }

        input:checked + .slider {
            background-color: #2196F3;
        }

        input:focus + .slider {
            box-shadow: 0 0 1px #2196F3;
        }

        input:checked + .slider:before {
            -webkit-transform: translateX(26px);
            -ms-transform: translateX(26px);
            transform: translateX(26px);
        }

        /* Rounded sliders */
        .slider.round {
            border-radius: 34px;
        }

        .slider.round:before {
            border-radius: 50%;
        }
    </style>
    @livewireStyles
@endsection

@section('content')
    <!-- Main-body start -->
    <div class="main-body">
        <div class="page-wrapper">
            <!-- Page-header start -->
            <div class="page-header">
                <div class="row align-items-end">
                    <div class="col-lg-8">
                        <div class="page-header-title">
                            <div class="d-inline">
                                <h4>Configurations Mangement</h4>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Page-header end -->

            <!-- Page-body start -->
            <div class="page-body" id="display_msg">

                <div class="row">
                    <div class="col-lg-12">
                        <!-- tab header start -->
                        <div class="tab-header card row">
                            <ul class="nav nav-tabs md-tabs tab-timeline" role="tablist" id="mytab">
                                <li class="nav-item col-md-2">
                                    <a class="nav-link active" data-toggle="tab" href="#waitingList" title="province" role="tab">Waiting List Management</a>
                                    <div class="slide"></div>
                                </li>
                                <li class="nav-item col-md-2">
                                    <a class="nav-link" data-toggle="tab" href="#businessLicence" title="Business Types" role="tab">Business Licence</a>
                                    <div class="slide"></div>
                                </li>
                                <li class="nav-item col-md-2">
                                    <a class="nav-link" data-toggle="tab" href="#inspectionStage" title="Business Types" role="tab">Building Inspection Stages</a>
                                    <div class="slide"></div>
                                </li>
                                <li class="nav-item col-md-2">
                                    <a class="nav-link" data-toggle="tab" href="#tarrifs" title="Business Types" role="tab">Tarrifs</a>
                                    <div class="slide"></div>
                                </li>
                                <li class="nav-item col-md-2">
                                    <a class="nav-link" data-toggle="tab" href="#sectors" title="Business Types" role="tab">Employment Sectors</a>
                                    <div class="slide"></div>
                                </li>
                                <li class="nav-item col-md-2">
                                    <a class="nav-link" data-toggle="tab" href="#query_categories" title="Business Types" role="tab">Query Categories</a>
                                    <div class="slide"></div>
                                </li>
                            </ul>
                        </div>
                        <!-- personal card start -->

                        <!-- personal card start -->
                        <div class="tab-content">
                            <!-- tab panel contact start -->
                            <div class="tab-pane active" id="waitingList" role="tabpanel">
                                <!-- personal card start -->
                                <div class="card">
                                    <div class="row">
                                        <div class="col-md-12" style="border: solid thin red;border-radius: 5px">
                                            <div class="card-header">
                                                <h5 class="card-header-text">Land Classes</h5>
                                                <button data-toggle="modal" data-target="#add-land-class" type="button" class="btn btn-sm btn-primary waves-effect waves-light f-right">
                                                    <i class="feather icon-plus-circle"></i>Add Land Class
                                                </button>
                                            </div>
                                            <div class="card-block">
                                                <div class="view-info">
                                                    <div class="general-info">
                                                        <div class="row">
                                                            <div class="col-lg-12 col-xl-12 ">
                                                                <div class="table-responsive">
                                                                    @livewire('councilmanagement::configuration.waiting-list')
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <!-- end of row -->
                                                    </div>
                                                    <!-- end of row -->
                                                </div>
                                            </div>
                                            <!-- end of card-block -->
                                        </div>
                                        <div class="col-md-12" style="border: solid thin red;border-radius: 5px">
                                            <div class="card-header">
                                                <h5 class="card-header-text">Markets </h5>
                                                <button data-toggle="modal" data-target="#add-market-types" type="button" class="btn btn-sm btn-primary waves-effect waves-light f-right">
                                                    <i class="feather icon-plus-circle"></i>Add Market Type
                                                </button>
                                            </div>
                                            <div class="card-block">
                                                <div class="view-info">
                                                    <div class="general-info">
                                                        <div class="row">
                                                            <div class="col-lg-12 col-xl-12 ">
                                                                <div class="table-responsive">
                                                                    @livewire('councilmanagement::configuration.market-type-table')
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <!-- end of row -->
                                                    </div>
                                                </div>
                                            </div>
                                            <!-- end of card-block -->
                                        </div>
                                    </div>
                                </div>
                                <!-- contact card end-->
                            </div>
                            <!-- tab pane contact end -->
                            <!-- tab panel conduct start -->
                            <div class="tab-pane" id="businessLicence" role="tabpanel">
                                <!-- conditions card start -->
                                <div class="card">
                                    <div class="card-header">
                                        <h5 class="card-header-text">Business Licence</h5>
                                        <button data-toggle="modal" data-target="#add-business-type" type="button" class="btn btn-sm btn-primary waves-effect waves-light f-right">
                                            <i class="feather icon-plus-circle"></i>Add Business Category
                                        </button>
                                    </div>
                                    <div class="card-block">
                                        <div class="view-info">
                                            <div class="row">
                                                <div class="col-lg-12">
                                                    <div class="general-info">
                                                        <div class="row">
                                                            <div class="col-lg-12 col-xl-12 ">
                                                                <div class="table-responsive">
                                                                    @livewire('councilmanagement::configuration.business-licence')
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <!-- end of row -->
                                                    </div>
                                                    <!-- end of general info -->
                                                </div>
                                                <!-- end of col-lg-12 -->
                                            </div>
                                            <!-- end of row -->
                                        </div>
                                    </div>
                                    <!-- end of card-block -->
                                </div>
                                <!-- conditions card end-->
                            </div>
                            <!-- tab pane conditions end -->
                            <!-- tab panel conduct start -->
                            <div class="tab-pane" id="inspectionStage" role="tabpanel">
                                <!-- conditions card start -->
                                <div class="card">
                                    <div class="card-header">
                                        <h5 class="card-header-text">Building Inspection</h5>
                                        <button data-toggle="modal" data-target="#add-inspection-stage" type="button" class="btn btn-sm btn-primary waves-effect waves-light f-right">
                                            <i class="feather icon-plus-circle"></i>Add Inspection Stage
                                        </button>
                                    </div>
                                    <div class="card-block">
                                        <div class="view-info">
                                            <div class="row">
                                                <div class="col-lg-12">
                                                    <div class="general-info">
                                                        <div class="row">
                                                            <div class="col-lg-12 col-xl-12 ">
                                                                <div class="table-responsive">
                                                                    @livewire('councilmanagement::configuration.inspection-stages')
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <!-- end of row -->
                                                    </div>
                                                    <!-- end of general info -->
                                                </div>
                                                <!-- end of col-lg-12 -->
                                            </div>
                                            <!-- end of row -->
                                        </div>
                                    </div>
                                    <!-- end of card-block -->
                                </div>
                                <!-- conditions card end-->
                            </div>

                            <div class="tab-pane" id="tarrifs" role="tabpanel">
                                <!-- conditions card start -->
                                <div class="card">
                                    <div class="card-header">
                                        <h5 class="card-header-text">Payment Plan Tarrifts</h5>
                                        <button data-toggle="modal" data-target="#newtarrif" type="button" class="btn btn-sm btn-primary waves-effect waves-light f-right">
                                            <i class="feather icon-plus-circle"></i>Add New Tarriff
                                        </button>
                                    </div>
                                    <div class="card-block">
                                        <div class="view-info">
                                            <div class="row">
                                                <div class="col-lg-12">
                                                    <div class="general-info">
                                                        <div class="row">
                                                            <div class="col-lg-12 col-xl-12 ">
                                                                <div class="table-responsive">
                                                                    @livewire('councilmanagement::configuration.tarrifs')
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <!-- end of row -->
                                                    </div>
                                                    <!-- end of general info -->
                                                </div>
                                                <!-- end of col-lg-12 -->
                                            </div>
                                            <!-- end of row -->
                                        </div>
                                    </div>
                                    <!-- end of card-block -->
                                </div>
                                <!-- conditions card end-->
                            </div>

                            <div class="tab-pane" id="sectors" role="tabpanel">
                                <!-- conditions card start -->
                                <div class="card">
                                    <div class="card-header">
                                        <h5 class="card-header-text">Payment Plan Tarrifts</h5>
                                        <button data-toggle="modal" data-target="#newtarrif" type="button" class="btn btn-sm btn-primary waves-effect waves-light f-right">
                                            <i class="feather icon-plus-circle"></i>Add New Tarriff
                                        </button>
                                    </div>
                                    <div class="card-block">
                                        <div class="view-info">
                                            <div class="row">
                                                <div class="col-lg-12">
                                                    <div class="general-info">
                                                        <div class="row">
                                                            <div class="col-lg-12 col-xl-12 ">
                                                                <div class="table-responsive">
                                                                    @livewire('councilmanagement::configuration.tarrifs')
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <!-- end of row -->
                                                    </div>
                                                    <!-- end of general info -->
                                                </div>
                                                <!-- end of col-lg-12 -->
                                            </div>
                                            <!-- end of row -->
                                        </div>
                                    </div>
                                    <!-- end of card-block -->
                                </div>
                                <!-- conditions card end-->
                            </div>

                            <div class="tab-pane" id="query_categories" role="tabpanel">
                                <!-- conditions card start -->
                                <div class="card">
                                    <div class="card-header">
                                        <h5 class="card-header-text">Query Categories</h5>
                                        <button data-toggle="modal" data-target="#add-query-category" type="button" class="btn btn-sm btn-primary waves-effect waves-light f-right">
                                            <i class="feather icon-plus-circle"></i>Add New Category
                                        </button>
                                    </div>
                                    <div class="card-block">
                                        <div class="view-info">
                                            <div class="row">
                                                <div class="col-lg-12">
                                                    <div class="general-info">
                                                        <div class="row">
                                                            <div class="col-lg-12 col-xl-12 ">
                                                                <div class="table-responsive">
                                                                    @livewire('councilmanagement::configuration.query-categories')
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <!-- end of row -->
                                                    </div>
                                                    <!-- end of general info -->
                                                </div>
                                                <!-- end of col-lg-12 -->
                                            </div>
                                            <!-- end of row -->
                                        </div>
                                    </div>
                                    <!-- end of card-block -->
                                </div>
                                <!-- conditions card end-->
                            </div>
                            <!-- tab pane conditions end -->
                        </div>
                    </div>
                </div>
                <!-- Page-body end -->
            </div>
            <!-- Page-body end -->
        </div>
    </div>
@endsection

@section('modals')

@endsection

@section('page-js')
    @livewireScripts
    <script src="{{ asset('assets/js/sweetalert/js/sweetalert2@11.js') }}"></script>
    <x-livewire-alert::scripts />
    <script src="{{ asset('vendor/livewire-alert/livewire-alert.js') }}"></script>
    <x-livewire-alert::flash />
@endsection
