@extends('layouts.master', ['menuJson' => $councilMenu, 'moduleTitle' => Auth::user()->council->council])

@section('page-css')
    @livewireStyles
@endsection

@section('content')
    <div class="main-body">
        <div class="page-wrapper">
            <div class="page-header">
                <div class="row align-items-end">
                    <div class="col-lg-8">
                        <div class="page-header-title">
                            <div class="d-inline">
                                <h4>{{\Illuminate\Support\Facades\Auth::user()->council->council}}</h4>
                                <span>Customer Relations : Query &amp; Suggestions</span>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="page-header-breadcrumb">
                            <ul class="breadcrumb-title">
                                <li class="breadcrumb-item">
                                    <a href="index-1.htm"> <i class="feather icon-home"></i> </a>
                                </li>
                                <li class="breadcrumb-item"><a href="#!">Query &amp; Suggestions</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="page-body">
                <!--profile cover start-->
                <div class="row">
                    <div class="col-lg-12">
                        <div class="cover-profile">
                            <div class="profile-bg-img">
                                <img class="profile-bg-img img-fluid" src="{{ asset('images/dashboard.png') }}"
                                     alt="bg-img">
                                {{--                                <img class="profile-bg-img img-fluid" src="libraries\assets\images\user-profile\bg-img1.jpg" alt="bg-img">--}}
                                <div class="card-block user-info">
                                    <div class="col-md-12">
                                        <div class="media-left">
                                            <a href="#" class="profile-image">
                                                {{--                                                <img class="user-img img-radius" src="{{asset('images/user-img.jpg')}}"--}}
                                                {{--                                                     alt="user-img">--}}
                                            </a>
                                        </div>
                                        <div class="media-body row">
                                            <div class="col-lg-12">
                                                <div class="user-title mb-3">
                                                    <h2>{{\Illuminate\Support\Facades\Auth::user()->full_name}}</h2>
                                                    <span
                                                        class="text-white">{{\Illuminate\Support\Facades\Auth::user()->email}}</span>
                                                </div>
                                            </div>
                                            <div>
                                                <div class="pull-right cover-btn">
                                                    <a href="{{route("council-queries")}}"
                                                       class="btn btn-primary m-r-10 m-b-5">
                                                        <i class="feather icon-plus"></i>
                                                        back
                                                    </a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="main-body">
                    <livewire:usermanagement::crm.read-queries :query="$query"/>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('page-js')
    @livewireScripts
@endsection
