@extends('layouts.master', ['menuJson' => $councilMenu, 'moduleTitle' => Auth::user()->council->council])

@section('page-css')
    <link href="{{asset('assets/css/custom/switchery.min.css')}}" relationship="stylesheet"></link>
    <link href="{{asset('assets/css/custom/bootstrap-tagsinput.css')}}" relationship="stylesheet"></link>
    <!-- animation nifty modal window effects css -->
    <link rel="stylesheet" type="text/css" href="{{asset('assets/css/custom/component.css')}}">

    <style>
        {{--        Fullscreen--}}

    .modal.modal-fullscreen .modal-dialog {
            width: 100vw;
            height: 100vh;
            margin: 0;
            padding: 0;
            max-width: none;
        }

        .modal.modal-fullscreen .modal-content {
            height: auto;
            height: 100vh;
            border-radius: 0;
            border: none;
        }

        .modal.modal-fullscreen .modal-body {
            overflow-y: auto;
        }

        .switch {
            position: relative;
            display: inline-block;
            width: 60px;
            height: 29px;
        }

        .switch input {
            opacity: 0;
            width: 0;
            height: 0;
        }

        .slider {
            position: absolute;
            cursor: pointer;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            background-color: #ccc;
            -webkit-transition: .4s;
            transition: .4s;
        }

        .slider:before {
            position: absolute;
            content: "";
            height: 21px;
            width: 26px;
            left: 4px;
            bottom: 4px;
            background-color: white;
            -webkit-transition: .4s;
            transition: .4s;
        }

        input:checked + .slider {
            background-color: #2196F3;
        }

        input:focus + .slider {
            box-shadow: 0 0 1px #2196F3;
        }

        input:checked + .slider:before {
            -webkit-transform: translateX(26px);
            -ms-transform: translateX(26px);
            transform: translateX(26px);
        }

        /* Rounded sliders */
        .slider.round {
            border-radius: 34px;
        }

        .slider.round:before {
            border-radius: 50%;
        }
    </style>

    @livewireStyles
@endsection

@section('content')
    <!-- Main-body start -->
    <div class="main-body">
        <div class="page-wrapper">
            <!-- Page-header start -->
            <div class="page-header">
                <div class="row align-items-end">
                    <div class="col-lg-8">
                        <div class="page-header-title">
                            <div class="d-inline">
                                <h4>{{\Illuminate\Support\Facades\Auth::user()->council->council}}</h4>
                                <span>Query Management</span>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="page-header-breadcrumb">
                            <ul class="breadcrumb-title">
                                <li class="breadcrumb-item">
                                    <a href="index-1.htm"> <i class="feather icon-home"></i> </a>
                                </li>
                                <li class="breadcrumb-item"><a href="#!">Query</a>
                                </li>
                                <li class="breadcrumb-item"><a href="#!">All Queries</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="tab-header card">
                        <ul class="nav nav-tabs md-tabs tab-timeline" role="tablist" id="mytab">
                            <li class="nav-item">
                                <a class="nav-link active" data-toggle="tab" href="#personal" role="tab">
                                    Queries
                                </a>
                                <div class="slide"></div>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" data-toggle="tab" href="#binfo" role="tab">Complaints</a>
                                <div class="slide"></div>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" data-toggle="tab" href="#contacts" role="tab">Suggestions</a>
                                <div class="slide"></div>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" data-toggle="tab" href="#review" role="tab">History</a>
                                <div class="slide"></div>
                            </li>
                        </ul>
                    </div>
                    @php
                        $query="query";
                         $complaint="complaint";
                    @endphp
                    <div class="tab-content">
                        <div class="tab-pane active" id="personal" role="tabpanel">
                            <div class="card">
                                <div class="card-header">
                                    <h5 class="card-header-text">All Queries</h5>
                                    <button id="edit-btn" type="button"
                                            class="btn btn-sm btn-primary waves-effect waves-light f-right">
                                        <i class="icofont icofont-eye"></i>
                                    </button>
                                </div>
                                <div>
                                    @livewire('councilmanagement::crm.queries-table',["type"=>$query])
                                </div>
                            </div>
                        </div>

                        <div class="tab-pane" id="binfo" role="tabpanel">
                            <div class="card">
                                <div class="card-header">
                                    <h5 class="card-header-text">All Complaints</h5>
                                    <button id="edit-btn" type="button"
                                            class="btn btn-sm btn-primary waves-effect waves-light f-right">
                                        <i class="icofont icofont-eye"></i>
                                    </button>
                                </div>
                                <div>
                                    @livewire('councilmanagement::crm.queries-table',["type"=>$complaint])
                                </div>
                            </div>
                        </div>

                        <div class="tab-pane" id="contacts" role="tabpanel">
                            <div class="card">
                                <div class="card-header">
                                    <h5 class="card-header-text">Suggestions</h5>
                                    <button id="edit-btn" type="button"
                                            class="btn btn-sm btn-primary waves-effect waves-light f-right">
                                        <i class="icofont icofont-eye"></i>
                                    </button>
                                </div>
                                <div>
                                    <livewire:councilmanagement::council-suggestions-table/>
                                </div>
                            </div>
                        </div>

                        <div class="tab-pane" id="review" role="tabpanel">
                            <div class="card">
                                <div class="card-header">
                                    <h5 class="card-header-text">Review</h5>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        @endsection

        @section('page-js')
            @livewireScripts
            <script src="{{ asset('assets/js/sweetalert/js/sweetalert2@11.js') }}"></script>
            <x-livewire-alert::scripts/>
            <script src="{{ asset('vendor/livewire-alert/livewire-alert.js') }}"></script>
            <x-livewire-alert::flash/>
            <script src="{{ asset('assets/js/custom/modalEffects.js') }}"></script>
            <script src="{{ asset('assets/js/custom/classie.js') }}"></script>
            <script>

                $(document).ready(function () {
                    console.log("hello")
                    $('div.hide').hide();
                })


                function extendDate(id) {
                    $('div.input' + id).show();
                }
            </script>
@endsection

