<div>
    @include('includes.table-header')
    <table id="responsive-datatable" class="table table-striped nowrap">
        <thead>
        <tr>
            <th class="color-333">Application ID</th>
            <th class="color-333">Account Number</th>
            <th class="color-333">Account Name</th>
            <th class="color-333">Location</th>
            <th class="color-333">Application Status</th>
            <th class="color-333">Action</th>
        </tr>
        </thead>
        <tbody class="color-333">
        @forelse($results as $result)
            <tr>
                <td>{{ $result->application_id }}</td>
                <td>{{ $result->account_no }}</td>
                <td>{{ $result->account->account_name }}</td>
                <td>{{ strstr( Auth::user()->council->council . ' ', ' ', true ).', '.$result->account->location->name }}</td>
                <td>
                    @if ($result->status == 'pending')
                        <span class="badge" style="color: orange; background: rgba(255, 255, 0, 0.3);">{{ $result->status }}</span>
                    @elseif ($result->status == 'rejected')
                        <span class="badge" style="color: rgb(255, 0, 0); background: rgba(255, 0, 0, 0.3);">{{ $result->status }}</span>
                    @else
                        <span class="badge" style="color: rgb(0,100,0); background: rgba(0, 255, 0, 0.3);">{{ $result->status }}</span>
                    @endif
                </td>
                <td data-toggle="collapse" data-target="#accounts{{$result->id }}" class="accordion-toggle">
                    <button data-toggle="collapse" data-target="#collapseme" class="btn btn-outline-success" title="View Account Details">
                        <i class="feather icon-eye"></i>
                    </button>
                    <button class="btn btn-outline-primary" wire:click="approveApplication({{$result->id}})" title="Approve Account">
                        <i class="feather icon-check-square"></i>
                    </button>
                    <button wire:click='declineApplication({{$result->id}})' class="btn btn-outline-danger" title="Decline Account">
                        <i class="feather icon-x-circle"></i>
                    </button>
                </td>
            </tr>
            <tr>
                <td colspan="12" class="hiddenRow">
                    <div class="accordian-body collapse" id="accounts{{$result->id }}">
                        <div class="row">
                            <div class="col-lg-12 col-xl-9">
                                <!-- Open position card start -->
                                <div class="card">
                                    <div class="card-header">
                                        <h5>Account Proof</h5>

                                    </div>
                                    <div class="card-block">
                                        <div class="job-cards">
                                            <table class="table table-striped" style="border: solid thin red;">
                                                <thead>
                                                <tr class="info">
                                                    <th>Proof</th>
                                                    <th>Action</th>
                                                </tr>
                                                </thead>

                                                <tbody>
                                                @foreach($result->attachments as $attachment)
                                                    {{$attachment->attachment_description}}
{{--                                                    @if ($attachment->attachment_description === 'Offer Letter')--}}
{{--                                                        <tr data-toggle="collapse"  class="accordion-toggle" data-target="#demo10">--}}
{{--                                                            <td>Offer Letter</td>--}}
{{--                                                            <td>--}}
{{--                                                                <a data-toggle="modal" data-target="#attachment{{ $attachment->attachment_id }}">--}}
{{--                                                                    <i class="fas fa-envelope mr-2" style="font-size: 50px"></i>--}}
{{--                                                                </a>--}}
{{--                                                            </td>--}}
{{--                                                        </tr>--}}
{{--                                                    @elseif ($attachment_description === 'Recent Payment')--}}
{{--                                                        <tr data-toggle="collapse"  class="accordion-toggle" data-target="#demo10">--}}
{{--                                                            <td>Recent Payment</td>--}}
{{--                                                            <td>--}}
{{--                                                                <a data-toggle="modal" data-target="#attachment{{ $attachment->attachment_id }}">--}}
{{--                                                                    <i class="fas fa-receipt mr-2" style="font-size: 50px"></i>--}}
{{--                                                                </a>--}}
{{--                                                            </td>--}}
{{--                                                        </tr>--}}
{{--                                                    @elseif ($attachment->attachment_description === 'Identification Document')--}}
{{--                                                        <tr data-toggle="collapse"  class="accordion-toggle" data-target="#demo10">--}}
{{--                                                            <td>Identification Document</td>--}}
{{--                                                            <td>--}}
{{--                                                                <a data-toggle="modal" data-target="#attachment{{ $attachment->attachment_id }}"    >--}}
{{--                                                                    <i class="fas fa-passport mr-2" style="font-size: 50px"></i>--}}
{{--                                                                </a>--}}
{{--                                                            </td>--}}
{{--                                                        </tr>--}}
{{--                                                    @endif--}}
                                                    <div class="modal fade" id="attachment{{ $attachment->attachment_id }}" style="backdrop-filter: blur(8px)">
                                                        <div class="modal-dialog modal-xl">
                                                            <div class="modal-content p-2">
                                                                <div class="modal-header">
                                                                    <h4 class="modal-title font-weight-bold">{{ $attachment->attachment_description }}</h4>
                                                                </div>
                                                                <div class="modal-body" id="id_{{ $attachment->attachment_id }}">
                                                                    @if ($attachment->extension == 'png' || $attachment->extension == 'jpg' || $attachment->extension == 'jpeg')
                                                                        <img class="img-fluid" src="{{ asset('storage/'.$attachment->attachment_url) }}" alt="{{ $attachment->attachment_description }}">
                                                                    @elseif ($attachment->extension == 'pdf')
                                                                        <script src="{{ asset('assets/js/PDFObject/pdfobject.js') }}"></script>
                                                                        <script>
                                                                            document.getElementById('id_{{ $attachment->attachment_id }}').style.height = '85vh';
                                                                            PDFObject.embed("{{ asset('storage/'.$attachment->attachment_url) }}", "#id_{{ $attachment->attachment_id }}");
                                                                        </script>
                                                                    @endif
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                                <!-- Open position card end -->
                            </div>
                            <div class="col-lg-12 col-xl-3">
                                <!-- Filter card start -->
                                <div class="card">
                                    <div class="card-header">
                                        <h5><i class="feather icon-filter"></i>Account Details</h5><hr>
                                    </div>
                                    <div class="card-block">
                                        {{--                    <form action="#">--}}
                                        <div class="form-group row">
                                            <div class="col-sm-12">
                                                <p>Type :{{ $result->account->account_type }}</p>
                                                <p>Category :{{ $result->account->account_category }}</p>
                                                <p>Class: {{ $result->account->account_class }}</p>
                                            </div>
                                        </div>
                                        {{--                    </form>--}}
                                    </div>
                                </div>
                                <!-- Filter card end -->
                            </div>
                        </div>

                    </div>
                </td>
            </tr>
        @empty
            <tr>
                <td colspan="5">No pending approvals</td>
            </tr>
        @endforelse
        </tbody>
    </table>
    @include('includes.table-footer')
</div>
