<div>
    <style>
        .hide1 .hide2 {
            display: none;
        }

        .name1:hover + .hide {
            display: block;
            color: red;
        }
        .name2:hover + .hide {
            display: block;
            color: red;
        }
    </style>
    @include('includes.table-header')

    <table class="table table-styling" id="orderStagesTable">
        <thead>
        <tr>
            <th>Application Fee</th>
            <th>Application Fee</th>
            <th>Renewal Fee</th>
            <th>Tax</th>
            <th>Discount</th>
            <th>Status</th>
            <th>Action</th>
        </tr>
        </thead>
        <tbody id="sortOrder">
        @foreach ($results as $result)
            <tr data-index="{{ $result->id }}" data-position="{{ $result->priority }}">
                <td>{{$result->title}}</td>
                <td>{{$result->application_fee}}</td>
                <td>{{$result->inspection_fee}}</td>
                <td>{{$result->tax}}</td>
                <td>{{$result->discount}}</td>
                <td>
                    <label class="switch">
                        <input type="checkbox" @if ( $result->status == 'active')checked @endif value="{{ $result->status }}" wire:change="businessStatus({{$result->id}},{{$result->status}})">
                        <span class="slider round"></span>
                    </label>
                </td>
                <td>
                    <button data-toggle="modal" data-target="#add-comparative-approver" type="button" class="tabledit-delete-button btn btn-danger waves-effect waves-light" style="float: none;margin: 5px;">
                        <span class="feather icon-trash-2"></span>
                    </button>
                </td>
            </tr>
        @endforeach
        </tbody>
        @include('includes.table-footer')
    </table>

</div>

<!-- Modal-->
<div class="modal fade" id="add-business-type" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-lg"
         role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Business Categories</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form action="{{ route('council-create-business-category') }}" method="POST">
                @csrf
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <input class="btn btn-outline-primary" type="button" value="Add Row"
                                       onclick="addBusinessRow()" />
                            </div>
                        </div>

                        <div class="col-md-4">
                            <div class="form-group">
                                <input class="btn btn-outline-danger" type="button" value="Delete Row"
                                       onclick="deleteRow('businessCategory')" />
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <input type="hidden" name="counter" id="counter" value="0">
                            <table class="table table-borderless" id="businessCategory">
                                <thead>
                                    <tr>
                                        <th></th>
                                        <th>Title</th>
                                        <th >Type</th>
                                        <th >Tax</th>
                                        <th >Discount</th>
                                        <th >Inspection Fee</th>
                                        <th>Application Fee</th>
                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger waves-effect " data-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Add</button>
                </div>
            </form>
        </div>
    </div>
</div>

<script>
    var c = 0;
    var vc = 0;

    function addBusinessRow() {

        var table = document.getElementById("businessCategory");
        var rowCount = table.rows.length;
        var row = table.insertRow(rowCount);

        var cell = row.insertCell(0);
        var element = document.createElement("input");
        element.type = "checkbox";
        element.name = "chkbox[]";
        cell.appendChild(element);

        var cell1 = row.insertCell(1);
        var element1 = document.createElement("input");
        element1.type = "text";
        element1.name = `business[${c}][title]`;
        element1.setAttribute("required", "true");
        element1.setAttribute("class", "form-control");
        element1.style.border = "none";
        cell1.appendChild(element1);

        var cell2 = row.insertCell(2);
        var element2 = document.createElement("input");
        element2.name = `business[${c}][type]`;
        element2.setAttribute("required", "true");
        element2.style.border = "none";
        element2.setAttribute("class", "form-control");
        cell2.appendChild(element2);

        var cell3 = row.insertCell(3);
        var element3 = document.createElement("input");
        element3.type = "number";
        element3.name = `business[${c}][tax]`;
        element3.setAttribute("required", "true");
        element3.setAttribute("step", "0.01");
        element3.style.border = "none";
        element3.setAttribute("class", "form-control");
        cell3.appendChild(element3);

        var cell4 = row.insertCell(4);
        var element4 = document.createElement("input");
        element4.type = "number";
        element4.name = `business[${c}][discount]`;
        element4.setAttribute("required", "true");
        element4.setAttribute("step", "0.01");
        element4.style.border = "none";
        element4.setAttribute("class", "form-control");
        cell4.appendChild(element4);

        var cell5 = row.insertCell(5);
        var element5 = document.createElement("input");
        element5.type = "number";
        element5.name = `business[${c}][inspection_fee]`;
        element5.setAttribute("required", "true");
        element5.setAttribute("step", "0.01");
        element5.style.border = "none";
        element5.setAttribute("class", "form-control");
        cell5.appendChild(element5);

        var cell6 = row.insertCell(6);
        var element6 = document.createElement("input");
        element6.type = "number";
        element6.name = `business[${c}][application_fee]`;
        element6.setAttribute("required", "true");
        element6.setAttribute("step", "0.01");
        element6.style.border = "none";
        element6.setAttribute("class", "form-control");
        cell6.appendChild(element6);

        c += 1;
    }

</script>
