<div>
    <style>
        .hide1 .hide2 {
            display: none;
        }

        .name1:hover + .hide {
            display: block;
            color: red;
        }
        .name2:hover + .hide {
            display: block;
            color: red;
        }
    </style>
    @include('includes.table-header')

    <table class="table table-styling" id="orderStagesTable">
        <thead>
        <tr>
            <th>Stage Name</th>
            <th>Status</th>
            <th>Action</th>
        </tr>
        </thead>
        <tbody id="sortOrder">
        @foreach ($results as $result)
            <tr data-index="{{ $result->id }}" data-position="{{ $result->priority }}">
                <td>{{$result->name}}</td>
                <td>
                    <label class="switch">
                        <input type="checkbox" @if ( $result->status)checked @endif value="{{ $result->status }}" wire:change="checkStatus({{$result->id}},{{$result->status}})">
                        <span class="slider round"></span>
                    </label>
                </td>
                <td>
                    <button data-toggle="modal" data-target="#add-comparative-approver" type="button" class="tabledit-edit-button btn btn-outline-success waves-effect waves-light" >
                        <span class="feather icon-edit"></span>
                    </button>
                    <button data-toggle="modal" data-target="#add-comparative-approver" type="button" class="tabledit-delete-button btn btn-outline-danger waves-effect waves-light" >
                        <span class="feather icon-trash-2"></span>
                    </button>
                </td>
            </tr>
        @endforeach
        </tbody>
        @include('includes.table-footer')
    </table>
</div>

<!-- Modal-->
<div class="modal fade" id="add-inspection-stage" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-sm"
         role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Inspection Stage</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form action="{{ route('council-create-inspection-stage') }}" method="POST">
                @csrf
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <input class="btn btn-outline-primary" type="button" value="Add Row"
                                       onclick="addLInspectionRow()" />
                            </div>
                        </div>

                        <div class="col-md-4">
                            <div class="form-group">
                                <input class="btn btn-outline-danger" type="button" value="Delete Row"
                                       onclick="deleteRow('inspectionStagesTable')" />
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <input type="hidden" name="counter" id="counter" value="0">
                            <table class="table table-borderless" id="inspectionStagesTable" width="60%"
                                   border="1">
                                <thead>
                                <tr>
                                    <th></th>
                                    <th>Stage Name</th>
                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger waves-effect " data-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Add</button>
                </div>
            </form>
        </div>
    </div>
</div>

<script>
    var c = 0;

    function addLInspectionRow() {

        var table = document.getElementById("inspectionStagesTable");
        console.log(table);
        var rowCount = table.rows.length;
        var row = table.insertRow(rowCount);

        var cell = row.insertCell(0);
        var element = document.createElement("input");
        element.type = "checkbox";
        element.name = "chkbox[]";
        cell.appendChild(element);

        var cell1 = row.insertCell(1);
        var element1 = document.createElement("input");
        element1.type = "text";
        element1.name = `stage[${c}][name]`;
        element1.setAttribute("required", "true");
        element1.setAttribute("class", "form-control");
        element1.style.border = "none";
        cell1.appendChild(element1);

        c += 1;
    }

    function addApprover() {

        var table = document.getElementById("orderStage");
        var rowCount = table.rows.length;
        var row = table.insertRow(rowCount);

        var cell1 = row.insertCell(0);
        var element1 = document.createElement("input");
        element1.type = "checkbox";
        element1.name = "chkbox[]";
        cell1.appendChild(element1);

        var cell2 = row.insertCell(1);
        var element2 = document.createElement("input");
        element2.type = "text";
        element2.name = `stages[${c}][name]`;
        element2.setAttribute("required", "true");
        element2.style.border = "none";
        cell2.appendChild(element2);

        c += 1;
    }

</script>
