<div>
    <style>
        .hide1 .hide2 {
            display: none;
        }

        .name1:hover + .hide {
            display: block;
            color: red;
        }
        .name2:hover + .hide {
            display: block;
            color: red;
        }
    </style>
    @include('includes.table-header')

    <table class="table table-styling" id="orderStagesTable">
        <thead>
        <tr>
            <th>Land Use</th>
            <th>Application Amount</th>
            <th>Renewal Fee</th>
            <th>Action</th>
        </tr>
        </thead>
        <tbody id="sortOrder">
        @foreach ($results as $result)
            <tr data-index="{{ $result->id }}" data-position="{{ $result->priority }}">
                <td>{{$result->type_id}}</td>
                <td>{{$result->type_id}}</td>
                <td>{{$result->application_amount}}</td>
                <td>{{$result->renewal_fee}}</td>
                <td>
                    <label class="switch">
                        <input type="checkbox" @if ( $result->status)checked @endif value="{{ $result->status }}" wire:change="classStatus({{$result->id}},{{$result->status}})">
                        <span class="slider round"></span>
                    </label>
                    <button data-toggle="modal" data-target="#add-comparative-approver" type="button" class="tabledit-edit-button btn btn-outline-success waves-effect waves-light" >
                        <span class="feather icon-edit"></span>
                    </button>
                    <button data-toggle="modal" data-target="#add-comparative-approver" type="button" class="tabledit-delete-button btn btn-outline-danger waves-effect waves-light" >
                        <span class="feather icon-trash-2"></span>
                    </button>
                </td>
            </tr>
        @endforeach
        </tbody>
{{--        @include('includes.table-footer')--}}
    </table>
</div>

<!-- Modal-->
<div class="modal fade" id="add-query-category" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-lg"
         role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Query Nature Types</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form wire:submit.prevent="addQueryCategory(Object.fromEntries(new FormData($event.target)))">
                @csrf
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <input class="btn btn-outline-primary" type="button" value="Add Row"
                                       onclick="addQueryRow()" />
                            </div>
                        </div>

                        <div class="col-md-4">
                            <div class="form-group">
                                <input class="btn btn-outline-danger" type="button" value="Delete Row"
                                       onclick="deleteRow('landClass')" />
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <input type="hidden" name="counter" id="counter" value="0">
                            <table class="table table-borderless" id="marketTypes" width="60%"
                                   border="1">
                                <thead>
                                <tr>
                                    <th></th>
                                    <th>Category Name</th>
                                    <th >Category Decsription</th>
                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger waves-effect " data-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary waves-effect waves-light">Add</button>
                </div>
            </form>
        </div>
    </div>
</div>

<script>
    var c = 0;
    var vc = 0;

    function addLandClassRow() {

        var table = document.getElementById("marketTypes");
        var rowCount = table.rows.length;
        var row = table.insertRow(rowCount);

        var cell = row.insertCell(0);
        var element = document.createElement("input");
        element.type = "checkbox";
        element.name = "chkbox[]";
        cell.appendChild(element);

        var cell1 = row.insertCell(1);
        var element1 = document.createElement("input");
        element1.type = "text";
        element1.name = `class[${c}][name]`;
        element1.setAttribute("required", "true");
        element1.setAttribute("class", "form-control");
        element1.style.border = "none";
        cell1.appendChild(element1);

        var cell2 = row.insertCell(2);
        var element2 = document.createElement("textarea");
        element2.name = `class[${c}][description]`;
        element2.setAttribute("required", "true");
        element2.style.border = "none";
        element2.setAttribute("class", "form-control");
        cell2.appendChild(element2);

        c += 1;
    }

    function addApprover() {

        var table = document.getElementById("orderStage");
        var rowCount = table.rows.length;
        var row = table.insertRow(rowCount);

        var cell1 = row.insertCell(0);
        var element1 = document.createElement("input");
        element1.type = "checkbox";
        element1.name = "chkbox[]";
        cell1.appendChild(element1);

        var cell2 = row.insertCell(1);
        var element2 = document.createElement("input");
        element2.type = "text";
        element2.name = `stages[${c}][name]`;
        element2.setAttribute("required", "true");
        element2.style.border = "none";
        cell2.appendChild(element2);

        c += 1;
    }

</script>

