<div>
    <table id="queries" class="table table-bordered table-striped">
        <thead>
        <tr>
            <th>Query ID</th>
            <th>Address</th>
            <th>Location</th>
{{--            <th>Department</th>--}}
            <th>Category</th>
            <th>Type Of Client</th>
            <th>Reporting Channel</th>
            <th>Priority</th>
            <th>Assigned To</th>
            <th>Status</th>
            <th>Action</th>
        </tr>
        </thead>
        <tbody>
        @foreach($results as $qry)
            <tr>
                <td>{{$qry->id}}</td>
                <td>{{$qry->address}}</td>
                <td>{{$qry->location->name}}</td>
{{--                <td>{{$qry->department->name}}</td>--}}
                <td>{{$qry->category->name}}</td>
                <td>{{$qry->clientType->name}}</td>
                <td>{{$qry->reporting_channel}}</td>
                <td>{{$qry->priority}}</td>
                @if($qry->assigned_to == null)
                    <td> </td>
                @else
                    <td>{{$qry->attendant()->name()}}</td>
                @endif
                @if($qry->status == 'pending')
                    <td style="background-color:yellow;">{{$qry->status}}</td>
                @elseif($qry->status=='assigned')
                    <td style="background-color:cyan;">{{$qry->status}}</td>
                @elseif($qry->status=='in progress')
                    <td style="background-color:orange;">{{$qry->status}}</td>
                @elseif($qry->status=='over due')
                    <td style="background-color:red;">{{$qry->status}}</td>
                @elseif($qry->status=='resolved')
                    <td style="background-color:green;">{{$qry->status}}</td>
                @else
                    <td>{{$qry->status}}</td>
                @endif
                <td>
                    <button data-toggle="collapse" data-target="#accounts{{$qry->id }}" class="btn btn-outline-success accordion-toggle" title="View query Details">
                        <i class="feather icon-eye"></i>
                    </button>
                    <button data-toggle="modal"  data-target="#updateStatus{{$qry->id}}" class="btn btn-outline-success" title="Update query status">
                        <i class="feather icon-check"></i>
                    </button>
                </td>
            </tr>
            <tr>
                <td colspan="12" class="hiddenRow">
                    <div class="accordian-body collapse" id="accounts{{$qry->id }}">
                        <div class="row">
                            <div class="col-lg-12 col-xl-9">
                                <!-- Open position card start -->
                                <div class="card">
                                    <div class="card-header">
                                        <h5>Account Proof</h5>
                                        <div class="f-right">
                                            <a
                                                {{--                                                    href="{{route('account-payment-history',['id'=>$result->id])}}"--}}
                                                class="btn btn-outline-success"
                                                title="Payment History For The Account">
                                                <i class="feather icon-clock"></i>Progress
                                            </a>
                                        </div>
                                    </div>
                                    <div class="card-block">
                                        <div class="job-cards">
                                            <table class="table table-striped" style="border: solid thin red;">
                                                <thead>
                                                <tr class="info">
                                                    <th>Proof</th>
                                                    <th>Action</th>
                                                </tr>
                                                </thead>

                                                <tbody>

                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                                <!-- Open position card end -->
                            </div>
                            <div class="col-lg-12 col-xl-3">
                                <!-- Filter card start -->
                                <div class="card">
                                    <div class="card-header">
                                        <h5><i class="feather icon-user"></i>Who Raised The Query</h5><hr>
                                    </div>
                                    <div class="card-block">
                                        {{--                    <form action="#">--}}
                                        <div class="form-group row">
                                            <div class="col-sm-12">
                                                <p>Name :{{$qry->fullname}}</p>
                                                <p>Email :{{$qry->email}}</p>
                                                <p>Phone: {{$qry->phonenumber}}</p>
                                            </div>
                                        </div>
                                        {{--                    </form>--}}
                                    </div>
                                </div>
                                <!-- Filter card end -->
                            </div>
                        </div>

                    </div>
                </td>
            </tr>

            <div class="modal fade" id="updateStatus{{$qry->id}}" style="backdrop-filter: blur(8px)">
                <div class="modal-dialog modal-xl">
                    <div class="modal-content p-2">
                        <div class="modal-header">
                            <h4 class="modal-title font-weight-bold">Update Query Status</h4>
                        </div>
                        <form wire:submit.prevent="updateStatus(Object.fromEntries(new FormData($event.target)))">
                            <div class="modal-body">
                                <input type="hidden" name="id" value="{{$qry->id}}">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label for="firstname">Satus</label>
                                        <select class="form-control" name="status"  placeholder="Email">
                                            <option value="" disabled selected>Select Location</option>
                                            <option value="In Progress">In Progress</option>
                                            <option value="Resolved">Resolved</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label for="firstname">Notes</label>
                                        <textarea required class="form-control" rows="3"
                                                  name="notes" placeholder="what has been done"></textarea>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Progress Uploads (optional)</label>
                                        <input class="form-control" type="file" name="progress">
                                    </div>
                                </div>
                            </div>
                            <div class="modal-footer">
                                <a href="#" class="btn btn-default waves-effect " data-dismiss="modal"><i class="feather icon-x-circle"></i>Close</a>
                                <button type="submit"  class="btn btn-default waves-effect " style=" background: skyblue;"><i class="feather icon-send"></i> Save</button>
                            </div>
                        </form>

                    </div>
                </div>
            </div>
        @endforeach
        </tbody>
    </table>
</div>

