<div>
    <div class="m-3">
        @include('includes.table-header')
        <div>
            <table class="table table-bordered table-striped">
                <thead>
                <tr>
                    <th style="width:10%">ID</th>
                    <th style="width:10%">Name</th>
                    <th style="width:17%">Location</th>
                    <th style="width:10%">Phone</th>
                    <th style="width:10%">Dispatched To</th>
                    <th style="width:15%">Type</th>
                    <th style="width:8%">Status</th>
                    <th style="width:5%">Escalated ?</th>
                    <th style="width:10%">Reported On</th>
                    <th style="width:5%">Action</th>
                </tr>
                </thead>
                <tbody>
                @foreach($results as $qry)
                    <tr>
                        <td>{{$qry->query_id}}</td>
                        <td>{{$qry->full_name}}</td>
                        <td>{{$qry->location->name}}</td>
                        <td>{{Str::limit($qry->phone_number, 10, '..')}}</td>
                        @if($qry->department_id == null)
                            <td><label class="label label-lg label-inverse-warning">Unassigned</label></td>
                        @else
                            <td>{{$qry->department->name}}</td>
                        @endif

                        <td>{{Str::limit($qry->category->name, 10, '..')}}</td>
                        @if($qry->status == 'Pending')
                            <td>
                                <button type="button" class="btn btn-block" style="background-color:yellow;">
                                    {{$qry->status}}
                                </button>
                            </td>
                        @elseif($qry->status == 'resolved')
                            <td>
                                <button type="button" class="btn btn-block" style="background-color:lawngreen;">
                                    {{$qry->status}}
                                </button>
                            </td>
                        @elseif($qry->status == 'started')
                            <td>
                                <button type="button" class="btn btn-block" style="background-color:lime;">
                                    {{$qry->status}}
                                </button>
                            </td>
                        @elseif($qry->status == 'completed')
                            <td>
                                <button type="button" class="btn btn-block" style="background-color:greenyellow;">
                                    {{$qry->status}}
                                </button>
                            </td>
                        @elseif($qry->status === "responded")
                            <td>
                                <button type="button" class="btn btn-block" style="background-color:teal;">
                                    {{$qry->status}}
                                </button>
                            </td>
                        @elseif($qry->status === "on-hold")
                            <td>
                                <button type="button" class="btn btn-block" style="background-color:orange;">
                                    {{$qry->status}}
                                </button>
                            </td>
                        @endif
                        <td>
                            <label @if($qry->has_been_escalated == 'Yes') class="badge badge-inverse-danger"
                                   @else class="badge badge-inverse-success" @endif >{{$qry->has_been_escalated}}</label>
                        </td>
                        <td>{{Carbon\Carbon::parse($qry->created_at)->format('M d Y') }}</td>
                        <td>
                            <a href="{{route("council-read-query",$qry->id)}}" class="btn btn-outline-primary">View</a>
                        </td>
                    </tr>
                @endforeach
                </tbody>
            </table>
        </div>
        @include('includes.table-footer')
    </div>
</div>
