<div>
    @include('includes.table-header')
    <table class="table table-bordered table-striped">
        <thead>
        <tr>
            <th>Plan no</th>
            <th>Account Number</th>
            <th>Account Owner</th>
            <th>Debt</th>
            <th>Tarrif</th>
            <th>Repayment Period</th>
            <th>Total Paid</th>
            <th>Outstanding</th>
            <th>Progress</th>
            <th>Status</th>
            <th>Action</th>
        </tr>
        </thead>
        <tbody>


        @forelse ($results as $result)
            @php
                $state = round(($result->credit / $result->debt) * 100);
            @endphp
            @if ($result->status =='REJECTED')
                <tr style="background-color:red;" class="text-white">
                    <td>{{ $result->id }}</td>
                    <td>{{ $result->account_no }}</td>
                    <td>{{ $result->account->account_name }}</td>
                    <td class="bg-warning text-white">{{ $result->debt }}</td>
                    <td>{{ $result->tarrif->tarrif }}</td>
                    <td>{{ $result->repayment_period }}</td>
                    <td class="bg-success text-white">{{ $result->credit }}</td>
                    @if ($state < 50)
                        <td
                            class="bg-danger text-white">{{ $result->debt - $result->credit }}</td>
                    @elseif ($state > 50 && $state < 75)
                        <td class="bg-warning text-white">{{ $result->debt - $result->credit }}</td>
                    @else
                        <td class="bg-success text-white">{{ $result->debt - $result->credit }}</td>
                    @endif
                    <td>{{ $state }}%</td>
                    <td>{{ $result->status }}</td>
                    <td>
                        <a class="btn btn-primary" href="/paymentplan/preview/{{ $result->id }}"><i class="feather icon-arrow-right-circle"></i></a>
                    </td>
                </tr>
            @elseif ($result->status =='POSTED')
                <tr style="background-color:orange;" class="text-white">
                    <td>{{ $result->id }}</td>
                    <td>{{ $result->account_no }}</td>
                    <td>{{ $result->account->account_name }}</td>
                    <td class="bg-warning text-white">{{ $result->debt }}</td>
                    <td>{{ $result->tarrif->tarrif }}</td>
                    <td>{{ $result->repayment_period }}</td>
                    <td class="bg-success text-white">{{ $result->credit }}</td>
                    @if ($state < 50)
                        <td
                            class="bg-danger text-white">{{ $result->debt - $result->credit }}</td>
                    @elseif ($state > 50 && $state < 75)
                        <td class="bg-warning text-white">{{ $result->debt - $result->credit }}</td>
                    @else
                        <td class="bg-success text-white">{{ $result->debt - $result->credit }}</td>
                    @endif
                    <td>{{ $state }}%</td>
                    <td>{{ $result->status }}</td>
                    <td>
                        <a class="btn btn-primary" href="/paymentplan/fdpreview/{{ $result->id }}"><i class="feather icon-arrow-right-circle"></i></a>
                    </td>
                </tr>
            @elseif ($result->status =='COMPLETED')
                <tr style="background-color:green;" class="text-white">
                    <td>{{ $result->id }}</td>
                    <td>{{ $result->account_no }}</td>
                    <td>{{ $result->account->account_name }}</td>
                    <td class="bg-warning text-white">{{ $result->debt }}</td>
                    <td>{{ $result->tarrif->tarrif }}</td>
                    <td>{{ $result->repayment_period }}</td>
                    <td class="bg-success text-white">{{ $result->credit }}</td>
                    @if ($state < 50)
                        <td
                            class="bg-danger text-white">{{ $result->debt - $result->credit }}</td>
                    @elseif ($state > 50 && $state < 75)
                        <td class="bg-warning text-white">{{ $result->debt - $result->credit }}</td>
                    @else
                        <td class="bg-success text-white">{{ $result->debt - $result->credit }}</td>
                    @endif
                    <td>{{ $state }}%</td>
                    <td>{{ $result->status }}</td>
                    <td>
                        <a class="btn btn-primary" href="/paymentplan/preview/{{ $result->id }}"><i class="feather icon-arrow-right-circle"></i></a>
                    </td>
                </tr>
            @else
                <tr>
                    <td>{{ $result->id }}</td>
                    <td>{{ $result->account_no }}</td>
                    <td>{{ $result->account->account_name }}</td>
                    <td class="bg-warning text-white">{{ $result->debt }}</td>
                    <td>{{ $result->tarrif->tarrif }}</td>
                    <td>{{ $result->repayment_period }}</td>
                    <td class="bg-success text-white">{{ $result->credit }}</td>
                    @if ($state < 50)
                        <td
                            class="bg-danger text-white">{{ $result->debt - $result->credit }}</td>
                    @elseif ($state > 50 && $state < 75)
                        <td class="bg-warning text-white">{{ $result->debt - $result->credit }}</td>
                    @else
                        <td class="bg-success text-white">{{ $result->debt - $result->credit }}</td>
                    @endif
                    <td>{{ $state }}%</td>
                    <td>{{ $result->status }}</td>
                    <td>
                        <a class="btn btn-primary" href="/paymentplan/preview/{{ $result->id }}"><i class="feather icon-arrow-right-circle"></i></a>
                    </td>
                </tr>
            @endif
        @empty
            <tr>
                <td colspan="11" class="text-center">
                    no data available
                </td>
            </tr>

        @endforelse

        </tbody>
    </table>
    @include('includes.table-footer')
</div>
