<div>
    <div class="m-1">
        @include('includes.table-header')
        <table id="applicants" class="table table-bordered table-striped">
            <thead>
            <tr class="table-primary text-white">
                <th>Applicant Name</th>
                <th>Waiting List # (Renew)</th>
                <th>National ID</th>
                <th>City</th>
                <th>Application Date</th>
                <th>Expiry Date</th>
                <th>Account Status</th>
                <th>Action</th>
            </tr>
            </thead>
            <tbody>
            @forelse($results as $member)
                <tr>
                    <td>{{ $member->full_name  }}</td>
                    <td>
                        {{ $member->waiting_list_number }}
                    </td>
                    <td>{{ $member->national_id }}</td>
                    <td>{{ $member->city }}</td>
                    <td>{{ $member->application_date }}</td>
                    <td>{{ $member->expiry_date }}</td>
                    @if($member->status=='Expired')
                        <td>
                            <button class="btn btn-outline-danger">
                                {{$member->status}}
                            </button>
                        </td>
                    @elseif($member->status=='Deactive')
                        <td>
                            <button class="btn btn-outline-warning">
                                {{$member->status}}
                            </button>
                        </td>
                    @elseif($member->status=='Active')
                        <td>
                            <button class="btn btn-outline-success">
                                {{$member->status}}
                            </button>
                        </td>
                    @elseif($member->status == "Allocated" || $member->status == "allocated")
                        <td>
                            <button class="btn btn-outline-primary">
                                {{$member->status}}
                            </button>
                        </td>
                    @else
                        <td>
                            <button class="btn btn-outline-danger">
                                Not Yet In Queue
                            </button>
                        </td>
                    @endif
                    <td>
                        <a href="{{route("council-market-view",$member->id)}}" class="btn btn-outline-primary"><i
                                class="feather icon-action"></i>Action</a>
                    </td>
                </tr>
            @empty
                <tr>
                    <td colspan="8">
                        <div class="text-center">
                            no applications
                        </div>
                    </td>
                </tr>
            @endforelse
            </tbody>
        </table>
        @include('includes.table-footer')
    </div>
</div>
