<div>
    <div class="m-2">
        @include('includes.table-header')
        <table id="applicants" class="table table-bordered table-striped">
            <thead>
            <tr class="table-primary text-white">
                <th>Applicant Name</th>
                <th>Waiting List #</th>
                <th>National ID</th>
                <th>Category</th>
                <th>Type</th>
                <th>Expiry Date</th>
                <th>Account Status</th>
                <th>Action</th>
            </tr>
            </thead>
            <tbody>

            @foreach($results as $mem)
                <tr>
                    <td>{{$mem->firstname }} {{$mem->lastname }}</td>
                    <td>{{$mem->waiting_list_number}}</td>
                    <td>{{$mem->national_no}}</td>
                    <td>{{$mem->application_details->category }}</td>
                    <td> {{$mem->application_details->type }}</td>
                    <td>
                        @if ($mem->application_details != null && str_contains($mem->application_details->expiry_date, '/'))
                            {{$mem->application_details->expiry_date  }}
                        @else
                            {{\Carbon\Carbon::parse($mem->application_details->expiry_date)->format('Y-m-d')}}
                        @endif
                    </td>

                    @if($mem->waitingList != null)
                        @if($mem->waitingList->status=='Expired')
                            <td>
                                <button class="btn btn-outline-danger">
                                    {{$mem->waitingList->status}}
                                </button>
                            </td>
                        @elseif($mem->waitingList->status=='Deactive')
                            <td>
                                <button class="btn btn-outline-warning">
                                    {{$mem->waitingList->status}}
                                </button>
                            </td>
                        @elseif($mem->waitingList->status=='Active' || $mem->waitingList->status=='ACTIVE')
                            <td>
                                <button class="btn btn-outline-success">
                                    {{$mem->waitingList->status}}
                                </button>
                            </td>
                        @else
                            <td>
                                <button class="btn btn-outline-primary">
                                    {{$mem->waitingList->status}}
                                </button>
                            </td>
                        @endif
                    @else
                        <td>
                            <button class="btn btn-outline-danger">
                                Not Yet In Queue
                            </button>
                        </td>
                    @endif
                    <td>
                        <a href="{{route('council-view-waiting-list',$mem->id)}}"
                           class="btn btn-outline-primary">
                            view
                        </a>
                    </td>
                </tr>
            @endforeach
            </tbody>
        </table>
        @include('includes.table-footer')
    </div>
</div>
