@extends('layouts.master', ['menuJson' => $councilMenu, 'moduleTitle' => Auth::user()->council->council])

@section('page-css')
    @livewireStyles
    <style src="{{ asset('assets/css/custom/sweetalerts.css') }}"></style>
@endsection
@section('content')
    <div class="main-body">
        <div class="page-wrapper">
            <!-- Page-header start -->
            <div class="page-header">
                <div class="row align-items-end">
                    <div class="col-lg-8">
                        <div class="page-header-title">
                            <div class="d-inline">
                                <h4>{{\Illuminate\Support\Facades\Auth::user()->council->council}}</h4>
                                <span>WaitingList</span>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="page-header-breadcrumb">
                            <ul class="breadcrumb-title">
                                <li class="breadcrumb-item">
                                    <a href="index-1.htm"> <i class="feather icon-home"></i> </a>
                                </li>
                                <li class="breadcrumb-item"><a href="#!">WaitingQueue</a>
                                </li>
{{--                                <li class="breadcrumb-item"><a href="#!">All Queries</a>--}}
{{--                                </li>--}}
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="tab-header">
                        <ul class="nav nav-tabs md-tabs tab-timeline" role="tablist" id="mytab">
                            <li class="nav-item">
                                <a class="nav-link active" data-toggle="tab" href="#personal" role="tab">
                                    <div class="card m-2">
                                        <div class="card-block">
                                            <div class="row align-items-center m-l-0">
                                                <div class="col-auto">
                                                    <i class="feather icon-list f-30 text-c-lite-green"></i>
                                                </div>
                                                <div class="col-auto">
                                                    <h6 class="text-muted m-b-10">Stand Applications</h6>
                                                    <h2 class="m-b-0">{{$totalResidentWaitingList}}</h2>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </a>
                                <div class="slide"></div>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" data-toggle="tab" href="#binfo" role="tab">
                                    <div class="card m-2">
                                        <div class="card-block">
                                            <div class="row align-items-center m-l-0">
                                                <div class="col-auto">
                                                    <i class="feather icon-dollar-sign f-30 text-c-lite-green"></i>
                                                </div>
                                                <div class="col-auto">
                                                    <h6 class="text-muted m-b-10">Stand Payments (Portal)</h6>
                                                    <h2 class="m-b-0">{{$totalResidentWaitingListPayment}} <span>RTGS</span></h2>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </a>
                                <div class="slide"></div>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" data-toggle="tab" href="#contacts" role="tab">
                                    <div class="card m-2">
                                        <div class="card-block">
                                            <div class="row align-items-center m-l-0">
                                                <div class="col-auto">
                                                    <i class="feather icon-file-text f-30 text-c-lite-green"></i>
                                                </div>
                                                <div class="col-auto">
                                                    <h6 class="text-muted m-b-10">Markets Applications</h6>
                                                    <h2 class="m-b-0">{{$totalMarketWaitingList}}</h2>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </a>
                                <div class="slide"></div>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" data-toggle="tab" href="#review" role="tab">
                                    <div class="card m-2">
                                        <div class="card-block">
                                            <div class="row align-items-center m-l-0">
                                                <div class="col-auto">
                                                    <i class="feather icon-feather f-30 text-c-lite-green"></i>
                                                </div>
                                                <div class="col-auto">
                                                    <h6 class="text-muted m-b-10">Markets Payments</h6>
                                                    <h2 class="m-b-0">{{$totalMarketWaitingListPayment}} <span>(RTGS)</span></h2>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </a>
                                <div class="slide"></div>
                            </li>
                        </ul>
                    </div>
                    @php
                        $market = "market_applicant";
                        $applicant = "application_id";
                    @endphp
                    <div class="tab-content">
                        <div class="tab-pane active" id="personal" role="tabpanel">
                            <div class="card">
                                <div class="card-header">
                                    <h5 class="card-header-text">All Applications</h5>
                                    <button id="edit-btn" type="button"
                                            class="btn btn-sm btn-primary waves-effect waves-light f-right">
                                        <i class="icofont icofont-eye"></i>
                                    </button>
                                </div>
                                <div class="row">
                                    <div class="col-lg-12">
                                        <livewire:councilmanagement::waiting-list.waiting-list-application />
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="tab-pane" id="binfo" role="tabpanel">
                            <div class="card">
                                <div class="card-header">
                                    <h5 class="card-header-text">Portal Payments</h5>
                                    <button id="edit-btn" type="button"
                                            class="btn btn-sm btn-primary waves-effect waves-light f-right">
                                        <i class="icofont icofont-eye"></i>
                                    </button>
                                </div>
                                <div>
                                    <livewire:councilmanagement::waiting-list-portal-payments :type="$applicant"/>
                                </div>
                            </div>
                        </div>

                        <div class="tab-pane" id="contacts" role="tabpanel">
                            <div class="card">
                                <div class="card-header">
                                    <h5 class="card-header-text">Suggestions</h5>
                                    <button id="edit-btn" type="button"
                                            class="btn btn-sm btn-primary waves-effect waves-light f-right">
                                        <i class="icofont icofont-eye"></i>
                                    </button>
                                </div>
                                <div>
                                    <livewire:councilmanagement::waiting-list.council-market-table />
                                </div>
                            </div>
                        </div>

                        <div class="tab-pane" id="review" role="tabpanel">
                            <div class="card">
                                <div class="card-header">
                                    <h5 class="card-header-text">Market Payment</h5>
                                    <button id="edit-btn" type="button"
                                            class="btn btn-sm btn-primary waves-effect waves-light f-right">
                                        <i class="icofont icofont-eye"></i>
                                    </button>
                                </div>
                                <div>
                                    <livewire:councilmanagement::waiting-list-portal-payments :type="$market"/>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        @endsection
        @section('page-js')
            @livewireScripts
            <script src="{{ asset('assets/js/sweetalert/js/sweetalert2@11.js') }}"></script>
            <x-livewire-alert::scripts/>
            <script src="{{ asset('vendor/livewire-alert/livewire-alert.js') }}"></script>
            <x-livewire-alert::flash/>
@endsection
