<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use Modules\CouncilManagement\Http\Controllers\CouncilConfigurationManagementController;
use Modules\CouncilManagement\Http\Controllers\CouncilManagementController;

Route::middleware(['auth','isCouncil'])->prefix('council-dashboard')->group(function() {
    Route::get('/', [CouncilManagementController::class,'index'])->name('council-dashboard');
    Route::get('council-all-accounts', [CouncilManagementController::class,'allAccounts'])->name('council-all-accounts');
    Route::get('council-pendings', [CouncilManagementController::class,'pendingApprovals'])->name('council-pendings');
    Route::get('council-inspections', [CouncilManagementController::class,'inspections'])->name('council-inspections');
    Route::get('council-configurations', [CouncilManagementController::class,'configurations'])->name('council-configuration');
    Route::get('council-reports', [CouncilManagementController::class,'reports'])->name('council-reports');
    Route::get('council-all-licence', [CouncilManagementController::class,'allBusinessLicenceApplicants'])->name('council-all-business-licence');
    Route::get('council-all-payment-plans', [CouncilManagementController::class,'allPaymentPlanApplicants'])->name('council-all-payment-plan');
    Route::get('council-all-waiting-list', [CouncilManagementController::class,'allWaitingListApplicants'])->name('council-all-waiting-list');
    Route::get('council-view-waiting-list/{id}', [CouncilManagementController::class ,'viewApplicant'])->name('council-view-waiting-list');
    Route::get('council-market/{id}', [CouncilManagementController::class , 'viewMarketCouncil'])->name('council-market-view');
    Route::get('council-all-payments', [CouncilManagementController::class,'allPayments'])->name('council-payments');
    Route::get('council-all-queries', [CouncilManagementController::class,'allQueries'])->name('council-queries');
    Route::get("council-read-query/{id}",[CouncilManagementController::class ,"readQuery"])->name('council-read-query');
    Route::get('council-chat-call-center', [CouncilManagementController::class,"callCenter"])->name('council-chat-call-center');

    Route::prefix('council-configurations')->group(function() {
        Route::post('council-create-land-class', [CouncilConfigurationManagementController::class,'addLandClass'])->name('council-create-land-class');
        Route::post('council-create-marjet-type', [CouncilConfigurationManagementController::class,'addMarkType'])->name('council-create-market-type');
        Route::post('council-create-inspection-stage', [CouncilConfigurationManagementController::class,'inspectionStage'])->name('council-create-inspection-stage');
        Route::post('council-create-inspection-tarrif', [CouncilConfigurationManagementController::class,'newTarrif'])->name('council-create-inspection-tarrif');
        Route::post('council-create-business-category', [CouncilConfigurationManagementController::class,'businessCategory'])->name('council-create-business-category');
    });
});
