<?php

namespace Modules\SystemSettings\Entities;

use App\Models\User;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasOne;

class Council extends Model
{
    use HasFactory;

    protected $guarded = [];

    protected $fillable = ['hasUser'];

    public function user():HasOne{
        return $this->hasOne(User::class, 'council_id');
    }

    public function province():BelongsTo{
        return $this->belongsTo(Province::class, 'province_id');
    }

    protected static function newFactory()
    {
        return \Modules\SystemSettings\Database\factories\CouncilFactory::new();
    }
}
