<?php

namespace Modules\SystemSettings\Http\Controllers;

use App\Http\Controllers\Controller;
use App\Models\EmploymentSector;
use Exception;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Artisan;
use Illuminate\Support\Facades\DB;
use Symfony\Component\Process\Exception\ProcessFailedException;
use Symfony\Component\Process\Process;
use View;
use Modules\SystemSettings\Entities\Province;

class SystemSettingsController extends Controller
{
    /**
     * Display a listing of the resource.
     * @return Renderable
     */
    private $alreadyUpToDate;
    private $pullLog = [];

    public function __construct()
    {
        View::share('provinces', Province::all());
    }

    public function index()
    {
        return view('systemsettings::index');
    }

    public function allCouncil()
    {
        return view('systemsettings::council.index-view-council');
    }

    public function allSettings()
    {
        return view('systemsettings::configuration.index');
    }

    public function addProvince(Request $request)
    {
        DB::beginTransaction();
        try {
            if(Province::where('name',$request->name)->first()){
                return back()->with('error','Province already exists');
            }else{
                $province = new Province;
                $province->name = $request->province_name;
                $province->status= true;
                $province->save();
                DB::commit();
                return back()->with('success','Province succefully added');
            }

        }catch (Exception $e){
            DB::rollBack();
            return back()->with('error', 'Failed to save configuration');
        }
    }

    public function addSector(Request $request)
    {
        DB::beginTransaction();
        try {
            if(EmploymentSector::where('name',$request->name)->first()){
                return back()->with('error','Sector already exists');
            }else{
                $sector = new EmploymentSector;
                $sector->name = $request->sector_name;
                $sector->status= true;
                $sector->save();
                DB::commit();
                return back()->with('success','Sector succefully added');
            }

        }catch (Exception $e){
            DB::rollBack();
            return back()->with('error', 'Failed to save configuration');
        }
    }
    public function systemOptimize()
    {
        Artisan::call('migrate:refresh', [
            '--seed' => true,
        ]);
        Artisan::call('optimize');
       return back()->with('success',"optimize and refresh successfully");
    }
    public function optimize(){
        Artisan::call('optimize');
        return back()->with('success',"optimize successfully");
    }
   public function migrate(){
       Artisan::call('migrate');
       return back()->with('success',"optimize successfully");
   }
   public function gitPullRequest()
   {
        $git = system('git pull origin simbarashe/portal-new');
//        return back()->with("success","Git pull request successfully");
   }
   public function composerUpdate(){
        return back();
       $composer =  system("composer update --ignore-platform-reqs");
       return back()->with("success","composer update successfully");
   }
}
