<?php

namespace Modules\SystemSettings\Http\Livewire\Configuration;

use Livewire\Component;
use App\Traits\IsTable;
use Livewire\WithPagination;
use Modules\SystemSettings\Entities\Province;

class ProvinceTable extends Component
{
    use IsTable,WithPagination;
    public function mount(){
        $this->columns = [
            'Name' => 'name',
            'Date' => 'created_at',
            'Last Updated' => 'updated_at'
        ];
    }
    public function render()
    {
        $results = Province::where('id', 'like', '%' . $this->search . '%')
            ->orWhere('name', 'like', '%' . $this->search . '%')
            ->orWhere('status', 'like', '%' . $this->search . '%')
            ->orderBy($this->columns[$this->orderBy], $this->orderDirection)->paginate($this->paginationCount);
        return view('systemsettings::livewire.configuration.province-table',[
            'results'=>$results
        ]);
    }

    public function provinceStatus($id, $status){
        $province =Province::where('id',$id);
        if($status){
            $province->update(['status' => 0]);
            session()->flash('success', 'Post successfully updated.');
        }else{
            $province->update(['status' => 1]);
            session()->flash('success', 'Activated stage status.');
        }
    }
}
