<?php

namespace Modules\SystemSettings\Http\Livewire\Configuration;

use App\Models\EmploymentSector;
use App\Traits\IsTable;
use Livewire\Component;
use Livewire\WithPagination;

class SectorsTable extends Component
{
    use IsTable,WithPagination;
    public function mount(){
        $this->columns = [
            'Name' => 'name',
            'Date' => 'created_at',
            'Last Updated' => 'updated_at'
        ];
    }
    public function render()
    {
        $results = EmploymentSector::where('id', 'like', '%' . $this->search . '%')
            ->orWhere('name', 'like', '%' . $this->search . '%')
            ->orWhere('status', 'like', '%' . $this->search . '%')
            ->orderBy($this->columns[$this->orderBy], $this->orderDirection)->paginate($this->paginationCount);
        return view('systemsettings::livewire.configuration.sectors-table',[
            'results' =>$results
        ]);
    }

    public function classStatus($id, $status){
        $class =EmploymentSector::where('id',$id);
        if($status){
            $class->update(['status' => 0]);
            session()->flash('success', 'Post successfully updated.');
        }else{
            $class->update(['status' => 1]);
            session()->flash('success', 'Activated stage status.');
        }
    }
}
