<?php

namespace Modules\SystemSettings\Http\Livewire\Council;

use App\Traits\IsTable;
use Jantinnerezo\LivewireAlert\LivewireAlert;
use Livewire\Component;
use Livewire\WithPagination;
use Modules\SystemSettings\Entities\Council;
use function view;

class CouncilTable extends Component
{
    use IsTable,WithPagination, LivewireAlert;
    public function mount(){
        $this->columns = [
            'Council Name' => 'council',
            'Email' => 'email',
            'Address' => 'address',
            'Date' => 'created_at',
            'Last Updated' => 'updated_at'
        ];
    }
    public function render()
    {
        $results = Council::where('id', 'like', '%' . $this->search . '%')
            ->orWhere('council', 'like', '%' . $this->search . '%')
            ->orWhere('status', 'like', '%' . $this->search . '%')
            ->orderBy($this->columns[$this->orderBy], $this->orderDirection)->paginate($this->paginationCount);
        return view('systemsettings::livewire.council.council-table',[
            'results'=>$results
        ]);
    }

    public function councilStatus($id, $status){
        $province =Council::where('id',$id);
        if($status){
            $province->update(['status' => 0]);
            $this->alert('success','Post successfully deactivated.',[
                'position'=>'top'
            ]);
        }else{
            $province->update(['status' => 1]);
            $this->alert('success','Activated stage status.',[
                'position'=>'top'
            ]);
        }
    }
}
