@extends('layouts.master', ['menuJson' => $systemSettingsMenu, 'moduleTitle' => 'Lads Management Portal'])

@section('page-css')
    <style>
        .switch {
            position: relative;
            display: inline-block;
            width: 60px;
            height: 29px;
        }

        .switch input {
            opacity: 0;
            width: 0;
            height: 0;
        }

        .slider {
            position: absolute;
            cursor: pointer;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            background-color: #ccc;
            -webkit-transition: .4s;
            transition: .4s;
        }

        .slider:before {
            position: absolute;
            content: "";
            height: 21px;
            width: 26px;
            left: 4px;
            bottom: 4px;
            background-color: white;
            -webkit-transition: .4s;
            transition: .4s;
        }

        input:checked + .slider {
            background-color: #2196F3;
        }

        input:focus + .slider {
            box-shadow: 0 0 1px #2196F3;
        }

        input:checked + .slider:before {
            -webkit-transform: translateX(26px);
            -ms-transform: translateX(26px);
            transform: translateX(26px);
        }

        /* Rounded sliders */
        .slider.round {
            border-radius: 34px;
        }

        .slider.round:before {
            border-radius: 50%;
        }
    </style>
    @livewireStyles
@endsection

@section('content')
    <!-- Main-body start -->
    <div class="main-body">
        <div class="page-wrapper">
            <!-- Page-header start -->
            <div class="page-header">
                <div class="row align-items-end">
                    <div class="col-lg-8">
                        <div class="page-header-title">
                            <div class="d-inline">
                                <h4>Configurations Mangement</h4>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Page-header end -->

            <!-- Page-body start -->
            <div class="page-body" id="display_msg">

                <div class="row">
                    <div class="col-lg-12">
                        <!-- tab header start -->
                        <div class="tab-header card row">
                            <ul class="nav nav-tabs md-tabs tab-timeline" role="tablist" id="mytab">
                                <li class="nav-item col-md-6">
                                    <a class="nav-link active" data-toggle="tab" href="#province" title="province" role="tab">Province Management</a>
                                    <div class="slide"></div>
                                </li>
                                <li class="nav-item col-md-6">
                                    <a class="nav-link" data-toggle="tab" href="#sectors" title="Employment Sectostors" role="tab">Employment Sectors</a>
                                    <div class="slide"></div>
                                </li>
                            </ul>
                        </div>
                        <!-- personal card start -->

                        <!-- personal card start -->
                        <div class="tab-content">
                            <!-- tab panel contact start -->
                            <div class="tab-pane active" id="province" role="tabpanel">
                                <!-- personal card start -->
                                <div class="card">
                                    <div class="card-header">
                                        <h5 class="card-header-text">Provinces</h5>
                                        <div class="form-group pl-0 pull-right">
                                            <button class="btn btn-primary" data-toggle="modal" data-target="#add-province">Add Province</button>
                                        </div>
                                    </div>
                                    @livewire('systemsettings::configuration.province-table')
                                    <!-- end of card-block -->
                                </div>
                                <!-- contact card end-->
                            </div>
                            <!-- tab pane contact end -->
                            <!-- tab panel conduct start -->
                            <div class="tab-pane" id="sectors" role="tabpanel">
                                <!-- conditions card start -->
                                <div class="card">
                                    <div class="card-header">
                                        <h5 class="card-header-text">Employment Sectors</h5>
                                        <button data-toggle="modal" data-target="#add-sector" type="button" class="btn btn-sm btn-primary waves-effect waves-light f-right">
                                            <i class="feather icon-plus-circle"></i>Add Sector
                                        </button>
                                    </div>
                                    <div class="card-block">
                                        <div class="view-info">
                                            <div class="row">
                                                <div class="col-lg-12">
                                                    <div class="general-info">
                                                        <div class="row">
                                                            <div class="col-lg-12 col-xl-12 ">
                                                                <div class="table-responsive">
                                                                    @livewire('systemsettings::configuration.sectors-table')
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <!-- end of row -->
                                                    </div>
                                                    <!-- end of general info -->
                                                </div>
                                                <!-- end of col-lg-12 -->
                                            </div>
                                            <!-- end of row -->
                                        </div>
                                    </div>
                                    <!-- end of card-block -->
                                </div>
                                <!-- conditions card end-->
                            </div>
                            <!-- tab pane conditions end -->
                        </div>
                    </div>
                </div>
                <!-- Page-body end -->
            </div>
            <!-- Page-body end -->
        </div>
    </div>
@endsection

@section('modals')
    @include('systemsettings::layouts.modals')
@endsection

@section('page-js')
    @livewireScripts
@endsection
