<div>
    <style>
        .hide1 .hide2 {
            display: none;
        }

        .name1:hover + .hide {
            display: block;
            color: red;
        }
        .name2:hover + .hide {
            display: block;
            color: red;
        }
    </style>
    @include('includes.table-header')

    <table class="table table-styling" id="orderStagesTable">
        <thead>
        <tr>
{{--            <th>Code</th>--}}
{{--            <th>Council Name</th>--}}
{{--            <th>Province</th>--}}
{{--            <th>Contacts</th>--}}
            <th>Details</th>
{{--            <th>Status</th>--}}
            <th>Actions</th>
        </tr>
        </thead>
        <tbody id="sortOrder">
        @foreach ($results as $result)
            <tr>
{{--                <td>{{$result->code}}</td>--}}
                <td>
                    <div class="card">
                        <div class="card-header">
                            {{$result->council}} | {{$result->province->name}}<hr>
                        </div>
{{--                        <div class="card-body">Content</div><hr>--}}
                        <div class="card-footer">
                            <p>
                                <i class="feather icon-mail"></i> :{{$result->email}} |
                                <i class="feather icon-phone"></i> :{{$result->telephone}}|
                                <i class="feather icon-map-pin"></i> :{{$result->address}}
                            </p>
                        </div>
                    </div>
                </td>
                <td>
                    <label class="switch">
                        <input title="Status" type="checkbox" @if ( $result->status)checked @endif value="{{ $result->status }}" wire:change="councilStatus({{$result->id}},{{$result->status}})">
                        <span class="slider round"></span>
                    </label>
                    <button data-toggle="modal" data-target="#add-intergartion-keys" onclick="openUser('{{$result->id}}','{{$result->council}}')" type="button" class="btn btn-outline-info waves-effect waves-light" style="float: none;margin: 5px;">
                        <span class="feather icon-airplay"></span>
                    </button>
                    <button data-toggle="modal" data-target="#add-comparative-approver" type="button" class="tabledit-delete-button btn btn-danger waves-effect waves-light" style="float: none;margin: 5px;">
                        <span class="feather icon-trash-2"></span>
                    </button>
                    @if(!$result->hasUser)
                        <button data-toggle="modal" title="Add Council User" onclick="openUser('{{$result->id}}','{{$result->council}}')" data-target="#add-council-user" type="button" class="tabledit-delete-button btn btn-outline-success waves-effect waves-light" style="float: none;margin: 5px;">
                            <span class="feather icon-user-plus"></span>
                        </button>
                    @else
                        <button data-toggle="modal" title="Add Council User" onclick="openEditUser('{{$result->id}}','{{$result->council}}')" data-target="#add-council-user" type="button" class="tabledit-delete-button btn btn-outline-success waves-effect waves-light" style="float: none;margin: 5px;">
                            <span class="feather icon-user-plus"></span>
                        </button>
                    @endif
                </td>
            </tr>
        @endforeach
        </tbody>
        @include('includes.table-footer')
    </table>
    <div class="modal fade" id="add-council-user" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">Add Council User</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>

                <form method="POST" action="{{route('admin-add-council-user')}}">
                    @csrf
                    <div class="modal-body">
                        <div class="row">
                            <div class="form-group form-primary col-md-6">
                                <input type="text" name="first_names" class="form-control @error('first_names') border-danger @enderror" required placeholder="Your Firts Name">
                                <span class="form-bar"></span>
                                @error('first_names')
                                <span class="text-danger">
                                        {{ $message }}
                                    </span>
                                @enderror
                            </div>
                            <div class="form-group form-primary col-md-6">
                                <input type="text" name="surname" class="form-control @error('surname') border-danger @enderror" required placeholder="Your Surname">
                                <span class="form-bar"></span>
                                @error('surname')
                                <span class="text-danger">
                                        {{ $message }}
                                    </span>
                                @enderror
                            </div>
                            <div class="form-group form-primary col-md-6">
                                <input type="email" name="email" class="form-control @error('email') border-danger @enderror" required placeholder="Your Email">
                                <span class="form-bar"></span>
                                @error('email')
                                <span class="text-danger">
                                        {{ $message }}
                                    </span>
                                @enderror
                            </div>
                            <div class="form-group form-primary col-md-6">
                                <input type="text" name="telephone" class="form-control @error('telephone') border-danger @enderror" required placeholder="Your Phone Number">
                                <span class="form-bar"></span>
                                @error('telephone')
                                <span class="text-danger">
                                        {{ $message }}
                                    </span>
                                @enderror
                            </div>
                            <div class="form-group form-primary col-md-6">
                                <input type="tel" name="telephone_alt" class="form-control @error('telephone_alt') border-danger @enderror" required placeholder="Enter alternate phone number">
                                <span class="form-bar"></span>
                                @error('telephone_alt')
                                <span class="text-danger">
                                        {{ $message }}
                                    </span>
                                @enderror
                            </div>
                            <div class="form-group form-primary col-md-6">
                                <input type="text" class="form-control council_name" disabled>
                                <input name="council_id" type="hidden" class="form-control council_id">
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default waves-effect " data-dismiss="modal"><i class="feather icon-x-circle"></i>Close</button>
                        <button type="submit" class="btn btn-default waves-effect " style=" background: skyblue;"><i class="feather icon-save"></i> Save</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="modal fade" id="add-intergartion-keys" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">Add Paynow Accounts</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>

                <form method="POST" action="{{route('admin-add-council-accounts')}}">
                    @csrf
                    <div class="modal-body">
                        <div class="row">
                            <div class="form-group form-primary col-md-6">
                                <input type="password" name="intergration_key" class="form-control @error('intergration_key') border-danger @enderror" required placeholder="Intergartion Keys">
                                <span class="form-bar"></span>
                                @error('intergration_key')
                                <span class="text-danger">
                                        {{ $message }}
                                    </span>
                                @enderror
                            </div>
                            <div class="form-group form-primary col-md-6">
                                <input type="text" name="intergration_secrete" class="form-control @error('intergration_secrete') border-danger @enderror" required placeholder="Intergration Secrete">
                                <span class="form-bar"></span>
                                @error('intergration_secrete')
                                <span class="text-danger">
                                        {{ $message }}
                                    </span>
                                @enderror
                            </div>
                            <div class="form-group form-primary col-md-6">
                                <input type="number" name="ecocash_number" class="form-control @error('ecocash_number') border-danger @enderror" required placeholder="Ecocash number">
                                <span class="form-bar"></span>
                                @error('ecocash_number')
                                    <span class="text-danger">
                                        {{ $message }}
                                    </span>
                                @enderror
                            </div>
                            <div class="form-group form-primary col-md-6">
                                <input type="number" name="netone_number" class="form-control @error('netone_number') border-danger @enderror" required placeholder="Netone number">
                                <span class="form-bar"></span>
                                @error('netone_number')
                                <span class="text-danger">
                                        {{ $message }}
                                    </span>
                                @enderror
                            </div>
                            <div class="form-group form-primary col-md-6">
                                <input type="number" name="telecash_number" class="form-control @error('telecash_number') border-danger @enderror" required placeholder="Telecash number">
                                <span class="form-bar"></span>
                                @error('telecash_number')
                                <span class="text-danger">
                                        {{ $message }}
                                    </span>
                                @enderror
                            </div>
                            <div class="form-group form-primary col-md-6">
                                <input name="council_id" type="hidden" class="form-control council_id">
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default waves-effect " data-dismiss="modal"><i class="feather icon-x-circle"></i>Close</button>
                        <button type="submit" class="btn btn-default waves-effect " style=" background: skyblue;"><i class="feather icon-save"></i> Save</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="modal fade" id="add-council-user" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">Edit Council User</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>

                <form method="POST" action="{{route('admin-add-council-user')}}">
                    @csrf
                    <div class="modal-body">
                        <div class="row">
                            <div class="form-group form-primary col-md-6">
                                <input type="text" name="first_names" class="form-control @error('first_names') border-danger @enderror" required placeholder="Your Firts Name">
                                <span class="form-bar"></span>
                                @error('first_names')
                                <span class="text-danger">
                                        {{ $message }}
                                    </span>
                                @enderror
                            </div>
                            <div class="form-group form-primary col-md-6">
                                <input type="text" name="surname" class="form-control @error('surname') border-danger @enderror" required placeholder="Your Surname">
                                <span class="form-bar"></span>
                                @error('surname')
                                <span class="text-danger">
                                        {{ $message }}
                                    </span>
                                @enderror
                            </div>
                            <div class="form-group form-primary col-md-6">
                                <input type="email" name="email" class="form-control @error('email') border-danger @enderror" required placeholder="Your Email">
                                <span class="form-bar"></span>
                                @error('email')
                                <span class="text-danger">
                                        {{ $message }}
                                    </span>
                                @enderror
                            </div>
                            <div class="form-group form-primary col-md-6">
                                <input type="text" name="telephone" class="form-control @error('telephone') border-danger @enderror" required placeholder="Your Phone Number">
                                <span class="form-bar"></span>
                                @error('telephone')
                                <span class="text-danger">
                                        {{ $message }}
                                    </span>
                                @enderror
                            </div>
                            <div class="form-group form-primary col-md-6">
                                <input type="tel" name="telephone_alt" class="form-control @error('telephone_alt') border-danger @enderror" required placeholder="Enter alternate phone number">
                                <span class="form-bar"></span>
                                @error('telephone_alt')
                                <span class="text-danger">
                                        {{ $message }}
                                    </span>
                                @enderror
                            </div>
                            <div class="form-group form-primary col-md-6">
                                <input type="text" class="form-control council_name" disabled>
                                <input name="council_id" type="hidden" class="form-control council_id">
                                <input name="address" value="" type="hidden" class="form-control">
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default waves-effect " data-dismiss="modal"><i class="feather icon-x-circle"></i>Close</button>
                        <button type="submit" class="btn btn-default waves-effect " style=" background: skyblue;"><i class="feather icon-save"></i> Save</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <script>

        function openUser(id, council){
            $('input.council_id').val(id);
            $('input.council_name').val(council);
        }
        function openEditUser(id, council){
            $('input.council_id').val(id);
            $('input.council_name').val(council);
        }

    </script>
</div>
