<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use Modules\SystemSettings\Http\Controllers\CouncilManagementController;
use Modules\SystemSettings\Http\Controllers\SystemSettingsController;

Route::middleware(['auth','isAdmin'])->prefix('lads-dashboard')->group(function() {
    Route::get('/', [SystemSettingsController::class,'index'])->name('lads-dashboard');
    Route::get('/all-councils', [SystemSettingsController::class,'allCouncil'])->name('admin-all-council');
    Route::get('/all-settings', [SystemSettingsController::class,'allSettings'])->name('admin-all-settings');

    Route::post('/add-council', [CouncilManagementController::class,'addCouncil'])->name('admin-add-council');
    Route::post('/add-accounts', [CouncilManagementController::class,'addAccounts'])->name('admin-add-council-accounts');
    Route::post('/add-council-user', [CouncilManagementController::class,'addCouncilUser'])->name('admin-add-council-user');
    Route::post('/add-province', [SystemSettingsController::class,'addProvince'])->name('admin-add-province');
    Route::post('/add-sector', [SystemSettingsController::class,'addSector'])->name('admin-add-sector');
    Route::get('/system-optimize',[SystemSettingsController::class,'systemOptimize'])->name('admin-system-optimize');
    Route::get('/optimize',[SystemSettingsController::class,'optimize'])->name("optimize");
    Route::get('/migrate',[SystemSettingsController::class,'migrate'])->name('admin-migrate');
    Route::get('/git-pull-request',[SystemSettingsController::class,'gitPullRequest'])->name('admin-git-pull');
    Route::get("/composer-update",[SystemSettingsController::class,'composerUpdate'])->name('composer-update');
});
