<?php

namespace Modules\UserManagement\Http\Controllers;

use App\Models\InspectionBooking;
use App\Models\InspectionHistory;
use App\Models\SyncData;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\DB;

class BuildingInpesctionController extends Controller
{
//    public function __construct()
//    {
//        $this->middleware('auth');
//    }

    public function newBuildingInspection(Request $request)
    {
        DB::beginTransaction();
        try {
            $this->validateInspectionBooking();

            $inspectionbooking = new InspectionBooking(request([
                'booked_by',
                'council_id',
                'user_id',
                'date_entered',
                'inspection_date',
                'account_id',
                'contact_number',
                'stage_id',
                'inspector_id'
            ]));

            $inspectionbooking->save();
            $data = new SyncData();
            $data->entity = 'InspectionBooking';
            $data->data_id = $inspectionbooking->id;
            $data->action = 'update';
            $data->sync = false;
            $data->paid = false;
            $data->save();
//            $message = 'Dear ' . $inspectionbooking->account->account_name . ' Your booking has been logged, booking id: ' . $inspectionbooking->id . ' Assigned to ' . $inspectionbooking->inspector->employee->name() . ' on ' . $inspectionbooking->inspection_date;
            $number = $inspectionbooking->account->cell1;
//            $phone = [$number];
//            sendSmsFunction($phone, $message);

            $inspectionhistory = new InspectionHistory();
            $inspectionhistory->inspection_booking_id = $inspectionbooking->id;
            $inspectionhistory->inspection_dones_id = $inspectionbooking->id;

            $inspectionhistory->save();
            DB::commit();
            return back()->with('success', 'Successfully saved the record');
        }catch (\Exception $e){
            DB::rollBack();
            return back()->with('error', 'Failed to save record');
        }

    }

    public function updateBuildingInspection(Request $request)
    {
        DB::beginTransaction();
        try {
            //$this->validateInspectionBooking();

            $inspectionbooking = InspectionBooking::where('id',$request->inspection_id)->update([
                'booked_by'=>$request->booked_by,
                'council_id'=>$request->council_id,
                'user_id'=>$request->user_id,
                'date_entered'=>$request->date_entered,
                'inspection_date'=>$request->inspection_date,
                'account_id'=>$request->account_id,
                'contact_number'=>$request->contact_number,
                'stage_id'=>$request->stage_id,
                'inspector_id'=>$request->inspector_id
            ]);

            $inspectionbooking->save();
            DB::commit();
            return back()->with('success', 'Successfully updated');
        }catch (\Exception $e){
            DB::rollBack();
            return back()->with('error', 'Failed to update record');
        }

    }

    public function validateInspectionBooking()
    {
        return request()->validate([
            'booked_by' => 'required',
            'date_entered' => 'required',
            'inspection_date' => 'required',
            'account_id' => 'required',
            'contact_number' => 'required',
        ]);
    }

    public function validateInspectionDone()
    {
        return request()->validate([
            'inspection_booking_id' => 'required',
            'date_inspected' => 'required',
            'inspected_by' => 'required',
            'stage_id' => 'required',
            'artisan_id' => 'required',
            'outcome' => 'required',
            'comments' => 'required'
        ]);
    }
}
