<?php

namespace Modules\UserManagement\Http\Controllers;

use App\Models\PaymentPlan;
use App\Models\SyncData;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;

class PaymentPlanController extends Controller
{
    /**
     * Display a listing of the resource.
     * @return Renderable
     */
    public function creeatePLan()
    {
        try {
            $plan = PaymentPlan::where(['account_no' => request('account_no'),'status' => 'PENDING'])->first();
            if($plan) {
                return redirect('/paymentplan/preview/' . $plan->id)->with('warning', 'Payment plan already exists in user data');
            } else {

                $addpaymentplan = new PaymentPlan();
                //saving payment plan details
                $addpaymentplan->account_no = request('account_no');
                $addpaymentplan->tarrif_code = request('tarrif_id');
                $addpaymentplan->debt = request('debt');
                $addpaymentplan->repayment_period = request('repayment_period');
                $addpaymentplan->start_date = request('sd');

                $tariff = Tarrif::where('id',request('tarrif_id'))->first();

                if (request('repayment_period') > $tariff->max_period)
                {
                    $addpaymentplan->status = "POSTED";
                } else {
                    $addpaymentplan->status = "PENDING";
                }

                $addpaymentplan->end_date = date("Y/m/d", strtotime("+" . request('repayment_period') . " months", strtotime(request('sd'))));
                $addpaymentplan->created_by = Auth::User()->username;
                $addpaymentplan->save();
                $id = $addpaymentplan->id;

                $data = new SyncData();
                $data->entity = 'PaymentPlan';
                $data->data_id = $addpaymentplan->id;
                $data->action = 'update';
                $data->sync = false;
                $data->save();

                if (request('who') == "committer") {
                    $committer = new Committer();

                    $committer->plan_no = $id;
                    $committer->committer = request('committer');
                    $committer->national_id = request('national_id');
                    $committer->email = request('email');
                    $committer->contact = request('contact_no');
                    $committer->physical_address = request('p_address');
                    $committer->gender = "NOT SPECIFIED";
                    $committer->relationship = request('relation');
                    $committer->nok_ralationship = request('relationship');
                    $committer->nok_name = request('nok_name');
                    $committer->nok_id = request('nok_id');
                    $committer->nok_contact = request('nok_contact');
                    $committer->nok_email = request('nok_email');
                    $committer->nok_address = request('nok_address');

                    $committer->save();
                }
                $period = request('repayment_period');
                $debt = request('debt') - request('deposit');

                $spread = round($debt / $period);

                $balanceto = request('debt') - request('deposit');

                for ($i = 0; $i < $period; $i++) {

                    if ($i == ($period - 1)) {
                        $repayment = new PpLedger();

                        $repayment->plan_no = $id;
                        $repayment->repayment_date = date("Y/m/d", strtotime("+" . $i . " months", strtotime(request('sd'))));
                        $repayment->debt = $balanceto;
                        $repayment->payment = $i + 1;
                        $repayment->status = 'PENDING';
                        $repayment->save();
                    } else {
                        $repayment = new PpLedger();

                        $repayment->plan_no = $id;
                        $repayment->repayment_date = date("Y/m/d", strtotime("+" . $i . " months", strtotime(request('sd'))));
                        $repayment->debt = $spread;
                        $repayment->payment = $i + 1;
                        $repayment->status = 'PENDING';
                        $repayment->save();
                    }

                    $balanceto = $balanceto - $spread;
                }

                $record = array('national_id' => request('account_national_id'),'cell1' => request('account_contact_no'),'email' => request('account_email'));
                Account::where('account_no', request('account_no'))->update($record);

                if (updatepayments(request('account_no'),request('deposit'),request('receipt_no'))) {
                    return redirect('/paymentplan/preview/' . $id)->with('complete', 'Details successfully saved, please complete your payment plan');
                } else {
                    return "an error occured";
                }
            }

        } catch (Exception $e) {
            return $e;
            return back()->with('warning','Saving failed!!, please ensure that all details are correct before trying again');
        }
    }

}
