<?php

namespace Modules\UserManagement\Http\Controllers;

use App\BusinessLogic\CouncilPaymentServive;
use App\BusinessLogic\CreatePayment;
use App\BusinessLogic\Mari;
use App\BusinessLogic\MobileMoneyNumber;
use App\BusinessLogic\TransactionInfo;
use App\Http\Requests\PaymentRequest;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\UserManagement\Http\Controllers\JsonResponse;
use Paynow\Payments\Paynow;
use function dd;
use function response;

class PaymentsController extends Controller
{
    private $councilPaymentService;

    public function __construct(CouncilPaymentServive $service)
    {
        $this->councilPaymentService = $service;
//        $this->middleware('auth');
    }


    public function initialize(Request $request)
    {
            $amount = new Mari($request->amount);
            $customer = new MobileMoneyNumber($request->customer_number, $request->wallet);
////
            $info = new TransactionInfo($customer, $amount, $request->customer_email, $request->reason);
////
            $payment = $this->councilPaymentService->processCharge($info);
////
            $db_payment = [
                $request->account_no,
                $request->reason,
                $amount->amount(),
                $payment->reference,
                $payment->paynowReference,
                $payment->pollUrl,
                $payment->method,
                $payment->status,
                $request->item_reference,
                $request->item,
                $request->customer_number
            ];
            $data=CreatePayment::commit($db_payment);
            return response()->json( [
                'request'=>$data,
                'code'=>200
            ]);

    }

}
