<?php

namespace Modules\UserManagement\Http\Livewire\Accounts;

use App\Models\Account;
use App\Models\BillingAccounts;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Auth;
use Jantinnerezo\LivewireAlert\LivewireAlert;
use Livewire\Component;

class AddNewAccounts extends Component
{
    use LivewireAlert;

    public $account_no;
    public $account_name = null;
    public $account_number = null;

    public function updatedAccountNo()
    {
        $acc = Account::where('account_no', $this->account_no)->orwhere('account_name', $this->account_no)->first();
        if ($acc) {
            $this->account_name = $acc->account_name;
            $this->account_number = $acc->account_no;
        } else {
            $this->account_name = null;
            $this->account_number = null;
        }
    }

    public function render()
    {
        return view('usermanagement::livewire.accounts.add-new-accounts');
    }

}
