<?php

namespace Modules\UserManagement\Http\Livewire\Accounts;

use App\Traits\IsTable;
use App\Traits\PaynowPayment;
use Illuminate\Support\Facades\Auth;
use Jantinnerezo\LivewireAlert\LivewireAlert;
use Livewire\Component;
use Livewire\WithPagination;

class PaymentHistory extends Component
{
    use IsTable, WithPagination, LivewireAlert, PaynowPayment;

    public $latest;
    protected $createPayment, $status;

    public function mount()
    {
        $this->columns = [
            'Date' => 'created_at',
        ];
    }

    public function hydrate()
    {
        if (Auth::user()->last_payment) {
            if (Auth::user()->last_payment->pay_now_status == "Sent") {
                $this->latest = Auth::user()->last_payment;
                $this->createPayment = $this->payment();
                $this->status = $this->createPayment->pollTransaction($this->latest->poll_url);

                if ($this->status->paid()) {
                    $this->latest->update(['pay_now_status' => 'Paid']);
                    $this->success("Payment Received Successfully ");
                } else {
                $this->latest->update(['pay_now_status' => 'Cancelled']);
                }
            }
        }
    }

    public function render()
    {
//        $results =Auth::user()->getaccountsPayments();
        return view('usermanagement::livewire.accounts.payment-history');
    }
}
