<?php

namespace Modules\UserManagement\Http\Livewire\Accounts;

use App\Models\AccountVerificationApplication;
use App\Models\BillingAccounts;
use App\Traits\IsTable;
use Illuminate\Support\Facades\Auth;
use Jantinnerezo\LivewireAlert\LivewireAlert;
use Livewire\Component;
use Livewire\WithPagination;
use Paynow\Payments\Paynow;

class VerifiedAccounts extends Component
{
    use IsTable, WithPagination,LivewireAlert;

    public function mount(){
        $this->columns=[
            'Date'=>'created_at',
        ];
    }

    public function render()
    {
        $results =Auth::user()->getUserVerifiedAccounts();
        return view('usermanagement::livewire.accounts.verified-accounts',[
            'results'=>$results,
        ]);
    }


}
