<?php

namespace Modules\UserManagement\Http\Livewire\BuildingInspection;

use App\Models\BillingAccounts;
use App\Models\InspectionBooking;
use App\Models\Stage;
use App\Traits\IsTable;
use Illuminate\Support\Facades\Auth;
use Jantinnerezo\LivewireAlert\LivewireAlert;
use Livewire\Component;
use Livewire\WithPagination;

class BuildingInspection extends Component
{
    use WithPagination, IsTable, LivewireAlert;

    public function mount(){
        $this->columns=[
            'Date'=>'created_at',
        ];
    }

    public function render()
    {
        $results =InspectionBooking::where('council_id', Auth::user()->council_id)
            ->where('user_id',Auth::user()->id)
            ->orderBy($this->columns[$this->orderBy], $this->orderDirection)->paginate($this->paginationCount);
        return view('usermanagement::livewire.building-inspection.building-inspection',[
            'results'=>$results,
            'stages'=>Stage::where('council_id',Auth::user()->council_id)->get(),
            'accounts'=>BillingAccounts::where('council_id',Auth::user()->council_id)
            ->where('user_id',Auth::user()->id)->get()
        ]);
    }
}
