<?php

namespace Modules\UserManagement\Http\Livewire\BuildingInspection;

use App\Models\BillingAccounts;
use App\Models\Inspector;
use App\Models\Stage;
use Illuminate\Support\Facades\Auth;
use Livewire\Component;

class CreateInspection extends Component
{
    public function render()
    {
        return view('usermanagement::livewire.building-inspection.create-inspection',[
            'stages' => Stage::all(),
            'inspectors' => Inspector::all(),
            'accounts' => BillingAccounts::where('council_id',Auth::user()->council_id)
                ->where('status','verified')
                ->where('user_id',Auth::user()->id)->get(),
            'owner' => 'Account Owner',
        ]);
    }
}
