<?php

namespace Modules\UserManagement\Http\Livewire\BusinessLicence;

use App\Models\LicenceApplication;
use App\Traits\IsTable;
use Illuminate\Support\Facades\Auth;
use Livewire\Component;
use Livewire\WithPagination;

class ApplicationTable extends Component
{
    use WithPagination, IsTable;

    public function mount () {
        $this->columns = [
            'Status' => 'status',
            'Stage' => 'stage',
            'Date' => 'created_at',
            'Name' => 'applicant_name',
            'Account No' => 'account_no',
            'Phone No' => 'applicant_number',
            'Physical Address' => 'applicant_address',
            'Postal Address' => 'postal_address',
            'Application Date' => 'application_date'
        ];
    }

    public function render()
    {
        $results = LicenceApplication::where('user_id', Auth::user()->id )
            ->where(function ($query) {
                $query->orwhere('applicant_name','LIKE','%' . $this->search . '%')
                    ->orwhere('applicant_number','LIKE','%' . $this->search .  '%')
                    ->orwhere('applicant_address','LIKE','%' . $this->search .  '%')
                    ->orwhere('applicant_id','LIKE','%' . $this->search .  '%')
                    ->orwhere('status','LIKE','%' . $this->search .  '%')
                    ->orwhere('stage','LIKE','%' . $this->search .  '%')
                    ->orwhere('account_no','LIKE','%' . $this->search .  '%')
                    ->orwhere('business_owner_name','LIKE','%' . $this->search .  '%')
                    ->orwhere('business_owner_number','LIKE','%' . $this->search .  '%')
                    ->orwhere('business_owner_email','LIKE','%' . $this->search .  '%')
                    ->orwhere('business_owner_address','LIKE','%' . $this->search .  '%')
                    ->orwhere('business_address','LIKE','%' . $this->search .  '%')
                    ->orwhere('business_number','LIKE','%' . $this->search .  '%')
                    ->orwhere('business_name','LIKE','%' . $this->search .  '%')
                    ->orwhere('trading_as','LIKE','%' . $this->search .  '%')
                    ->orwhere('stand_number','LIKE','%' . $this->search .  '%')
                    ->orwhere('street_address','LIKE','%' . $this->search .  '%')
                    ->orwhere('owner_applicant','LIKE','%' . $this->search .  '%')
                    ->orwhere('vehicle_type','LIKE','%' . $this->search .  '%')
                    ->orwhere('previous_application','LIKE','%' . $this->search .  '%')
                    ->orwhere('badge_number','LIKE','%' . $this->search .  '%')
                    ->orwhere('bicycle','LIKE','%' . $this->search .  '%')
                    ->orwhere('maker_number','LIKE','%' . $this->search .  '%')
                    ->orwhere('breed','LIKE','%' . $this->search .  '%')
                    ->orwhere('sex','LIKE','%' . $this->search .  '%')
                    ->orwhere('colour','LIKE','%' . $this->search .  '%');
            })
            ->orderBy($this->columns[$this->orderBy], $this->orderDirection)->paginate($this->paginationCount);
        return view('usermanagement::livewire.business-licence.application-table',compact('results'));
    }
}
