<?php

namespace Modules\UserManagement\Http\Livewire\BusinessLicence;

use App\BusinessLogic\CommitToLedger;
use App\Models\LicenceApplication;
use App\Models\LicenceInvoice;
use App\Models\LicenceInvoiceLine;
use App\Models\LicenceType;
use App\Models\Payment;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Http;
use Jantinnerezo\LivewireAlert\LivewireAlert;
use Livewire\Component;
use function view;

class ApplyOtherLicence extends Component
{
    use LivewireAlert;
    public $types;
    public function mount(){
        $this->types= LicenceType::where('council_id',Auth::user()->council_id)
            ->where('title','!=','Shop')
            ->where('title','!=','Trading')
            ->where('title','!=','Liquor')
            ->where('status','active')
            ->get();
    }
    public function render()
    {
        return view('usermanagement::livewire.business-licence.apply-other-licence');
    }

    public function applyLicence($request){
        DB::beginTransaction();
        $uniq =uniqid();
        try {
            if (isset($request['hawker_id'])) {
                $licence = new LicenceApplication();
                $licence->licence_type_id = 4;
                $licence->applicant_name = ucwords(strtolower(Auth::user()->first_names . ' ' . Auth::user()->surnames));
                $licence->applicant_number = Auth::user()->telephone;
                $licence->applicant_id = Auth::user()->id_number;
                $licence->user_id = Auth::user()->id;
                $licence->council_id = Auth::user()->council_id;
                $licence->applicant_address = ucwords(strtolower(Auth::user()->address));
//                $licence->location_id = request('locationId');
//                $licence->district_id = request('districtId');
                $licence->owner_applicant =1; //$request['ownerApplicant'] == 'true' ? 1 : 0;
                $licence->vehicle_type = ucwords(strtolower($request['vehicleType']));
                $licence->bicycle = ucwords(strtolower($request['bicycle']));
                $licence->maker_number = $request['makerNumber'];
                $licence->badge_number = $request['badgeNumber'];
                $licence->paymentRef = $uniq;
//                $licence->licence_tariff_id = $request['hawker_tariff_id'];
                $licence->status = "CLERK";
                $licence->stage = "PAYMENT";
                $licence->paid = false;
//                $licence->employee_id = Auth::user()->employee->id;

                $licence->save();
                $licence_type = LicenceType::where('id', $request['hawker_id'])->first();
                $invoice = LicenceInvoice::create([
                    'licence_type_id' => $licence->licence_type_id,
                    'licence_application_id' => $licence->id,
                    'user_id' => Auth::user()->id,
                    'council_id' => Auth::user()->council_id,
//                    'employee_id' => Auth::user()->employee->id,
                    'type' => "Licence",
                    'status' => 'Pending',
                    'receipt_no' => uniqid(),
//                    'currency' => $currency,
//                    'rate' => $rate,
                    'customer_name' => $licence->applicant_name,
                    'customer_address' => $licence->applicant_address,
                    'customer_id' => $licence->applicant_id,
                    'customer_phone' => $licence->applicant_number,
                    'ref' => "4-" . $licence->id . "-" . $licence->district_id
                ]);


                $main_line = LicenceInvoiceLine::create([
                    'licence_tariff_id' => $licence->licence_tariff_id,
                    'licence_application_id' => $licence->id,
                    'licence_invoice_id' => $invoice->id,
                    'description' => $licence_type->title . " " . $licence_type->description,
                    'status' => 'Active',
                    'unit_price' => $licence_type->application_fee + $licence_type->inspection_fee,
                    'quantity' => 1,
                    'total' => $licence_type->application_fee + $licence_type->inspection_fee,
                ]);

                $vat_line = LicenceInvoiceLine::create([
                    'licence_type_id' => $licence->licence_type_id,
                    'licence_application_id' => $licence->id,
                    'licence_invoice_id' => $invoice->id,
                    'description' => "vat @ 14.5 %",
                    'status' => 'Active',
                    'unit_price' => $licence_type->tax * $main_line->total,
                    'quantity' => 1,
                    'total' => $licence_type->tax * $main_line->total,
                ]);
//                if ($rate == 1)
//                    $discount_line = LicenceInvoiceLine::create([
//                        'licence_type_id' => $licence->licence_type_id,
//                        'licence_application_id' => $licence->id,
//                        'licence_invoice_id' => $invoice->id,
//                        'description' => "discount " . ($licence->licence->discount * 100) . "%",
//                        'status' => 'Active',
//                        'unit_price' => -($licence->licence->discount * (($licence->licence->tax * $main_line->total) + $main_line->total)),
//                        'quantity' => 1,
//                        'total' => -($licence->licence->discount * (($licence->licence->tax * $main_line->total) + $main_line->total)),
//                    ]);
//                if (!request('saloonRegistration') && !request('shopLicence') && !request('tradingLicence')
//                    && !request('cycleLicence') && !request('dogLicence') && !request('liquorLicence')) {
//                    return redirect()->route('licence->preview', $licence->id)->with('success', 'Details saved successfully');
//                }

            }
            if (isset($request['cycle_id'])) {
                $cycle = new LicenceApplication();
                $cycle->licence_type_id = 6;
                $cycle->paymentRef = $uniq;
                $cycle->applicant_name =ucwords(strtolower(Auth::user()->first_names . ' ' . Auth::user()->surnames));
                $cycle->applicant_number = Auth::user()->telephone;
                $cycle->council_id = Auth::user()->council_id;
                $cycle->applicant_id = Auth::user()->id_number;
                $cycle->applicant_address = ucwords(strtolower(Auth::user()->address));
//                $cycle->location_id = request('locationId');
//                $cycle->district_id = request('districtId');
                $cycle->owner_applicant = 1;//$request['ownerApplicant'] == 'true' ? 1 : 0;
                $cycle->vehicle_type = $request['vehicleType'];
                $cycle->licence_tariff_id = $request['cycle_tariff_id'];
                $cycle->bicycle = ucwords(strtolower($request['bicycle']));
                $cycle->maker_number = $request['makerNumber'];
                $cycle->badge_number = $request['badgeNumber'];
                $cycle->status = "CLERK";
                $cycle->paid =false;
                $cycle->stage = "PAYMENT";
//                $cycle->employee_id = Auth::user()->employee->id;
                $cycle->save();

                $invoice = LicenceInvoice::create([
                    'licence_type_id' => $cycle->licence_type_id,
                    'licence_application_id' => $cycle->id,
//                    'employee_id' => Auth::user()->employee->id,
                    'type' => "Licence",
                    'status' => 'Pending',
                    'user_id' => Auth::user()->id,
                    'council_id' => Auth::user()->council_id,
                    'receipt_no' => uniqid(),
//                    'currency' => $currency,
//                    'rate' => $rate,
                    'customer_name' => $cycle->applicant_name,
                    'customer_address' => $cycle->applicant_address,
                    'customer_id' => $cycle->applicant_id,
                    'customer_phone' => $cycle->applicant_number,
                    'ref' => "4-" . $cycle->id . "-" . $cycle->district_id
                ]);

                $licence_type = LicenceType::where('id', $request['cycle_id'])->first();

                $main_line = LicenceInvoiceLine::create([
                    'licence_tariff_id' => $cycle->licence_tariff_id,
                    'licence_application_id' => $cycle->id,
                    'licence_invoice_id' => $invoice->id,
                    'description' => $licence_type->title . " " . $licence_type->description,
                    'status' => 'Active',
                    'unit_price' => $licence_type->application_fee + $licence_type->inspection_fee,
                    'quantity' => 1,
                    'total' => $cycle->tariff->application_fee + $cycle->tariff->inspection_fee,
                ]);

                $vat_line = LicenceInvoiceLine::create([
                    'licence_type_id' => $cycle->licence_type_id,
                    'licence_application_id' => $cycle->id,
                    'licence_invoice_id' => $invoice->id,
                    'description' => "vat @ 14.5 %",
                    'status' => 'Active',
                    'unit_price' => $licence_type->tax * $main_line->total,
                    'quantity' => 1,
                    'total' => $licence_type->tax * $main_line->total,
                ]);
//                if ($rate == 1)
//                    $discount_line = LicenceInvoiceLine::create([
//                        'licence_type_id' => $cycle->licence_type_id,
//                        'licence_application_id' => $cycle->id,
//                        'licence_invoice_id' => $invoice->id,
//                        'description' => "discount " . ($cycle->licence->discount * 100) . "%",
//                        'status' => 'Active',
//                        'unit_price' => -($cycle->licence->discount * (($cycle->licence->tax * $cycle->tariff->price) + $cycle->tariff->price)),
//                        'quantity' => 1,
//                        'total' => -($cycle->licence->discount * (($cycle->licence->tax * $cycle->tariff->price) + $cycle->tariff->price)),
//                    ]);
//                if (!request('saloonRegistration') && !request('shopLicence') && !request('tradingLicence')
//                    && !request('hawkersLicence') && !request('dogLicence') && !request('liquorLicence')) {
//                    return redirect()->route('licence->preview', $cycle->id)->with('success', 'Details saved successfully');
//                }


            }
            if ($request['dog_id'] != "") {
                $dog = new LicenceApplication();
                $dog->paymentRef = $uniq;
                $dog->licence_type_id = 5;
                $dog->applicant_name = ucwords(strtolower(Auth::user()->first_names . ' ' . Auth::user()->surnames));
                $dog->applicant_number = ucwords(strtolower(Auth::user()->telephone));
                $dog->applicant_id = Auth::user()->telephone;
                $dog->council_id = Auth::user()->council_id;
                $dog->applicant_address = ucwords(strtolower(Auth::user()->address));
//                $dog->location_id = request('locationId');
//                $dog->district_id = request('districtId');
                $dog->owner_applicant = 1;//$request['ownerApplicant'] == 'true' ? 1 : 0;
//                $dog->licence_tariff_id = request('dog_tariff_id');
                $dog->breed = ucwords(strtolower($request['breed']));
                $dog->sex = ucwords(strtolower($request['sex']));
                $dog->colour = ucwords(strtolower($request['color']));
                $dog->dog_name = ucwords(strtolower($request['dogName']));
                $dog->status = "CLERK";
                $dog->paid =false;
                $dog->stage = "PAYMENT";

                $dog->save();

                $licence_type = LicenceType::where('id', $request['dog_id'])->first();

                $invoice = LicenceInvoice::create([
                    'licence_type_id' => $dog->licence_type_id,
                    'licence_application_id' => $dog->id,
//                    'employee_id' => Auth::user()->employee->id,
                    'type' => "Licence",
                    'status' => 'Pending',
                    'user_id' => Auth::user()->id,
                    'council_id' => Auth::user()->council_id,
                    'receipt_no' => uniqid(),
//                    'currency' => $currency,
//                    'rate' => $rate,
                    'customer_name' => $dog->applicant_name,
                    'customer_address' => $dog->applicant_address,
                    'customer_id' => $dog->applicant_id,
                    'customer_phone' => $dog->applicant_number,
                    'ref' => "4-" . $dog->id . "-" . $dog->district_id
                ]);


                $main_line = LicenceInvoiceLine::create([
                    'licence_tariff_id' => $dog->licence_tariff_id,
                    'licence_application_id' => $dog->id,
                    'licence_invoice_id' => $invoice->id,
                    'description' => $licence_type->title . " " . $licence_type->description,
                    'status' => 'Active',
                    'unit_price' => $licence_type->application_fee + $licence_type->inspection_fee,
                    'quantity' => 1,
                    'total' => $licence_type->application_fee + $licence_type->inspection_fee,
                ]);

                $vat_line = LicenceInvoiceLine::create([
                    'licence_type_id' => $dog->licence_type_id,
                    'licence_application_id' => $dog->id,
                    'licence_invoice_id' => $invoice->id,
                    'description' => "vat @ 14.5 %",
                    'status' => 'Active',
                    'unit_price' => $licence_type->tax * $main_line->total,
                    'quantity' => 1,
                    'total' => $licence_type->tax * $main_line->total,
                ]);
//                if ($rate == 1)
//                    $discount_line = LicenceInvoiceLine::create([
//                        'licence_type_id' => $dog->licence_type_id,
//                        'licence_application_id' => $dog->id,
//                        'licence_invoice_id' => $invoice->id,
//                        'description' => "discount " . ($dog->licence->discount * 100) . "%",
//                        'status' => 'Active',
//                        'unit_price' => -($dog->licence->discount * (($dog->licence->tax * $main_line->total) + $main_line->total)),
//                        'quantity' => 1,
//                        'total' => -($dog->licence->discount * (($dog->licence->tax * $main_line->total) + $main_line->total)),
//                    ]);
//                if (!request('saloonRegistration') && !request('shopLicence') && !request('tradingLicence')
//                    && !request('hawkersLicence') && !request('cycleLicence') && !request('liquorLicence')) {
//                    return redirect()->route('licence->preview', $dog->id)->with('success', 'Details saved successfully');
//                }


            }
            $this->alert('success', 'Successfully applied for business Licence');
            DB::commit();
            $this->dispatchBrowserEvent('initializepayment', [
                "wallet" => $request["wallet"],
                "amount" => $request["amount"],
                "mobile" => $request["mobile"],
                "applicant_id" => $uniq,
            ]);
        }catch (\Exception $e){
            DB::rollBack();
            $this->alert('warning', 'Failed to  save applyication');
            $this->dispatchBrowserEvent('refreshPage');
        }

    }


}
