<?php

namespace Modules\UserManagement\Http\Livewire\BusinessLicence;

use App\Models\LicenceApplication;
use App\Traits\IsTable;
use Illuminate\Support\Facades\Auth;
use Jantinnerezo\LivewireAlert\LivewireAlert;
use Livewire\Component;
use Livewire\WithPagination;

class BusinessLicence extends Component
{
    use WithPagination, IsTable, LivewireAlert;
    public function mount(){
        $this->columns=[
            'Date'=>'created_at'
        ];
    }
    public function render()
    {
        $results = LicenceApplication::where('council_id', Auth::user()->council_id)
//            ->orwhere('status', 'like', '%' . $this->search . '%')
            ->where('user_id', Auth::user()->id)
            ->orderBy($this->columns[$this->orderBy], $this->orderDirection)
            ->paginate($this->paginationCount);
        return view('usermanagement::livewire.business-licence.business-licence',[
            'results'=>$results
        ]);
    }

    public function applyLicence($data){
        $this->dispatchBrowserEvent('initializepayment',[
            "wallet" => $data["wallet"],
            "amount" => $data["amount".['id']],
            "mobile" => $data["mobile"],
            "applicant_id" => ['id'],
        ]);
    }
}
