<?php

namespace Modules\UserManagement\Http\Livewire\BusinessLicence;

use App\Models\LicenceRequirement;
use App\Models\LicenceTarriff;
use App\Models\RegistrablePremise;
use App\Models\ShopLicenceClass;
use Livewire\Component;

class LicencePayment extends Component
{
    public $app;
    protected $listeners = ['refreshLicencePayment' => 'refreshPayment'];
    public function refreshPayment(){
        $this->render();
    }
    public function render()
    {
        $done_inspections = $this->app->inspection()->count() > 0 ? $this->app->inspection : null;
        $inspections = LicenceRequirement::where('licence_type_id', $this->app->licence_type_id)->get();
        $data = [
            'done_inspections'=>$done_inspections,
            'inspections'=>$inspections
        ];
        return view('usermanagement::livewire.business-licence.licence-payment',$data);
    }
}
