<?php

namespace Modules\UserManagement\Http\Livewire\Crm;

use App\Models\LoggedQuery;
use App\Traits\IsTable;
use Illuminate\Support\Facades\Auth;
use Jantinnerezo\LivewireAlert\LivewireAlert;
use Livewire\Component;
use Livewire\WithPagination;

class MyQueriesTable extends Component
{
    use WithPagination, IsTable, LivewireAlert;

    public $query;

    public function mount()
    {
        $this->columns = [
            'Date' => 'created_at'
        ];
    }

    public function render()
    {
        $results = LoggedQuery::where('user_id', Auth::user()->id)
            ->where("type",$this->query)
            ->where(function ($q){
                $q->orwhere('query_id', 'LIKE', '%' . $this->search . '%')
                    ->orwhere('state', 'LIKE', '%' . $this->search . '%')
                    ->orWhere('first_name', 'LIKE', '%' . $this->search . '%')
                    ->orWhere('last_name', 'LIKE', '%' . $this->search . '%')
                    ->orWhere('address', 'LIKE', '%' . $this->search . '%')
                    ->orWhere('email', 'LIKE', '%' . $this->search . '%')
                    ->orWhere('phone_number', 'LIKE', '%' . $this->search . '%')
                    ->orWhere('reporting_channel', 'LIKE', '%' . $this->search . '%')
                    ->orWhere('description', 'LIKE', '%' . $this->search . '%')
                    ->orWhereHas('category', function ($query) {
                        $query->where('name', 'LIKE', '%' . $this->search . '%');
                    });
            })
            ->orderBy($this->columns[$this->orderBy], $this->orderDirection)
            ->paginate($this->paginationCount);


        return view('usermanagement::livewire.crm.my-queries-table', ['results' => $results]);
    }
}
