<?php

namespace Modules\UserManagement\Http\Livewire\Crm;

use App\Models\CrmSuggestion;
use App\Traits\IsTable;
use Illuminate\Support\Facades\Auth;
use Livewire\Component;
use Livewire\WithPagination;

class SuggestionTable extends Component
{
    use WithPagination, IsTable;

    public function mount()
    {
        $this->columns = [
            'Date' => 'created_at',
            'First Name' => 'first_name',
            'Surname' => 'last_name'
        ];
    }

    protected $listeners = ["refreshSuggestionTable"];

    public function refreshSuggestionTable()
    {
        $this->render();
    }

    public function render()
    {
        $results = CrmSuggestion::where('user_id', Auth::user()->id)
            ->where(function ($f) {
                $f->orwhere('type', 'LIKE', '%' . $this->search . '%')
                    ->orwhere('sc_id', 'LIKE', '%' . $this->search . '%')
                    ->orwhere('first_name', 'LIKE', '%' . $this->search . '%')
                    ->orwhere('last_name', 'LIKE', '%' . $this->search . '%')
                    ->orwhere('phone_number', 'LIKE', '%' . $this->search . '%')
                    ->orwhere('subject', 'LIKE', '%' . $this->search . '%')
                    ->orwhere('description', 'LIKE', '%' . $this->search . '%')
                    ->orwhere('reporting_channel', 'LIKE', '%' . $this->search . '%');
            })

//            ->orWhereHas('department', function($query){
//                $query->where('name', 'LIKE', '%' . $this->search . '%');
//            })
//            ->with(['department'])
            ->orderBy($this->columns[$this->orderBy], $this->orderDirection)
            ->paginate($this->paginationCount);
        return view('usermanagement::livewire.crm.suggestion-table', ['results' => $results]);
    }
}
