<?php

namespace Modules\UserManagement\Http\Livewire\PaymentPlanManagement;

use App\Traits\IsTable;
use Illuminate\Support\Facades\Auth;
use Jantinnerezo\LivewireAlert\LivewireAlert;
use Livewire\Component;
use App\Models\PaymentPlan;
use Livewire\WithPagination;
use function view;

class AllPaymentPlan extends Component
{
    use IsTable, WithPagination, LivewireAlert;

    public function mount(){
        $this->columns=[
            'Date'=>'created_at',
        ];
    }
    public function render()
    {
        $results = PaymentPlan::where('council_id', Auth::user()->council_id)
        ->where('user_id', Auth::user()->id)
//        ->orWhere('council_id', 'like', '%' . $this->search . '%')
        ->orderBy($this->columns[$this->orderBy], $this->orderDirection)->paginate($this->paginationCount);
        return view('usermanagement::livewire.payment-plan.all-payment-plan',[
            'results'=>$results
        ]);
    }
}
