<?php

namespace Modules\UserManagement\Http\Livewire\PaymentPlanManagement;

use App\Models\BillingAccounts;
use App\Models\Committer;
use App\Models\PaymentPlan;
use App\Models\PpLedger;
use App\Models\Tarrif;
use Exception;
use http\Env\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Jantinnerezo\LivewireAlert\LivewireAlert;
use Livewire\Component;

class NewPaymentPlan extends Component
{
    use LivewireAlert;
    public $accounts;
    public $account;
    public $account_number;
    public $type_name;
    public $account_national_id;
    public $account_address;
    public $account_own;
    public $account_balance;
    public $account_location;
    public function mount(){
        $this->accounts = Auth::user()->billingAccounts;
    }
    public function render()
    {
        return view('usermanagement::livewire.payment-plan.payment-plan',[
            'tarrifs'=> Tarrif::where('council_id',Auth::user()->council_id)->get()
        ]);
    }


    public function getAccountData(){

        $account_data =BillingAccounts::where('council_id',Auth::user()->council_id)
            ->where('user_id',Auth::user()->id)
            ->where('has_user',true)
            ->where('id',$this->account_number)->first();
        if($account_data){
                $this->account_number =$account_data->account_no;
                $this->account_address =$account_data->address;
                $this->account_national_id =$account_data->national_id;
                $this->type_name=$account_data->type->name;
                $this->account_balance=$account_data->balance;
                $this->account_own=$account_data->account_name;
                $this->account_location=$account_data->location->name;
                $this->alert('info', 'Account exists',[
                    'position'=>'top-end'
                ]);
        }else{
            $this->alert('question', 'Are you sure you selected correct account number?',[
                'position'=>'top-end'
            ]);
        }

    }

    public function submit($data)
    {

        DB::beginTransaction();
        try {
            $plan = PaymentPlan::where('account_no', $data['account_no'])->where('council_id', Auth::user()->council_id)->where('status' , 'PENDING')->first();
            if($plan) {
                $this->alert('warning', 'Payment plan already exists in user data',[
                    'position'=>'top-end'
                ]);
                $this->render();
            } else {

                $this->alert('info', 'Processing Please wait...',[
                    'position'=>'top-end'
                ]);
                $addpaymentplan = new PaymentPlan;
                //saving payment plan details
                $addpaymentplan->account_no = $data['account_no'];
                $addpaymentplan->tarrif_code = $data['tarrif_id'];
                $addpaymentplan->debt = $data['debt'];
                $addpaymentplan->council_id = Auth::user()->council_id;
                $addpaymentplan->user_id = Auth::user()->id;
                $addpaymentplan->repayment_period = $data['repayment_period'];
                $addpaymentplan->start_date = $data['sd'];


                $tariff = Tarrif::where('id',$data['tarrif_id'])->first();
                if ($data['repayment_period'] > $tariff->max_period)
                {
                    $addpaymentplan->status = "POSTED";
                } else {
                    $addpaymentplan->status = "PENDING";
                }

                $addpaymentplan->end_date = date("Y/m/d", strtotime("+" . $data['repayment_period'] . " months", strtotime($data['sd'])));
                $addpaymentplan->created_by = Auth::user()->first_names.' '.Auth::user()->surnames;

                $addpaymentplan->save();
                $id = $addpaymentplan->id;

                if ($data['who'] == "committer") {
                    $committer = new Committer();

                    $committer->plan_no = $id;
                    $committer->council_id = Auth::user()->council_id;
                    $committer->user_id = Auth::user()->id;
                    $committer->committer = $data['committer'];
                    $committer->national_id = $data['national_id'];
                    $committer->email =$data['email'];
                    $committer->contact = $data['contact_no'];
                    $committer->physical_address = $data['p_address'];
                    $committer->gender = "NOT SPECIFIED";
                    $committer->relationship = $data['relation'];
                    $committer->nok_ralationship = $data['relationship'];
                    $committer->nok_name = $data['nok_name'];
                    $committer->nok_id = $data['nok_id'];
                    $committer->nok_contact = $data['nok_contact'];
                    $committer->nok_email = $data['nok_email'];
                    $committer->nok_address = $data['nok_address'];

                    $committer->save();
                }

                $this->alert('info', 'Still Processing Please wait...',[
                    'position'=>'top-end'
                ]);
                $period = $data['repayment_period'];
                $debt = $data['debt'] - $data['deposit'];

                $spread = round($debt / $period);

                $balanceto = $data['debt'] - $data['deposit'];

                for ($i = 0; $i < $period; $i++) {

                    if ($i == ($period - 1)) {
                        $repayment = new PpLedger();

                        $repayment->plan_no = $id;
                        $repayment->repayment_date = date("Y/m/d", strtotime("+" . $i . " months", strtotime(request('sd'))));
                        $repayment->debt = $balanceto;
                        $repayment->payment = $i + 1;
                        $repayment->status = 'PENDING';
                        $repayment->save();
                    } else {
                        $repayment = new PpLedger();

                        $repayment->plan_no = $id;
                        $repayment->repayment_date = date("Y/m/d", strtotime("+" . $i . " months", strtotime(request('sd'))));
                        $repayment->debt = $spread;
                        $repayment->payment = $i + 1;
                        $repayment->status = 'PENDING';
                        $repayment->save();
                    }

                    $balanceto = $balanceto - $spread;
                }

                $record = array('national_id' => $data['account_national_id'],'cell1' => $data['account_contact_no'],'email' => $data['account_email']);
                BillingAccounts::where('account_no', request('account_no'))->update($record);
                DB::commit();
                $this->alert('success', 'Details successfully saved, please complete your payment plan...',[
                    'position'=>'top-end'
                ]);
                $this->dispatchBrowserEvent('initializepayment',[
                    "wallet" => $data["ecocash"],
                      "amount" => $data["amount"],
                      "mobile" => $data["mobile"],
                      "plan_id" => $addpaymentplan->id,
                ]);
                $this->render();
//                if (updatepayments(request('account_no'),request('deposit'),request('receipt_no'))) {
//                    $this->alert('success', 'Processing Please wait...',[
//                        'position'=>'top-end'
//                    ]);
//                    return redirect('/paymentplan/preview/' . $id)->with('complete', 'Details successfully saved, please complete your payment plan');
//                } else {
//                    $this->alert('error', 'An error occured.',[
//                        'position'=>'top-end'
//                    ]);
//                    $this->render();
//                }
            }

        } catch (Exception $e) {
            DB::rollBack();
            dd($e);
            $this->alert('warning','Saving failed!!, please ensure that all details are correct before trying again',[
                'position'=>'top-end'
            ]);
            $this->render();
        }
    }
}
