<?php

namespace Modules\UserManagement\Http\Livewire\WaitingList;

use App\Models\BillingAccountCategory;
use App\Models\EmploymentSector;
use App\Models\FinancialCurrency;
use App\Models\HousingFee;
use App\Models\Market;
use App\Models\MarketType;
use App\Models\SyncData;
use Carbon\Carbon;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Jantinnerezo\LivewireAlert\LivewireAlert;
use Livewire\Component;

class AddNewMarket extends Component
{
    use LivewireAlert;

    public $markets;
    public $types;
    public $market_fee;

    public function mount()
    {
        $this->markets = Market::all();
        $this->types = MarketType::all();
        $this->market_fee = HousingFee::where("type_id", 14 )->pluck("reg_fee")->first();
    }

    public function render()
    {
        return view('usermanagement::livewire.waiting-list.add-new-market');
    }

}
