<?php

namespace Modules\UserManagement\Http\Livewire\WaitingList;

use App\BusinessLogic\Payment;
use App\Models\ApplicationDetails;
use App\Models\BillingAccountCategory;
use App\Models\BillingAccounts;
use App\Models\BillingAccountType;
use App\Models\Employee;
use App\Models\EmploymentSector;
use App\Models\FinancialCurrency;
use App\Models\HousingFee;
use App\Models\ListRenewals;
use App\Models\Sector;
use App\Models\SyncData;
use App\Models\WaitingLisQS;
use App\Models\WaitingListApplicantDetail;
use App\Models\WaitingListApplicationDetail;
use App\Models\WaitingListAreaSetting;
use App\Models\WaitingListQS;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Jantinnerezo\LivewireAlert\LivewireAlert;
use Livewire\Component;

class WaitingList extends Component
{
    use LivewireAlert;

    protected $listeners = ['action' => 'paymentAction'];
    public $sectors,
        $low,
        $currencies,
        $settings,
        $types,
        $application_fee,
        $selected,
        $N_id;

    public function mount()
    {
        $this->sectors = Sector::all();
    }


    public function render()
    {
        $employee = Employee::find(portalAssistant())->name();
        return view('usermanagement::livewire.waiting-list.waiting-list',['low'=>$this->low,'employee'=>$employee, "product_id"=>1]);
    }

}
