@extends('layouts.master', ['menuJson' => $userMenu, 'moduleTitle' => Auth::user()->council->council])

@section('page-css')
    @livewireStyles
    <style src="{{ asset('assets/css/custom/sweetalerts.css') }}"></style>
@endsection
@section('content')
    <!-- Main-body start -->
    <div class="main-body">

        <div class="page-wrapper">
            <!-- Page-header start -->
            <div class="page-header">
                <div class="row align-items-end">
                    <div class="col-lg-8">
                        <div class="page-header-title">
                            <div class="d-inline">
                                <h4>{{\Illuminate\Support\Facades\Auth::user()->council->council}}</h4>
                                <span>Accounts Management : My Account Payments</span>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="page-header-breadcrumb">
                            <ul class="breadcrumb-title">
                                <li class="breadcrumb-item">
                                    <a href="#"> <i class="feather icon-home"></i> </a>
                                </li>
                                <li class="breadcrumb-item"><a href="#!">My Payments</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="page-body">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="cover-profile">
                            <div class="profile-bg-img">
                                <img class="profile-bg-img img-fluid" src="{{ asset('images/dashboard.png') }}"
                                     alt="bg-img">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div>
              <div class="float-right">
                  <button type="button"
                          class="btn btn-outline-success waves-effect waves-light m-2"
                          data-toggle="modal" data-target="#large-Modal"
                          data-backdrop="static" data-keyboard="false"
                  >
                      Pay My Account
                  </button>
              </div>
                @livewire('usermanagement::accounts.payment-history')
                @livewire('usermanagement::accounts.add-new-accounts')
            </div>
        </div>
    </div>
@endsection

@section('page-js')
    @livewireScripts
    <script src="{{ asset('assets/js/sweetalert/js/sweetalert2@11.js') }}"></script>
    <x-livewire-alert::scripts />
    <script src="{{ asset('vendor/livewire-alert/livewire-alert.js') }}"></script>
    <x-livewire-alert::flash />
@endsection
