@extends('layouts.master', ['menuJson' => $userMenu, 'moduleTitle' => Auth::user()->council->council])

@section('page-css')
    <style src="{{ asset('assets/css/custom/sweetalerts.css') }}"></style>
    @livewireStyles
@endsection

@section('content')
    <!-- Main-body start -->
    <div class="main-body">
        <div class="page-wrapper">
            <!-- Page-header start -->
            <div class="page-header">
                <div class="row align-items-end">
                    <div class="col-lg-8">
                        <div class="page-header-title">
                            <div class="d-inline">
                                <h4>Verified Accounts</h4>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Page-header end -->

            <!-- Page-body start -->
            <div class="page-body" id="display_msg">

                <div class="row">
                    <div class="col-lg-12">
                        <!-- tab header start -->
                        <div class="tab-header card row">
                            <ul class="nav nav-tabs md-tabs tab-timeline" role="tablist" id="mytab">
                                <li class="nav-item col-md-6">
                                    <a class="nav-link active" data-toggle="tab" href="#council-accounts" title="Conditions" role="tab">Accounts Within {{Auth::user()->council->council}}</a>
                                    <div class="slide"></div>
                                </li>
                                <li class="nav-item col-md-6">
                                    <a class="nav-link" data-toggle="tab" href="#accounts-within-zim" title="Conditions" role="tab">My Accounts Around Zimbabwe </a>
                                    <div class="slide"></div>
                                </li>
                            </ul>
                        </div>
                        <!-- personal card start -->
                        <div class="tab-content">
                            <!-- tab panel contact start -->
                            <div class="tab-pane active" id="council-accounts" role="tabpanel">
                                <!-- personal card start -->
                                <div class="card">
                                    <div class="card-header">
                                        <h5 class="card-header-text">All Accounts</h5>
                                    </div>
                                    @livewire('usermanagement::accounts.verified-accounts')
                                    <!-- end of card-block -->
                                </div>
                                <!-- contact card end-->
                            </div>
                            <!-- tab pane contact end -->
                            <!-- tab panel conduct start -->
                            <div class="tab-pane" id="accounts-within-zim" role="tabpanel">
                                <!-- conditions card start -->
                                <div class="card">
                                    <div class="card-header">
                                        <h5 class="card-header-text">All My Properties</h5>
                                    </div>
                                    <div class="card-block">
                                        <div class="view-info">
                                            <div class="row">
                                                <div class="col-lg-12">
                                                    <div class="general-info">
                                                        <div class="row">
                                                            <div class="col-lg-12 col-xl-6">
                                                                <div class="table-responsive">
                                                                    @livewire('usermanagement::accounts.within-zimbabwe-accounts')
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <!-- end of row -->
                                                    </div>
                                                    <!-- end of general info -->
                                                </div>
                                                <!-- end of col-lg-12 -->
                                            </div>
                                            <!-- end of row -->
                                        </div>
                                    </div>
                                    <!-- end of card-block -->
                                </div>
                                <!-- conditions card end-->
                            </div>
                            <!-- tab pane conditions end -->
                        </div>
                        <!-- contact card end-->
                    </div>
                </div>
                <!-- Page-body end -->
            </div>
            <!-- Page-body end -->
        </div>
    </div>
@endsection

@section('page-js')
    @livewireScripts
    <script src="{{ asset('assets/js/sweetalert/js/sweetalert2@11.js') }}"></script>
    <x-livewire-alert::scripts />
    <script src="{{ asset('vendor/livewire-alert/livewire-alert.js') }}"></script>
    <x-livewire-alert::flash />

    <script>
        $(document).ready(function(){
            $('div.modal').on('hidden', function() {
                $(this).removeData('modal');
            });
            $('.loaderHtml').hide();
            $('.modal-body').removeClass('processes');
        });
        document.getElementById('continueBtn').addEventListener('click', processPayment);

        function timer () {
            const TIME_LIMIT = 120;
            let timePassed = 0;
            let timeLeft = TIME_LIMIT;
            let timerInterval = null;

            startTimer();

            function onTimesUp() {
                clearInterval(timerInterval);
                window.location.replace('/user/payment-activity');
            }

            function startTimer() {
                let timerInterval = setInterval(() => {
                    timePassed = timePassed += 1;
                    timeLeft = TIME_LIMIT - timePassed;
                    document.getElementById("h4-timer").innerHTML = formatTime(timeLeft);

                    if (timeLeft === 0) {
                        onTimesUp();
                    }
                }, 1000);
            }

            function formatTime(time) {
                const minutes = Math.floor(time / 60);
                let seconds = time % 60;

                if (seconds < 10) {
                    seconds = `0${seconds}`;
                }

                return `${minutes}:${seconds}`;
            }
        }

        function initialize(id, account_number){

            processPayment(id, account_number);
        }

        async function processPayment(id, account_number) {
            var ref='PA'+ Math.floor((Math.random() * 100000) + 1000);
            const amount = $('#amount'+id).val();
            const wallet = $('#wallet'+id).val();
            var customerNumber = $('#mobile_number'+id).val();
            var accountNumber = '{{Auth::user()->telephone}}';

            $('.loaderHtml').show();
            $('.loaderHtml div.success_tick').hide();
            $('.loaderHtml div.failed_loader').hide();
            $('.loaderHtml div.text').text('Please authorise payment...');
            $('.modal-body').addClass('processes');
            try {
                var data = {
                    'amount' : amount,
                    'account_no' : account_number,
                    'wallet' : wallet,
                    'reason' : `Paying bill for account ${account_number}`,
                    'customer_number' : customerNumber,
                    'customer_email' : "{{Auth::user()->email}}",
                    'item_reference' : ref,
                    'item' : id,
                };

                $.getJSON('/user-dashboard/payments/{{Auth::user()->council_id}}', data,)
                    .done(response=>{
                        setTimeout(function () {
                            console.log(response);
                            if(response.code == 200){
                                $('.loaderHtml div.text').text('Successfully paid');
                                $('.loaderHtml div.waiting_loader').hide();
                                $('.loaderHtml div.success_tick').show();
                            }else{
                                $('.loaderHtml div.text').text('Failed to process transaction');
                                $('.loaderHtml div.waiting_loader').hide();
                                $('.loaderHtml div.failed_loader').show();
                            }
                        }, 1000);
                    })
                    .fail(()=>{
                        $('.loaderHtml div.text').text('Connection error');
                        $('.loaderHtml div.waiting_loader').hide();
                        $('.loaderHtml div.failed_loader').show();
                    });
                {{--const response = await axios.get(`/user-dashboard/payments/{{Auth::user()->council_id}}?amount=${amount.value}&reason=${reason}&customer_email=${customerEmail}&customer_number=${customerNumber.value}&wallet=${wallet.value}&type=${wallet.value == 'bank' ? 'bank' : 'mobile'}&item=${reason}&account_no=${accountNumber.value}&item_reference=${ref}`);--}}
                // const data = response.data;
                //
                // const innerInstructionsCard = document.createElement('div');
                // innerInstructionsCard.classList.add('card-body');
                //
                // const amountText = document.createElement('p');
                // amountText.innerText = 'Amount: ' + data.amount;
                // const methodText = document.createElement('p');
                // methodText.innerText = 'Method: ' + data.method;
                // const referenceText = document.createElement('p');
                // referenceText.innerText = 'Reference: ' + data.reference;
                // const instructionsText = document.createElement('p');
                // instructionsText.innerText = 'Instructions: ' + data.instructions !== '' || data.instructions != null ? data.instructions : 'Check your phone and confirm transaction';
                //
                // innerInstructionsCard.appendChild(amountText);
                // innerInstructionsCard.appendChild(methodText);
                // innerInstructionsCard.appendChild(referenceText);
                // innerInstructionsCard.appendChild(instructionsText);
                //
                // instructionsCard.appendChild(innerInstructionsCard);
                //
                //

            } catch (error) {
                console.log(error);
                // if (error.response !== undefined || error.response.data !== 'undefined' || error.response.data != null) {
                    $('.loaderHtml div.text').text('Failed to process transaction. Check fields');
                    $('.loaderHtml div.waiting_loader').hide();
                    $('.loaderHtml div.failed_loader').show();
                // } else {
                //     alert(error.response);
                // }
            }

        }
    </script>
@endsection
