@extends('layouts.master', ['menuJson' => $userMenu, 'moduleTitle' => Auth::user()->council->council])
@section('page-css')
    <link rel="stylesheet" href="{{asset('assets/css/notification.css')}}">
    <style>
        .show-sm {
            display: none;
        }

        @media only screen and (max-width: 820px) {
            .show-table-lg {
                display: none;
            }

            .show-sm {
                display: block;
            }
        }

        .council_name {
            font-weight: 900;
            color: black;
        }

        .content {
            color: black;
        }

        table {

            border-collapse: collapse;
            background: transparent;
        }

        table tr:first-child {
            border-top: 1px solid black;
        }

        tbody tr td {
            border-right: 1px solid black;
        }

        tbody tr td:first-child {
            border-left: 1px solid black;
        }

        thead tr th {
            border-right: 1px solid black;
        }

        thead tr th:first-child {
            border-left: 1px solid black;
        }

        #unit {
            border-right: double black;
            border-left: double black;
        }

        .invoice {
            width: 100%;

        }

        #print-invoice {
            text-align: center;
            display: inline-block;
            padding: 30px;
            border: solid 1px black;
            position: relative;
        }

        #print-invoice:before {
            content: "";
            border: solid 4px black;
            position: absolute;
            padding: 10px;
            top: 6px;
            left: 6px;
            right: 6px;
            bottom: 6px;
            width: calc(100% - 10px);
            height: calc(100% - 10px);
        }

        #print-invoice:after {
            content: "";
            border: solid 1px black;
            position: absolute;
            padding: 10px;
            top: 11px;
            left: 11px;
            right: -11px;
            bottom: -11px;
            width: calc(100% - 18px);
            height: calc(100% - 18px);
        }
    </style>
    <style>
        @media print {
            html {
                box-shadow: none;
            }
        }
    </style>
@endsection
@section('content')
    @php
        $total = 0;
    @endphp
    <section class="content">
        <div class="show-table-lg">
            <div id="printme">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="card">
                                <div class="card-body p-2" id="print-invoice">
                                    <div class="row mt-2 p-2">
                                        <div class="col-md-12 text-center">
                                            <img height="100" src="{{ asset('images/mutarelogo.png') }}" alt="Logo">
                                        </div>
                                    </div>
                                    <div class="row p-r-2">
                                        <div class="col-md-3"></div>
                                        <div class="col-md-6 text-center">
                                            <h5 style="font-size:35px;text-transform: uppercase;"
                                                class="font-weight-bolder council_name">{{\Illuminate\Support\Facades\Auth::user()->council->council}}</h5>
                                            <h6 style=font-size:20px>{{\Illuminate\Support\Facades\Auth::user()->council->address}}</h6>
                                            <p style="font-size: 20px">VAT
                                                N0: {{\Illuminate\Support\Facades\Auth::user()->council->vat_number}} BP
                                                N0:
                                                {{\Illuminate\Support\Facades\Auth::user()->council->creditors_number}}</p>
                                        </div>
                                        <div class="col-md-3 text-left p-2  ">
                                            <div class="text-center">
                                                <h5 style="font-size:20px; padding-right:10px;">Tax Invoice
                                                    No.: {{$invoice->ref ?? ''}}</h5>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row p-r-2">
                                        <div class="col-md-4"></div>
                                        <div class="col-md-5 text-center">
                                            <h4 class="font-weight-bold council_name">FISCAL TAX INVOICE</h4>
                                        </div>
                                        <div class="col-md-3 text-right p-2">
                                            <div class="text-center">
                                                <h5 style="font-size:20px; padding-right:10px;">
                                                    Date: {{$invoice->created_at ?? ''}}</h5>
                                            </div>
                                        </div>
                                    </div>
                                    <hr>
                                    <div class="row m-2">
                                        <div class="col-md-6">
                                            <div class="card shadow-none" style=" font-size:18px">
                                                <div class="card-body text-left">
                                                    <div class="row pl-2">
                                                        <div class="col-12 pl-2">
                                                            <div class="font-weight-bold p-0 border border-secondary">
                                                                <h4 class="font-weight-bold border-bottom border-secondary pl-1 text-black-50 council_name">
                                                                    DEPARTMENT RAISING CHARGE:</h4>
                                                                <h4 class="font-weight-normal border-bottom border-secondary p-0"
                                                                    style="font-size: 18px">
                                                                    HEALTH DEPARTMENT
                                                                </h4>
                                                                <h4 class="font-weight-normal border-bottom border-secondary p-0"
                                                                    style="font-size: 18px">
                                                                    <span> VOTE LINE:</span>
{{--                                                                    <b>{{$invoice->licenceType->vote_code ?? ''}}</b>--}}
                                                                    @if($invoice->licenceType === 'Licence' || $invoice->licenceType === 'Old Licence')
                                                                        @if($invoice->licence->type === 'Permanent' )
                                                                            <b>{{$invoice->licence->account_no}}</b>
                                                                            <b>{{$invoice->application->licenceType->permanent_description}}</b>
                                                                        @endif
                                                                    @elseif($invoice->type === 'Application')
                                                                        <b>{{$invoice->application->licenceType->application_vote_line}}</b>
                                                                        <b>{{$invoice->application->licenceType->application_vote_description}}</b>
                                                                    @else<b>{{$invoice->application->licenceType->vote_code}}</b>
                                                                    <b>{{$invoice->application->licenceType->vote_line_description}}
                                                                    </b>
                                                                    @endif
                                                                </h4>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-12 text-left float-left">
                                                            <div class="stamp-box mt-3 ml-2"
                                                                 style="height: 135px; width:180px; border: 2px dotted black;">
                                                                DATE STAMP
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-6 px-0">
                                            <div class="card shadow-none">
                                                <div class="card-body text-left">
                                                    <div class="p-0 border border-secondary">
                                                        <h4 class="font-weight-bold border-bottom text-black-50 border-secondary pl-1 council_name">
                                                            CUSTOMER DETAILS:</h4>
                                                        <div class="row pl-2">
                                                            <div class="col-6">
                                                                <h4 class="font-weight-bold border-bottom border-secondary p-0"
                                                                    style="font-size: 16px">
                                                                    Name
                                                                </h4>
                                                            </div>
                                                            <div class="col-6">
                                                                <h4 class="font-weight-normal border-bottom border-secondary p-0"
                                                                    style="font-size: 16px">

                                                                    @if($invoice->application->business_name == '' || $invoice->application->business_name == null)
                                                                        {{$invoice->application->applicant_name ?? ''}}
                                                                    @else
                                                                        {{$invoice->application->business_name ?? ''}}
                                                                    @endif
                                                                </h4>
                                                            </div>
                                                        </div>
                                                        <div class="row pl-2">
                                                            <div class="col-6">
                                                                <h4 class="font-weight-bold border-bottom border-secondary p-0"
                                                                    style="font-size: 16px">
                                                                    Address
                                                                </h4>
                                                            </div>
                                                            <div class="col-6">
                                                                <h4 class="font-weight-normal border-bottom border-secondary p-0"
                                                                    style="font-size: 16px">
                                                                    @if($invoice->application->business_address == '' || $invoice->application->business_address == null)
                                                                        {{$invoice->application->applicant_address}}
                                                                    @else
                                                                        {{$invoice->application->business_address}}
                                                                    @endif
                                                                </h4>
                                                            </div>
                                                        </div>
                                                        <div class="row pl-2">
                                                            <div class="col-6">
                                                                <h4 class="font-weight-bold border-bottom border-secondary p-0"
                                                                    style="font-size: 18px">
                                                                    Phone Number
                                                                </h4>
                                                            </div>
                                                            <div class="col-6">
                                                                <h4 class="font-weight-normal border-bottom border-secondary pl-0"
                                                                    style="font-size: 18px">
                                                                    {{$invoice->application->applicant_number}}
                                                                </h4>
                                                            </div>
                                                        </div>
                                                        <div class="row pl-2">
                                                            <div class="col-6">
                                                                <h4 class="font-weight-bold border-bottom border-secondary p-0"
                                                                    style="font-size: 18px">
                                                                    Account Number
                                                                </h4>
                                                            </div>
                                                            <div class="col-6">
                                                                <h4 class="font-weight-normal border-bottom border-secondary pl-0"
                                                                    style="font-size: 18px">
                                                                    @if($invoice->application->account != null)
                                                                        {{$invoice->application->account}}
                                                                    @else
                                                                        <span style="color:white">:</span>
                                                                    @endif
                                                                </h4>
                                                            </div>
                                                        </div>
                                                        <div class="row pl-2">
                                                            <div class="col-6">
                                                                <h4 class="font-weight-bold border-bottom border-secondary p-0"
                                                                    style="font-size: 18px">
                                                                    VAT N<sup>0</sup>
                                                                </h4>
                                                            </div>
                                                            <div class="col-6">
                                                                <h4 class="font-weight-normal border-bottom border-secondary pl-0"
                                                                    style="font-size: 18px">
                                                                    @if($invoice->application->vat_number != null)
                                                                        {{$invoice->application->vat_number}}
                                                                    @else
                                                                        <span style="color:white">:</span>
                                                                    @endif
                                                                </h4>
                                                            </div>
                                                        </div>
                                                        <div class="row pl-2">
                                                            <div class="col-6">
                                                                <h4 class="font-weight-bold border-bottom border-secondary p-0"
                                                                    style="font-size: 18px">
                                                                    BP<sup>0</sup>
                                                                </h4>
                                                            </div>
                                                            <div class="col-6">
                                                                <h4 class="font-weight-normal border-bottom border-secondary pl-0"
                                                                    style="font-size: 18px">
                                                                    @if($invoice->application->bp_number != null)
                                                                        {{$invoice->application->bp_number}}
                                                                    @else
                                                                        <span style="color:white">:</span>
                                                                    @endif
                                                                </h4>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        {{--                                <div class="col-md-2">--}}
                                        {{--                                    <h6 class="font-weight-bold"></h6>--}}
                                        {{--                                    <br>--}}
                                        {{--                                    <h6 class="font-weight-bold">Mutare</h6>--}}
                                        {{--                                    <br>--}}
                                        {{--                                    <h6 class="font-weight-bold"></h6>--}}
                                        {{--                                </div>--}}
                                    </div>
                                    <div class="row m-2">
                                        <div class="col-md-12 text-center">
                                            <h4 class="font-weight-bold"><i>Payment should be made to FINANCE</i></h4>
                                            <h4 class="font-weight-bold"><i>PLEASE QUOTE OUR ACCOUNT AND INVOICE
                                                    NUMBER</i>
                                            </h4>
                                        </div>
                                    </div>
                                    <div class="row m-2">
                                        <div class="col-12 p-3 text-left">
                                            <div class="">
                                                <table class="invoice">
                                                    <thead>
                                                    <tr>
                                                        <th style="font-size:20px" class="th">QUANTITY</th>
                                                        <th style="font-size:20px" class="th">JOB DESCRIPTION</th>
                                                        <th style="font-size:20px" class="th">REF. No</th>
                                                        <th id="unit" style="font-size:20px" class="th">UNIT PRICE</th>
                                                        <th style="font-size:20px" class="th">TOTAL</th>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    @foreach($invoice->lines as $line)
                                                        @php
                                                            $total += $line->total;
                                                        @endphp
                                                        @php
                                                            $loop_count = $loop->count;
                                                        @endphp

                                                        @if($line->is_vat == 'yes' || $line->is_discount == 'yes'  )

                                                        @else
                                                            <tr>
                                                                <td style=font-size:20px>
                                                                    <div class="text-center">
                                                                        {{$line->quantity}}
                                                                    </div>
                                                                </td>
                                                                <td style="font-size:20px;padding-left: 10px"> {{$line->description}}</td>
                                                                <td style=font-size:20px></td>
                                                                <td id="unit"
                                                                    style=font-size:20px>{{$line->unit_price}}</td>
                                                                <td style=font-size:20px>{{$line->total}}</td>
                                                            </tr>
                                                        @endif
                                                    @endforeach
                                                    <tr>
                                                        <td style=font-size:20px>
                                                            <div style="min-height:
                                                    {{75 + ((7-$loop_count)*10) .'px'}}">
                                                            </div>
                                                        </td>
                                                        <td style=font-size:20px></td>
                                                        <td style=font-size:20px></td>
                                                        <td id="unit" style=font-size:20px></td>
                                                        <td style=font-size:20px></td>
                                                    </tr>
                                                    <tr>
                                                        <td style=font-size:20px></td>
                                                        <td style="font-size:20px;padding-left:10px">Sub Total</td>
                                                        <td style=font-size:20px></td>
                                                        <td id="unit"
                                                            style="font-size:20px;border-top:double">{{$invoice->total_exc_vat}}</td>
                                                        <td style="font-size:20px;border-top:double">{{$invoice->total_exc_vat}}</td>
                                                    </tr>
                                                    <tr>
                                                        <td style=font-size:20px></td>
                                                        <td style="font-size:20px;padding-left:17px">{{$invoice->vatLine->description ?? 'description'}}</td>
                                                        <td style=font-size:20px></td>
                                                        <td id="unit" style=font-size:20px>{{$invoice->vat}}</td>
                                                        <td style=font-size:20px>{{$invoice->vat}}</td>
                                                    </tr>
                                                    <tr>
                                                        <td style=font-size:20px></td>
                                                        <td style="font-size:20px;padding-left:10px">Invoice Total</td>
                                                        <td style=font-size:20px></td>
                                                        <td id="unit"
                                                            style="font-size:20px;border-top:double">{{$invoice->total_inc_vat}}</td>
                                                        <td style="font-size:20px;border-top:double">{{$invoice->total_inc_vat}}</td>
                                                    </tr>

                                                    @if($invoice->disLine()->count() > 0)
                                                        <tr>
                                                            <td style=font-size:20px></td>
                                                            <td style="font-size:20px;padding-left:16px">
                                                                @if($invoice->disLine()->count() > 0)
                                                                    {{$invoice->disLine->description}}
                                                                @else
                                                                    Discount
                                                                @endif
                                                            </td>
                                                            <td style=font-size:20px></td>
                                                            <td id="unit"
                                                                style=font-size:20px>{{$invoice->discount}}</td>
                                                            <td style=font-size:20px>{{$invoice->discount}}</td>
                                                        </tr>
                                                    @endif
                                                    </tbody>
                                                    <tfoot>
                                                    <tr>
                                                        <td style="font-size:20px;padding-right:10px"
                                                            class="text-right font-weight-bold" colspan="4">Amount
                                                            Payable
                                                            (usd)
                                                        </td>
                                                        <td style=font-size:20px>{{$invoice->total}}</td>
                                                    </tr>
                                                    @if($invoice->currency == 'rtgs')
                                                        <tr>
                                                            <td style=font-size:20px class="text-right font-weight-bold"
                                                                colspan="4">Bank rate
                                                            </td>
                                                            <td style=font-size:20px> {{$invoice->rate}}</td>
                                                        </tr>
                                                        <tr>
                                                            <td style="font-size:20px; padding-right: 10px"
                                                                class="text-right font-weight-bold" colspan="4"> Amount
                                                                Payable
                                                                (rtgs)
                                                            </td>
                                                            <td style="font-size:20px;border-top:double"> {{$invoice->rate * $invoice->total}}</td>
                                                        </tr>
                                                    @endif
                                                    </tfoot>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row m-2">
                                        <div class="col-4">
                                            <div class="row">
                                                <div class="col-md-6 text-left">
                                                    <div class="pt-2"></div>
                                                    <h6 style=font-size:20px class="font-weight-medium">Customer's
                                                        Signature</h6>
                                                </div>
                                                <div style=font-size:20px class="col-md-6 text-left">
                                                    {{\Illuminate\Support\Facades\Auth::user()->full_name}}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-4">
                                            <div class="row">
                                                <div class="col-md-12 text-left">
                                                    <div class="pt-3"></div>
                                                    <h6 style=font-size:20px class="font-weight-medium">Prepared By
                                                        &nbsp;&nbsp; <span> {{ $invoice->clerk->name()}} </span>
                                                    </h6>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-4">
                                            <div class="row">
                                                <div class="col-md-6 text-left">
                                                    <div class="pt-2"></div>
                                                    <h6 style=font-size:20px class="font-weight-medium">Checked By</h6>
                                                </div>
                                                <div style=font-size:20px class="col-md-6 text-left">
                                                    <span> {{ $invoice->clerk->name()}}</span>
                                                </div>
                                            </div>
                                        </div>
                                        {{--                                --}}
                                        {{--                                <div class="col-md-8">--}}
                                        {{--                                    <div class="row p-3">--}}
                                        {{--                                        <div class="col-md-3 text-left">--}}
                                        {{--                                            <div class="pt-1"></div>--}}
                                        {{--                                            <h6 style=font-size:20px class="font-weight-medium">Customer's Signature</h6>--}}
                                        {{--                                        </div>--}}
                                        {{--                                        <div style=font-size:20px class="col-md-8 text-left">--}}
                                        {{--                                            <div class="pt-1"></div>--}}
                                        {{--                                         ........................................--}}
                                        {{--                                        </div>--}}
                                        {{--                                        <div class="col-md-3 text-left">--}}
                                        {{--                                            <div class="pt-3"></div>--}}
                                        {{--                                            <h6 style=font-size:20px class="font-weight-medium">Prepared By</h6>--}}
                                        {{--                                        </div>--}}
                                        {{--                                        <div style=font-size:20px class="col-md-8 text-left">--}}
                                        {{--                                            <div class="pt-1"></div>--}}
                                        {{--                                           {{$invoice->clerk->name()}}--}}
                                        {{--                                           <br >--}}
                                        {{--                                            ........................................--}}
                                        {{--                                        </div>--}}
                                        {{--                                        <div class="col-md-3 text-left">--}}
                                        {{--                                            <div class="pt-2"></div>--}}
                                        {{--                                            <h6 style=font-size:20px class="font-weight-medium">Checked By</h6>--}}
                                        {{--                                        </div>--}}
                                        {{--                                        <div style=font-size:20px class="col-md-8 text-left">--}}
                                        {{--                                            <div class="pt-2"></div>--}}
                                        {{--                                            ........................................--}}
                                        {{--                                        </div>--}}
                                        {{--                                    </div>--}}
                                        {{--                                </div>--}}
                                        {{--                                <div class="col-md-3 text-left ">--}}
                                        {{--                                        <div class="stamp-box mt-3 ml-2" style="height: 130px; border: 2px dotted black;">--}}
                                        {{--                                            DATE STAMP--}}
                                        {{--                                        </div>--}}
                                        {{--                                 </div>--}}
                                    </div>
                                    {{--                            <div class="row">--}}
                                    {{--                                <div class="col-md-12 text-center">--}}
                                    {{--                                    <h4 class="font-weight-bold"><i>--}}
                                    {{--                                            GOODS RETURNED IN GOOD CONDITION WILL BE SUBJECT TO A 12.5% HANDLING FEE--}}
                                    {{--                                        </i></h4>--}}
                                    {{--                                </div>--}}
                                    {{--                            </div>--}}

                                    {{--                        <div class="row mt-5 mb-3">--}}
                                    {{--                            <div class="col-md-12 text-center">--}}
                                    {{--                                <h4 style=font-size:25px class="font-weight-bold"><i>GOODS RETURNED IN GOOD CONDITION WILL BE SUBJECT TO A 12.5% HANDLING CHARGE</i></h4>--}}
                                    {{--                            </div>--}}
                                    {{--                        </div>--}}

                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
            <div>
                <div class="row no-print">
                    <div class="col-6"></div>
                    <div class="col-6">
                        <div class="float-right">
                            <button type="button" onclick="printDiv(printme)"
                                    class="btn btn-outline-primary waves-effect waves-light"><i
                                    class="feather icon-printer"></i>
                                Print Invoice
                            </button>
                        </div>
                        <button type="button" data-toggle="modal" data-target="#small-Modal"
                                class="btn btn-outline-success waves-effect waves-light f-right m-1"><i
                                class="feather icon-list"></i>&nbsp;Create Payment
                        </button>
                    </div>
                </div>
            </div>
        </div>
        <div class="show-sm">
            <div class="page-header">
                <div class="row align-items-end">
                    <div class="col-lg-8">
                        <div class="page-header-title">
                            <div class="d-inline">
                                <h4>Invoice &amp; Payments</h4>
                                <span>Download Invoice</span>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="page-header-breadcrumb">
                            <ul class="breadcrumb-title">
                                <li class="breadcrumb-item">
                                    <a href="#">My Applications</a>
                                </li>
                                <li class="breadcrumb-item"><a href="#">Invoice &amp; Payments</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-12">
                <div class="card table-card">
                    <div class="card-header">
                        <h5>To View The Full Invoice <a href="" class="text-success"> Download Here ... </a></h5>
                    </div>
                    <div class="card-block p-3">
                        <div class="table-responsive">
                            <table class="table table-sm table-hover ">
                                <thead>
                                <tr>
                                    <th>JOB DESCRIPTION</th>
                                    <th>PRICE</th>
                                    <th>TOTAL</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($invoice->lines as $line)
                                    @php
                                        $total += $line->total;
                                    @endphp
                                    @php
                                        $loop_count = $loop->count;
                                    @endphp

                                    @if($line->is_vat == 'yes' || $line->is_discount == 'yes'  )

                                    @else
                                        <tr>
                                            <div>
                                                <td style="white-space: pre-wrap;">{{$line->description}}</td>
                                            </div>
                                            <td id="unit"
                                            >{{$line->unit_price}}</td>
                                            <td>{{$line->total}}</td>
                                        </tr>
                                    @endif
                                @endforeach
                                <tr>
                                    {{--                                <td>--}}
                                    {{--                                    <div style="min-height:--}}
                                    {{--                                                    {{75 + ((7-$loop_count)*10) .'px'}}">--}}
                                    {{--                                    </div>--}}
                                    {{--                                </td>--}}
                                    <td></td>
                                    <td id="unit"></td>
                                    <td></td>
                                </tr>
                                <tr>
                                    <td>Sub Total</td>
                                    <td id="unit"
                                    >{{$invoice->total_exc_vat}}</td>
                                    <td>{{$invoice->total_exc_vat}}</td>
                                </tr>
                                <tr>
                                    <td>{{$invoice->vatLine->description ?? 'description'}}</td>
                                    <td id="unit">{{$invoice->vat}}</td>
                                    <td>{{$invoice->vat}}</td>
                                </tr>
                                <tr>
                                    <td>Invoice Total</td>
                                    <td id="unit"
                                    >{{$invoice->total_inc_vat}}</td>
                                    <td>{{$invoice->total_inc_vat}}</td>
                                </tr>

                                    <tr>
                                        <td>
                                            @if($invoice->disLine()->count() > 0)
                                                {{$invoice->disLine->description}}
                                            @else
                                                Discount
                                            @endif
                                        </td>
                                        <td id="unit">{{$invoice->discount}}</td>
                                        <td>{{$invoice->discount}}</td>
                                    </tr>
                                </tbody>
                                <tfoot>
                                <tr>
                                    <td
                                        class="text-right font-weight-bold"
                                        {{--                                    colspan="4"--}}
                                    >Amount Payable
                                        (usd)
                                    </td>
                                    <td></td>
                                    <td>{{$invoice->total}}</td>
                                </tr>
                                @if($invoice->currency == 'rtgs')
                                    <tr>
                                        <td class="text-right font-weight-bold"
                                            {{--                                        colspan="4"--}}
                                        >Bank rate
                                        </td>
                                        <td></td>
                                        <td> {{$invoice->rate}}</td>
                                    </tr>
                                    <tr>
                                        <td
                                            class="text-right font-weight-bold"
                                            {{--                                        colspan="4"--}}
                                        > Amount
                                            Payable
                                            (rtgs)
                                        </td>
                                        <td></td>
                                        <td style="border-top:double"> {{$invoice->rate * $invoice->total}}</td>
                                    </tr>
                                @endif
                                </tfoot>
                            </table>
                        </div>
                        <div class="text-right  m-r-20">
                            <div class=" row float-right">
                                <button type="button" onclick="printDiv(printme)"
                                        class="btn btn-outline-primary waves-effect waves-light m-2">
                                    <i class="icofont icofont-printer"></i>
                                    Print Invoice
                                </button>
                                <button type="button" data-toggle="modal" data-target="#small-Modal"
                                        class="btn btn-outline-success waves-effect waves-light f-right m-2"><i
                                        class="feather icon-list"></i>&nbsp;Create Payment
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal fade" id="small-Modal" tabindex="-1" role="dialog">
            <div class="modal-dialog modal-md" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title text-capitalize">{{$invoice->type}} Payment</h4>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <form action="{{route('create-payment')}}" method="POST">
                        @csrf
                        <div class="modal-body">
                            <div style="height:50%;">
                                <img width="100%" height="20%" src="{{ asset('images/ecocash.png') }}"
                                     alt="ecocash/netone only">
                            </div>
                            <div>
                                <div class="form-group">
                                    <input type="text" name="type" value="{{$invoice->type}}-Payment" hidden readonly>
                                    <input type="text" name="applicant_id" value="{{$id}}" readonly hidden>
                                    <label class="col-form-label">Phone Number &nbsp;<span>(only ecocash or netone number)</span></label>
                                    <input type="tel" name="phone_number"
                                           value="{{\Illuminate\Support\Facades\Auth::user()->telephone}}"
                                           pattern="[0-9]{4}[0-9]{3}[0-9]{3}" required
                                           id="phone_number" class="form-control">
                                    <label class="col-form-label">Payer Name</label>
                                    <input type="text" name="payer_name"
                                           value="{{\Illuminate\Support\Facades\Auth::user()->full_name}}"
                                           id="payer_name" class="form-control">
                                    <div class="row">
                                        <div class="col-sm-6">
                                            <label class="col-form-label">Amount To Pay <span>(RTGS)</span> </label>
                                            <input type="text" name="amount"
                                                   {{--                                                   value="{{$invoice->rate * $invoice->total}}"--}}
                                                   value="{{($invoice->total * $invoice->rate) - ($invoice->paynowPayments->where('status', 'paid')->sum('amount'))}}"
                                                   id="amount" class="form-control">
                                        </div>
                                        <div class="col-sm-6">
                                            <label class="col-form-label">Email&nbsp;
                                                <span>(optional)</span></label>
                                            <input type="text" name="email"
                                                   value="{{\Illuminate\Support\Facades\Auth::user()->email}}"
                                                   id="email" class="form-control">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="submit" class="btn btn-outline-primary waves-effect waves-light">
                                Create Payment
                            </button>
                            <button type="button" class="btn btn-default waves-effect " data-dismiss="modal">
                                Cancel
                            </button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>
@endsection
@section('page-js')
    <script src="{{asset('assets/js/bootstrap-growl.min.js')}}"></script>
    <script src="{{asset('assets/js/notification.js')}}"></script>
    <script>
        var printTitle = document.getElementById('heading').innerHTML;
        document.getElementById('title').innerHTML = printTitle;

        function printDiv(printme) {
            var printContents = document.getElementById('printme').innerHTML;
            var originalContents = document.body.innerHTML;
            document.body.innerHTML = printContents;
            window.focus();
            window.print();
            window.close();
            window.location.reload();
            document.body.innerHTML = originalContents;

        }
    </script>
@endsection
