@extends('layouts.master', ['menuJson' => $userMenu, 'moduleTitle' => Auth::user()->council->council])

@section('page-css')
    <style>
        .council_name {
            font-weight: 900;
            color: black;
        }
        .demo-bg {
            opacity: 0.1;
            position: absolute;
            left: 250px;
            top:350px;
            width: 50%;
            height: auto;
        }
        #licence-body-body{
            text-align: center;
            display: inline-block;
            padding: 30px;
            border: solid 1px black;
            position: relative;
            height:100%;
            margin-bottom: -10px;
        }

        #licence-body-body:before{
            content: "";
            border: solid 4px black;
            position: absolute;
            padding: 10px;
            top: 6px;
            left: 6px;
            right: 6px;
            bottom: 6px;
            width: calc(100% - 10px);
            height: calc(100% - 10px);
        }

        #licence-body-body:after{
            content: "";
            border: solid 1px black;
            position: absolute;
            padding: 10px;
            top: 11px;
            left: 11px;
            right: -11px;
            bottom: -11px;
            width: calc(100% - 18px);
            height: calc(100% - 18px);
        }

    </style>
@endsection
@section('content')
    <section class="content" >
        <div id="printme" class="container-fluid" >
            <div class="row">
                <div class="col-md-12 p-2">
                    <div class="card " id="licence-body-body">
                        <img class="demo-bg" src="{{ asset('images/mutarelogo.png') }}" alt="">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="row" >
                                        <div class="col-3">
                                            <img src="{{ asset('images/mutarelogo.png') }}"  style="height: 140px" alt="">
                                        </div>
                                        <div class="col-6">
                                            <div  style="padding-top: 100px">
                                                <h2 class="underline council_name" style="font-size: 35px">{{$company->council}}</h2>
                                                <h3 class="font-weight-bold">HEALTH DEPARTMENT</h3>
                                            </div>
                                        </div>
                                        <div class="col-3 pt-1" >
                                            <div class="row">
                                                <div class="col-12">
                                                    <small class="font-weight-faint" >Receipt NO. {{$licence->application->completedLastLicenceInvoice->receipt_no??""}}</small>
                                                </div>
                                                <div class="col-12">
                                                    <div style="padding-left: 80px">
                                                        <div id="canvas" >
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                    </div>
                                </div>

                                <div class="col-md-12 text-center mt-5 mb-3">
                                    <h1 class="font-weight-bold">CYCLE LICENCE</h1>
                                    <small style="font-size:18px" class="font-weight-bold">LICENCE NO. {{$application->issuedLicence->ref}}</small>
                                    <hr>
                                </div>
                                <div class="col-md-12 text-center mb-2">
                                    <h4 class="font-weight-bold">Year ending {{\Carbon\Carbon::now()->endOfYear()->format('j F Y')}} </h4>
                                </div>

                                <div class="col-md-12">
                                    <p style="font-size: 25px">Date: <b>{{\Carbon\Carbon::now()->format('j F Y')}}</b> </p>

                                    <hr>
                                    <p style="font-size: 20px">Licence is hereby granted to <b class="council_name" style="font-size: 25px">{{$application->applicant_name}}</b> </p>
                                    <p style="font-size: 20px">Of <b style="font-size: 25px">{{$application->applicant_address}}</b> </p>
                                    <p style="font-size: 20px">To keep a bicycle within the limits of the City and Commonage of Mutare</p>
                                </div>
                                <hr>
                                <div class="col-md-12 mt-5 mb-2">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <p style="font-size: 20px">Bicycle: <b class="council_name">{{$application->bicycle}}</b></p>
                                        </div>
                                        <div class="col-md-6">
                                            <p style="font-size: 20px">Makers No: <b class="council_name">{{$application->maker_number}}</b></p>
                                        </div>
                                        <div class="col-md-6">
                                            <p style="font-size: 20px">Badge No: <b class="council_name">{{$application->badge_number}}</b></p>
                                        </div>

                                    </div>
                                    <hr>
                                </div>
                                <div class="col-md-12 mt-5 mb-10">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <h2 class="font-weight-bold">  CYCLE LICENCE FEE  $  {{$application->tariff->price}}</h2>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="row">
                                                <div class="col-md-12 text-center">
                                                    <p style="font-size: 24px">Paid <b class="council_name">$ {{$application->completedLastLicenceInvoice->total}}</b></p>
                                                </div>
                                                <div class="col-md-12 text-center">
                                                    <hr>
                                                    <p style="font-size:20px"><i>for City Health</i></p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <br>
                        <br>
                        <br>
                        <br>
                        <br>
                        <br>
                        <br>
                        <br>
                        <br>
                    </div>
                </div>
            </div>
        </div>
        @if($collected != null)
            <div class="row no-print">
                {{$company->council }}
                <div class="col-6">
                    <button type="button" onclick="printDiv(printme)"
                            class="btn btn-outline-primary waves-effect waves-light"><i class="feather icon-printer"></i> print</button>
                    <button type="button"
                            class="btn btn-outline-success waves-effect waves-light"><i class="feather icon-arrow-down"></i> Download</button>
                </div>
            </div>
        @endif
    </section>
@endsection
@section('page-js')
    <script src="{{ asset('js/qrcode.min.js') }}"></script>
    <script>
        document.addEventListener('DOMContentLoaded', function () {
            const qrCode = new QRCode("canvas", {width: 130, height: 120});
            qrCode.makeCode(JSON.stringify({
                ownerName: "{{$application->applicant_name}}", licenceNumber: "{{$application->issuedLicence->ref}}",
                bicycle: " {{$application->bicycle}}",
                Make: " {{$application->maker_number}}",
                Badge: " {{$application->badge_number}}",
                issuedBy:"{{$company->council}}",
                {{--                PrintedBy: "{{ \Illuminate\Support\Facades\Auth::user()->employee->name() }}",--}}
                validFrom: "{{$licence->application->cycle->start_date ?? ''}} to {{$licence->application->cycle->end_date??''}}"

                {{--sex: "{{$application->sex}}"--}}
            }));
        });
    </script>
    <script>
        var printTitle = document.getElementById('heading').innerHTML;
        document.getElementById('title').innerHTML = printTitle;

        function printDiv(printme) {
            var printContents = document.getElementById('printme').innerHTML;
            var originalContents = document.body.innerHTML;
            document.body.innerHTML = printContents;
            window.focus();
            window.print();
            window.close();
            window.location.reload();
            document.body.innerHTML = originalContents;

        }
    </script>
@endsection
