@extends('layouts.master', ['menuJson' => $userMenu, 'moduleTitle' => Auth::user()->council->council])

@section('page-css')
    <style>
        .demo-bg {
            opacity: 0.1;
            position: absolute;
            left: 250px;
            top:350px;
            width: 50%;
            height: auto;
        }

        .demo-bg {
            opacity: 0.2;
            position: absolute;
            left: 250px;
            top:350px;
            width: 50%;
            height: auto;
        }

        #licence-body-body{
            text-align: center;
            display: inline-block;
            padding: 30px;
            border: solid 1px black;
            position: relative;
        }

        #licence-body-body:before{
            content: "";
            border: solid 4px black;
            position: absolute;
            padding: 10px;
            top: 6px;
            left: 6px;
            right: 6px;
            bottom: 6px;
            width: calc(100% - 10px);
            height: calc(100% - 10px);
        }

        #licence-body-body:after{
            content: "";
            border: solid 1px black;
            position: absolute;
            padding: 10px;
            top: 11px;
            left: 11px;
            right: -11px;
            bottom: -11px;
            width: calc(100% - 18px);
            height: calc(100% - 18px);
        }

        @media print {
            #licence-body{
                font-family: "Times New Roman", Times, serif;
            }
        }
    </style>
    <style>
        .image-container {
            border: 1px solid black;
            width: 175px;
            max-width: 175px;
            text-align: center;
        }

        .year-container {
            border: 2px solid black;
            font-weight: bold;
            width: 50px;
            text-align: center;
        }
    </style>
@endsection
@section('content')

    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
            <div class="row" id="licence-body">
                <div class="col-md-12 p-2">
                    <div class="card " id="licence-body-body">
                        <img class="demo-bg" src="{{ asset('images/mutarelogo.png') }}" alt="">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="row" >
                                        <div class="col-3">
                                            <img src="{{ asset('images/mutarelogo.png') }}"  style="height: 140px" alt="">
                                        </div>
                                        <div class="col-6">
                                            <div  style="padding-top: 100px">
                                                <h2 class="underline" style="font-size: 30px">CITY OF MUTARE</h2>
                                                <h3 class="font-weight-bold">HEALTH DEPARTMENT</h3>
                                            </div>
                                        </div>
                                        <div class="col-3 pt-1" >
                                            <div class="row">
                                                <div class="col-12">
                                                    <small class="font-weight-faint" >Receipt NO. {{$licence->application->completedLastLicenceInvoice->receipt_no??""}}</small>
                                                </div>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                                <div class="col-md-12 text-center mt-5 mb-3">
                                    <h1 class="font-weight-bold">HAWKERS LICENCE</h1>
                                    <small style="font-size:18px" class="font-weight-bold">LICENCE NO. {{$licence->ref}}</small>
                                    <hr>
                                </div>
                                <div class="col-md-12 mt-3 text-left">
                                    <p style="font-size: 22px">The holder of this licence: <b>{{$licence->application->applicant_name}}</b></p>
                                </div>
                                <div class="col-md-12 text-center mt-2">
                                    <h5 class="font-weight-bold">{{$licence->application->applicant_address}}</h5>
                                    <small>({{$licence->application->location->name}})</small>
                                </div>
                                <div class="col-md-12 mt-2 text-left">
                                    <p style="font-size: 20px">
                                        Whose photograph appears below is licensed as a hawker
                                        within the under-mentioned area for the sale of the following
                                        goods:
                                    </p>
                                    <p style="padding-left:1.5em;text-transform: uppercase;font-weight:100;">
                                        {{$licence->application->goods_sold}}
                                    </p>
                                    <div class="row">
                                        <div class="col-md-6">
                                            <label>Type</label>
                                            <p style="font-size: 15px">
                                                {{$licence->application->tariff->title}}
                                            </p>
                                        </div>
                                        <div class="col-md-6">
                                            <label>Vehicle</label>
                                            <p style="font-size: 15px">
                                                {{$licence->application->vehicle_type??"-----"}}
                                            </p>
                                        </div>
                                        <div class="col-md-6">
                                            <label>AREA</label>
                                            <p style="font-size: 15px">
                                                <b>{{$licence->application->district->name}}</b>
                                            </p>
                                        </div>
                                        <div class="col-md-6">
                                            <label>MARKET No:</label>
                                            <p style="font-size: 15px">
                                                <b>N/A</b>
                                            </p>
                                        </div>
                                    </div>


                                </div>
                                <div class="col-md-12 text-left">
                                    <p class="font-weight-bold" style="font-size: 20px">
                                        Subject to following conditions or restrictions (if any):
                                        Hawker should abide by Council Laws and by-laws
                                    </p>
                                    <p>
                                        ...................................................
                                        ...................................................
                                        ...................................................
                                        ...................................................
                                        ...................................................
                                        ...................................................
                                        ...................................................
                                        ...................................................

                                    </p>
                                </div>
                                <div class="col-md-12 text-left">
                                    <p>
                                        ...................................................
                                        ...................................................
                                        ...................................................
                                        ...................................................
                                        ...................................................
                                        ...................................................
                                        ...................................................
                                        ...................................................
                                    </p>
                                    <p class="font-weight-bold">For and on behalf of the Council</p>
                                </div>
                                <div class="col-md-12 mt-3 text-left">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <h6 class="font-weight-bold">
                                                Date: <script>document.write(new Date().toDateString().toString())</script>
                                            </h6>
                                            <h6 class="font-weight-normal">Delete the inapplicable</h6>
                                            <div class="image-container" style="height: 200px; width: 170px ">
                                                {{--                                                <img src="{{ asset('images/mangudya.jpeg') }}" height="200" width="170" alt="">--}}
                                            </div>
                                        </div>
                                        <div class="col-md-6 text-right">
                                            <h6 class="font-weight-bold">
                                                This licence is valid until December <script>document.write(new Date().getFullYear().toString())</script>
                                            </h6>
                                            <br>
                                            <div id="canvas"  class="float-right mr-0"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        @if($collected != null)
            <div class="row no-print">
                {{$company->name}}
                <div class="col-12">
                    <a href="javascript:window.print()"
                       class="btn btn-outline-primary waves-effect waves-light"><i class="fas fa-print"></i> print</a>
                </div>
            </div>
        @endif
    </section>

@endsection
@section('page-js')
    <script src="{{ asset('js/qrcode.min.js') }}"></script>
    <script>
        document.addEventListener('DOMContentLoaded', function () {
            const qrCode = new QRCode("canvas", {width: 200, height: 170});
            qrCode.makeCode(JSON.stringify({
                businessOwner: "{{$licence->application->name}}",
                businessName: " {{$licence->application->business_name}}",
                licenceNumber: "{{$licence->ref}}",
                issuedBy:"{{$company->name}}",
                PrintedBy: "{{ \App\Models\Employee::find(1)->initials() }}",
                {{--                validFrom: "{{$licence->application->cycle->start_date}} to {{$licence->application->cycle->end_date}}"--}}
            }));
        });
    </script>
@endsection
