@extends('layouts.master', ['menuJson' => $userMenu, 'moduleTitle' => Auth::user()->council->council])

@section('page-css')
    <style>
        .font-weight-bold {
            font-weight: 900;
        }
        h5{
            font-size: 1.25rem;
        }
         .demo-bg {
             opacity: 0.2;
             position: absolute;
             left: 250px;
             top:350px;
             width: 50%;
             height: auto;
         }

        #licence-body-body{
            text-align: center;
            display: inline-block;
            padding: 30px;
            border: solid 1px black;
            position: relative;
        }

        #licence-body-body:before{
            content: "";
            border: solid 4px black;
            position: absolute;
            padding: 10px;
            top: 6px;
            left: 6px;
            right: 6px;
            bottom: 6px;
            width: calc(100% - 10px);
            height: calc(100% - 10px);
        }

        #licence-body-body:after{
            content: "";
            border: solid 1px black;
            position: absolute;
            padding: 10px;
            top: 11px;
            left: 11px;
            right: -11px;
            bottom: -11px;
            width: calc(100% - 18px);
            height: calc(100% - 18px);
        }

        @media print {
            #licence-body{
                font-family: "Times New Roman", Times, serif;
            }
        }

        @media print {
            #details{
                font-family: "comic sans MS", sans, serif;
            }
        }

    </style>
@endsection
@section('content')
    <!-- Main content -->
    <section class="content" >
        <div id="printme" class="container-fluid">
                    <div class="card font-serif" id="licence-body" >
                        <img class="demo-bg" src="{{ asset('images/mutarelogo.png') }}" alt="">
                        <div class="card-body m-4" id="licence-body-body">
                            <div class="spacer" style="padding-top:20px"></div>
                            <div class="row" style="font-size: medium">
                                <div class="col-md-3">
                                    <img src="{{ asset('images/mutarelogo.png') }}"  style="height: 140px" alt="">
                                </div>
                                <div class="col-md-6">
                                    <div  style="padding-top: 80px">
                                        <h2 class="underline font-weight-bold" style="font-size: 40px">CITY OF MUTARE</h2>
                                        <h4 class="font-weight-bold">HEALTH DEPARTMENT</h4>
                                    </div>
                                </div>
                                <div class="col-md-3 pt-1" >
                                    <div class="row">
                                        <div class="col-12">
                                            <small class="font-weight-faint" >Receipt NO. {{$licence->application->completedLastLicenceInvoice->receipt_no??""}}</small>
                                        </div>
                                        <div class="col-12">
                                            <div style="padding-left: 45px">
                                                <div id="canvas" >
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            {{--                                            <small class="font-weight-faint" >Receipt NO. {{$licence->application->completedLastLicenceInvoice->receipt_no ?? ""}}</small>--}}
                                            <small class="font-weight-faint" >Reference NO. {{$licence->ref}}</small>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-1"></div>
                                <div class="col-10 pt-2 center">
                                    <span class="underline">
                                        <h3 class="p-1" style="font-size: 20px" >
                                        TRADING PERMIT ISSUED BY THE CITY COUNCIL <br>
                                        OF MUTARE PURSUANT TO THE PROVISIONS OF <br>
                                        SECTION 29 OF THE SHOP LICENCES ACT, 2018 [ CHAPTER 14:17 ]</h3>
                                    </span>
                                </div>
                                <div class="col-1"></div>
                            </div>
                            <div class="spacer" style="padding-top:15px"></div>
                            <div class="row pt-1 ml-4">
                                <div class="col-3 text-left">
                                    <span>
                                        <h4 style="font-size: 20px">Reference Number<br>
                                        </h4>
                                    </span>
                                </div>
                                <div class="col-8 text-left" id="details">
                                    <span>
                                        <h4 style="font-size: 20px; font-weight : bold;" >{{Str::upper($licence->ref)}}</h4>
                                    </span>
                                </div>
                            </div>
                            <div class="row pt-1 ml-4">
                                <div class="col-3 text-left">
                                    <span>
                                        <h4 style="font-size: 20px">Authorised <br>
                                            <strong class="underline">Trader</strong>
                                        </h4>
                                    </span>
                                </div>
                                <div class="col-8 text-left " id="details">
                                    <span>
                                        <h4 style="font-size: 20px; font-weight : bold;" >{{Str::upper($licence->company_name)}}</h4>
                                    </span>
                                </div>
                            </div>
                            <div class="row pt-1 ml-4">
                                <div class="col-3 text-left">
                                    <span>
                                        <h4 style="font-size: 20px" >Physical Address</h4>
                                    </span>
                                </div>
                                <div class="col-8 text-left" id="details">
                                    <span>
                                        <h4 style="font-size: 20px; font-weight : bold;" >
                                        {{Str::upper($licence->customer_address)}}</h4>
                                    </span>
                                </div>
                            </div>
                            <div class="row pt-1 ml-4">

                                <div class="col-3 text-left" id="details">
                                     <span>
                                        <h4 style="font-size: 20px" >Authorised <br>
                                        <strong class="underline">Manager</strong></h4>
                                    </span>
                                </div>
                                <div class="col-8 text-left" id="details">
                                    <h4 class="font-weight-bolder"  style="font-size: 20px; font-weight : bold;" >{{Str::upper($licence->customer_name)}}</h4>
                                </div>
                            </div>
                            <div class="row pt-1 ml-4">

                                <div class="col-3 text-left">
                                      <span>
                                        <h3 style="font-size: 20px" >Authorised <br>
                                        <strong><u>Trade(s)</u></strong></h3>
                                    </span>
                                </div>
                                <div class="col-8 text-left" id="details">
                                    <h3 style="font-size: 20px; font-weight : bold;" >
                                        @php
                                            $ccs =[];
                                            foreach ($licence->classes as $cc)
                                                {
                                                   $ccs [] =  intval($cc->title) ;
                                                }
                                            sort($ccs);
                                        @endphp
                                        Classes : <strong>
                                             (
                                            @foreach($ccs as $cc)
                                                {{($cc) }} &nbsp;
                                            @endforeach
                                                )
                                        </strong>
                                        ONLY
                                    </h3>
                                </div>
                            </div>
                            <div class="spacer" style="padding-top:10px"></div>
                            <div class="row pt-1 ml-4">
                                <div class="col-12 text-left">
                                        <h3 style="font-size: 22px" >Period of Validity of
                                        <strong><u>Permit</u></strong> : <nobr></nobr>
                                        <strong>{{$licence->start_date}} TO {{$licence->end_date}}</strong></h3>
                                </div>
                            </div>
                            <div class="spacer" style="padding-top:10px"></div>
                            <div class="row ml-4">

                                <div class="col-4 text-left">
                                    <h3 class="font-weight-bold" style="font-size: 25px;">Conditions of Issue</h3>
                                </div>
                                <div class="col-7 text-left">
                                </div>

                                <div class="col-10 text-left">
                                    <h4 style="font-size: 15px;" >
                                        1. The issue of this permit shall in no way whatsoever derogate from or
                                        prejudice the Powers of the City Council of Mutare in the determination of
                                        any application for a licence in terms of Section 19 of the Act.
                                    </h4>
                                    <h4 style="font-size: 15px;" >
                                        2. That the permit may be extended for a further period not exceeding total
                                        of 3 months in all, on payment of the prescribed fee, upon the
                                        application being made to  Licensing Authority for such extension as it
                                        deems necessary and is Permissible in the circumstances.
                                    </h4>
                                    <h5 class="font-weight-bold">
                                        3.  This licence must be prominently displayed at all times upon the
                                        licenced premises.
                                    </h5>
                                </div>

                            </div>
                            <div class="row ml-4">
                                <div class="col-md-12 text-left pt-1">
                                    <h2 class="font-weight-bold" style="font-size : 25px">Licencing Authority</h2>
                                </div>
                                <br>
                                <br>
                                <div class="col-md-12 pt-1">
                                    <div class="row">
                                        <div class="col-md-6 text-left">
                                            <span  style="font-size : 22px">Name</span> <br>
                                            @if($licence->loSign()->count()>0)
                                                <h4 style="font-size : 18px"><b>{{$licence->loSign->name()}}</b></h4>

                                                @if($licence->loSign->id != $lo)
                                                    <span style="font-size : 20px">Signature Of Licencing Officer</span> <br>
                                                @else
                                                    <span style="font-size : 20px">Signature Of Licencing Officer</span> <br>
                                                @endif
                                            @else
                                                <span style="font-size : 20px">Signature Of Licencing Officer</span> <br>
                                            @endif

                                            @if($licence->loSign()->count()>0)
                                                @if($licence->loSign->user_signature === null & $licence->loSign->id !== $lo)
                                                    @if($licence->loSign->user_signature !== null)
                                                        <span>PP<img src="{{ asset('signatures/'.$licence->loSign->user_signature->path) }}" alt="signature"></span>
                                                    @else
                                                    @endif
                                                @else
                                                    @if($licence->loSign->user_signature !== null)
                                                        <span><img src="{{ asset('signatures/'.$licence->loSign->user_signature->path) }}" alt="signature"></span>
                                                    @else
                                                    @endif
                                            @endif
                                                {{--                                                <img src="{{ Storage::url($licence->loSign->user_signature->path) }}">--}}
{{--                                                    <img src="{{ asset('signatures/'.$licence->loSign->user_signature->path) }}" alt="signature">--}}
                                                <br>
                                            @endif

                                            <p class="pt-0">..........................................................................</p>
                                        </div>
                                        <div class="col-md-6 text-right float-right">
                                            <span style="font-size : 22px">Authenticated By</span> <br>
                                            @if($licence->hdSign()->count()>0)
                                                <h4 style="font-size : 18px"><b>{{$licence->hdSign->name()}}</b></h4>

                                                    @if($licence->hdSign->id != $hd)
                                                        <span style="font-size : 20px">Acting Director Of Health Services</span> <br>
                                                    @else
                                                        <span style="font-size : 20px">Director Of Health Services</span> <br>
                                                    @endif
                                            @else
                                                <span style="font-size : 20px">Director Of Health Services</span> <br>
                                             @endif

                                            @if($licence->hdSign()->count()>0)
                                                    @if($licence->hdSign->id !== $hd)
                                                            @if($licence->hdSign->user_signature !== null)
                                                                <span>PP<img src="{{ asset('signatures/'.$licence->hdSign->user_signature->path) }}" alt="signature"></span>
                                                            @else
                                                            @endif
                                                    @else
                                                            @if($licence->hdSign->user_signature !== null)
                                                                <span><img src="{{ asset('signatures/'.$licence->hdSign->user_signature->path) }}" alt="signature"></span>
                                                            @else
                                                            @endif
                                                    @endif
                                                    <br>
                                            @endif

                                            <p class="pt-0" >................... ....................................................</p>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="row pt-1">
                                                <div class="col-md-6 ">
                                                    <div class="stamp-box" style="height: 130px; border: 2px dotted black;">
                                                        DATE STAMP
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
        </div>

        @if($collected != null)
            <div class="row no-print">
                {{$company->council }}
                <div class="col-6">
                    <button type="button" onclick="printDiv(printme)"
                            class="btn btn-outline-primary waves-effect waves-light"><i class="feather icon-printer"></i> print</button>
                    <button type="button"
                            class="btn btn-outline-success waves-effect waves-light"><i class="feather icon-arrow-down"></i> Download</button>
                </div>
            </div>
        @endif

    </section>
@endsection
@section('page-js')
    <script src="{{ asset('js/qrcode.min.js') }}"></script>
    <script>
        var printTitle = document.getElementById('heading').innerHTML;
        document.getElementById('title').innerHTML = printTitle;

        function printDiv(printme) {
            var printContents = document.getElementById('printme').innerHTML;
            var originalContents = document.body.innerHTML;
            document.body.innerHTML = printContents;
            window.focus();
            window.print();
            window.close();
            window.location.reload();
            document.body.innerHTML = originalContents;

        }
    </script>
    {{--    @dd($licence->application->ownerInitials())--}}
    <script>
        document.addEventListener('DOMContentLoaded', function () {
            const qrCode = new QRCode("canvas", {width: 130, height: 120});
            qrCode.makeCode(JSON.stringify({
                businessOwner: "{{ $licence->application->ownerInitials()}}",
                businessName: "{{ \Illuminate\Support\Str::limit($licence->application->business_name, 18, $end='') }}",
                licenceNumber: "{{$licence->ref}}",
                issuedBy:"{{$company->name}}",
                PrintedBy: "{{ \App\Models\Employee::find(1)->initials() }}",
                validFrom: "{{$licence->application->cycle->start_date}} to {{$licence->application->cycle->end_date}}"
            }));
        });
    </script>
@endsection
