@extends('layouts.master', ['menuJson' => $userMenu, 'moduleTitle' => Auth::user()->council->council])

@section('page-css')
    @livewireStyles
    <style>
        th, td {
            white-space: nowrap;
        }

        .show-sm {
            display: none;
        }

        @media only screen and (max-width: 600px) {
            .show-table-lg {
                display: none;
            }

            .show-sm {
                display: block;
            }
        }
    </style>
@endsection
@section('content')
    <div class="page-header">
        <div class="row align-items-end">
            <div class="col-lg-8">
                <div class="page-header-title">
                    <div class="d-inline">
                        <h4>My Licence Applications</h4>
                        <span>view all my applications</span>
                    </div>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="float-right">
                    <div class="col-md-2 p-0">
                        <button type="button" class="btn btn-outline-primary" data-toggle="modal"
                                data-target="#large-Modal">Track My Account
                        </button>
                    </div>
                    <div class="modal fade" id="large-Modal" tabindex="-1" role="dialog">
                        <div class="modal-dialog modal-md" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4 class="modal-title">Track My Application</h4>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <form action="{{route('track-application-local')}}" method="POST">
                                    @csrf
                                    <div class="modal-body">
                                        <div class="row">
                                            <div class="col-sm-6">
                                                Do You Have Licence ?
                                            </div>
                                            <div class="col-sm-6">
                                                <div class="form-radio">
                                                    <div class="radio radiofill radio-inline">
                                                        <label>
                                                            <input type="radio"
                                                                   id="have_licence" name="track_application"
                                                                   value="yes"
                                                                   onchange="f(this ,'licence-yes' , 'licence-no')"
                                                                   checked="checked">
                                                            <i class="helper"></i> Yes
                                                        </label>
                                                    </div>
                                                    <div class="radio radiofill radio-inline">
                                                        <label>
                                                            <input type="radio" name="track_application"
                                                                   id="no_licence"
                                                                   onchange="f(this ,'licence-no' ,'licence-yes')"
                                                                   value="no">
                                                            <i class="helper"></i> No
                                                        </label>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div id="licence-no" style="display:none">
                                            <div class="form-group">
                                                <label for="applicant_id">National ID <span class="text-warning">(Note Applicant ID number is required)</span></label>
                                                <input type="text" id="applicant_id" class="form-control"
{{--                                                       pattern="[0-9]{2}[-][0-9]{6}[A-Za-z]{1}[0-9]{2}"--}}
{{--                                                       title="National ID Number must be in format 75-489592D49"--}}
                                                       placeholder="e.g 75-489592D49"
                                                       name="applicant_id">
                                            </div>
                                        </div>
                                        <div id="licence-yes" >
                                            <div class="form-group">
                                                <label for="licence_ref">Old Licence Reference Number</label>
                                                <input type="text" id="licence_ref" class="form-control"
                                                       name="licence_ref">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default waves-effect "
                                                data-dismiss="modal">
                                            Close
                                        </button>
                                        <button type="submit" class="btn btn-primary waves-effect waves-light ">Save
                                            changes
                                        </button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div>
        <livewire:usermanagement::business-licence.application-table/>
    </div>
@endsection
@section('page-js')
    @livewireScripts
    <script>
       function f(elem , id , hide) {
           if(elem.checked){
               document.getElementById(id).style.display = 'block';
               document.getElementById(hide).style.display = 'none';
               console.log(id);
           }
       }
    </script>
@endsection
