@extends('layouts.master', ['menuJson' => $userMenu, 'moduleTitle' => Auth::user()->council->council])

@section('page-css')
    <link rel="stylesheet" href="{{asset('assets/css/custom/select2/css/select2.min.css')}}">
    <style>
        label input {
            display: none; /* Hide the default checkbox */
        }

        /* Style the artificial checkbox */
        label span {
            height: 10px;
            width: 10px;
            border: 1px solid grey;
            display: inline-block;
            position: relative;
        }

        /* Style its checked state...with a ticked icon */
        [type=checkbox]:checked + span:before {
            content: '\2714';
            position: absolute;
            top: -5px;
            left: 0;
        }
    </style>
@endsection

@section('content')
    <!-- Main-body start -->
    <div class="main-body">
        <div class="page-wrapper">
            <!-- Page-header start -->
            <div class="page-header">
                <div class="row align-items-end">
                    <div class="col-lg-8">
                        <div class="page-header-title">
                            <div class="d-inline">
                                <h4>Licence Applications</h4>
                                <span>apply your Licence <code>today</code></span>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="page-header-breadcrumb">
                            <ul class="breadcrumb-title">
                                <li class="breadcrumb-item">
                                    <a href="#"> <i class="feather icon-home"></i> </a>
                                </li>
                                <li class="breadcrumb-item"><a href="#!">Business Licences</a>
                                </li>
                                <li class="breadcrumb-item"><a href="#!">Apply Licence</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <form action="{{route('add-application')}}" method="POST">
                    @csrf
                    <div class="row mt-2 p-1">
                        <div class="col-lg-12 col-xl-9">
                            <div class="card">
                                <div class="card-header">
                                    <div class="sub-title">
                                        <h5>Personal Details &nbsp;<span>(check your details)</span></h5>
                                    </div>
                                </div>
                                <div class="card-block">
                                    <div class="job-cards">
                                        <div class="form-group row">
                                            <label for="applicant_fullName" class="col-sm-2 col-form-label">Full
                                                Name</label>
                                            <div class="col-sm-10">
                                                <input type="text" name="applicant_fullName" id="applicant_fullName"
                                                       class="form-control"
                                                       value="{{\Illuminate\Support\Facades\Auth::user()->full_name}}">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group row">
                                        <label for="applicantNumber" class="col-sm-2 col-form-label">Mobile
                                            Number</label>
                                        <div class="col-sm-10">
                                            <input type="text" name="applicantNumber" id="applicantNumber"
                                                   {{--                                                   pattern="[0-9]{4}[0-9]{3}[0-9]{3}"--}}
                                                   class="form-control"
                                                   value="{{\Illuminate\Support\Facades\Auth::user()->telephone}}"
                                            >
                                        </div>
                                    </div>
                                    <div class="form-group row">
                                        <label for="applicantId" class="col-sm-2 col-form-label">National Id</label>
                                        <div class="col-sm-10">
                                            <input type="text" name="applicantId" id="applicantId"
                                                   class="form-control"
                                                   value="{{\Illuminate\Support\Facades\Auth::user()->id_number}}"
                                            >
                                        </div>
                                    </div>
                                    <div class="form-group row">
                                        <label for="applicantAddress" class="col-sm-2 col-form-label">Address</label>
                                        <div class="col-sm-10">
                                            <input type="text" name="applicantAddress" id="applicantAddress"
                                                   class="form-control"
                                                   value="{{\Illuminate\Support\Facades\Auth::user()->address}}"
                                            >
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-sm-2"></div>
                                        <div class="col-sm-10">
                                            <div class="row">
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label class="col-form-label">Business Location</label>
                                                        <select class="form-control" name="locationId" id="locationId"
                                                                required>
                                                            <option value="">Select Location</option>
                                                            @foreach($locations as $item)
                                                                <option value="{{$item->id}}">{{$item->name}}</option>
                                                            @endforeach
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label class="col-form-label">Business District</label>
                                                        <select class="form-control" name="districtId" id="districtId"
                                                                required>
                                                            <option value="">Select District</option>
                                                            @foreach($districts as $item)
                                                                <option value="{{$item->id}}">{{$item->name}}</option>
                                                            @endforeach
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-sm-2"></div>
                                        <div class="col-sm-10">
                                            <div class="row">
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label class="col-form-label">Vat Number &nbsp;
                                                            <strong>(optional)</strong></label>
                                                        <input type="text" name="applicantVatNo" id="applicantVatNo"
                                                               class="form-control">
                                                    </div>
                                                </div>
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label class="col-form-label">Bp Number &nbsp;
                                                            <strong>(optional)</strong></label>
                                                        <input type="text" name="applicantBpNo" id="applicantBpNo"
                                                               class="form-control">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <hr>
                                    <div class="row">
                                        <div class="col-sm-6">
                                            Are You The Owner Of The Business
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="row">
                                                <div class="col-sm-6">
                                                    <div class="checkbox-zoom zoom-success mt-1 p-1">
                                                        <div class="row">
                                                            <div class="col-sm-2">
                                                                <label>
                                                                    <h4>
                                                                        <input type="checkbox" checked
                                                                               id="isOwner"
                                                                               onchange="hideOwner()"
                                                                               name="isOwner">
                                                                        <span class="cr m-1"></span>
                                                                    </h4>
                                                                </label>
                                                            </div>
                                                            <div class="col-sm-10">Yes</div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-sm-6">
                                                    <div class="checkbox-zoom zoom-success mt-1 p-1">
                                                        <div class="row">
                                                            <div class="col-sm-2">
                                                                <label>
                                                                    <h4>
                                                                        <input type="checkbox" value="checked"
                                                                               id="notOwner"
                                                                               onchange="showOwner()"
                                                                               name="notOwner">
                                                                        <span class="cr m-1"></span>
                                                                    </h4>
                                                                </label>
                                                            </div>
                                                            <div class="col-sm-10">No</div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-12 col-xl-3">
                            <div class="card job-right-header">
                                <div class="card-header">
                                    <h5>Questioner Assessment</h5>
                                    <div class="card-header-right">
                                        <label class="label label-danger">tick</label>
                                    </div>
                                </div>
                                <div class="card-block">
                                    <h6 class="text-warning ">Tick The Option Which Applies For Your Business</h6>
                                    <div class="checkbox-zoom zoom-success mt-1 p-1">
                                        <div class="row">
                                            <div class="col-sm-2">
                                                <label>
                                                    <h4>
                                                        <input type="checkbox"
                                                               id="tradingCheckbox"
                                                               onchange="tradingLicence()"
                                                               name="tradingCheckbox">
                                                        <span class="cr m-1"></span>
                                                    </h4>
                                                </label>
                                            </div>
                                            <div class="col-sm-10">Business offers a service ? <span>(e.g &nbsp;brick moulding , gas filling etc)</span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="checkbox-zoom zoom-success mt-1 p-1">
                                        <div class="row">
                                            <div class="col-sm-2">
                                                <label>
                                                    <h4>
                                                        <input type="checkbox"
                                                               id="shopDiv"
                                                               onchange="showSellingLicences()"
                                                               name="shopDiv">
                                                        <span class="cr m-1"></span>
                                                    </h4>
                                                </label>
                                            </div>
                                            <div class="col-sm-10">Business Sells Products ?</div>
                                        </div>
                                    </div>
                                    <div id="sellingLicence" class="pl-3">
                                        <div class="checkbox-zoom zoom-success mt-1 p-1">
                                            <div class="row">
                                                <div class="col-sm-2">
                                                    <label>
                                                        <h4>
                                                            <input type="checkbox"
                                                                   id="shopCheckbox"
                                                                   onchange="shopLicence()"
                                                                   name="shopCheckbox">
                                                            <span class="cr m-1"></span>
                                                        </h4>
                                                    </label>
                                                </div>
                                                <div class="col-sm-10">Operations done in a building ?</div>
                                            </div>
                                        </div>
                                        <div class="checkbox-zoom zoom-success mt-1 p-1">
                                            <div class="row">
                                                <div class="col-sm-2">
                                                    <label>
                                                        <h4>
                                                            <input type="checkbox"
                                                                   id="liquorCheckbox"
                                                                   onchange="liquorLicence()"
                                                                   name="liquorCheckbox">
                                                            <span class="cr m-1"></span>
                                                        </h4>
                                                    </label>
                                                </div>
                                                <div class="col-sm-10">Business Sells Liquor ?</div>
                                            </div>
                                        </div>
                                        <div class="checkbox-zoom zoom-success mt-1 p-1">
                                            <div class="row">
                                                <div class="col-sm-2">
                                                    <label>
                                                        <h4>
                                                            <input type="checkbox"
                                                                   id="hawkerPedestrianCheckbox"
                                                                   onchange="hawkerLicence()"
                                                                   name="hawkerPedestrianCheckbox">
                                                            <span class="cr m-1"></span>
                                                        </h4>
                                                    </label>
                                                </div>
                                                <div class="col-sm-10">Business Is Mobile ?<span>( e.g vendor,pedestrian,truck etc)</span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="checkbox-zoom zoom-success mt-1 p-1">
                                        <div class="row">
                                            <div class="col-sm-2">
                                                <label>
                                                    <h4>
                                                        <input type="checkbox"
                                                               id="cycleCheckbox"
                                                               onchange="cycleLicence()"
                                                               name="cycleCheckbox">
                                                        <span class="cr m-1"></span>
                                                    </h4>
                                                </label>
                                            </div>
                                            <div class="col-sm-10">Do you own a cycle</div>
                                        </div>
                                    </div>
                                    <div class="checkbox-zoom zoom-success mt-1 p-1">
                                        <div class="row">
                                            <div class="col-sm-2">
                                                <label>
                                                    <h4>
                                                        <input type="checkbox"
                                                               id="saloonCheckbox"
                                                               onchange="saloonLicence()"
                                                               name="saloonCheckbox">
                                                        <span class="cr m-1"></span>
                                                    </h4>
                                                </label>
                                            </div>
                                            <div class="col-sm-10">Saloon or Canteen</div>
                                        </div>
                                    </div>
                                    <div class="checkbox-zoom zoom-success mt-1 p-1">
                                        <div class="row">
                                            <div class="col-sm-2">
                                                <label>
                                                    <h4>
                                                        <input type="checkbox"
                                                               id="dogCheckbox"
                                                               onchange="dogLicence()"
                                                               name="dogCheckbox">
                                                        <span class="cr m-1"></span>
                                                    </h4>
                                                </label>
                                            </div>
                                            <div class="col-sm-9">Do you have dogs</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row" id="shop_licence" style="">
                        <div class="col-lg-12 col-xl-9">
                            <div class="card">
                                <div class="card-header">
                                    <div class="sub-title">
                                        <h5>Shop Licence</h5>
                                    </div>
                                </div>
                                <div class="card-block">
                                    <div class="job-cards">
                                        <div id="owner">
                                            <div class="row">
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label class="col-form-label">Business Owner Name</label>
                                                        <input type="text" name="owner_name_shop" id="owner_name_shop"
                                                               class="form-control">
                                                    </div>
                                                </div>
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label class="col-form-label">Business Owner Mobile</label>
                                                        <input type="text" name="owner_mobile_shop"
                                                               id="owner_mobile_shop"
                                                               class="form-control">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label class="col-form-label">Business Owner Email</label>
                                                        <input type="text" name="owner_email_shop" id="owner_email_shop"
                                                               class="form-control">
                                                    </div>
                                                </div>
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label class="col-form-label">Business Owner Residential
                                                            Address</label>
                                                        <input type="text" name="owner_address_shop"
                                                               id="owner_address_shop"
                                                               class="form-control">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-6">
                                                <div class="form-group">
                                                    <label class="col-form-label">Business Name</label>
                                                    <input type="text" name="business_name_shop" id="business_name_shop"
                                                           class="form-control">
                                                </div>
                                            </div>
                                            <div class="col-lg-6">
                                                <div class="form-group">
                                                    <label class="col-form-label">Trading As</label>
                                                    <input type="text" name="trading_as_shop" id="trading_as_shop"
                                                           class="form-control">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-6">
                                                <div class="form-group">
                                                    <label class="col-form-label">Business Address</label>
                                                    <input class="form-control" type="text" id="businessAddressShop"
                                                           list="siteShop" name="businessAddressShop" minlength="2"
                                                           placeholder="eg 11 first street econet mall">
                                                    <datalist id="siteShop" style="height:5.1em;overflow:hidden">
                                                        @foreach($premises as $item)
                                                            <option>{{$item->physical_address}}</option>
                                                        @endforeach
                                                    </datalist>
                                                </div>
                                            </div>
                                            <div class="col-lg-6">
                                                <div class="form-group">
                                                    <label class="col-form-label">Shop or Room No</label>
                                                    <input type="text" name="shop_room_no_shop" id="shop_room_no_shop"
                                                           class="form-control" placeholder="">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-6">
                                                <div class="form-group">
                                                    <label class="col-form-label">Application Fee (USD)</label>
                                                    <input type="text" name="application_fee_shop"
                                                           id="application_fee_shop"
                                                           value="{{$shop_tariff->application_fee}}"
                                                           class="form-control" readonly>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="trading_licence" style="">
                        <div class="row">
                            <div class="col-lg-12 col-xl-9">
                                <div class="card">
                                    <div class="card-header">
                                        <div class="sub-title">
                                            <h5>Trading Licence</h5>
                                        </div>
                                    </div>
                                    <div class="card-block">
                                        <div class="job-cards">
                                            <div id="owner-trading">
                                                <div class="row">
                                                    <div class="col-lg-6" id="tradingBusinessOwnerNameCover">
                                                        <div class="form-group">
                                                            <label class="col-form-label">Business Owner Name</label>
                                                            <input type="text" name="tradingBusinessOwnerName"
                                                                   id="tradingBusinessOwnerName" class="form-control">
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-6">
                                                        <div class="form-group" id="tradingBusinessOwnerNumberCover">
                                                            <label class="col-form-label">Business Owner Mobile</label>
                                                            <input type="text" name="tradingBusinessOwnerNumber"
                                                                   id="tradingBusinessOwnerNumber" class="form-control">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-lg-6">
                                                        <div class="form-group" id="tradingBusinessOwnerEmailCover">
                                                            <label class="col-form-label">Business Owner Email</label>
                                                            <input type="text" name="tradingBusinessOwnerEmail"
                                                                   id="tradingBusinessOwnerEmail" class="form-control">
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-6" id="tradingBusinessOwnerAddressCover">
                                                        <div class="form-group">
                                                            <label class="col-form-label">Business Owner Residential
                                                                Address</label>
                                                            <input type="text" name="tradingBusinessOwnerAddress"
                                                                   id="tradingBusinessOwnerAddress"
                                                                   class="form-control">
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label class="col-form-label">Business Name</label>
                                                        <input type="text" name="tradingBusinessName"
                                                               id="tradingBusinessName" class="form-control">
                                                    </div>
                                                </div>
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label class="col-form-label">Trading As</label>
                                                        <input type="text" name="tradingBusinessTradeAs"
                                                               id="tradingBusinessTradeAs" class="form-control">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label class="col-form-label">Business Address</label>
                                                        <input class="form-control" type="text"
                                                               id="businessAddressTrading"
                                                               list="site" name="businessAddressTrading" minlength="2"
                                                               placeholder="eg 11 first street econet mall">
                                                        <datalist id="site" style="height:5.1em;overflow:hidden">
                                                            @foreach($premises as $item)
                                                                <option>{{$item->physical_address}}</option>
                                                            @endforeach
                                                        </datalist>
                                                    </div>
                                                </div>
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label class="col-form-label">Shop or Room No</label>
                                                        <input type="text" id="tradingRoomNo" name="tradingRoomNo"
                                                               class="form-control">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label for="trading_tariff"
                                                               class="col-form-label">Tariff</label>
                                                        <select onchange="setTradePrice(this.value)"
                                                                class="form-control trading_tariff"
                                                                name="trading_tariff" id="trading_tariff">
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label class="col-form-label">Application Fee (USD)</label>
                                                        <input type="text" readonly class="form-control"
                                                               name="trading_fee"
                                                               id="trading_fee" placeholder="0.00" required>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="liquor" style="">
                        <div class="row">
                            <div class="col-lg-12 col-xl-9">
                                <div class="card">
                                    <div class="card-header">
                                        <div class="sub-title">
                                            <h5>Liquor Licence</h5>
                                        </div>
                                    </div>
                                    <div class="card-block">
                                        <div class="job-cards">
                                            <div id="owner-liquor">
                                                <div class="row">
                                                    <div class="col-lg-6" id="liquorBusinessOwnerNameCover">
                                                        <div class="form-group">
                                                            <label for="LiquorBusinessOwnerName" class="col-form-label">Business
                                                                Owner Name</label>
                                                            <input type="text" name="LiquorBusinessOwnerName"
                                                                   id="LiquorBusinessOwnerName" class="form-control">
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-6">
                                                        <div class="form-group" id="liquorBusinessOwnerNumberCover">
                                                            <label for="liquorBusinessOwnerNumber"
                                                                   class="col-form-label">Business
                                                                Owner Mobile</label>
                                                            <input type="text" name="liquorBusinessOwnerNumber"
                                                                   id="liquorBusinessOwnerNumber" class="form-control">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-lg-6">
                                                        <div class="form-group" id="liquorBusinessOwnerEmailCover">
                                                            <label for="liquorBusinessOwnerEmail"
                                                                   class="col-form-label">Business
                                                                Owner Email</label>
                                                            <input type="text" name="liquorBusinessOwnerEmail"
                                                                   id="liquorBusinessOwnerEmail" class="form-control">
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-6" id="liquorBusinessOwnerAddressCover">
                                                        <div class="form-group">
                                                            <label for="liquorBusinessOwnerAddress"
                                                                   class="col-form-label">Business
                                                                Owner Residential
                                                                Address</label>
                                                            <input type="text" name="liquorBusinessOwnerAddress"
                                                                   id="liquorBusinessOwnerAddress" class="form-control">
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label for="liquorBusinessName" class="col-form-label">Business
                                                            Name</label>
                                                        <input type="text" name="liquorBusinessName"
                                                               id="liquorBusinessName" class="form-control">
                                                    </div>
                                                </div>
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label for="liquorBusinessTradeAs" class="col-form-label">Trading
                                                            As</label>
                                                        <input type="text" name="liquorBusinessTradeAs"
                                                               id="liquorBusinessTradeAs" class="form-control">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label for="businessAddressLiquor" class="col-form-label">Business
                                                            Address</label>
                                                        <input class="form-control" type="text"
                                                               id="businessAddressLiquor"
                                                               list="site" name="businessAddressLiquor" minlength="2"
                                                               placeholder="eg 11 first street econet mall">
                                                        <datalist id="site" style="height:5.1em;overflow:hidden">
                                                            @foreach($premises as $item)
                                                                <option>{{$item->physical_address}}</option>
                                                            @endforeach
                                                        </datalist>
                                                    </div>
                                                </div>
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label for="liquorRoomNo" class="col-form-label">Shop or Room
                                                            No</label>
                                                        <input type="text" id="liquorRoomNo" name="liquorRoomNo"
                                                               class="form-control">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label for="liquorApplicationFee" class="col-form-label">Application
                                                            Fee</label>
                                                        <input type="text" name="liquorApplicationFee"
                                                               id="liquorApplicationFee" class="form-control"
                                                               value="{{$types[6]->inspection_fee}}" placeholder="0.00"
                                                               readonly
                                                        >
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="saloon" style="">
                        <div class="row">
                            <div class="col-lg-12 col-xl-9">
                                <div class="card">
                                    <div class="card-header">
                                        <div class="sub-title">
                                            <h5>Saloon &amp; Canteen Licence</h5>
                                        </div>
                                    </div>
                                    <div class="card-block">
                                        <div class="job-cards">
                                            <div id="owner-saloon">
                                                <div class="row">
                                                    <div class="col-lg-6" id="SaloonBusinessOwnerNameCover">
                                                        <div class="form-group">
                                                            <label class="col-form-label">Business Owner Name</label>
                                                            <input type="text" name="saloonBusinessOwnerName"
                                                                   id="saloonBusinessOwnerName" class="form-control">
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-6">
                                                        <div class="form-group" id="saloonBusinessOwnerNumberCover">
                                                            <label class="col-form-label">Business Owner Mobile</label>
                                                            <input type="text" name="saloonBusinessOwnerNumber"
                                                                   id="saloonBusinessOwnerNumber" class="form-control">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-lg-6">
                                                        <div class="form-group" id="saloonBusinessOwnerEmailCover">
                                                            <label class="col-form-label">Business Owner Email</label>
                                                            <input type="text" name="saloonBusinessOwnerEmail"
                                                                   id="saloonBusinessOwnerEmail" class="form-control">
                                                        </div>
                                                    </div>
                                                    <div class="col-lg-6" id="saloonBusinessOwnerAddressCover">
                                                        <div class="form-group">
                                                            <label class="col-form-label">Business Owner Residential
                                                                Address</label>
                                                            <input type="text" name="saloonBusinessOwnerAddress"
                                                                   id="saloonBusinessOwnerAddress" class="form-control">
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label class="col-form-label">Business Name</label>
                                                        <input type="text" name="saloonBusinessName"
                                                               id="saloonBusinessName" class="form-control">
                                                    </div>
                                                </div>
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label class="col-form-label">Trading As</label>
                                                        <input type="text" name="saloonBusinessTradeAs"
                                                               id="saloonBusinessTradeAs" class="form-control">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label class="col-form-label">Business Address</label>
                                                        <input class="form-control" type="text"
                                                               id="businessAddresssaloon"
                                                               list="site" name="businessAddresssaloon" minlength="2"
                                                               placeholder="eg 11 first street econet mall">
                                                        <datalist id="site" style="height:5.1em;overflow:hidden">
                                                            @foreach($premises as $item)
                                                                <option>{{$item->physical_address}}</option>
                                                            @endforeach
                                                        </datalist>
                                                    </div>
                                                </div>
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label class="col-form-label">Shop or Room No</label>
                                                        <input type="text" id="saloonRoomNo" name="saloonRoomNo"
                                                               class="form-control">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label for="health_fee">Health Inspection Fee (USD)</label>
                                                        <input type="text" readonly class="form-control"
                                                               value="{{$reg->inspection_fee}}" placeholder="0.00">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="dog" style="">
                        <div class="row">
                            <div class="col-lg-12 col-xl-9">
                                <div class="card">
                                    <div class="card-header">
                                        <div class="sub-title">
                                            <h5>Dog Licence</h5>
                                        </div>
                                    </div>
                                    {{--                                    <div class="card-block">--}}
                                    {{--                                        <div class="job-cards">--}}
                                    {{--                                            <div class="row">--}}
                                    {{--                                                <div class="col-lg-6" id="">--}}
                                    {{--                                                    <div class="form-group">--}}
                                    {{--                                                        <label class="col-form-label">Breed</label>--}}
                                    {{--                                                        <input list="breeds" name="breed" id="breed"--}}
                                    {{--                                                               class="form-control"--}}
                                    {{--                                                               placeholder="Breed" >--}}
                                    {{--                                                        <datalist id="breeds">--}}
                                    {{--                                                            <option value="Affenpinscher">--}}
                                    {{--                                                            <option value="Afghan Hound">--}}
                                    {{--                                                            <option value="Aidi">--}}
                                    {{--                                                            <option value="Airedale Terrier">--}}
                                    {{--                                                            <option value="Akbash Dog">--}}
                                    {{--                                                            <option value="Akita">--}}
                                    {{--                                                            <option value="Alano Español">--}}
                                    {{--                                                            <option value="Alaskan Klee Kai">--}}
                                    {{--                                                            <option value="Alaskan Malamute">--}}
                                    {{--                                                            <option value="Alpine Dachsbracke">--}}
                                    {{--                                                            <option value="Alpine Spaniel">--}}
                                    {{--                                                            <option value="American Bulldog">--}}
                                    {{--                                                            <option value="American Cocker Spaniel">--}}
                                    {{--                                                            <option value="American Eskimo Dog">--}}
                                    {{--                                                            <option value="American Foxhound">--}}
                                    {{--                                                            <option value="American Hairless Terrier">--}}
                                    {{--                                                            <option value="American Pit Bull Terrier">--}}
                                    {{--                                                            <option value="American Staffordshire Terrier">--}}
                                    {{--                                                            <option value="American Water Spaniel">--}}
                                    {{--                                                            <option value="Anglo-Français de Petite Vénerie">--}}
                                    {{--                                                            <option value="Appenzeller Sennenhund">--}}
                                    {{--                                                            <option value="Ariege Pointer">--}}
                                    {{--                                                            <option value="Ariegeois">--}}
                                    {{--                                                            <option value="Armant">--}}
                                    {{--                                                            <option value="Armenian Gampr dog">--}}
                                    {{--                                                            <option value="Artois Hound">--}}
                                    {{--                                                            <option value="Australian Cattle Dog">--}}
                                    {{--                                                            <option value="Australian Kelpie">--}}
                                    {{--                                                            <option value="Australian Shepherd">--}}
                                    {{--                                                            <option value="Australian Silky Terrier">--}}
                                    {{--                                                            <option value="Australian Stumpy Tail Cattle Dog">--}}
                                    {{--                                                            <option value="Australian Terrier">--}}
                                    {{--                                                            <option value="Azawakh">--}}
                                    {{--                                                            <option value="Bakharwal Dog">--}}
                                    {{--                                                            <option value="Barbet">--}}
                                    {{--                                                            <option value="Basenji">--}}
                                    {{--                                                            <option value="Basque Shepherd Dog">--}}
                                    {{--                                                            <option value="Basset Artésien Normand">--}}
                                    {{--                                                            <option value="Basset Bleu de Gascogne">--}}
                                    {{--                                                            <option value="Basset Fauve de Bretagne">--}}
                                    {{--                                                            <option value="Basset Hound">--}}
                                    {{--                                                            <option value="Bavarian Mountain Hound">--}}
                                    {{--                                                            <option value="Beagle">--}}
                                    {{--                                                            <option value="Beagle-Harrier">--}}
                                    {{--                                                            <option value="Bearded Collie">--}}
                                    {{--                                                            <option value="Beauceron">--}}
                                    {{--                                                            <option value="Bedlington Terrier">--}}
                                    {{--                                                            <option value="Belgian Shepherd Dog (Groenendael)">--}}
                                    {{--                                                            <option value="Belgian Shepherd Dog (Laekenois)">--}}
                                    {{--                                                            <option value="Belgian Shepherd Dog (Malinois)">--}}
                                    {{--                                                            <option value="Bergamasco Shepherd">--}}
                                    {{--                                                            <option value="Berger Blanc Suisse">--}}
                                    {{--                                                            <option value="Berger Picard">--}}
                                    {{--                                                            <option value="Berner Laufhund">--}}
                                    {{--                                                            <option value="Bernese Mountain Dog">--}}
                                    {{--                                                            <option value="Billy">--}}
                                    {{--                                                            <option value="Black and Tan Coonhound">--}}
                                    {{--                                                            <option value="Black and Tan Virginia Foxhound">--}}
                                    {{--                                                            <option value="Black Norwegian Elkhound">--}}
                                    {{--                                                            <option value="Black Russian Terrier">--}}
                                    {{--                                                            <option value="Bloodhound">--}}
                                    {{--                                                            <option value="Blue Lacy">--}}
                                    {{--                                                            <option value="Blue Paul Terrier">--}}
                                    {{--                                                            <option value="Boerboel">--}}
                                    {{--                                                            <option value="Bohemian Shepherd">--}}
                                    {{--                                                            <option value="Bolognese">--}}
                                    {{--                                                            <option value="Border Collie">--}}
                                    {{--                                                            <option value="Border Terrier">--}}
                                    {{--                                                            <option value="Borzoi">--}}
                                    {{--                                                            <option value="Boston Terrier">--}}
                                    {{--                                                            <option value="Bouvier des Ardennes">--}}
                                    {{--                                                            <option value="Bouvier des Flandres">--}}
                                    {{--                                                            <option value="Boxer">--}}
                                    {{--                                                            <option value="Boykin Spaniel">--}}
                                    {{--                                                            <option value="Bracco Italiano">--}}
                                    {{--                                                            <option value="Braque d'Auvergne">--}}
                                    {{--                                                            <option value="Braque du Bourbonnais">--}}
                                    {{--                                                            <option value="Braque du Puy">--}}
                                    {{--                                                            <option value="Braque Francais">--}}
                                    {{--                                                            <option value="Braque Saint-Germain">--}}
                                    {{--                                                            <option value="Brazilian Terrier">--}}
                                    {{--                                                            <option value="Briard">--}}
                                    {{--                                                            <option value="Briquet Griffon Vendéen">--}}
                                    {{--                                                            <option value="Brittany">--}}
                                    {{--                                                            <option value="Broholmer">--}}
                                    {{--                                                            <option value="Bruno Jura Hound">--}}
                                    {{--                                                            <option value="Bucovina Shepherd Dog">--}}
                                    {{--                                                            <option value="Bull and Terrier">--}}
                                    {{--                                                            <option value="Bull Terrier (Miniature)">--}}
                                    {{--                                                            <option value="Bull Terrier">--}}
                                    {{--                                                            <option value="Bulldog">--}}
                                    {{--                                                            <option value="Bullenbeisser">--}}
                                    {{--                                                            <option value="Bullmastiff">--}}
                                    {{--                                                            <option value="Bully Kutta">--}}
                                    {{--                                                            <option value="Burgos Pointer">--}}
                                    {{--                                                            <option value="Cairn Terrier">--}}
                                    {{--                                                            <option value="Canaan Dog">--}}
                                    {{--                                                            <option value="Canadian Eskimo Dog">--}}
                                    {{--                                                            <option value="Cane Corso">--}}
                                    {{--                                                            <option value="Cardigan Welsh Corgi">--}}
                                    {{--                                                            <option value="Carolina Dog">--}}
                                    {{--                                                            <option value="Carpathian Shepherd Dog">--}}
                                    {{--                                                            <option value="Catahoula Cur">--}}
                                    {{--                                                            <option value="Catalan Sheepdog">--}}
                                    {{--                                                            <option value="Caucasian Shepherd Dog">--}}
                                    {{--                                                            <option value="Cavalier King Charles Spaniel">--}}
                                    {{--                                                            <option value="Central Asian Shepherd Dog">--}}
                                    {{--                                                            <option value="Cesky Fousek">--}}
                                    {{--                                                            <option value="Cesky Terrier">--}}
                                    {{--                                                            <option value="Chesapeake Bay Retriever">--}}
                                    {{--                                                            <option value="Chien Français Blanc et Noir">--}}
                                    {{--                                                            <option value="Chien Français Blanc et Orange">--}}
                                    {{--                                                            <option value="Chien Français Tricolore">--}}
                                    {{--                                                            <option value="Chien-gris">--}}
                                    {{--                                                            <option value="Chihuahua">--}}
                                    {{--                                                            <option value="Chilean Fox Terrier">--}}
                                    {{--                                                            <option value="Chinese Chongqing Dog">--}}
                                    {{--                                                            <option value="Chinese Crested Dog">--}}
                                    {{--                                                            <option value="Chinese Imperial Dog">--}}
                                    {{--                                                            <option value="Chinook">--}}
                                    {{--                                                            <option value="Chippiparai">--}}
                                    {{--                                                            <option value="Chow Chow">--}}
                                    {{--                                                            <option value="Cierny Sery">--}}
                                    {{--                                                            <option value="Cimarrón Uruguayo">--}}
                                    {{--                                                            <option value="Cirneco dell'Etna">--}}
                                    {{--                                                            <option value="Clumber Spaniel">--}}
                                    {{--                                                            <option value="Combai">--}}
                                    {{--                                                            <option value="Cordoba Fighting Dog">--}}
                                    {{--                                                            <option value="Coton de Tulear">--}}
                                    {{--                                                            <option value="Cretan Hound">--}}
                                    {{--                                                            <option value="Croatian Sheepdog">--}}
                                    {{--                                                            <option value="Cumberland Sheepdog">--}}
                                    {{--                                                            <option value="Curly Coated Retriever">--}}
                                    {{--                                                            <option value="Cursinu">--}}
                                    {{--                                                            <option value="Cão da Serra de Aires">--}}
                                    {{--                                                            <option value="Cão de Castro Laboreiro">--}}
                                    {{--                                                            <option value="Cão Fila de São Miguel">--}}
                                    {{--                                                            <option value="Dachshund">--}}
                                    {{--                                                            <option value="Dalmatian">--}}
                                    {{--                                                            <option value="Dandie Dinmont Terrier">--}}
                                    {{--                                                            <option value="Danish Swedish Farmdog">--}}
                                    {{--                                                            <option value="Deutsche Bracke">--}}
                                    {{--                                                            <option value="Doberman Pinscher">--}}
                                    {{--                                                            <option value="Dogo Argentino">--}}
                                    {{--                                                            <option value="Dogo Cubano">--}}
                                    {{--                                                            <option value="Dogue de Bordeaux">--}}
                                    {{--                                                            <option value="Drentse Patrijshond">--}}
                                    {{--                                                            <option value="Drever">--}}
                                    {{--                                                            <option value="Dunker">--}}
                                    {{--                                                            <option value="Dutch Shepherd Dog">--}}
                                    {{--                                                            <option value="Dutch Smoushond">--}}
                                    {{--                                                            <option value="East Siberian Laika">--}}
                                    {{--                                                            <option value="East-European Shepherd">--}}
                                    {{--                                                            <option value="Elo">--}}
                                    {{--                                                            <option value="English Cocker Spaniel">--}}
                                    {{--                                                            <option value="English Foxhound">--}}
                                    {{--                                                            <option value="English Mastiff">--}}
                                    {{--                                                            <option value="English Setter">--}}
                                    {{--                                                            <option value="English Shepherd">--}}
                                    {{--                                                            <option value="English Springer Spaniel">--}}
                                    {{--                                                            <option value="English Toy Terrier (Black &amp; Tan)">--}}
                                    {{--                                                            <option value="English Water Spaniel">--}}
                                    {{--                                                            <option value="English White Terrier">--}}
                                    {{--                                                            <option value="Entlebucher Mountain Dog">--}}
                                    {{--                                                            <option value="Estonian Hound">--}}
                                    {{--                                                            <option value="Estrela Mountain Dog">--}}
                                    {{--                                                            <option value="Eurasier">--}}
                                    {{--                                                            <option value="Field Spaniel">--}}
                                    {{--                                                            <option value="Fila Brasileiro">--}}
                                    {{--                                                            <option value="Finnish Hound">--}}
                                    {{--                                                            <option value="Finnish Lapphund">--}}
                                    {{--                                                            <option value="Finnish Spitz">--}}
                                    {{--                                                            <option value="Flat-Coated Retriever">--}}
                                    {{--                                                            <option value="Formosan Mountain Dog">--}}
                                    {{--                                                            <option value="Fox Terrier (Smooth)">--}}
                                    {{--                                                            <option value="French Bulldog">--}}
                                    {{--                                                            <option value="French Spaniel">--}}
                                    {{--                                                            <option value="Galgo Español">--}}
                                    {{--                                                            <option value="Gascon Saintongeois">--}}
                                    {{--                                                            <option value="German Longhaired Pointer">--}}
                                    {{--                                                            <option value="German Pinscher">--}}
                                    {{--                                                            <option value="German Shepherd">--}}
                                    {{--                                                            <option value="German Shorthaired Pointer">--}}
                                    {{--                                                            <option value="German Spaniel">--}}
                                    {{--                                                            <option value="German Spitz">--}}
                                    {{--                                                            <option value="German Wirehaired Pointer">--}}
                                    {{--                                                            <option value="Giant Schnauzer">--}}
                                    {{--                                                            <option value="Glen of Imaal Terrier">--}}
                                    {{--                                                            <option value="Golden Retriever">--}}
                                    {{--                                                            <option value="Gordon Setter">--}}
                                    {{--                                                            <option value="Gran Mastín de Borínquen">--}}
                                    {{--                                                            <option value="Grand Anglo-Français Blanc et Noir">--}}
                                    {{--                                                            <option value="Grand Anglo-Français Blanc et Orange">--}}
                                    {{--                                                            <option value="Grand Anglo-Français Tricolore">--}}
                                    {{--                                                            <option value="Grand Basset Griffon Vendéen">--}}
                                    {{--                                                            <option value="Grand Bleu de Gascogne">--}}
                                    {{--                                                            <option value="Grand Griffon Vendéen">--}}
                                    {{--                                                            <option value="Great Dane">--}}
                                    {{--                                                            <option value="Great Pyrenees">--}}
                                    {{--                                                            <option value="Greater Swiss Mountain Dog">--}}
                                    {{--                                                            <option value="Greek Harehound">--}}
                                    {{--                                                            <option value="Greenland Dog">--}}
                                    {{--                                                            <option value="Greyhound">--}}
                                    {{--                                                            <option value="Griffon Bleu de Gascogne">--}}
                                    {{--                                                            <option value="Griffon Bruxellois">--}}
                                    {{--                                                            <option value="Griffon Fauve de Bretagne">--}}
                                    {{--                                                            <option value="Griffon Nivernais">--}}
                                    {{--                                                            <option value="Hamiltonstövare">--}}
                                    {{--                                                            <option value="Hanover Hound">--}}
                                    {{--                                                            <option value="Hare Indian Dog">--}}
                                    {{--                                                            <option value="Harrier">--}}
                                    {{--                                                            <option value="Havanese">--}}
                                    {{--                                                            <option value="Hawaiian Poi Dog">--}}
                                    {{--                                                            <option value="Himalayan Sheepdog">--}}
                                    {{--                                                            <option value="Hokkaido">--}}
                                    {{--                                                            <option value="Hovawart">--}}
                                    {{--                                                            <option value="Huntaway">--}}
                                    {{--                                                            <option value="Hygenhund">--}}
                                    {{--                                                            <option value="Ibizan Hound">--}}
                                    {{--                                                            <option value="Icelandic Sheepdog">--}}
                                    {{--                                                            <option value="Indian pariah dog">--}}
                                    {{--                                                            <option value="Indian Spitz">--}}
                                    {{--                                                            <option value="Irish Red and White Setter">--}}
                                    {{--                                                            <option value="Irish Setter">--}}
                                    {{--                                                            <option value="Irish Terrier">--}}
                                    {{--                                                            <option value="Irish Water Spaniel">--}}
                                    {{--                                                            <option value="Irish Wolfhound">--}}
                                    {{--                                                            <option value="Istrian Coarse-haired Hound">--}}
                                    {{--                                                            <option value="Istrian Shorthaired Hound">--}}
                                    {{--                                                            <option value="Italian Greyhound">--}}
                                    {{--                                                            <option value="Jack Russell Terrier">--}}
                                    {{--                                                            <option value="Jagdterrier">--}}
                                    {{--                                                            <option value="Jämthund">--}}
                                    {{--                                                            <option value="Kai Ken">--}}
                                    {{--                                                            <option value="Kaikadi">--}}
                                    {{--                                                            <option value="Kanni">--}}
                                    {{--                                                            <option value="Karelian Bear Dog">--}}
                                    {{--                                                            <option value="Karst Shepherd">--}}
                                    {{--                                                            <option value="Keeshond">--}}
                                    {{--                                                            <option value="Kerry Beagle">--}}
                                    {{--                                                            <option value="Kerry Blue Terrier">--}}
                                    {{--                                                            <option value="King Charles Spaniel">--}}
                                    {{--                                                            <option value="King Shepherd">--}}
                                    {{--                                                            <option value="Kintamani">--}}
                                    {{--                                                            <option value="Kishu">--}}
                                    {{--                                                            <option value="Komondor">--}}
                                    {{--                                                            <option value="Kooikerhondje">--}}
                                    {{--                                                            <option value="Koolie">--}}
                                    {{--                                                            <option value="Korean Jindo Dog">--}}
                                    {{--                                                            <option value="Kromfohrländer">--}}
                                    {{--                                                            <option value="Kumaon Mastiff">--}}
                                    {{--                                                            <option value="Kurī">--}}
                                    {{--                                                            <option value="Kuvasz">--}}
                                    {{--                                                            <option value="Kyi-Leo">--}}
                                    {{--                                                            <option value="Labrador Husky">--}}
                                    {{--                                                            <option value="Labrador Retriever">--}}
                                    {{--                                                            <option value="Lagotto Romagnolo">--}}
                                    {{--                                                            <option value="Lakeland Terrier">--}}
                                    {{--                                                            <option value="Lancashire Heeler">--}}
                                    {{--                                                            <option value="Landseer">--}}
                                    {{--                                                            <option value="Lapponian Herder">--}}
                                    {{--                                                            <option value="Large Münsterländer">--}}
                                    {{--                                                            <option value="Leonberger">--}}
                                    {{--                                                            <option value="Lhasa Apso">--}}
                                    {{--                                                            <option value="Lithuanian Hound">--}}
                                    {{--                                                            <option value="Longhaired Whippet">--}}
                                    {{--                                                            <option value="Löwchen">--}}
                                    {{--                                                            <option value="Mahratta Greyhound">--}}
                                    {{--                                                            <option value="Maltese">--}}
                                    {{--                                                            <option value="Manchester Terrier">--}}
                                    {{--                                                            <option value="Maremma Sheepdog">--}}
                                    {{--                                                            <option value="McNab">--}}
                                    {{--                                                            <option value="Mexican Hairless Dog">--}}
                                    {{--                                                            <option value="Miniature American Shepherd">--}}
                                    {{--                                                            <option value="Miniature Australian Shepherd">--}}
                                    {{--                                                            <option value="Miniature Fox Terrier">--}}
                                    {{--                                                            <option value="Miniature Pinscher">--}}
                                    {{--                                                            <option value="Miniature Schnauzer">--}}
                                    {{--                                                            <option value="Miniature Shar Pei">--}}
                                    {{--                                                            <option value="Molossus">--}}
                                    {{--                                                            <option value="Mongrel">--}}
                                    {{--                                                            <option value="Montenegrin Mountain Hound">--}}
                                    {{--                                                            <option value="Moscow Watchdog">--}}
                                    {{--                                                            <option value="Moscow Water Dog">--}}
                                    {{--                                                            <option value="Mountain Cur">--}}
                                    {{--                                                            <option value="Mucuchies">--}}
                                    {{--                                                            <option value="Mudhol Hound">--}}
                                    {{--                                                            <option value="Mudi">--}}
                                    {{--                                                            <option value="Neapolitan Mastiff">--}}
                                    {{--                                                            <option value="New Zealand Heading Dog">--}}
                                    {{--                                                            <option value="Newfoundland">--}}
                                    {{--                                                            <option value="Norfolk Spaniel">--}}
                                    {{--                                                            <option value="Norfolk Terrier">--}}
                                    {{--                                                            <option value="Norrbottenspets">--}}
                                    {{--                                                            <option value="North Country Beagle">--}}
                                    {{--                                                            <option value="Northern Inuit Dog">--}}
                                    {{--                                                            <option value="Norwegian Buhund">--}}
                                    {{--                                                            <option value="Norwegian Elkhound">--}}
                                    {{--                                                            <option value="Norwegian Lundehund">--}}
                                    {{--                                                            <option value="Norwich Terrier">--}}
                                    {{--                                                            <option value="Old Croatian Sighthound">--}}
                                    {{--                                                            <option value="Old Danish Pointer">--}}
                                    {{--                                                            <option value="Old English Sheepdog">--}}
                                    {{--                                                            <option value="Old English Terrier">--}}
                                    {{--                                                            <option value="Old German Shepherd Dog">--}}
                                    {{--                                                            <option value="Olde English Bulldogge">--}}
                                    {{--                                                            <option value="Otterhound">--}}
                                    {{--                                                            <option value="Pachon Navarro">--}}
                                    {{--                                                            <option value="Paisley Terrier">--}}
                                    {{--                                                            <option value="Pandikona">--}}
                                    {{--                                                            <option value="Papillon">--}}
                                    {{--                                                            <option value="Parson Russell Terrier">--}}
                                    {{--                                                            <option value="Patterdale Terrier">--}}
                                    {{--                                                            <option value="Pekingese">--}}
                                    {{--                                                            <option value="Pembroke Welsh Corgi">--}}
                                    {{--                                                            <option value="Perro de Presa Canario">--}}
                                    {{--                                                            <option value="Perro de Presa Mallorquin">--}}
                                    {{--                                                            <option value="Peruvian Hairless Dog">--}}
                                    {{--                                                            <option value="Petit Basset Griffon Vendéen">--}}
                                    {{--                                                            <option value="Petit Bleu de Gascogne">--}}
                                    {{--                                                            <option value="Phalène">--}}
                                    {{--                                                            <option value="Pharaoh Hound">--}}
                                    {{--                                                            <option value="Phu Quoc ridgeback dog">--}}
                                    {{--                                                            <option value="Picardy Spaniel">--}}
                                    {{--                                                            <option value="Plott Hound">--}}
                                    {{--                                                            <option value="Podenco Canario">--}}
                                    {{--                                                            <option value="Pointer (dog breed)">--}}
                                    {{--                                                            <option value="Polish Greyhound">--}}
                                    {{--                                                            <option value="Polish Hound">--}}
                                    {{--                                                            <option value="Polish Hunting Dog">--}}
                                    {{--                                                            <option value="Polish Lowland Sheepdog">--}}
                                    {{--                                                            <option value="Polish Tatra Sheepdog">--}}
                                    {{--                                                            <option value="Pomeranian">--}}
                                    {{--                                                            <option value="Pont-Audemer Spaniel">--}}
                                    {{--                                                            <option value="Poodle">--}}
                                    {{--                                                            <option value="Porcelaine">--}}
                                    {{--                                                            <option value="Portuguese Podengo">--}}
                                    {{--                                                            <option value="Portuguese Pointer">--}}
                                    {{--                                                            <option value="Portuguese Water Dog">--}}
                                    {{--                                                            <option value="Posavac Hound">--}}
                                    {{--                                                            <option value="Pražský Krysařík">--}}
                                    {{--                                                            <option value="Pudelpointer">--}}
                                    {{--                                                            <option value="Pug">--}}
                                    {{--                                                            <option value="Puli">--}}
                                    {{--                                                            <option value="Pumi">--}}
                                    {{--                                                            <option value="Pungsan Dog">--}}
                                    {{--                                                            <option value="Pyrenean Mastiff">--}}
                                    {{--                                                            <option value="Pyrenean Shepherd">--}}
                                    {{--                                                            <option value="Rafeiro do Alentejo">--}}
                                    {{--                                                            <option value="Rajapalayam">--}}
                                    {{--                                                            <option value="Rampur Greyhound">--}}
                                    {{--                                                            <option value="Rastreador Brasileiro">--}}
                                    {{--                                                            <option value="Rat Terrier">--}}
                                    {{--                                                            <option value="Ratonero Bodeguero Andaluz">--}}
                                    {{--                                                            <option value="Redbone Coonhound">--}}
                                    {{--                                                            <option value="Rhodesian Ridgeback">--}}
                                    {{--                                                            <option value="Rottweiler">--}}
                                    {{--                                                            <option value="Rough Collie">--}}
                                    {{--                                                            <option value="Russell Terrier">--}}
                                    {{--                                                            <option value="Russian Spaniel">--}}
                                    {{--                                                            <option value="Russian tracker">--}}
                                    {{--                                                            <option value="Russo-European Laika">--}}
                                    {{--                                                            <option value="Sabueso Español">--}}
                                    {{--                                                            <option value="Saint-Usuge Spaniel">--}}
                                    {{--                                                            <option value="Sakhalin Husky">--}}
                                    {{--                                                            <option value="Saluki">--}}
                                    {{--                                                            <option value="Samoyed">--}}
                                    {{--                                                            <option value="Sapsali">--}}
                                    {{--                                                            <option value="Schapendoes">--}}
                                    {{--                                                            <option value="Schillerstövare">--}}
                                    {{--                                                            <option value="Schipperke">--}}
                                    {{--                                                            <option value="Schweizer Laufhund">--}}
                                    {{--                                                            <option value="Schweizerischer Niederlaufhund">--}}
                                    {{--                                                            <option value="Scotch Collie">--}}
                                    {{--                                                            <option value="Scottish Deerhound">--}}
                                    {{--                                                            <option value="Scottish Terrier">--}}
                                    {{--                                                            <option value="Sealyham Terrier">--}}
                                    {{--                                                            <option value="Segugio Italiano">--}}
                                    {{--                                                            <option value="Seppala Siberian Sleddog">--}}
                                    {{--                                                            <option value="Serbian Hound">--}}
                                    {{--                                                            <option value="Serbian Tricolour Hound">--}}
                                    {{--                                                            <option value="Shar Pei">--}}
                                    {{--                                                            <option value="Shetland Sheepdog">--}}
                                    {{--                                                            <option value="Shiba Inu">--}}
                                    {{--                                                            <option value="Shih Tzu">--}}
                                    {{--                                                            <option value="Shikoku">--}}
                                    {{--                                                            <option value="Shiloh Shepherd Dog">--}}
                                    {{--                                                            <option value="Siberian Husky">--}}
                                    {{--                                                            <option value="Silken Windhound">--}}
                                    {{--                                                            <option value="Sinhala Hound">--}}
                                    {{--                                                            <option value="Skye Terrier">--}}
                                    {{--                                                            <option value="Sloughi">--}}
                                    {{--                                                            <option value="Slovak Cuvac">--}}
                                    {{--                                                            <option value="Slovakian Rough-haired Pointer">--}}
                                    {{--                                                            <option value="Small Greek Domestic Dog">--}}
                                    {{--                                                            <option value="Small Münsterländer">--}}
                                    {{--                                                            <option value="Smooth Collie">--}}
                                    {{--                                                            <option value="South Russian Ovcharka">--}}
                                    {{--                                                            <option value="Southern Hound">--}}
                                    {{--                                                            <option value="Spanish Mastiff">--}}
                                    {{--                                                            <option value="Spanish Water Dog">--}}
                                    {{--                                                            <option value="Spinone Italiano">--}}
                                    {{--                                                            <option value="Sporting Lucas Terrier">--}}
                                    {{--                                                            <option value="St. Bernard">--}}
                                    {{--                                                            <option value="St. John's water dog">--}}
                                    {{--                                                            <option value="Stabyhoun">--}}
                                    {{--                                                            <option value="Staffordshire Bull Terrier">--}}
                                    {{--                                                            <option value="Standard Schnauzer">--}}
                                    {{--                                                            <option value="Stephens Cur">--}}
                                    {{--                                                            <option value="Styrian Coarse-haired Hound">--}}
                                    {{--                                                            <option value="Sussex Spaniel">--}}
                                    {{--                                                            <option value="Swedish Lapphund">--}}
                                    {{--                                                            <option value="Swedish Vallhund">--}}
                                    {{--                                                            <option value="Tahltan Bear Dog">--}}
                                    {{--                                                            <option value="Taigan">--}}
                                    {{--                                                            <option value="Talbot">--}}
                                    {{--                                                            <option value="Tamaskan Dog">--}}
                                    {{--                                                            <option value="Teddy Roosevelt Terrier">--}}
                                    {{--                                                            <option value="Telomian">--}}
                                    {{--                                                            <option value="Tenterfield Terrier">--}}
                                    {{--                                                            <option value="Thai Bangkaew Dog">--}}
                                    {{--                                                            <option value="Thai Ridgeback">--}}
                                    {{--                                                            <option value="Tibetan Mastiff">--}}
                                    {{--                                                            <option value="Tibetan Spaniel">--}}
                                    {{--                                                            <option value="Tibetan Terrier">--}}
                                    {{--                                                            <option value="Tornjak">--}}
                                    {{--                                                            <option value="Tosa">--}}
                                    {{--                                                            <option value="Toy Bulldog">--}}
                                    {{--                                                            <option value="Toy Fox Terrier">--}}
                                    {{--                                                            <option value="Toy Manchester Terrier">--}}
                                    {{--                                                            <option value="Toy Trawler Spaniel">--}}
                                    {{--                                                            <option value="Transylvanian Hound">--}}
                                    {{--                                                            <option value="Treeing Cur">--}}
                                    {{--                                                            <option value="Treeing Walker Coonhound">--}}
                                    {{--                                                            <option value="Trigg Hound">--}}
                                    {{--                                                            <option value="Tweed Water Spaniel">--}}
                                    {{--                                                            <option value="Tyrolean Hound">--}}
                                    {{--                                                            <option value="Vizsla">--}}
                                    {{--                                                            <option value="Volpino Italiano">--}}
                                    {{--                                                            <option value="Weimaraner">--}}
                                    {{--                                                            <option value="Welsh Sheepdog">--}}
                                    {{--                                                            <option value="Welsh Springer Spaniel">--}}
                                    {{--                                                            <option value="Welsh Terrier">--}}
                                    {{--                                                            <option value="West Highland White Terrier">--}}
                                    {{--                                                            <option value="West Siberian Laika">--}}
                                    {{--                                                            <option value="Westphalian Dachsbracke">--}}
                                    {{--                                                            <option value="Wetterhoun">--}}
                                    {{--                                                            <option value="Whippet">--}}
                                    {{--                                                            <option value="White Shepherd">--}}
                                    {{--                                                            <option value="Wire Fox Terrier">--}}
                                    {{--                                                            <option value="Wirehaired Pointing Griffon">--}}
                                    {{--                                                            <option value="Wirehaired Vizsla">--}}
                                    {{--                                                            <option value="Yorkshire Terrier">--}}
                                    {{--                                                            <option value="Šarplaninac">--}}
                                    {{--                                                        </datalist>--}}
                                    {{--                                                    </div>--}}
                                    {{--                                                </div>--}}
                                    {{--                                                <div class="col-lg-6">--}}
                                    {{--                                                    <div class="form-group" id="">--}}
                                    {{--                                                        <label class="col-form-label">Sex</label>--}}
                                    {{--                                                        <select name="sex" id="sex" class="form-control" required>--}}
                                    {{--                                                            <option value="Male">Male</option>--}}
                                    {{--                                                            <option value="Female">Female</option>--}}
                                    {{--                                                        </select>--}}
                                    {{--                                                    </div>--}}
                                    {{--                                                </div>--}}
                                    {{--                                            </div>--}}
                                    {{--                                            <div class="row">--}}
                                    {{--                                                <div class="col-lg-6">--}}
                                    {{--                                                    <div class="form-group" id="">--}}
                                    {{--                                                        <label class="col-form-label">Color</label>--}}
                                    {{--                                                        <input type="text" name="dog-color"--}}
                                    {{--                                                               id="dog-color" class="form-control">--}}
                                    {{--                                                    </div>--}}
                                    {{--                                                </div>--}}
                                    {{--                                                <div class="col-lg-6" id="">--}}
                                    {{--                                                    <div class="form-group">--}}
                                    {{--                                                        <label class="col-form-label">Dog Name</label>--}}
                                    {{--                                                        <input type="text" name="dog_name"--}}
                                    {{--                                                               id="dog_name" class="form-control">--}}
                                    {{--                                                    </div>--}}
                                    {{--                                                </div>--}}
                                    {{--                                            </div>--}}
                                    {{--                                            <div class="row">--}}
{{--                                                                                    <div class="col-lg-6">--}}
{{--                                                                                        <div class="form-group">--}}
{{--                                                                                            <label class="col-form-label">Tariff</label>--}}
{{--                                                                                            <select class="form-control" onchange="dogFee(this.value)"--}}
{{--                                                                                                    name="dog_tariff" id="dog_tariff">--}}
{{--                                                                                                <option value="">Select Tariff</option>--}}
{{--                                                                                                @foreach($dog_tariffs as $item)--}}
{{--                                                                                                    <option value="{{$item}}"> {{$item->title}}--}}
{{--                                                                                                        | {{$item->description}}</option>--}}
{{--                                                                                                @endforeach--}}
{{--                                                                                            </select>--}}
{{--                                                                                            <input type="hidden" name="dog_tariff_id" id="dog_tariff_id">--}}
{{--                                                                                        </div>--}}
{{--                                                                                    </div>--}}
{{--                                                                                    <div class="col-lg-6">--}}
{{--                                                                                        <div class="form-group">--}}
{{--                                                                                            <label class="col-form-label">Dog Fee (USD)</label>--}}
{{--                                                                                            <input type="text" class="form-control" name="dog_fee"--}}
{{--                                                                                                   id="dog_fee"--}}
{{--                                                                                                   readonly>--}}
{{--                                                                                        </div>--}}
{{--                                                                                    </div>--}}
                                    {{--                                            </div>--}}
                                    {{--                                        </div>--}}
                                    {{--                                    </div>--}}
                                    <div class="card-body">
                                        <div class="job-cards">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <div class="row">
                                                        <div class="col-md-12">
                                                            <table
                                                                class="table table-sm table-stripped table-bordered ">
                                                                <thead>
                                                                <style>
                                                                    .width-15 {
                                                                        width: 5%;
                                                                    }
                                                                </style>
                                                                <th>BREED</th>
                                                                <th>GENDER</th>
                                                                <th>COLOR</th>
                                                                <th>NAME</th>
                                                                <th>TARIFF</th>
                                                                <th>FEE</th>
                                                                <th class="">ACTION</th>
                                                                </thead>
                                                                <tbody>
                                                                <tr>
                                                                    <td>
                                                                        <input list="breeds" id="breed"
                                                                               class="form-control"
                                                                               placeholder="Breed" >
                                                                        <datalist id="breeds">
                                                                            <option value="">
                                                                            <option value="Affenpinscher">
                                                                            <option value="Afghan Hound">
                                                                            <option value="Aidi">
                                                                            <option value="Airedale Terrier">
                                                                            <option value="Akbash Dog">
                                                                            <option value="Akita">
                                                                            <option value="Alano Español">
                                                                            <option value="Alaskan Klee Kai">
                                                                            <option value="Alaskan Malamute">
                                                                            <option value="Alpine Dachsbracke">
                                                                            <option value="Alpine Spaniel">
                                                                            <option value="American Bulldog">
                                                                            <option value="American Cocker Spaniel">
                                                                            <option value="American Eskimo Dog">
                                                                            <option value="American Foxhound">
                                                                            <option value="American Hairless Terrier">
                                                                            <option value="American Pit Bull Terrier">
                                                                            <option
                                                                                value="American Staffordshire Terrier">
                                                                            <option value="American Water Spaniel">
                                                                            <option
                                                                                value="Anglo-Français de Petite Vénerie">
                                                                            <option value="Appenzeller Sennenhund">
                                                                            <option value="Ariege Pointer">
                                                                            <option value="Ariegeois">
                                                                            <option value="Armant">
                                                                            <option value="Armenian Gampr dog">
                                                                            <option value="Artois Hound">
                                                                            <option value="Australian Cattle Dog">
                                                                            <option value="Australian Kelpie">
                                                                            <option value="Australian Shepherd">
                                                                            <option value="Australian Silky Terrier">
                                                                            <option
                                                                                value="Australian Stumpy Tail Cattle Dog">
                                                                            <option value="Australian Terrier">
                                                                            <option value="Azawakh">
                                                                            <option value="Bakharwal Dog">
                                                                            <option value="Barbet">
                                                                            <option value="Basenji">
                                                                            <option value="Basque Shepherd Dog">
                                                                            <option value="Basset Artésien Normand">
                                                                            <option value="Basset Bleu de Gascogne">
                                                                            <option value="Basset Fauve de Bretagne">
                                                                            <option value="Basset Hound">
                                                                            <option value="Bavarian Mountain Hound">
                                                                            <option value="Beagle">
                                                                            <option value="Beagle-Harrier">
                                                                            <option value="Bearded Collie">
                                                                            <option value="Beauceron">
                                                                            <option value="Bedlington Terrier">
                                                                            <option
                                                                                value="Belgian Shepherd Dog (Groenendael)">
                                                                            <option
                                                                                value="Belgian Shepherd Dog (Laekenois)">
                                                                            <option
                                                                                value="Belgian Shepherd Dog (Malinois)">
                                                                            <option value="Bergamasco Shepherd">
                                                                            <option value="Berger Blanc Suisse">
                                                                            <option value="Berger Picard">
                                                                            <option value="Berner Laufhund">
                                                                            <option value="Bernese Mountain Dog">
                                                                            <option value="Billy">
                                                                            <option value="Black and Tan Coonhound">
                                                                            <option
                                                                                value="Black and Tan Virginia Foxhound">
                                                                            <option value="Black Norwegian Elkhound">
                                                                            <option value="Black Russian Terrier">
                                                                            <option value="Bloodhound">
                                                                            <option value="Blue Lacy">
                                                                            <option value="Blue Paul Terrier">
                                                                            <option value="Boerboel">
                                                                            <option value="Bohemian Shepherd">
                                                                            <option value="Bolognese">
                                                                            <option value="Border Collie">
                                                                            <option value="Border Terrier">
                                                                            <option value="Borzoi">
                                                                            <option value="Boston Terrier">
                                                                            <option value="Bouvier des Ardennes">
                                                                            <option value="Bouvier des Flandres">
                                                                            <option value="Boxer">
                                                                            <option value="Boykin Spaniel">
                                                                            <option value="Bracco Italiano">
                                                                            <option value="Braque d'Auvergne">
                                                                            <option value="Braque du Bourbonnais">
                                                                            <option value="Braque du Puy">
                                                                            <option value="Braque Francais">
                                                                            <option value="Braque Saint-Germain">
                                                                            <option value="Brazilian Terrier">
                                                                            <option value="Briard">
                                                                            <option value="Briquet Griffon Vendéen">
                                                                            <option value="Brittany">
                                                                            <option value="Broholmer">
                                                                            <option value="Bruno Jura Hound">
                                                                            <option value="Bucovina Shepherd Dog">
                                                                            <option value="Bull and Terrier">
                                                                            <option value="Bull Terrier (Miniature)">
                                                                            <option value="Bull Terrier">
                                                                            <option value="Bulldog">
                                                                            <option value="Bullenbeisser">
                                                                            <option value="Bullmastiff">
                                                                            <option value="Bully Kutta">
                                                                            <option value="Burgos Pointer">
                                                                            <option value="Cairn Terrier">
                                                                            <option value="Canaan Dog">
                                                                            <option value="Canadian Eskimo Dog">
                                                                            <option value="Cane Corso">
                                                                            <option value="Cardigan Welsh Corgi">
                                                                            <option value="Carolina Dog">
                                                                            <option value="Carpathian Shepherd Dog">
                                                                            <option value="Catahoula Cur">
                                                                            <option value="Catalan Sheepdog">
                                                                            <option value="Caucasian Shepherd Dog">
                                                                            <option
                                                                                value="Cavalier King Charles Spaniel">
                                                                            <option value="Central Asian Shepherd Dog">
                                                                            <option value="Cesky Fousek">
                                                                            <option value="Cesky Terrier">
                                                                            <option value="Chesapeake Bay Retriever">
                                                                            <option
                                                                                value="Chien Français Blanc et Noir">
                                                                            <option
                                                                                value="Chien Français Blanc et Orange">
                                                                            <option value="Chien Français Tricolore">
                                                                            <option value="Chien-gris">
                                                                            <option value="Chihuahua">
                                                                            <option value="Chilean Fox Terrier">
                                                                            <option value="Chinese Chongqing Dog">
                                                                            <option value="Chinese Crested Dog">
                                                                            <option value="Chinese Imperial Dog">
                                                                            <option value="Chinook">
                                                                            <option value="Chippiparai">
                                                                            <option value="Chow Chow">
                                                                            <option value="Cierny Sery">
                                                                            <option value="Cimarrón Uruguayo">
                                                                            <option value="Cirneco dell'Etna">
                                                                            <option value="Clumber Spaniel">
                                                                            <option value="Combai">
                                                                            <option value="Cordoba Fighting Dog">
                                                                            <option value="Coton de Tulear">
                                                                            <option value="Cretan Hound">
                                                                            <option value="Croatian Sheepdog">
                                                                            <option value="Cumberland Sheepdog">
                                                                            <option value="Curly Coated Retriever">
                                                                            <option value="Cursinu">
                                                                            <option value="Cão da Serra de Aires">
                                                                            <option value="Cão de Castro Laboreiro">
                                                                            <option value="Cão Fila de São Miguel">
                                                                            <option value="Dachshund">
                                                                            <option value="Dalmatian">
                                                                            <option value="Dandie Dinmont Terrier">
                                                                            <option value="Danish Swedish Farmdog">
                                                                            <option value="Deutsche Bracke">
                                                                            <option value="Doberman Pinscher">
                                                                            <option value="Dogo Argentino">
                                                                            <option value="Dogo Cubano">
                                                                            <option value="Dogue de Bordeaux">
                                                                            <option value="Drentse Patrijshond">
                                                                            <option value="Drever">
                                                                            <option value="Dunker">
                                                                            <option value="Dutch Shepherd Dog">
                                                                            <option value="Dutch Smoushond">
                                                                            <option value="East Siberian Laika">
                                                                            <option value="East-European Shepherd">
                                                                            <option value="Elo">
                                                                            <option value="English Cocker Spaniel">
                                                                            <option value="English Foxhound">
                                                                            <option value="English Mastiff">
                                                                            <option value="English Setter">
                                                                            <option value="English Shepherd">
                                                                            <option value="English Springer Spaniel">
                                                                            <option
                                                                                value="English Toy Terrier (Black &amp; Tan)">
                                                                            <option value="English Water Spaniel">
                                                                            <option value="English White Terrier">
                                                                            <option value="Entlebucher Mountain Dog">
                                                                            <option value="Estonian Hound">
                                                                            <option value="Estrela Mountain Dog">
                                                                            <option value="Eurasier">
                                                                            <option value="Field Spaniel">
                                                                            <option value="Fila Brasileiro">
                                                                            <option value="Finnish Hound">
                                                                            <option value="Finnish Lapphund">
                                                                            <option value="Finnish Spitz">
                                                                            <option value="Flat-Coated Retriever">
                                                                            <option value="Formosan Mountain Dog">
                                                                            <option value="Fox Terrier (Smooth)">
                                                                            <option value="French Bulldog">
                                                                            <option value="French Spaniel">
                                                                            <option value="Galgo Español">
                                                                            <option value="Gascon Saintongeois">
                                                                            <option value="German Longhaired Pointer">
                                                                            <option value="German Pinscher">
                                                                            <option value="German Shepherd">
                                                                            <option value="German Shorthaired Pointer">
                                                                            <option value="German Spaniel">
                                                                            <option value="German Spitz">
                                                                            <option value="German Wirehaired Pointer">
                                                                            <option value="Giant Schnauzer">
                                                                            <option value="Glen of Imaal Terrier">
                                                                            <option value="Golden Retriever">
                                                                            <option value="Gordon Setter">
                                                                            <option value="Gran Mastín de Borínquen">
                                                                            <option
                                                                                value="Grand Anglo-Français Blanc et Noir">
                                                                            <option
                                                                                value="Grand Anglo-Français Blanc et Orange">
                                                                            <option
                                                                                value="Grand Anglo-Français Tricolore">
                                                                            <option
                                                                                value="Grand Basset Griffon Vendéen">
                                                                            <option value="Grand Bleu de Gascogne">
                                                                            <option value="Grand Griffon Vendéen">
                                                                            <option value="Great Dane">
                                                                            <option value="Great Pyrenees">
                                                                            <option value="Greater Swiss Mountain Dog">
                                                                            <option value="Greek Harehound">
                                                                            <option value="Greenland Dog">
                                                                            <option value="Greyhound">
                                                                            <option value="Griffon Bleu de Gascogne">
                                                                            <option value="Griffon Bruxellois">
                                                                            <option value="Griffon Fauve de Bretagne">
                                                                            <option value="Griffon Nivernais">
                                                                            <option value="Hamiltonstövare">
                                                                            <option value="Hanover Hound">
                                                                            <option value="Hare Indian Dog">
                                                                            <option value="Harrier">
                                                                            <option value="Havanese">
                                                                            <option value="Hawaiian Poi Dog">
                                                                            <option value="Himalayan Sheepdog">
                                                                            <option value="Hokkaido">
                                                                            <option value="Hovawart">
                                                                            <option value="Huntaway">
                                                                            <option value="Hygenhund">
                                                                            <option value="Ibizan Hound">
                                                                            <option value="Icelandic Sheepdog">
                                                                            <option value="Indian pariah dog">
                                                                            <option value="Indian Spitz">
                                                                            <option value="Irish Red and White Setter">
                                                                            <option value="Irish Setter">
                                                                            <option value="Irish Terrier">
                                                                            <option value="Irish Water Spaniel">
                                                                            <option value="Irish Wolfhound">
                                                                            <option value="Istrian Coarse-haired Hound">
                                                                            <option value="Istrian Shorthaired Hound">
                                                                            <option value="Italian Greyhound">
                                                                            <option value="Jack Russell Terrier">
                                                                            <option value="Jagdterrier">
                                                                            <option value="Jämthund">
                                                                            <option value="Kai Ken">
                                                                            <option value="Kaikadi">
                                                                            <option value="Kanni">
                                                                            <option value="Karelian Bear Dog">
                                                                            <option value="Karst Shepherd">
                                                                            <option value="Keeshond">
                                                                            <option value="Kerry Beagle">
                                                                            <option value="Kerry Blue Terrier">
                                                                            <option value="King Charles Spaniel">
                                                                            <option value="King Shepherd">
                                                                            <option value="Kintamani">
                                                                            <option value="Kishu">
                                                                            <option value="Komondor">
                                                                            <option value="Kooikerhondje">
                                                                            <option value="Koolie">
                                                                            <option value="Korean Jindo Dog">
                                                                            <option value="Kromfohrländer">
                                                                            <option value="Kumaon Mastiff">
                                                                            <option value="Kurī">
                                                                            <option value="Kuvasz">
                                                                            <option value="Kyi-Leo">
                                                                            <option value="Labrador Husky">
                                                                            <option value="Labrador Retriever">
                                                                            <option value="Lagotto Romagnolo">
                                                                            <option value="Lakeland Terrier">
                                                                            <option value="Lancashire Heeler">
                                                                            <option value="Landseer">
                                                                            <option value="Lapponian Herder">
                                                                            <option value="Large Münsterländer">
                                                                            <option value="Leonberger">
                                                                            <option value="Lhasa Apso">
                                                                            <option value="Lithuanian Hound">
                                                                            <option value="Longhaired Whippet">
                                                                            <option value="Löwchen">
                                                                            <option value="Mahratta Greyhound">
                                                                            <option value="Maltese">
                                                                            <option value="Manchester Terrier">
                                                                            <option value="Maremma Sheepdog">
                                                                            <option value="McNab">
                                                                            <option value="Mexican Hairless Dog">
                                                                            <option value="Miniature American Shepherd">
                                                                            <option
                                                                                value="Miniature Australian Shepherd">
                                                                            <option value="Miniature Fox Terrier">
                                                                            <option value="Miniature Pinscher">
                                                                            <option value="Miniature Schnauzer">
                                                                            <option value="Miniature Shar Pei">
                                                                            <option value="Molossus">
                                                                            <option value="Mongrel">
                                                                            <option value="Montenegrin Mountain Hound">
                                                                            <option value="Moscow Watchdog">
                                                                            <option value="Moscow Water Dog">
                                                                            <option value="Mountain Cur">
                                                                            <option value="Mucuchies">
                                                                            <option value="Mudhol Hound">
                                                                            <option value="Mudi">
                                                                            <option value="Neapolitan Mastiff">
                                                                            <option value="New Zealand Heading Dog">
                                                                            <option value="Newfoundland">
                                                                            <option value="Norfolk Spaniel">
                                                                            <option value="Norfolk Terrier">
                                                                            <option value="Norrbottenspets">
                                                                            <option value="North Country Beagle">
                                                                            <option value="Northern Inuit Dog">
                                                                            <option value="Norwegian Buhund">
                                                                            <option value="Norwegian Elkhound">
                                                                            <option value="Norwegian Lundehund">
                                                                            <option value="Norwich Terrier">
                                                                            <option value="Old Croatian Sighthound">
                                                                            <option value="Old Danish Pointer">
                                                                            <option value="Old English Sheepdog">
                                                                            <option value="Old English Terrier">
                                                                            <option value="Old German Shepherd Dog">
                                                                            <option value="Olde English Bulldogge">
                                                                            <option value="Otterhound">
                                                                            <option value="Pachon Navarro">
                                                                            <option value="Paisley Terrier">
                                                                            <option value="Pandikona">
                                                                            <option value="Papillon">
                                                                            <option value="Parson Russell Terrier">
                                                                            <option value="Patterdale Terrier">
                                                                            <option value="Pekingese">
                                                                            <option value="Pembroke Welsh Corgi">
                                                                            <option value="Perro de Presa Canario">
                                                                            <option value="Perro de Presa Mallorquin">
                                                                            <option value="Peruvian Hairless Dog">
                                                                            <option
                                                                                value="Petit Basset Griffon Vendéen">
                                                                            <option value="Petit Bleu de Gascogne">
                                                                            <option value="Phalène">
                                                                            <option value="Pharaoh Hound">
                                                                            <option value="Phu Quoc ridgeback dog">
                                                                            <option value="Picardy Spaniel">
                                                                            <option value="Plott Hound">
                                                                            <option value="Podenco Canario">
                                                                            <option value="Pointer (dog breed)">
                                                                            <option value="Polish Greyhound">
                                                                            <option value="Polish Hound">
                                                                            <option value="Polish Hunting Dog">
                                                                            <option value="Polish Lowland Sheepdog">
                                                                            <option value="Polish Tatra Sheepdog">
                                                                            <option value="Pomeranian">
                                                                            <option value="Pont-Audemer Spaniel">
                                                                            <option value="Poodle">
                                                                            <option value="Porcelaine">
                                                                            <option value="Portuguese Podengo">
                                                                            <option value="Portuguese Pointer">
                                                                            <option value="Portuguese Water Dog">
                                                                            <option value="Posavac Hound">
                                                                            <option value="Pražský Krysařík">
                                                                            <option value="Pudelpointer">
                                                                            <option value="Pug">
                                                                            <option value="Puli">
                                                                            <option value="Pumi">
                                                                            <option value="Pungsan Dog">
                                                                            <option value="Pyrenean Mastiff">
                                                                            <option value="Pyrenean Shepherd">
                                                                            <option value="Rafeiro do Alentejo">
                                                                            <option value="Rajapalayam">
                                                                            <option value="Rampur Greyhound">
                                                                            <option value="Rastreador Brasileiro">
                                                                            <option value="Rat Terrier">
                                                                            <option value="Ratonero Bodeguero Andaluz">
                                                                            <option value="Redbone Coonhound">
                                                                            <option value="Rhodesian Ridgeback">
                                                                            <option value="Rottweiler">
                                                                            <option value="Rough Collie">
                                                                            <option value="Russell Terrier">
                                                                            <option value="Russian Spaniel">
                                                                            <option value="Russian tracker">
                                                                            <option value="Russo-European Laika">
                                                                            <option value="Sabueso Español">
                                                                            <option value="Saint-Usuge Spaniel">
                                                                            <option value="Sakhalin Husky">
                                                                            <option value="Saluki">
                                                                            <option value="Samoyed">
                                                                            <option value="Sapsali">
                                                                            <option value="Schapendoes">
                                                                            <option value="Schillerstövare">
                                                                            <option value="Schipperke">
                                                                            <option value="Schweizer Laufhund">
                                                                            <option
                                                                                value="Schweizerischer Niederlaufhund">
                                                                            <option value="Scotch Collie">
                                                                            <option value="Scottish Deerhound">
                                                                            <option value="Scottish Terrier">
                                                                            <option value="Sealyham Terrier">
                                                                            <option value="Segugio Italiano">
                                                                            <option value="Seppala Siberian Sleddog">
                                                                            <option value="Serbian Hound">
                                                                            <option value="Serbian Tricolour Hound">
                                                                            <option value="Shar Pei">
                                                                            <option value="Shetland Sheepdog">
                                                                            <option value="Shiba Inu">
                                                                            <option value="Shih Tzu">
                                                                            <option value="Shikoku">
                                                                            <option value="Shiloh Shepherd Dog">
                                                                            <option value="Siberian Husky">
                                                                            <option value="Silken Windhound">
                                                                            <option value="Sinhala Hound">
                                                                            <option value="Skye Terrier">
                                                                            <option value="Sloughi">
                                                                            <option value="Slovak Cuvac">
                                                                            <option
                                                                                value="Slovakian Rough-haired Pointer">
                                                                            <option value="Small Greek Domestic Dog">
                                                                            <option value="Small Münsterländer">
                                                                            <option value="Smooth Collie">
                                                                            <option value="South Russian Ovcharka">
                                                                            <option value="Southern Hound">
                                                                            <option value="Spanish Mastiff">
                                                                            <option value="Spanish Water Dog">
                                                                            <option value="Spinone Italiano">
                                                                            <option value="Sporting Lucas Terrier">
                                                                            <option value="St. Bernard">
                                                                            <option value="St. John's water dog">
                                                                            <option value="Stabyhoun">
                                                                            <option value="Staffordshire Bull Terrier">
                                                                            <option value="Standard Schnauzer">
                                                                            <option value="Stephens Cur">
                                                                            <option value="Styrian Coarse-haired Hound">
                                                                            <option value="Sussex Spaniel">
                                                                            <option value="Swedish Lapphund">
                                                                            <option value="Swedish Vallhund">
                                                                            <option value="Tahltan Bear Dog">
                                                                            <option value="Taigan">
                                                                            <option value="Talbot">
                                                                            <option value="Tamaskan Dog">
                                                                            <option value="Teddy Roosevelt Terrier">
                                                                            <option value="Telomian">
                                                                            <option value="Tenterfield Terrier">
                                                                            <option value="Thai Bangkaew Dog">
                                                                            <option value="Thai Ridgeback">
                                                                            <option value="Tibetan Mastiff">
                                                                            <option value="Tibetan Spaniel">
                                                                            <option value="Tibetan Terrier">
                                                                            <option value="Tornjak">
                                                                            <option value="Tosa">
                                                                            <option value="Toy Bulldog">
                                                                            <option value="Toy Fox Terrier">
                                                                            <option value="Toy Manchester Terrier">
                                                                            <option value="Toy Trawler Spaniel">
                                                                            <option value="Transylvanian Hound">
                                                                            <option value="Treeing Cur">
                                                                            <option value="Treeing Walker Coonhound">
                                                                            <option value="Trigg Hound">
                                                                            <option value="Tweed Water Spaniel">
                                                                            <option value="Tyrolean Hound">
                                                                            <option value="Vizsla">
                                                                            <option value="Volpino Italiano">
                                                                            <option value="Weimaraner">
                                                                            <option value="Welsh Sheepdog">
                                                                            <option value="Welsh Springer Spaniel">
                                                                            <option value="Welsh Terrier">
                                                                            <option value="West Highland White Terrier">
                                                                            <option value="West Siberian Laika">
                                                                            <option value="Westphalian Dachsbracke">
                                                                            <option value="Wetterhoun">
                                                                            <option value="Whippet">
                                                                            <option value="White Shepherd">
                                                                            <option value="Wire Fox Terrier">
                                                                            <option value="Wirehaired Pointing Griffon">
                                                                            <option value="Wirehaired Vizsla">
                                                                            <option value="Yorkshire Terrier">
                                                                            <option value="Šarplaninac">
                                                                        </datalist>
                                                                    </td>
                                                                    <td>
                                                                        <select id="sex" class="form-control" >
                                                                            <option value="">Choose Gender</option>
                                                                            <option value="Male">Male</option>
                                                                            <option value="Female">Female</option>
                                                                        </select>
                                                                    </td>
                                                                    <td>
                                                                        <input type="text" id="color"
                                                                               class="form-control"
                                                                               placeholder="Color" >
                                                                    </td>
                                                                    <td>
                                                                        <input type="text" id="dogName"
                                                                               class="form-control"
                                                                               placeholder="Dog Name" >
                                                                    </td>
                                                                    <td>
                                                                        <select class="form-control" onchange="dogFee(this.value)"
                                                                                id="dog_tariff">
                                                                            <option value="">Select Tariff</option>
                                                                            @foreach($dog_tariffs as $item)
                                                                                <option value="{{$item->id}}|{{$item->title}}|{{$item->price}}"> {{$item->title}}
                                                                                    | {{$item->description}}</option>
                                                                            @endforeach
                                                                        </select>
{{--                                                                        <input type="hidden" name="dog_tariff_id" id="dog_tariff_id">--}}
                                                                        {{--                                                            <input type="hidden" name="dog_tariff_id" id="dog_tariff_id">--}}
                                                                    </td>
                                                                    <td>
                                                                        <input type="text" class="form-control" name="dog_fee"
                                                                               id="dog_fee"
                                                                               readonly>
                                                                    </td>
                                                                    <td>
                                                                        <a class="btn btn-sm btn-outline-primary text-gray"
                                                                           onclick="addRows('dogs_list')">
                                                                            <i class="icofont icofont-plus"></i></a>
                                                                    </td>
                                                                </tr>

                                                                </tbody>
                                                                <tbody id="dogs_list">

                                                                </tbody>
                                                            </table>

                                                        </div>
                                                        {{--                                            <div class="col-md-12 text-right">--}}
                                                        {{--                                                <a class="btn btn-sm btn-outline-primary text-gray" style="color:lightgray"--}}
                                                        {{--                                                   onclick="addRows('dogs_list')"><i class="fas fa-plus"></i>&nbsp; Add Row</a>--}}
                                                        {{--                                            </div>--}}
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="cycle" style="display:none;">
                        <div class="row">
                            <div class="col-lg-12 col-xl-9">
                                <div class="card">
                                    <div class="card-header">
                                        <div class="sub-title">
                                            <h5>Cycle Licence</h5>
                                        </div>
                                    </div>
                                    <div class="card-block">
                                        <div class="job-cards">
                                            <div class="row">
                                                <div class="col-lg-6" id="">
                                                    <div class="form-group">
                                                        <label class="col-form-label">Badge Number</label>
                                                        <input type="text" name="badgenumber"
                                                               id="badgenumber" class="form-control">
                                                    </div>
                                                </div>
                                                <div class="col-lg-6">
                                                    <div class="form-group" id="">
                                                        <label class="col-form-label">Make Number</label>
                                                        <input type="text" name="makenumber"
                                                               id="makenumber" class="form-control">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-lg-6">
                                                    <div class="form-group" id="">
                                                        <label class="col-form-label">Bicycle</label>
                                                        <input type="text" name="bicycle"
                                                               id="bicycle" class="form-control">
                                                    </div>
                                                </div>
                                                <div class="col-lg-6" id="">
                                                    <div class="form-group">
                                                        <label class="col-form-label">Tariff</label>
                                                        <select class="form-control" onchange="cycleFee(this.value)"
                                                                name="cycle_tariff"
                                                                id="cycle_tariff">
                                                            <option value="">Select Tariff</option>
                                                            @foreach($cycle_tariffs as $item)
                                                                <option value="{{$item}}"> {{$item->title}}
                                                                    | {{$item->description}}</option>
                                                            @endforeach
                                                        </select>
                                                        <input type="hidden" name="cycle_tariff_id"
                                                               id="cycle_tariff_id">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-lg-6">
                                                    <div class="form-group">
                                                        <label class="col-form-label">Licence Fee (USD)</label>
                                                        <input type="text" readonly name="cycle_fee" id="cycle_fee"
                                                               class="form-control"
                                                               placeholder="0.00">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="hawker" style="display:none;">
                        <div class="row">
                            <div class="col-lg-12 col-xl-9">
                                <div class="card">
                                    <div class="card-header">
                                        <div class="sub-title">
                                            <h5>Hawker Licence</h5>
                                        </div>
                                    </div>
                                    <div class="card-block">
                                        <div class="job-cards">
                                            <div class="row">
                                                <div class="col-lg-4" id="">
                                                    <div class="form-group">
                                                        <label class="col-form-label">Vehicle Type</label>
                                                        <input type="text" name="vehicle_type"
                                                               id="vehicle_type" class="form-control">
                                                    </div>
                                                </div>
                                                <div class="col-lg-4">
                                                    <div class="form-group" id="">
                                                        <label for="hawker_tariff" class="col-form-label">Tariff</label>
                                                        <select class="form-control" id="hawker_tariff"
                                                                onchange="hawkerFee(this.value)" name="hawker_tariff">
                                                            <option value="">Select Tariff</option>
                                                            @foreach($hawker_tariffs as $item)
                                                                <option value="{{$item}}">{{$item->title}}
                                                                    | {{$item->description}}</option>
                                                            @endforeach
                                                        </select>
                                                    </div>
                                                    <input type="text" name="hawker_tariff_id" id="hawker_tariff_id"
                                                           hidden readonly>
                                                </div>
                                                <div class="col-lg-4">
                                                    <div class="form-group" id="tradingBusinessOwnerEmailCover">
                                                        <label for="hawker_fee" readonly class="col-form-label">Licence
                                                            Fee (USD)</label>
                                                        <input type="text" name="hawker_fee" id="hawker_fee"
                                                               class="form-control" placeholder="0.00" readonly>
                                                    </div>
                                                </div>
                                            </div>
                                          <div class="form-group">
                                              <div class="col-md-12">
                                                  <label for="goods_sold">What does the Person Sell </label>&nbsp;&nbsp;<span style="color:red;font-size:10px;">(text will appear on licence as is written here)</span>
                                                  <textarea class="form-control" name="goods_sold" id="goods_sold" cols="100%" placeholder="Write down what the person sells exactly as it should appear on the licence" rows="2"></textarea>
                                              </div>
                                          </div>
                                            <div class="row">
                                                <div class="col-sm-6">
                                                    Previous Application
                                                </div>
                                                <div class="col-sm-6">
                                                    <div class="form-radio">
                                                        <div class="radio radiofill radio-inline">
                                                            <label>
                                                                <input type="radio" name="radio_hawker_owner"
                                                                       id="is_owner"
                                                                       value="yes"
                                                                       checked="checked">
                                                                <i class="helper"></i> Yes
                                                            </label>
                                                        </div>
                                                        <div class="radio radiofill radio-inline">
                                                            <label>
                                                                <input type="radio" name="radio_hawker_owner"
                                                                       id="not_owner"
                                                                       value="no">
                                                                <i class="helper"></i> No
                                                            </label>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div>
                        <div class="row">
                            <div class="col-lg-12 col-xl-9">
                                <div class="row">
                                    <div class="col-sm-6">
                                        <button type="submit" class="btn btn-primary">Apply</button>
                                    </div>
                                    <div class="col-sm-6">
                                        <button type="button" class="btn btn-success">Reset</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection

@section('page-js')
    @livewireScripts
    <script src="{{ asset('assets/js/sweetalert/js/sweetalert2@11.js') }}"></script>
    <script src="{{asset('assets/js/custom/select2/js/select2.full.js')}}"></script>
    {{--    <x-livewire-alert::scripts/>--}}
    <script src="{{ asset('vendor/livewire-alert/livewire-alert.js') }}"></script>
    <script>
        function addRows(table_id){

            let breed = $("#breed").val();
            $("#breed").val("");
            let sex =  $("#sex").val();
            $("#sex").val("");
            let color = $("#color").val();
            $("#color").val("")
            let dog_name = $("#dogName").val();
            $("#dogName").val("")
            let tariff_description_array = $("#dog_tariff").val().split("|");
            $("#dog_tariff").val("")
            let dog_tariff_id = tariff_description_array[0];
            let dog_tariff_description = tariff_description_array[1];
            let licence_price = $("#dog_fee").val();
            $("#dog_fee").val("")


            let table = document.getElementById(table_id);
            let rowCount = table.rows.length;

            let row = table.insertRow(rowCount);
            let idd ="c"+ (rowCount)
            row.id = "c"+ (rowCount)

            if(breed === "" || sex === "" || color === "" || dog_name === "" || dog_tariff_id === "" || licence_price === undefined){
                return false;
            } else {
                let breed_cell = row.insertCell(0);
                let sex_cell = row.insertCell(1);
                let color_cell = row.insertCell(2);
                let dog_name_cell = row.insertCell(3);
                let tariff_cell = row.insertCell(4);
                let licence_price_cell = row.insertCell(5);
                let action = row.insertCell(6);

                let input = document.createElement("input");
                input.type = "text";
                input.classList.add('form-control');
                input.name = 'dog[' + rowCount + '][breed]';
                input.value = breed;
                input.readOnly = true;

                breed_cell.append(input);

                input = document.createElement("input");

                input.type = "text";
                input.classList.add('form-control');
                input.name = 'dog[' + rowCount + '][sex]';
                input.value = sex;
                input.readOnly = true;

                sex_cell.append(input)


                input = document.createElement("input");

                input.type = "text";
                input.classList.add('form-control');
                input.name = 'dog[' + rowCount + '][colour]';
                input.value = color;
                input.readOnly = true;

                color_cell.append(input)


                input = document.createElement("input");

                input.type = "text";
                input.classList.add('form-control');
                input.name = 'dog[' + rowCount + '][dog_name]';
                input.value = dog_name;
                input.readOnly = true;

                dog_name_cell.append(input)

                input = document.createElement("input");

                input.type = "text";
                input.classList.add('form-control');
                // input.name = 'dog[' + rowCount + '][dog_tariff_description]';
                input.value = dog_tariff_description;
                input.readOnly = true;

                tariff_cell.append(input)


                input = document.createElement("input");
                input.type = "text";
                input.classList.add('form-control');
                input.name = 'dog[' + rowCount + '][licence_tariff_id]';
                input.value = dog_tariff_id;
                input.hidden = true;
                input.readOnly = true;

                tariff_cell.append(input)


                input = document.createElement("input");

                input.type = "text";
                input.classList.add('form-control');
                // input.name = 'dog[' + rowCount + '][licence_price]';
                input.value = licence_price;
                input.readOnly = true;

                licence_price_cell.append(input)


                action.innerHTML = "<a class='btn btn-sm btn-danger text-white' onclick='deleteRows(this)'>Delete</a>";
            }

        }
        function deleteRows(elem){
            $(elem).closest('tr').remove();
        }
    </script>
    <script>
        $(document).ready(function () {
            $(window).keydown(function (event) {
                if (event.keyCode == 13) {
                    event.preventDefault();
                    return false;
                }
            });
        });
    </script>
    <script>
        document.addEventListener('DOMContentLoaded', function () {
            document.getElementById('sellingLicence').style.display = 'none';
            hideOwner();
            hideTrading();
            hideShop();
            hideLiquor();
            hideSaloon();
            hideDog();
            hideCycle();
            hideHawker();
        });

        function hawkerFee(tariff) {
            const haw = JSON.parse(tariff)
            const price = haw.price;
            // alert(price)
            document.getElementById('hawker_tariff_id').value = haw.id
            document.getElementById('hawker_fee').value = price
        }

        // function dogFee(fee) {
        //     const tariff = JSON.parse(fee)
        //     document.getElementById('dog_fee').value = tariff.price
        //     document.getElementById('dog_tariff_id').value = tariff.id
        // }

        function dogFee(fee) {
            const tariff = fee.split("|")

            document.getElementById('dog_fee').value = tariff[2]
            // document.getElementById('dog_tariff_id').value = tariff.id
        }

        function cycleFee(fee) {
            const tariff = JSON.parse(fee)
            document.getElementById('cycle_fee').value = tariff.price
            document.getElementById('cycle_tariff_id').value = tariff.id
        }

        $(document).ready(function () {
            $('#trading_tariff').select2({
                minimumInputLength: 3,
                theme: "classic",
                ajax: {
                    url: '{{ route("user-new-business-licence") }}',
                    dataType: 'json',
                    success: function (response) {
                        console.log(response)
                        tradde = response.results
                    }
                },

            });
        });

        var tradde;

        function setTradePrice(id) {
            console.log("tradde ", id)
            var item = tradde.find(item => item.id === Number(id));

            document.getElementById('trading_fee').value = item.application_fee

            console.log("item ", item)
        }

        function showOwner() {
            document.getElementById('isOwner').checked = false;
            not_ownerShop();
            not_ownerLiquor();
            not_ownerTrading();
            not_ownerSaloon();
        }

        function hideOwner() {
            document.getElementById('notOwner').checked = false;
            is_ownerShop();
            is_ownerLiquor();
            is_ownerTrading();
            is_ownerSaloon();
        }

        function tradingLicence() {
            const tr = document.getElementById('tradingCheckbox');
            if (tr.checked === true) {
                showTrading();
            } else {
                hideTrading();
            }
        }

        function shopLicence() {
            const sh = document.getElementById('shopCheckbox');
            if (sh.checked === true) {
                showShop();
            } else {
                hideShop();
            }
        }

        function liquorLicence() {
            const lq = document.getElementById('liquorCheckbox');
            if (lq.checked === true) {
                showLiquor();
            } else {
                hideLiquor();
            }
        }

        function hawkerLicence() {
            const hw = document.getElementById('hawkerPedestrianCheckbox');
            if (hw.checked === true) {
                showHawker();
            } else {
                hideHawker();
            }
        }

        function dogLicence() {
            const dg = document.getElementById('dogCheckbox');
            if (dg.checked === true) {
                showDog();
            } else {
                hideDog();
            }
        }

        function cycleLicence() {
            const cy = document.getElementById('cycleCheckbox');
            if (cy.checked === true) {
                showCycle();
            } else {
                hideCycle();
            }
        }

        function saloonLicence() {
            const sl = document.getElementById('saloonCheckbox');
            if (sl.checked === true) {
                showSaloon();
            } else {
                hideSaloon();
            }
        }

        function showSellingLicences() {
            const check = document.getElementById('sellingLicence');
            const checkbox = document.getElementById('shopDiv');
            if (checkbox.checked === true) {
                check.style.display = 'block';
            } else {
                check.style.display = 'none';
            }
        }

        function is_ownerShop() {
            document.getElementById('owner').style.display = 'none';
            document.getElementById('owner_address_shop').disabled = true;
            document.getElementById('owner_email_shop').disabled = true;
            document.getElementById('owner_mobile_shop').disabled = true;
            document.getElementById('owner_name_shop').disabled = true;
        }

        function not_ownerShop() {
            document.getElementById('owner').style.display = 'block';
            document.getElementById('owner_address_shop').disabled = false;
            document.getElementById('owner_email_shop').disabled = false;
            document.getElementById('owner_mobile_shop').disabled = false;
            document.getElementById('owner_name_shop').disabled = false;

            // document.getElementById('owner_address_shop').required = true;
            // document.getElementById('owner_email_shop').required = true;
            // document.getElementById('owner_mobile_shop').required = true;
            // document.getElementById('owner_name_shop').required = true;
        }

        function is_ownerLiquor() {
            document.getElementById('owner-liquor').style.display = 'none';
            document.getElementById('liquorBusinessOwnerAddress').disabled = true;
            document.getElementById('liquorBusinessOwnerEmail').disabled = true;
            document.getElementById('liquorBusinessOwnerNumber').disabled = true;
            document.getElementById('LiquorBusinessOwnerName').disabled = true;
        }

        function not_ownerLiquor() {
            document.getElementById('owner-liquor').style.display = 'block';
            document.getElementById('liquorBusinessOwnerAddress').disabled = false;
            document.getElementById('liquorBusinessOwnerEmail').disabled = false;
            document.getElementById('liquorBusinessOwnerNumber').disabled = false;
            document.getElementById('LiquorBusinessOwnerName').disabled = false;

            // document.getElementById('liquorBusinessOwnerAddress').required = true;
            // document.getElementById('liquorBusinessOwnerEmail').required = true;
            // document.getElementById('liquorBusinessOwnerNumber').required = true;
            // document.getElementById('LiquorBusinessOwnerName').required = true;
        }

        function is_ownerTrading() {
            document.getElementById('owner-trading').style.display = 'none';
            document.getElementById('tradingBusinessOwnerAddress').disabled = true;
            document.getElementById('tradingBusinessOwnerEmail').disabled = true;
            document.getElementById('tradingBusinessOwnerNumber').disabled = true;
            document.getElementById('tradingBusinessOwnerName').disabled = true;
        }

        function not_ownerTrading() {
            document.getElementById('owner-trading').style.display = 'block';
            document.getElementById('tradingBusinessOwnerAddress').disabled = false;
            document.getElementById('tradingBusinessOwnerEmail').disabled = false;
            document.getElementById('tradingBusinessOwnerNumber').disabled = false;
            document.getElementById('tradingBusinessOwnerName').disabled = false;

            // document.getElementById('tradingBusinessOwnerAddress').required = true;
            // document.getElementById('tradingBusinessOwnerEmail').required = true;
            // document.getElementById('tradingBusinessOwnerNumber').required = true;
            // document.getElementById('tradingBusinessOwnerName').required = true;

        }

        function is_ownerSaloon() {
            document.getElementById('owner-saloon').style.display = 'none';
            document.getElementById('saloonBusinessOwnerAddress').disabled = true;
            document.getElementById('saloonBusinessOwnerEmail').disabled = true;
            document.getElementById('saloonBusinessOwnerNumber').disabled = true;
            document.getElementById('saloonBusinessOwnerName').disabled = true;
        }

        function not_ownerSaloon() {
            document.getElementById('owner-saloon').style.display = 'block';
            document.getElementById('saloonBusinessOwnerAddress').disabled = false;
            document.getElementById('saloonBusinessOwnerEmail').disabled = false;
            document.getElementById('saloonBusinessOwnerNumber').disabled = false;
            document.getElementById('saloonBusinessOwnerName').disabled = false;

            // document.getElementById('saloonBusinessOwnerAddress').required = true;
            // document.getElementById('saloonBusinessOwnerEmail').required = true;
            // document.getElementById('saloonBusinessOwnerNumber').required = true;
            // document.getElementById('saloonBusinessOwnerName').required = true;
        }

        function showShop() {
            document.getElementById('shop_licence').style.display = 'block';
            document.getElementById('application_fee_shop').required = true;
            document.getElementById('shop_room_no_shop').required = true;
            document.getElementById('businessAddressShop').required = true;
            document.getElementById('trading_as_shop').required = true;
            document.getElementById('business_name_shop').required = true;
        }

        function hideShop() {
            document.getElementById('shop_licence').style.display = 'none';
            document.getElementById('application_fee_shop').required = false;
            document.getElementById('shop_room_no_shop').required = false;
            document.getElementById('businessAddressShop').required = false;
            document.getElementById('trading_as_shop').required = false;
            document.getElementById('business_name_shop').required = false;
        }

        function showTrading() {
            document.getElementById('trading_licence').style.display = 'block';
            document.getElementById('trading_fee').required = true;
            document.getElementById('trading_tariff').required = true;
            document.getElementById('tradingRoomNo').required = true;
            document.getElementById('businessAddressTrading').required = true;
            document.getElementById('tradingBusinessTradeAs').required = true;
            document.getElementById('tradingBusinessName').required = true;

        }

        function hideTrading() {
            document.getElementById('trading_licence').style.display = 'none';
            document.getElementById('trading_fee').required = false;
            document.getElementById('trading_tariff').required = false;
            document.getElementById('tradingRoomNo').required = false;
            document.getElementById('businessAddressTrading').required = false;
            document.getElementById('tradingBusinessTradeAs').required = false;
            document.getElementById('tradingBusinessName').required = false;
        }

        function showLiquor() {
            document.getElementById('liquor').style.display = 'block';
            document.getElementById('liquorApplicationFee').required = true;
            document.getElementById('liquorRoomNo').required = true;
            document.getElementById('businessAddressLiquor').required = true;
            document.getElementById('liquorBusinessTradeAs').required = true;
            document.getElementById('liquorBusinessName').required = true;
        }

        function hideLiquor() {
            document.getElementById('liquor').style.display = 'none';
            document.getElementById('liquorApplicationFee').required = false;
            document.getElementById('liquorRoomNo').required = false;
            document.getElementById('businessAddressLiquor').required = false;
            document.getElementById('liquorBusinessTradeAs').required = false;
            document.getElementById('liquorBusinessName').required = false;
        }

        function showSaloon() {
            document.getElementById('saloon').style.display = 'block';
            document.getElementById('saloonRoomNo').required = true;
            document.getElementById('businessAddresssaloon').required = true;
            document.getElementById('saloonBusinessTradeAs').required = true;
            document.getElementById('saloonBusinessName').required = true;
        }

        function hideSaloon() {
            document.getElementById('saloon').style.display = 'none';
            document.getElementById('saloonRoomNo').required = false;
            document.getElementById('businessAddresssaloon').required = false;
            document.getElementById('saloonBusinessTradeAs').required = false;
            document.getElementById('saloonBusinessName').required = false;
        }

        function showDog() {
            document.getElementById('dog').style.display = 'block';
            document.getElementById('dog_fee').required = true;
            document.getElementById('dog_tariff_id').required = true;
            document.getElementById('dog_tariff').required = true;
            document.getElementById('dog_name').required = true;
        }

        function hideDog() {
            document.getElementById('dog').style.display = 'none';
            document.getElementById('dog_fee').required = false;
            document.getElementById('dog_tariff_id').required = false;
            document.getElementById('dog_tariff').required = false;
            document.getElementById('dog_name').required = false;
        }

        function showCycle() {
            document.getElementById('cycle').style.display = 'block';
            document.getElementById('cycle_tariff_idv').required = true;
            document.getElementById('cycle_tariff').required = true;
            document.getElementById('bicycle').required = true;
            document.getElementById('makenumber').required = true;
            document.getElementById('badgenumber').required = true;
        }

        function hideCycle() {
            document.getElementById('cycle').style.display = 'none';
            document.getElementById('cycle_tariff_idv').required = false;
            document.getElementById('cycle_tariff').required = false;
            document.getElementById('bicycle').required = false;
            document.getElementById('makenumber').required = false;
            document.getElementById('badgenumber').required = false;
        }

        function showHawker() {
            document.getElementById('hawker').style.display = 'block';
            document.getElementById('is_owner').required = true;
            document.getElementById('hawker_fee').required = true;
            document.getElementById('hawker_tariff_id').required = true;
            document.getElementById('hawker_tariff').required = true;
        }

        function hideHawker() {
            document.getElementById('hawker').style.display = 'none';
            document.getElementById('is_owner').required = false;
            document.getElementById('hawker_fee').required = false;
            document.getElementById('hawker_tariff_id').required = false;
            document.getElementById('hawker_tariff').required = false;
        }
    </script>
@endsection
