@extends('layouts.master', ['menuJson' => $userMenu, 'moduleTitle' => Auth::user()->council->council])

@section('page-css')
    @livewireStyles
    <link href="https://fonts.googleapis.com/css?family=Raleway" rel="stylesheet">
    <link rel="stylesheet" href="{{asset('assets/css/custom/select2/css/select2.min.css')}}">

    <style>
        label input {
            display: none; /* Hide the default checkbox */
        }

        /* Style the artificial checkbox */
        label span {
            height: 10px;
            width: 10px;
            border: 1px solid grey;
            display: inline-block;
            position: relative;
        }

        /* Style its checked state...with a ticked icon */
        [type=checkbox]:checked + span:before {
            content: '\2714';
            position: absolute;
            top: -5px;
            left: 0;
        }
        .fonts{
            font-family: Raleway;
        }
    </style>
@endsection
@section('content')
    <div class="page-header">
        <div class="row align-items-end">
            <div class="col-lg-8">
                <div class="page-header-title">
                    <div class="d-inline">
                        <h4>User Profile</h4>
                        <span>lorem ipsum dolor sit amet, consectetur adipisicing elit</span>
                    </div>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="page-header-breadcrumb">
                    <ul class="breadcrumb-title">
                        <li class="breadcrumb-item">
                            <a href="index-1.htm"> <i class="feather icon-home"></i> </a>
                        </li>
                        <li class="breadcrumb-item"><a href="#!">User Profile</a>
                        </li>
                        <li class="breadcrumb-item"><a href="#!">User Profile</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <div>
        <div>
            <livewire:usermanagement::business-licence.preview-livewire :app="$application"/>
        </div>
        <div class="card">
            <div class="">
                <div class="card-header">
                    <h5 class="card-header-text text-uppercase">Stage Cycle</h5>
                </div>
                <div class="card-block">
                    <div class="view-info">
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="general-info">
                                    <div class="row">
                                        <div class="col-lg-12 col-xl-6">
                                            <div class="table-responsive">
                                                <table class="table m-0">
                                                    <tbody>
                                                    <tr>
                                                        <th scope="row">Licence Number</th>
                                                        <td>{!! $details->license_id??"------------" !!}</td>
                                                    </tr>
                                                    <tr>
                                                        <th scope="row">Validity</th>
                                                        <td>{!! $details->validity !!}</td>
                                                    </tr>
                                                    <tr>
                                                        <th scope="row">Start Date</th>
                                                        <td>{!! $details->start_date !!}</td>
                                                    </tr>
                                                    <tr>
                                                        <th scope="row">End Date</th>
                                                        <td>{!! $details->end_date !!}</td>
                                                    </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                        <!-- end of table col-lg-6 -->
                                        <div class="col-lg-12 col-xl-6">
                                            <div class="table-responsive">
                                                <table class="table">
                                                    <tbody>
                                                    <tr>
                                                        <th scope="row">Status</th>
                                                        <td>{!! $details->status !!}</td>
                                                    </tr>
                                                    <tr>
                                                        <th scope="row">Term</th>
                                                        <td>{!! $details->term !!}</td>
                                                    </tr>
                                                    <tr>
                                                        <th scope="row">Notes</th>
                                                        <td>{!! $details->notes !!}</td>
                                                    </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                        <!-- end of table col-lg-6 -->
                                    </div>
                                    <!-- end of row -->
                                </div>
                                <!-- end of general info -->
                            </div>
                            <!-- end of col-lg-12 -->
                        </div>
                        <!-- end of row -->
                    </div>
                </div>
            </div>
        </div>
        <div class="">
                @if($application->stage == 'PREMISE SELECTION' )
                    <div class="card">
                        <div class="card-header">
                            <h4 class="text-danger">Please complete PREMISE SELECTION stage</h4>
                        </div>
                    </div>
                @else
                    <div>
                        @livewire('usermanagement::business-licence.payment-card',[ 'uid' => $id ,'paymentsOther' => $payments,'applicationOther' => $application])
                    </div>
                @endif
        </div>
        <div>
            <livewire:usermanagement::business-licence.licence-payment :app="$application"/>
        </div>
    </div>
@endsection
@section('page-js')
    @livewireScripts
    <script src="{{ asset('assets/js/sweetalert/js/sweetalert2@11.js') }}"></script>
    <x-livewire-alert::scripts/>
    <script src="{{ asset('vendor/livewire-alert/livewire-alert.js') }}"></script>
    <x-livewire-alert::flash/>
    <script src="{{asset('assets/js/custom/select2/js/select2.full.js')}}"></script>

    <script>
        function liquorTariff(num) {
            var tariff = JSON.parse(num)
            document.getElementById('liquor_tariff_price').value = tariff.price
            document.getElementById('liquor_id').value = tariff.id
        }
        function saloonTariff(num) {
            var tariff = JSON.parse(num)
            document.getElementById('saloon_tariff_price').value = tariff.price
            document.getElementById('saloon_id').value = tariff.id
        }
        function changeTariff(element){
            // console.log(element.checked);
            var tradingId = document.getElementById('trading_id');
            var tradingTariffSelect = document.getElementById('trading-tariff-Select')
            var tradingTariffFixed = document.getElementById('trading-tariff-fixed')
            if (element.checked) {
                tradingTariffSelect.hidden = false;
                tradingTariffFixed.hidden = true;

            } else {
                tradingTariffSelect.hidden = true;
                tradingTariffFixed.hidden = false;
            }
        }

        $(document).ready(function () {
            $('#trading_tariff').select2({
                minimumInputLength: 3,
                theme: "classic",
                ajax: {
                    url: '{{ route("user-new-business-licence") }}',
                    dataType: 'json',
                    success: function (response) {
                        console.log(response)
                        tradde = response.results
                    }
                },

            });
        });
        var tradde;
        function setTradePrice(id) {
            console.log("tradde ", id)
            var item = tradde.find(item => item.id === Number(id));

            document.getElementById('trading_fee').value = item.price
            document.getElementById('trading_id').value = item.id

            console.log("item ", item)
        }
    </script>
    <script>
        function filter() {
            let term = document.getElementById('validity').value;

            document.getElementById('t1').value = "";

            let all = document.getElementsByClassName('valid');
            for (let i = 0; i < all.length; i++) {
                all[i].style.display = 'none';
            }

            let elements = document.getElementsByClassName(term);
            for (let i = 0; i < elements.length; i++) {
                elements[i].style.display = 'contents';
            }
        }
    </script>
    <script>
        let data = [];
        let currency = 'usd';
        let tariffId = null;

        document.getElementById('rtgsCurrency').addEventListener('change', function () {
            const radioBox = document.getElementById('rtgsCurrency');
            const currencyForm = document.getElementById('currencyRateForm');
            const label = document.createElement('label');
            label.setAttribute('for', 'exchangeRate');
            label.innerHTML = 'Exchange Rate';

            const input = document.createElement('input');
            input.setAttribute('type', 'text');
            input.setAttribute('placeholder', 'Currency Rate');
            input.setAttribute('required', 'true');
            input.name = 'exchangeRate';
            input.id = 'exchangeRate';
            input.classList.add('form-control');

            currency = 'rtgs';

            currencyForm.appendChild(label);
            currencyForm.appendChild(input);
        });

        document.getElementById('usdCurrency').addEventListener('change', function () {
            const currencyForm = document.getElementById('currencyRateForm');
            while (currencyForm.firstChild) {
                currencyForm.removeChild(currencyForm.firstChild);
            }
            currency = 'usd';
        });

        document.getElementById('licenceTariff').addEventListener('change', function () {
            const tariffSelect = document.getElementById('licenceTariff');
            tariffId = tariffSelect.value;
            const item = tariffSelect[tariffSelect.selectedIndex];

            const tableBody = document.getElementById('tariff_table');
            const tr = document.createElement('tr');
            tr.id = item.innerText;
            const tdName = document.createElement('td');
            tdName.innerText = item.innerText;
            const tdCost = document.createElement('td');
            tdCost.innerText = item.value;

            tr.appendChild(tdName);
            tr.appendChild(tdCost);

            tableBody.firstChild = tr;

            tableBody.firstChild.replaceWith(tr);
            updatePrice();
        });

        function addItemToTable(itemName, itemPrice) {
            const tableBody = document.getElementById('tariff_table');
            const tr = document.createElement('tr');
            tr.id = itemName;
            const tdName = document.createElement('td');
            tdName.innerText = itemName;
            const tdCost = document.createElement('td');
            tdCost.innerText = itemPrice;

            tr.appendChild(tdName);
            tr.appendChild(tdCost);

            tableBody.appendChild(tr);
            updatePrice();
        }

        function updatePrice() {
            let totalCost = 0;
            const tableBody = document.getElementById('tariff_table');
            data = [];
            Array.from(tableBody.children).forEach(function (child) {
                data.push(child.id);
                Array.from(child.children).forEach(function (grandChild, index) {
                    if (index === 1) {
                        totalCost += Number(grandChild.innerText);
                    }
                });
            });
            const tariffTableTotal = document.getElementById('tariff_table_total');
            tariffTableTotal.innerText = totalCost;
        }

        function addClassItemToTable(data) {
            const tariff = document.getElementById('licenceTariff');
            if (tariff.value == "" || tariff.value == null) {
                const checkBox = document.getElementById(data.id);
                checkBox.checked = false;
                return window.alert('Select tariff first');
            }
            const checkBox = document.getElementById(data.id);
            if (checkBox.checked) {
                addItemToTable(data.name, data.price);
            } else {
                removeItemFromTable(data.name);
            }
        }

        function removeItemFromTable(name) {
            const row = document.getElementById(name);
            const tableBody = document.getElementById('tariff_table');
            tableBody.removeChild(row);
            updatePrice();
        }

    </script>
    <script>
        var count = 1;

        function fillPrice(pp) {
            var pr = JSON.parse(pp)

            console.log(pr)

            document.getElementById('ppp').value = pr.price

        }

        function addRows() {
            var accc = document.getElementById('accc');
            var acc = JSON.parse(accc.value);
            var table = document.getElementById("tacc");
            var row = table.insertRow(1);
            var idd = "c" + (count)
            row.id = "c" + (count)
            var cell1 = row.insertCell(0);
            var cell2 = row.insertCell(1);
            var cell3 = row.insertCell(2);

            var container = document.getElementById("extra");
            var input = document.createElement("input");
            input.type = "hidden";
            input.name = "charts[]";
            input.value = acc.id
            input.id = "i" + idd;
            // console.log(input.value);
            // console.log(input.value);
            container.appendChild(input);
            console.log(document.getElementById('total_price'))
            cell1.innerHTML = acc.title;
            cell2.innerHTML = acc.price;
            // document.getElementById('total_price').value = parseFloat(document.getElementById('total_price').value) + parseFloat(acc.price);
            cell3.innerHTML = "<a class='btn btn-sm btn-danger text-white' onclick='deleteRows(" + idd + ")'>Delete</a>";
            count++
        }

        function deleteRows(id) {

            // document.getElementById('total_price').value = parseFloat(document.getElementById('total_price').value) - parseFloat(id.getElementsByTagName('td')[1].innerText)
            document.getElementById("tacc").deleteRow(id.rowIndex);
            console.log(id.rowIndex)
            var elem = document.getElementById("i" + id.id);
            return elem.parentNode.removeChild(elem);
        }

        $(function () {
            const Toast = Swal.mixin({
                toast: true,
                position: 'center',
                showConfirmButton: true,
                timer: 6000
            });

            @if ($message = Session::get('success'))
            $(window).on('load', function () {
                Toast.fire({
                    type: 'success',
                    title: '{{ $message }}'
                })
            });
            @endif

            @if ($message = Session::get('danger'))
            $(window).on('load', function () {
                Toast.fire({
                    type: 'danger',
                    title: '{{ $message }}'
                })
            });
            @endif
        });
    </script>
    <script>
        document.getElementById('licenceTariff').addEventListener('change', function () {
            const tariffSelect = document.getElementById('licenceTariff');
            tariffId = tariffSelect.value;
            const item = tariffSelect[tariffSelect.selectedIndex];

            const tableBody = document.getElementById('tariff_table');
            const tr = document.createElement('tr');
            tr.id = item.innerText;
            const tdName = document.createElement('td');
            tdName.innerText = item.innerText;
            const tdCost = document.createElement('td');
            tdCost.innerText = item.value;

            tr.appendChild(tdName);
            tr.appendChild(tdCost);

            tableBody.firstChild = tr;

            tableBody.firstChild.replaceWith(tr);
            updatePrice();
        });
    </script>
@endsection
