@extends('layouts.master', ['menuJson' => $userMenu, 'moduleTitle' => 'Council Management Portal'])

@section('page-css')
    @livewireStyles
    <style>
        .scroll {
            height: 380px;
            overflow-y: scroll;
        }
    </style>
@endsection

@section('content')
    @php
        $complaint = "complaint";
        $query = "query";
    @endphp
    <div class="main-body">
        <div class="page-wrapper">
            <!-- Page-header start -->
            <div class="page-header">
                <div class="row align-items-end">
                    <div class="col-lg-8">
                        <div class="page-header-title">
                            <div class="d-inline">
                                <h4>{{\Illuminate\Support\Facades\Auth::user()->council->council}}</h4>
                                <span>Customer Relations : Query &amp; Suggestions</span>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="page-header-breadcrumb">
                            <ul class="breadcrumb-title">
                                <li class="breadcrumb-item">
                                    <a href="index-1.htm"> <i class="feather icon-home"></i> </a>
                                </li>
                                <li class="breadcrumb-item"><a href="#!">Query &amp; Suggestions</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Page-header end -->

            <!-- Page-body start -->
            <div class="page-body">
                <!--profile cover start-->
                <div class="row">
                    <div class="col-lg-12">
                        <div class="cover-profile">
                            <div class="profile-bg-img">
                                <img class="profile-bg-img img-fluid" src="{{ asset('images/dashboard.png') }}"
                                     alt="bg-img">
                                {{--                                <img class="profile-bg-img img-fluid" src="libraries\assets\images\user-profile\bg-img1.jpg" alt="bg-img">--}}
                                <div class="card-block user-info">
                                    <div class="col-md-12">
                                        <div class="media-left">
                                            <a href="#" class="profile-image">
                                                {{--                                                <img class="user-img img-radius" src="{{asset('images/user-img.jpg')}}"--}}
                                                {{--                                                     alt="user-img">--}}
                                            </a>
                                        </div>
                                        <div class="media-body row">
                                            <div class="col-lg-12">
                                                <div class="user-title mb-3">
                                                    <h2>{{\Illuminate\Support\Facades\Auth::user()->full_name}}</h2>
                                                    <span
                                                        class="text-white">{{\Illuminate\Support\Facades\Auth::user()->email}}</span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!--profile cover end-->
                <div class="row">
                    <div class="col-lg-12">
                        <!-- tab header start -->
                        <div class="tab-header card">
                            <ul class="nav nav-tabs md-tabs tab-timeline" role="tablist" id="mytab">
                                <li class="nav-item">
                                    <a class="nav-link active" data-toggle="tab" href="#personal" role="tab">Queries</a>
                                    <div class="slide"></div>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" data-toggle="tab" href="#binfo" role="tab">Complaints</a>
                                    <div class="slide"></div>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" data-toggle="tab" href="#contacts" role="tab">Suggestions</a>
                                    <div class="slide"></div>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" data-toggle="tab" href="#review" role="tab">Call Center</a>
                                    <div class="slide"></div>
                                </li>
                            </ul>
                        </div>
                        <!-- tab header end -->
                        <!-- tab content start -->
                        <div class="tab-content">
                            <!-- tab panel personal start -->
                            <div class="tab-pane active" id="personal" role="tabpanel">
                                <div class="row">
                                    <div class="col-lg-12">
                                        <div class="card">
                                            <div class="card-header">
                                                <h5 class="card-header-text">Query</h5>
                                                <span> Add A New Query</span>
                                                <button id="edit-info-btn" type="button"
                                                        class="btn btn-sm btn-primary waves-effect waves-light f-right">
                                                    <i class="feather icon-edit"></i>
                                                </button>
                                            </div>
                                            <div class="card-block user-desc">
                                                <div class="view-desc">
                                                    @livewire('usermanagement::crm.my-queries-table',['query'=>$query])
                                                </div>
                                                <div class="edit-desc">
                                                    <livewire:usermanagement::crm.add-query/>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!-- personal card end-->
                            </div>
                            <!-- tab pane personal end -->
                            <!-- tab pane info start -->
                            <div class="tab-pane" id="binfo" role="tabpanel">
                                <!-- info card start -->
                                <div class="card">
                                    <div class="card-header">
                                        <h5 class="card-header-text">Complaints</h5>
                                    </div>
                                    <div class="card-block">
                                        @livewire('usermanagement::crm.my-queries-table',['query'=>$complaint])
                                    </div>
                                </div>
                            </div>
                            <!-- tab pane info end -->
                            <!-- tab pane contact start -->
                            <div class="tab-pane" id="contacts" role="tabpanel">
                                <div class="card">
                                    <div class="card-header mb-2">
                                        <div class="float-right cover-btn m-2">
                                            <button type="button" class="btn btn-primary m-r-10 m-b-5"
                                                    data-toggle="modal"
                                                    data-target="#small-suggestion">
                                                <i class="feather icon-plus"></i>
                                                Suggestion
                                            </button>
                                        </div>
                                    </div>
                                    <livewire:usermanagement::crm.suggestion-table/>
                                </div>
                            </div>
                            <!-- tab pane contact end -->
                            <div class="tab-pane" id="review" role="tabpanel">
                                <div class="card">
                                    <div class="card-header">
                                        <h5 class="card-header-text">Timeline</h5>
                                    </div>
                                    <div class="">
                                        <livewire:usermanagement::crm.chat-section/>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- tab content end -->
                    </div>
                </div>
            </div>
            <!-- Page-body end -->
        </div>
    </div>

    <livewire:usermanagement::crm.view-query-logged/>

@endsection
@section('page-js')
    @livewireScripts
    <script src="{{ asset('assets/js/sweetalert/js/sweetalert2@11.js') }}"></script>
    <x-livewire-alert::scripts/>
    <script src="{{ asset('vendor/livewire-alert/livewire-alert.js') }}"></script>
    <x-livewire-alert::flash/>
    <script>
        $(document).ready(function () {
            $('#edit-cancel-btn').on('click', function () {

                var c = $('#edit-info-btn').find("i");
                c.removeClass('icofont-close');
                c.addClass('icofont-edit');
                $('.view-desc').show();
                $('.edit-desc').hide();

            });

            $('.edit-desc').hide();


            $('#edit-info-btn').on('click', function () {
                var b = $(this).find("i");
                var edit_class = b.attr('class');
                if (edit_class == 'feather icon-edit') {
                    b.removeClass('icon-edit');
                    b.addClass('icon-minus');
                    $('.view-desc').hide();
                    $('.edit-desc').show();
                } else {
                    b.removeClass('icon-minus');
                    b.addClass('icon-edit');
                    $('.view-desc').show();
                    $('.edit-desc').hide();
                }
            });
        });
    </script>
    <script>
        window.addEventListener('hideAddQuery', function () {
            const button = $('#edit-info-btn').find("i");
            const hid_class = button.attr('class');
            if (hid_class == "feather icon-minus") {
                button.removeClass('icon-minus');
                button.addClass('icon-edit');
                $('.view-desc').show();
                $('.edit-desc').hide();
            }
        })
    </script>
    <script>
        window.addEventListener("closeSuggestionModal", function () {
            $("#small-suggestionn").modal("hide");
        })
    </script>
@endsection
