@extends('layouts.master', ['menuJson' => $userMenu, 'moduleTitle' => Auth::user()->council->council])

@section('page-css')
    @livewireStyles
    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Jost:300,300i,400,400i,500,500i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i" rel="stylesheet">
    <!-- Vendor CSS Files -->
    <link rel="stylesheet" href="{{asset('assets/dashboard-assets/assets/vendor/aos/aos.css')}}">
    <link href="{{asset('assets/dashboard-assets/assets/vendor/bootstrap/css/bootstrap.css')}}" rel="stylesheet">
    <link href="{{asset('assets/dashboard-assets/assets/vendor/glightbox/css/glightbox.min.css')}}" rel="stylesheet">
    <link href="{{asset('assets/dashboard-assets/assets/vendor/swiper/swiper-bundle.min.css')}}" rel="stylesheet">

    <!-- Template Main CSS File -->
    <link href="{{asset('assets/dashboard-assets/assets/css/style.css')}}" rel="stylesheet">
    <style>
        .base-timer {
            position: relative;
            width: 300px;
            height: 300px;
            text-align: center;
        }

        .base-timer__svg {
            transform: scaleX(-1);
        }

        .base-timer__circle {
            fill: none;
            stroke: none;
        }

        .base-timer__path-elapsed {
            stroke-width: 7px;
            stroke: grey;
        }

        .base-timer__path-remaining {
            stroke-width: 7px;
            stroke-linecap: round;
            transform: rotate(90deg);
            transform-origin: center;
            transition: 1s linear all;
            fill-rule: nonzero;
            stroke: currentColor;
        }

        .base-timer__path-remaining.green {
            color: rgb(65, 184, 131);
        }

        .base-timer__path-remaining.orange {
            color: orange;
        }

        .base-timer__path-remaining.red {
            color: red;
        }

        .base-timer__label {
            position: absolute;
            width: 300px;
            height: 300px;
            top: 0;
            display: flex;
            align-items: center;
            justify-content: center;
            font-size: 48px;
        }
    </style>
@endsection

@section('content')
    @livewire('usermanagement::dashboard.index')
    @livewire('usermanagement::accounts.add-new-accounts')
@endsection

@section('modals')
    @include('usermanagement::layouts.modals')
@endsection

@section('page-js')
    @livewireScripts
    <script src="{{asset('assets/dashboard-assets/assets/vendor/aos/aos.js')}}"></script>
    <script src="{{asset('assets/dashboard-assets/assets/vendor/bootstrap/js/bootstrap.bundle.js')}}"></script>
    <script src="{{asset('assets/dashboard-assets/assets/vendor/glightbox/js/glightbox.min.js')}}"></script>
    <script src="{{asset('assets/dashboard-assets/assets/vendor/isotope-layout/isotope.pkgd.min.js')}}"></script>
    <script src="{{asset('assets/dashboard-assets/assets/vendor/swiper/swiper-bundle.min.js')}}"></script>
    <script src="{{asset('assets/dashboard-assets/assets/vendor/waypoints/noframework.waypoints.js')}}"></script>
    <script src="{{asset('assets/dashboard-assets/assets/js/main.js')}}"></script>
@endsection
