<div>
    <div class="modal fade" id="large-Modal" tabindex="-1" role="dialog" wire:ignore.self>
        <div class="modal-dialog modal-md" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">Pay Account</h4>
                    <button type="button" class="close btn-outline-danger" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span> close
                    </button>
                </div>
                <div class="modal-body">
                    <form action="{{route("user-account-payment")}}" method="POST">
                        @csrf
                        <div class="row">
                            <div class="col-sm-10">
                                <input type="text" name="account_no" id="account_no"
                                       wire:model.lazy="account_no"
                                       placeholder="enter account number ..."
                                       class="form-control">
                            </div>
                            <div class="col-sm-2">
                                <button type="button" class="btn btn-outline-success">
                                    search
                                </button>
                            </div>
                        </div>
                        <div wire:loading class="text-muted p-0">
                            <button class="btn btn-outline-primary btn-sm" type="button" disabled>
                            <span class="spinner-border spinner-border-sm" role="status"
                                  aria-hidden="true"></span>
                                Searching ...
                            </button>
                        </div>
                        @if($account_name)
                            <div>
                                <hr>
                                Account Name <span class="text-primary">{{$account_name}}</span>
                                <hr>
                                <input type="text" name="account_number" value="{{$account_number}}" hidden>
                                <div class="form-group row">
                                    <label for="payer_name" class="col-sm-12 col-form-label">Paying Details</label>
                                    <div class="col-sm-12">
                                        <input type="text" name="payer_name" id="payer_name"
                                               value="{{\Illuminate\Support\Facades\Auth::user()->full_name}}"
                                               required
                                               class="form-control">
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="phone_number" class="col-sm-12 col-form-label">Phone Number <span
                                            class="text-danger">NUMBER SHOULD EITHER BE NETONE OR ECOCASH</span></label>
                                    <div class="col-sm-12">
                                        <input type="text" name="phone_number"
                                               pattern="[0-9]{4}[0-9]{3}[0-9]{3}" required
                                               id="phone_number"
                                               class="form-control">
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label for="amount" class="col-sm-12 col-form-label">Amount</label>
                                    <div class="col-sm-12">
                                        <input type="text" name="amount" id="amount"
                                               class="form-control" required
                                        >
                                    </div>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-warning waves-effect " data-dismiss="modal">
                                        Cancel
                                    </button>
                                    <button type="submit" class="btn btn-primary waves-effect waves-light ">Pay</button>
                                </div>
                            </div>
                        @endif
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
