<div>
    @include('includes.table-header')
    <table class="table table-bordered table-hover">
        <thead>
            <tr>
                <th scope="col">Booking ID</th>
                <th scope="col">Date Entered</th>
                <th scope="col">Inspection Date</th>
                <th scope="col">Account Number</th>
                <th scope="col">Contact Number</th>
                <th scope="col">Stage</th>
                <th scope="col">Inspector</th>
                <th scope="col">Status</th>
                <th scope="col">Action</th>
            </tr>
        </thead>
        <tbody>
        @forelse ($results as $inspectionbooking)

            <tr>
                <td>{{ $inspectionbooking->id }}</td>
                <td>{{ $inspectionbooking->date_entered }}</td>
                <td>{{ $inspectionbooking->inspection_date }}</td>
                <td>{{ $inspectionbooking->account->account_no }}</td>
                <td>{{ $inspectionbooking->contact_number }}</td>
                <td>{{ $inspectionbooking->stage->name }}</td>
                <td>kk</td>

                @if ($inspectionbooking->status == 'pending')
                    <td>
                                    <span class="py-2 px-3 badge badge-warning">
                                        {{ $inspectionbooking->status }}
                                    </span>
                    </td>
                @elseif($inspectionbooking->status == 'Overdue')
                    <td>
                                    <span class="py-2 px-3 badge badge-danger">
                                        {{ $inspectionbooking->status }}
                                    </span>
                    </td>
                @elseif($inspectionbooking->status == 'Inspected')
                    <td>
                                    <span class="py-2 px-3 badge badge-success">
                                        {{ $inspectionbooking->status }}
                                    </span>
                    </td>
                @endif

                <td>
                    @if ($inspectionbooking->status == 'Inspected')
                        <span><i style="opacity: 0.3;" class="fas fa-edit text-muted"></i></span>
                    @else
                        <a href="#" data-toggle="modal" data-target="#inspection{{$inspectionbooking->id}}"
                           class="text-primary">
                            <i class="feather icon-edit"></i>
                        </a>
                    @endif

                </td>
            </tr>
            <!-- Modal-->
            <div class="modal fade" id="inspection{{$inspectionbooking->id}}" tabindex="-1" role="dialog">
                <div class="modal-dialog modal-lg"
                     role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title">Edit Inspection</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <form action="{{ route('user-update-inspection') }}" method="POST">
                            @csrf
                            <div class="modal-body">
                                <div class="row">
                                    {{-- ---------------- COL 1 ---------------- --}}
                                    <div class="col-md-6">
                                        <label for="booked_by">Booked By <span class="text-danger">*</span></label>
                                        <div class="form-group has-feedback">
                                            <input
                                                type="text"
                                                name="booked_by"
                                                class="form-control"
                                                value="{{ Auth::user()->first_names. ' '.Auth::user()->first_names }}"
                                                placeholder="Enter name.."
                                                required>
                                        </div>
                                        {{ old('booked_by') }}
                                        {{ old('contact_number') }}
                                        <label for="contact_number">Contact No<span class="text-danger">*</span></label>
                                        <div class="form-group has-feedback">
                                            <input
                                                type="text"
                                                name="contact_number"
                                                class="form-control"
                                                value="{{ Auth::user()->telephone }}"
                                                placeholder="Enter Contact no.."
                                                required>
                                        </div>

                                        <label for="account_no">Account Number<span class="text-danger">*</span></label>
                                        <div class="form-group has-feedback">
                                            <select name="account_id" id="account_no" class="custom-select form-controll" required>
                                                <option disabled selected>Please select account</option>
                                                @foreach($accounts as $account)
                                                    <option value="{{$account->id}}">{{$account->account_no}}</option>
                                                @endforeach
                                            </select>
                                        </div>

                                    </div>
                                    {{-- ---------------- COL 1 ---------------- --}}

                                    {{-- ---------------- COL 2 ---------------- --}}
                                    <div class="col-md-6">
                                        <label for="date_entered">Date Entered<span class="text-danger">*</span></label>
                                        <div class="form-group has-feedback">
                                            <div class="input-group date">
                                                <input
                                                    type="date"
                                                    name="date_entered"
                                                    class="form-control pull-right"
                                                    placeholder="yyyy-mm-dd"
                                                    value="<?php echo date('Y-m-d')?>"
                                                    readonly>
                                            </div>
                                        </div>

                                        <label for="inspection_date">Inspetion Date<span class="text-danger">*</span></label>
                                        <div class="form-group has-feedback">
                                            <div class="input-group date">
                                                <input
                                                    type="date"
                                                    name="inspection_date"
                                                    class="form-control pull-right"
                                                    value="{{ old('inspection_date') }}"
                                                    min="<?php echo date('Y-m-d')?>"
                                                    placeholder="yyyy-mm-dd"
                                                    required>
                                            </div>
                                        </div>

                                        <label for="account_no">Account Number<span class="text-danger">*</span></label>
                                        <div class="form-group has-feedback">
                                            <select name="stage_id" id="account_no" class="custom-select form-controll" required>
                                                <option disabled selected>Please select inspection stage</option>
                                                @foreach($stages as $stage)
                                                    <option value="{{$stage->id}}">{{$stage->name}}</option>
                                                @endforeach
                                            </select>
                                        </div>

                                    </div>
                                    {{-- ---------------- COL 2 ---------------- --}}
                                </div>
                            </div>
                            <div class="modal-footer">
                                <input type="hidden" name="council_id" value="{{Auth::user()->council_id}}">
                                <input type="hidden" name="inspection_id" value="{{$inspectionbooking->id}}">
                                <input type="hidden" name="user_id" value="{{Auth::user()->id}}">
                                <button type="button" class="btn btn-danger waves-effect " data-dismiss="modal">Close</button>
                                    <button type="submit" class="btn btn-primary waves-effect waves-light">Update</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        @empty
            <td colspan="10">No Inspections yet</td>
        @endforelse

        </tbody>
    </table>
    @include('includes.table-footer')
</div>


