<div>
    <div wire:poll>
        <div class="show-table-lg">
            <div>
                @include('includes.table-header')
                <div id="">
                    <table class="table table-hover table-bordered table-striped table-condensed mt-2 p-3">
                        <thead>
                        <tr>
                            <th>Business</th>
                            <th style="width:80px">Type</th>
                            <th>Trading</th>
                            <th>Stand</th>
                            <th>Stage</th>
                            <th >Action</th>
                        </tr>
                        </thead>
                        <tbody>
                        @forelse ($results as $result)
                            <tr>
                                <td nowrap >{!! $result->business_name ?? 'N/A'!!}</td>
                                <td>{!! $result->licenceType->title !!}</td>
                                <td>{!! $result->trading_as ?? 'N/A'!!}</td>
                                <td nowrap >{!! $result->stand_number ?? 'N/A'!!}</td>
                                <td>{!! $result->stage !!}</td>
                                <td>
                                    <div>
                                        <a href="{{route('application-preview', $result->id)}}"
                                           class="btn btn-outline-success">Action</a>
                                        {{--                                        @if($result->stage == "APPLICATION PAYMENT" || $result->stage == "PAYMENT" )--}}
                                        {{--                                            <a href="{{route('save-licence-fee',['inv'=>$result->with('invoices')->orderBy('id','desc')->first()->id,'currency'=>'rtgs'])}}"--}}
                                        {{--                                               class="btn btn-outline-warning waves-effect waves-light">Pay</a>--}}
                                        {{--                                        @endif--}}
                                        @if($result->stage == "ISSUE LICENCE" || $result->stage == "COLLECTED")
                                            <a href="{{route('licence-preview',['app_id'=>$result->id])}}"
                                               class="btn btn-outline-primary waves-effect waves-light">Download</a>
                                        @endif
                                    </div>
                                </td>
                            </tr>
                        @empty
                            <tr>
                                <td colspan="9">No recent licenses</td>
                            </tr>
                        @endforelse
                        </tbody>
                    </table>
                </div>
                @include('includes.table-footer')
            </div>
        </div>
        <div class="row show-sm">
            @forelse ($results as $result)
                <div class="col-md-6 col-lg-4">
                    <div class="card">
                        <div class="card-block text-center">
                            <i class="feather icon-credit-card text-c-green d-block f-40"></i>
                            <h4 class="m-t-20">{{$result->business_name ?? 'N/A'}}</h4>
                            <p class="m-b-20">{!! $result->licenceType->title !!} | {!! $result->stage !!}</p>
                            <div>
                                <a href="{{route('application-preview', $result->id)}}" class="btn btn-outline-success">Action</a>
{{--                                @if($result->stage == "APPLICATION PAYMENT")--}}
{{--                                    <a href="{{route('application-licence-invoices',['id'=>$result->id])}}"--}}
{{--                                       class="btn btn-outline-warning waves-effect waves-light">Pay</a>--}}
{{--                                @endif--}}
                            </div>
                        </div>
                    </div>
                </div>
            @empty
                <div class="col-md-6 col-lg-4">
                    <div class="card">
                        <div class="card-block text-center">
                            <i class="feather icon-bell text-c-green d-block f-40"></i>
                            <h4 class="m-t-20">No Applications Found</h4>
                            <button class="btn btn-success btn-sm btn-round">Create Application</button>
                        </div>
                    </div>
                </div>
            @endforelse
        </div>
    </div>
</div>
