<div>
    @include('includes.table-header')
    <div class="pt-4"></div>
    <table id="business-licences" class="table table-hover">
        <thead>
        <tr>
            <th>Licence type</th>
            <th>Validity</th>
            <th>Term</th>
            <th>Valid From</th>
            <th>Valid Until</th>
            <th>Payment Status</th>
            <th>Status</th>
            <th>Action</th>
        </tr>
        </thead>
        <tbody>
        @foreach ($results as $applicant)

            <tr>
                <td>{{ $applicant->licenceType->title }}</td>
                <td>{{ $applicant->application->cycle->validity??'Annual' }}</td>
                <td>{{ $applicant->application->cycle->term??'January - December' }}</td>
                <td>{{ $applicant->start_date }}</td>
                <td>{{ $applicant->end_date }}</td>
                <td>
                    @if( $applicant->paid)
                        <span style="color: green">Paid. Licence Being Proccessed</span>
                    @else
                        <span style="color: red">Not verified. Check Payment</span>
                    @endif
                </td>
                <td>{{ $applicant->status }} </td>
                <td>
                    <a href="#" data-target="#licence{{$applicant->id }}" data-toggle="collapse" class="btn btn-outline-success accordion-toggle" title="View Licence Details" href = "#">
                        <i class="feather icon-eye"></i>
                    </a>
                  @if ($applicant->status == 'PENDING' || $applicant->status == 'EXPIRED' || $applicant->status == 'REJECTED')
                  <a class="btn btn-primary" href = "/businesslicencemanagement/licensing/manage/preview/{{ $applicant->application_id }}">
                      <i class="feather icon-eye"></i></a>
                  @else
                    <a class="btn btn-primary" href = "/businesslicencemanagement/licensing/manage/preview/{{ $applicant->licence_application_id }}">
                        <i class="fa fa-arrow-circle-right"></i></a>
                  <a class="btn btn-success" href = "/businesslicencemanagement/licensing/issue/{{ $applicant->id }}">
                      <i class="fa fa-print"></i></a>
                  @endif
                </td>
            </tr>
            <tr>
                <td colspan="12" class="hiddenRow">
                    <div class="accordian-body collapse" id="licence{{$applicant->id }}">
                        <div class="row">
                            <div class="col-lg-12 col-xl-9">
                                <!-- Open position card start -->
                                <div class="card">
                                    <div class="card-header">
                                        <h5>All Payments</h5>
                                        <div class="f-right">
                                            <a  href="{{route('account-payment-history',['id'=>$applicant->id])}}" data-target="#payments{{$applicant->id }}" data-toggle="collapse"  class="btn btn-outline-success" title="Payment History For The Account">
                                                <i class="feather icon-clock"></i>Payments History
                                            </a>
                                        </div>
                                    </div>
                                    <div class="card-block hiddenRow">
                                        <div class="job-cards collapse" id="payments{{$applicant->id }}">
                                            <table class="table table-striped" style="border: solid thin red;">
                                                <thead>
                                                <tr class="info">
                                                    <th class="color-333">Transaction Date</th>
                                                    <th class="color-333">Amount</th>
                                                    <th class="color-333">Payment Method</th>
                                                    <th class="color-333">Number</th>
                                                    <th class="color-333">Payment Status</th>
                                                    <th class="color-333">Actions</th>
                                                </tr>
                                                </thead>

                                                <tbody>
                                                @forelse($applicant->payments as $result)
                                                    <td>{{ $result->transaction_date }}</td>
                                                    <td>{{ $result->mode_of_payment }}</td>
                                                    <td>{{ $result->customer_number }}</td>
                                                    <td>{{ $result->amount_paid }}</td>
                                                    <td>
                                                        @if ($result->status == 'Paid')
                                                            <span class="badge p-1" data-toggle="tooltip" style="color: #00B698; background: #E7FAF7;" title="Payment has been completed">{{ $result->status }}</span>
                                                        @elseif ($result->status == 'Cancelled')
                                                            <span class="badge p-1" data-toggle="tooltip" style="color: rgb(255, 0, 0); background: #FFF3F3" title="Payment was cancelled by user">{{ $result->status }}</span>
                                                        @elseif ($result->status == 'Sent')
                                                            <span class="badge p-1" data-toggle="tooltip" style="color: #2E4493; background: #E7ECF8;" title="Payment has been sent is awaiting processing.">{{ $result->status }}</span>
                                                        @else
                                                            <span class="badge p-1" data-toggle="tooltip" style="color: orange; background: rgba(255, 255, 0, 0.3);" title="Payment has been created. Please wait.">{{ $result->status }}</span>
                                                        @endif
                                                    </td>
                                                    <td class="text-center">
                                                        @if ($result->status != 'Paid' || $result->status != 'Cancelled')
                                                            <a wire:click="usePollUrl('{{ $result->paynow_poll_url }}')" href="#" class="btn btn-outline-info font-weight-bold" title="Click to verify payment" data-toggle="tooltip">
                                                                <i class="feather icon-external-link"></i>
                                                            </a>
                                                            {{--                        <a wire:click="usePollUrl({{ $result->paynow_poll_url }})" href="{{ route('payment-process-via-poll-url',Auth::user()->council_id) }}?url={{ $result->paynow_poll_url }}" class="btn btn-outline-info font-weight-bold" title="Click to verify payment" data-toggle="tooltip">--}}
                                                            {{--                            <i class="feather icon-external-link"></i>--}}
                                                            {{--                        </a>--}}
                                                        @endif
                                                        @if ($result->status == 'Paid')
                                                            <button title="Click to view receipt" onclick="openModal({{json_encode($result)}})" class="btn btn-outline-success font-weight-bold" @if ($result->status != 'Paid') disabled @endif>Receipt</button>
                                                        @endif
                                                    </td>
                                                @empty
                                                    <tr>
                                                        <td>No payments made</td>
                                                    </tr>
                                                @endforelse
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                                <!-- Open position card end -->
                            </div>
                            <div class="col-lg-12 col-xl-3">
                                <!-- Filter card start -->
                                <div class="card">
                                    <div class="card-header">
                                        <h5><i class="feather icon-book-open"></i>@if($applicant->business !== null) Business Details @else Licence Details @endif </h5><hr>
                                    </div>
                                    <div class="card-block">
                                        <div class="card-block">
                                            @if(!empty($applicant->business))
                                            <p><i class="feather icon-user"></i>: {{ $applicant->business->business_name }}</p>
                                            <p><i class="feather icon-folder"></i>: {{ $applicant->business->trading_name}}</p>
                                            <p><i class="feather icon-map-pin"></i>: {{ $applicant->business->address }}</p>
                                            <p><i class="feather icon-flag"></i>: @if($applicant->business->status ===1)<label class="label label-success"> Activated</label>@else<label class="label label-danger"> Deactivated </label>@endif</p>
                                            <p><i class="feather icon-dollar-sign"></i>: {{ $applicant->balance }}</p>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                                <!-- Filter card end -->
                            </div>
                        </div>

                    </div>
                </td>
            </tr>
        @endforeach
        </tbody>
    </table>
    @include('includes.table-footer')
</div>
