<div>
    <div class="card">
        <div class="card-header">
            <h5 class="card-header-text">Review</h5>
            <button class="btn btn-outline-primary pull-right" data-toggle="modal" data-target="#add-new-business">Register Business</button>
        </div>
        <div class="card-block">
            <div class="row">
                @foreach ($results as $result)
                    @if($result->status)
                        <div class="col-md-6">
                            <div class="card b-l-success business-info services m-b-20">
                                <div class="card-header">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="service-header">
                                                <a href="#">
                                                    <h5 class="card-header-text">{{$result->trading_name}}</h5>
                                                </a>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <label class="switch f-right">
                                                <input type="checkbox" @if ( $result->status)checked @endif value="{{ $result->status }}" wire:change="provinceStatus({{$result->id}},{{$result->status}})">
                                                <span class="slider round"></span>
                                            </label>
                                        </div>
                                        <div class="col-md-2">
                                            <a href="#" class="dropdown-toggle addon-btn text-muted f-right service-btn" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true" role="tooltip">
                                                Action
                                            </a>
                                            <div class="dropdown-menu dropdown-menu-right b-none services-list">
                                                <a class="dropdown-item" href="#!" data-toggle="modal" data-target="#edit{{$result->id}}"><i class="feather icon-edit"></i> Edit</a>
                                                <a class="dropdown-item" href="#!" wire:click="removeBusiness({{$result->id}})"><i class="feather icon-trash"></i> Delete</a>
                                                <a class="dropdown-item" href="#!" data-toggle="modal" data-target="#view{{$result->id}}"><i class="feather icon-eye"></i> View</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-block">
                                    <div class="row">
                                        <div class="col-sm-12">
                                            <p class="task-detail">{{$result->description}}</p>
                                        </div>
                                        <!-- end of col-sm-8 -->
                                    </div>
                                    <!-- end of row -->
                                </div>
                                <div class="card-footer">
                                    <p>
                                        <i class="feather icon-phone"></i> :{{$result->telephone}}|
                                        <i class="feather icon-map-pin"></i> :{{$result->address}}
                                    </p>
                                </div>
                                <!-- end of card-block -->
                            </div>
                        </div>
                    @else
                        <div class="col-md-6">
                            <div class="card b-l-danger business-info services m-b-20">
                                <div class="card-header">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="service-header">
                                                <a href="#">
                                                    <h5 class="card-header-text">{{$result->trading_name}}</h5>
                                                </a>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <label class="switch f-right">
                                                <input type="checkbox" @if ( $result->status)checked @endif value="{{ $result->status }}" wire:change="provinceStatus({{$result->id}},{{$result->status}})">
                                                <span class="slider round"></span>
                                            </label>
                                        </div>
                                        <div class="col-md-2">
                                            <a href="#" class="dropdown-toggle addon-btn text-muted f-right service-btn" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true" role="tooltip">
                                                Action
                                            </a>
                                            <div class="dropdown-menu dropdown-menu-right b-none services-list">
                                                <a class="dropdown-item" href="#!" data-toggle="modal" data-target="#edit{{$result->id}}"><i class="feather icon-edit"></i> Edit</a>
                                                <a class="dropdown-item" href="#!" wire:click="removeBusiness({{$result->id}})"><i class="feather icon-trash"></i> Delete</a>
                                                <a class="dropdown-item" href="#!" data-toggle="modal" data-target="#view{{$result->id}}"><i class="feather icon-eye"></i> View</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-block">
                                    <div class="row">
                                        <div class="col-sm-12">
                                            <p class="task-detail">{{$result->description}}</p>
                                        </div>
                                        <!-- end of col-sm-8 -->
                                    </div>
                                    <!-- end of row -->
                                </div>
                                <div class="card-footer">
                                    <p>
                                        <i class="feather icon-phone"></i> :{{$result->telephone}}|
                                        <i class="feather icon-map-pin"></i> :{{$result->address}}
                                    </p>
                                </div>
                                <!-- end of card-block -->
                            </div>
                        </div>
                    @endif
                        <div class="modal fade" id="edit{{$result->id}}" tabindex="-1" role="dialog">
                            <div class="modal-dialog modal-lg" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h4 class="modal-title">Register New Business</h4>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    {{$result->id}}
                                    <form method="Post" action="{{route('user-add-new-business')}}">
                                        @csrf
                                        <div class="modal-body">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <h2 style="text-align:center ">Business Details</h2><hr>
                                                    <div class="form-group form-primary">
                                                        <input type="text" value="{{$result->business_name}}" name="business_name" class="form-control @error('business_name') border-danger @enderror" required placeholder="Enter trading name">
                                                        <span class="form-bar"></span>
                                                        @error('business_name')
                                                        <span class="text-danger">{{ $message }}</span>
                                                        @enderror
                                                    </div>
                                                    <div class="form-group form-primary">
                                                        <input type="text" value="{{$result->trading_name}}" name="trading_name" class="form-control @error('trading_name') border-danger @enderror" required placeholder="Enter trading name">
                                                        <span class="form-bar"></span>
                                                        @error('trading_name')
                                                        <span class="text-danger">{{ $message }}</span>
                                                        @enderror
                                                    </div>
                                                    <div class="form-group form-primary">
                                                        <textarea type="address" name="address" class="form-control @error('address') border-danger @enderror" required placeholder="Enter address">{{$result->address}}</textarea>
                                                        <span class="form-bar"></span>
                                                        @error('address')
                                                        <span class="text-danger">{{ $message }}</span>
                                                        @enderror
                                                    </div>
                                                    <div class="form-group form-primary">
                                                        <input type="text" value="{{$result->mobile_number}}" name="mobile_number" class="form-control @error('mobile_number') border-danger @enderror" required placeholder="Mobile mumber">
                                                        <span class="form-bar"></span>
                                                        @error('mobile_number')
                                                        <span class="text-danger">{{ $message }}</span>
                                                        @enderror
                                                    </div>
                                                    <div class="form-group form-primary">
                                                        <textarea rows="3" name="description" class="form-control @error('description') border-danger @enderror" required placeholder="Description">{{$result->description}}</textarea>
                                                        <span class="form-bar"></span>
                                                        @error('description')
                                                        <span class="text-danger">{{ $message }}</span>
                                                        @enderror
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <h2 style="text-align:center ">Associated Licencies</h2><hr>
                                                    <div class="form-group form-primary">
                                                        <div class="row">
                                                            <div class="col-md-2">
                                                                <div class="form-group">
                                                                </div>
                                                            </div>
                                                            <div class="col-md-4">
                                                                <div class="form-group">
                                                                    <a class="btn btn-primary waves-effect " data-toggle="modal" data-target="#addLicence{{$result->id}}"><i class="feather icon-plus-circle"></i> Add Licence</a>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-2">
                                                                <div class="form-group">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="row">
                                                            <input type="hidden" name="counter" id="counter" value="0">
                                                            <div class="col-md-12">

                                                                <table class="table table-bordered " id="editBusiness" width="80%" border="1">
                                                                    <thead>
                                                                    <tr>
                                                                        <th style="font-size:9px;"></th>
                                                                        <th style="font-size:9px;">Licence Type</th>
                                                                        <th style="font-size:9px;">Inspection Fee</th>
                                                                        <th style="font-size:9px;">Application Fee</th>
                                                                        <th style="font-size:9px;">Action</th>
                                                                    </tr>
                                                                    </thead>
                                                                    <tbody>
                                                                    @foreach($result->licence as $licence)
                                                                        <tr>
                                                                            <td></td>
                                                                            <td>{{$licence->licence($licence->licence_id)}}</td>
                                                                            <td>{{$licence->inspectionFee($licence->licence_id)}}</td>
                                                                            <td>{{$licence->applicationFee($licence->licence_id)}}</td>
                                                                            <td>
                                                                                <a href="#" class="close" data-dismiss="modal" wire:click="removeLicence({{$licence->licence_id}},{{$licence->id}})"><i class="feather icon-trash"></i> Remove</a>
                                                                            </td>

                                                                        </tr>
                                                                    @endforeach
                                                                    </tbody>
                                                                </table>
                                                                <hr>
                                                                <h2 class="f-right sum" ></h2>
                                                            </div>

                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-default waves-effect " data-dismiss="modal"><i class="feather icon-x-circle"></i>Close</button>
                                            <button type="submit" class="btn btn-default waves-effect " style=" background: skyblue;"><i class="feather icon-save"></i> Save</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                        <div class="modal fade" id="addLicence{{$result->id}}" tabindex="-1" role="dialog">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h4 class="modal-title">Add New Licence</h4>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    {{$result->id}}
                                    <form method="Post" action="{{route('user-add-licence',[$result->id])}}">
                                        @csrf
                                        <div class="modal-body">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <div class="form-group form-primary">
                                                        <div class="row">
                                                            <div class="col-md-2">
                                                                <div class="form-group">
                                                                </div>
                                                            </div>
                                                            <div class="col-md-4">
                                                                <div class="form-group">
                                                                    <input class="btn" type="button" value="Add Row" onclick="addRow('addLicenceTable')" style="background-color:teal;color:white;" />
                                                                </div>
                                                            </div>

                                                            <div class="col-md-4">
                                                                <div class="form-group">
                                                                    <input class="btn btn-danger" type="button" value="Delete Row" onclick="deleteRow('addLicenceTable')" style="background-color:orange;color:white;" />
                                                                </div>
                                                            </div>
                                                            <div class="col-md-2">
                                                                <div class="form-group">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="row">
                                                            <input type="hidden" name="counter" id="counter" value="0">
                                                            <div class="col-md-12">

                                                                <table class="table table-bordered " id="addLicenceTable" width="80%" border="1">
                                                                    <thead>
                                                                    <tr>
                                                                        <th style="font-size:9px;"></th>
                                                                        <th style="font-size:9px;">Licence Type</th>
                                                                        <th style="font-size:9px;">Inspection Fee</th>
                                                                        <th style="font-size:9px;">Application Fee</th>
                                                                    </tr>
                                                                    </thead>
                                                                    <tbody>

                                                                    </tbody>
                                                                </table>
                                                                <hr>
                                                                <h2 class="f-right sum" ></h2>
                                                            </div>

                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-default waves-effect " data-dismiss="modal"><i class="feather icon-x-circle"></i>Close</button>
                                            <button type="submit" class="btn btn-default waves-effect " style=" background: skyblue;"><i class="feather icon-save"></i> Save</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                @endforeach
            </div>
        </div>
    </div>

    <div class="modal fade" id="add-new-business" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">Register New Business</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form method="Post" action="{{route('user-add-new-business')}}">
                    @csrf
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h2 style="text-align:center ">Business Details</h2><hr>
                                <div class="form-group form-primary">
                                    <input type="text" name="business_name" class="form-control @error('business_name') border-danger @enderror" required placeholder="Enter trading name">
                                    <span class="form-bar"></span>
                                    @error('business_name')
                                    <span class="text-danger">{{ $message }}</span>
                                    @enderror
                                </div>
                                <div class="form-group form-primary">
                                    <input type="text" name="trading_name" class="form-control @error('trading_name') border-danger @enderror" required placeholder="Enter trading name">
                                    <span class="form-bar"></span>
                                    @error('trading_name')
                                    <span class="text-danger">{{ $message }}</span>
                                    @enderror
                                </div>
                                <div class="form-group form-primary">
                                    <span class="form-bar"></span>
                                    @error('licence_type')
                                    <span class="text-danger">{{ $message }}</span>
                                    @enderror
                                </div>
                                <div class="form-group form-primary">
                                    <textarea type="address" name="address" class="form-control @error('address') border-danger @enderror" required placeholder="Enter address"></textarea>
                                    <span class="form-bar"></span>
                                    @error('address')
                                    <span class="text-danger">{{ $message }}</span>
                                    @enderror
                                </div>
                                <div class="form-group form-primary">
                                    <input type="text" name="mobile_number" class="form-control @error('mobile_number') border-danger @enderror" required placeholder="Mobile mumber">
                                    <span class="form-bar"></span>
                                    @error('mobile_number')
                                    <span class="text-danger">{{ $message }}</span>
                                    @enderror
                                </div>
                                <div class="form-group form-primary">
                                    <textarea rows="3" name="description" class="form-control @error('description') border-danger @enderror" required placeholder="Description"></textarea>
                                    <span class="form-bar"></span>
                                    @error('description')
                                    <span class="text-danger">{{ $message }}</span>
                                    @enderror
                                </div>
                            </div>
                            <div class="col-md-6">
                                <h2 style="text-align:center ">Associated Licencies</h2><hr>
                                <div class="form-group form-primary">
                                    <div class="row">
                                        <div class="col-md-2">
                                            <div class="form-group">
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <input class="btn" type="button" value="Add Row" onclick="addRow('dataTableFacilities')" style="background-color:teal;color:white;" />
                                            </div>
                                        </div>

                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <input class="btn btn-danger" type="button" value="Delete Row" onclick="deleteRow('dataTableFacilities')" style="background-color:orange;color:white;" />
                                            </div>
                                        </div>
                                        <div class="col-md-2">
                                            <div class="form-group">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <input type="hidden" name="counter" id="counter" value="0">
                                        <div class="col-md-12">

                                            <table class="table table-bordered " id="dataTableFacilities" width="80%" border="1">
                                                <thead>
                                                <tr>
                                                    <th style="font-size:9px;"></th>
                                                    <th style="font-size:9px;">Licence Type</th>
                                                    <th style="font-size:9px;">Inspection Fee</th>
                                                    <th style="font-size:9px;">Application Fee</th>
                                                </tr>
                                                </thead>
                                                <tbody>

                                                </tbody>
                                            </table>
                                            <hr>
                                           <h2 class="f-right sum" ></h2>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default waves-effect " data-dismiss="modal"><i class="feather icon-x-circle"></i>Close</button>
                        <button type="submit" class="btn btn-default waves-effect " style=" background: skyblue;"><i class="feather icon-save"></i> Save</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<script>
    var c = 0;
    function addRow(tableID) {
        var sum =[];
        var table = document.getElementById(tableID);
        var rowCount = table.rows.length;
        var row = table.insertRow(rowCount);

        var cell1 = row.insertCell(0);
        var element1 = document.createElement("input");
        element1.type = "checkbox";
        element1.name = "chkbox[]";
        cell1.appendChild(element1);
        {{--var arr=[--}}
        {{--    @foreach($result->licence as $licence)--}}
        {{--     {{$licence->licence_id}},--}}
        {{--    @endforeach--}}
        {{--];--}}
        {{--console.log(arr);--}}
        var types = [
            @foreach($licence_types as $licence_type)
            {
                'name': '{{$licence_type->title}}',
                'id': '{{$licence_type->id}}',
                'application_fee': '{{$licence_type->application_fee}}',
                'inspection_fee': '{{$licence_type->inspection_fee}}',
            },
            @endforeach
        ]

        var cell2 = row.insertCell(1);
        var element2 = document.createElement("select");
        element2.classList.add('form-control');
        element2.name = `business[${c}][type]`;
        element2.addEventListener('change', function (e) {
            var data = types.filter(function (el) {
                return el.id==e.target.value;
            });
            sum.push(data[0].inspection_fee);
            sum.push(data[0].application_fee);
            console.log(sum);
            var inspection_fee = document.createTextNode(data[0].inspection_fee)
            var application_fee = document.createTextNode(data[0].application_fee)
            element3.textContent='';
            element4.textContent='';
            element3.appendChild(inspection_fee);
            element4.appendChild(application_fee);
        });
        element2.style.border = "none";
        cell2.appendChild(element2);
        var option=document.createElement("option");
        element2.addAttributes='diabaled selecte';
        option.text = 'Select licence type';
        element2.appendChild(option);
        for (var i = 0; i < types.length; i++) {
            var option1 = document.createElement("option");
            option1.value = types[i].id;
            option1.text = types[i].name;
            element2.appendChild(option1);
        }

        var cell3 = row.insertCell(2);
        var element3 = document.createElement("p");
        element3.style.border = "none";
        element3.classList.add('inspection_fee');
        cell3.appendChild(element3);

        var cell4 = row.insertCell(3);
        var element4 = document.createElement("p");
        element4.style.border = "none";
        element4.classList.add('application_fee');
        cell4.appendChild(element4);

        c += 1;
    }

    function deleteRow(tableID) {
        try {
            var table = document.getElementById(tableID);
            var rowCount = table.rows.length;

            for (var i = 0; i < rowCount; i++) {
                var row = table.rows[i];
                var chkbox = row.cells[0].childNodes[0];
                if (null != chkbox && true == chkbox.checked) {
                    table.deleteRow(i);
                    rowCount--;
                    i--;
                }


            }
        } catch (e) {
            alert(e);
        }
    }
    function tradingLicenceToggle() {
        var checkBox = document.getElementById("tradingLicenceCheckBox");
        // Get the output text
        var text = document.getElementById("tradingLicence");

        // If the checkbox is checked, display the output text
        if (checkBox.checked == true) {
            text.style.display = "block";
        } else {
            text.style.display = "none";
        }
    }
</script>
