<div>
    <style>
        .hiddenRow {
            padding: 0 !important;
        }
        .table td, .table th {
            padding: 0.75rem;
            vertical-align: unset !important;
            border-top: 1px solid #e9ecef;
        }
    </style>
    @include('includes.table-header')
    <div class="row">
        @foreach ($results as $result)
            <div class="col-md-6">
                <div class="card b-l-danger business-info services m-b-20">
                    <div class="card-header">
                        <div class="row">
                            <div class="col-md-8">
                                <div class="service-header">
                                    <a href="#">
                                        <h5 class="card-header-text">{{$result->trading_name}}</h5>
                                    </a>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="f-right b-none services-list">
                                    <a class="dropdown-item btn-outline-success" href="#!" data-toggle="modal" data-target="#apply{{$result->id}}"><i class="feather icon-edit"></i> Apply For Licence</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card-block">
                        <div class="row">
                            <div class="col-sm-12">
                                <p class="task-detail">{{$result->description}}</p>
                            </div>
                            <!-- end of col-sm-8 -->
                        </div>
                        <!-- end of row -->
                    </div>
                    <div class="card-footer">
                        <p>
                            <i class="feather icon-phone"></i> :{{$result->telephone}}|
                            <i class="feather icon-map-pin"></i> :{{$result->address}}
                        </p>
                    </div>
                    <!-- end of card-block -->
                </div>
            </div>
            <div class="modal fade" id="apply{{$result->id}}" tabindex="-1" role="dialog">
                <div class="modal-dialog modal-lg" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h4 class="modal-title">Apply for a Licence</h4>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <form wire:submit.prevent="applyLicenceForBusiness(Object.fromEntries(new FormData($event.target)))">
                            @csrf
                            <div class="modal-body">
                                <div class="row">
                                    <div class="col-md-6">
                                        <h2 style="text-align:center ">Business Details</h2><hr>
                                        <div class="form-group form-primary">
                                            <input type="text" readonly value="{{$result->business_name}}" name="business_name" class="form-control @error('business_name') border-danger @enderror" required placeholder="Enter trading name">
                                            <span class="form-bar"></span>
                                        </div>
                                        <div class="form-group form-primary">
                                            <input type="text" readonly value="{{$result->trading_name}}" name="trading_name" class="form-control @error('trading_name') border-danger @enderror" required placeholder="Enter trading name">
                                            <span class="form-bar"></span>
                                        </div>
                                        <div class="form-group form-primary">
                                            <textarea readonly type="address" name="address" class="form-control @error('address') border-danger @enderror" required placeholder="Enter address">{{$result->address}}</textarea>
                                            <span class="form-bar"></span>
                                        </div>
                                        <div class="form-group form-primary">
                                            <input type="text"  readonly value="{{$result->mobile_number}}" name="mobile_number" class="form-control @error('mobile_number') border-danger @enderror" required placeholder="Mobile mumber">
                                            <span class="form-bar"></span>
                                        </div>
                                        <div class="form-group form-primary">
                                            <textarea rows="7" readonly name="description" class="form-control @error('description') border-danger @enderror" required placeholder="Description">{{$result->description}}</textarea>
                                            <span class="form-bar"></span>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <h2 style="text-align:center ">Apply For these Licencies</h2><hr>
                                        <div class="form-group form-primary">
                                            <div class="row">
                                                <div class="col-md-2">
                                                    <div class="form-group">
                                                    </div>
                                                </div>
                                                <div class="col-md-2">
                                                    <div class="form-group">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <input type="hidden" name="counter" id="counter" value="0">
                                                <div class="col-md-12">

                                                    <table class="table table-borderless " id="editBusiness" width="80%" border="1">
                                                        <thead>
                                                        <tr>
                                                            <th style="font-size:9px;"><input type="checkbox" id="select-all"/>Select All</th>
                                                            <th style="font-size:9px;">Licence Type</th>
                                                            <th style="font-size:9px;">Inspection Fee</th>
                                                            <th style="font-size:9px;">Application Fee</th>
                                                            <th style="font-size:9px;">Totals</th>
                                                        </tr>
                                                        </thead>
                                                        <tbody>
                                                        <input type="hidden" name="business" value="{{$result->id}}">
                                                        @foreach($result->licence as $licence)
                                                            <tr>
                                                                <td>
                                                                    <input data-id="{{$licence->licence_id}}" onchange="sum('{{$licence->inspectionFee($licence->licence_id)}}','{{$licence->applicationFee($licence->licence_id)}}','{{$result->id}}',event.target)" type="checkbox"
                                                                           class="form-control"
                                                                           id="allocate"
                                                                           name="licenceBox{{$licence->licence_id}}"
                                                                           value="{{$licence->licence_id}}">
                                                                </td>
                                                                <td>{{$licence->licence($licence->licence_id)}}</td>
                                                                <td>{{$licence->inspectionFee($licence->licence_id)}}</td>
                                                                <td>{{$licence->applicationFee($licence->licence_id)}}</td>
                                                                <td>
                                                                    {{$licence->inspectionFee($licence->licence_id) + $licence->applicationFee($licence->licence_id)}}
                                                                </td>

                                                            </tr>
                                                        @endforeach
                                                        <tr>
                                                            <td>
                                                                <hr><h5>Sum</h5>
                                                            </td>
                                                            <td></td>
                                                            <td></td>
                                                            <td></td>
                                                            <td>
                                                                <hr><h5 class="total_amount"></h5><hr>
                                                            </td>
                                                        </tr>
                                                        </tbody>
                                                    </table>
                                                    <hr>
                                                    <h2 class="f-right sum" ></h2>
                                                </div>

                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="modal-footer">
                                <a href="#" class="btn btn-default waves-effect " data-dismiss="modal"><i class="feather icon-x-circle"></i>Close</a>
                                <a type="submit" data-toggle="modal" data-target="#paymentDetail{{$result->id}}"  class="btn btn-default waves-effect " style=" background: skyblue;"><i class="feather icon-send"></i> Proceed to Payment</a>
                            </div>
                            <div class="modal fade" id="paymentDetail{{$result->id}}">
                                <div class="modal-dialog modal-lg">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h4 class="modal-title">Pay Bill For Account </h4>
                                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                                        </div>
                                        <div class="container"></div>
                                        <div class="modal-body processes">
                                            <div class="row">
                                                <div class="col-lg-12 col-xl-3">
                                                    <!-- Filter card start -->
                                                    <div class="card">
                                                        <div class="card-header">
                                                            <h5 style="color: green">Notes</h5><hr>
                                                        </div>
                                                        <div class="card-block">
                                                            <p class="amount">Please note that licence processing will be done once payment is done </p>
                                                        </div>
                                                        <!-- Filter card end -->
                                                    </div>
                                                </div>
                                                <div class="col-lg-12 col-xl-5">
                                                    <!-- Open position card start -->
                                                    <div class="card">
                                                        <div class="card-header">
                                                            <h5>Payment Information</h5><hr>
                                                        </div>
                                                        <div class="card-block">
                                                            <div class="job-cards">
                                                                <div class="row">
                                                                    <div class="form-group col-md-12">
                                                                        <label for="wallet">Payment Method *</label>
                                                                        <select name="wallet" onchange="fieldForm(event.target,'{{$result->id}}')" id="wallet{{$result->id}}" class="form-control" required>
                                                                            <option disabled selected>Select Method</option>
                                                                            <option value="ecocash">Ecocash</option>
                                                                            <option value="onemoney">One Money</option>
                                                                            <option value="zimswitch">Zim Switch</option>
                                                                            <option value="paypal">PayPal</option>
                                                                        </select>
                                                                    </div>
                                                                    <div class="card card-primary card-outline" id="mobile_payment{{$result->id}}" style="display:none">
                                                                        <div class="card-header">
                                                                            <h3 class="card-title font-weight-bold" style="text-align: center">Fill Fields</h3><hr>
                                                                        </div>
                                                                        <div class="card-body">
                                                                            <div class="row">
                                                                                <div class="col-md-12">
                                                                                    <div class="form-row">
                                                                                        <div class="form-group col-md-12">
                                                                                            <label for="amount">Amount *</label>
                                                                                            <input type="number" readonly name="amount{{$result->id}}" id="amount{{$result->id}}" class="form-control amount" placeholder="Amount" min="1" step="1.00" value="" required>
                                                                                        </div>
                                                                                        <div class="form-group col-md-12">
                                                                                            <label for="businessOwnerNumber">Mobile Number</label>
                                                                                            <input type="tel" class="form-control" name="mobil{{$result->id}}" id="mobile_number{{$result->id}}" maxlength="12" minlength="10" placeholder="Mobile Mobile Number" required>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="card card-primary card-outline" id="banking_payment{{$result->id}}" style="display:none">
                                                                        <div class="card-header">
                                                                            <h3 class="card-title font-weight-bold" style="text-align: center">Fill Fields</h3><hr>
                                                                        </div>
                                                                        <div class="card-body">
                                                                            <div class="row">
                                                                                <div class="col-md-12">
                                                                                    <div class="form-row">
                                                                                        <div class="form-group col-md-12">
                                                                                            <label for="amount">Account Number</label>
                                                                                            <input type="number"  name="account{{$result->id}}" id="receiving_account{{$result->id}}" class="form-control" readonly  min="1" value="Council Bank account">
                                                                                        </div>
                                                                                        <div class="form-group col-md-12">
                                                                                            <label for="amount">Amount *</label>
                                                                                            <input type="number" readyonly name="bank_amount{{$result->id}}" id="amount_banking{{$result->id}}" class="form-control" placeholder="Amount" min="1" value="" >
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <!-- Open position card end -->
                                                </div>
                                                <div class="col-lg-12 col-xl-4">
                                                    <!-- Filter card start -->
                                                    <div class="card">
                                                        <div class="card-header">
                                                            <h5 style="color: green">Payer Information</h5><hr>
                                                        </div>
                                                        <div class="card-block">
                                                            <p><i class="feather icon-user"></i>: {{Auth::user()->first_names.' '.Auth::user()->surnames}}</p>
                                                            <p><i class="feather icon-mail"></i>: {{Auth::user()->email}}</p>
                                                            <p><i class="feather icon-phone"></i>: {{Auth::user()->telephone}}</p>
                                                            <p><i class="feather icon-map-pin"></i>: {{Auth::user()->address}}</p>
                                                        </div>
                                                        <!-- Filter card end -->
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="modal-footer">
                                            <a href="#" data-dismiss="modal" class="btn">Close</a>
                                            <button type="submit" class="btn btn-success btn btn-primary"><i class="feather icon-send"></i>Pay Now</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        @endforeach
    </div>
        @include('includes.table-footer')
</div>
<script type="text/javascript" src="{{ asset('assets/js/jquery.min.js') }}"></script>

