<div>
    <div wire:poll>
        @if($application->licence_type_id == 5 || $application->licence_type_id == 4 || $application->licence_type_id == 6)
            @if($application->completedLicenceInvoice()->count()==0)
                <div class="card">
                    <div class="card-header">
                        <h5 class="card-header-text text-uppercase"> Licence : Invoice &amp; Payments</h5>
                        <a href="{{route('save-licence-fee',['inv'=>$application->activeLicenceInvoice->id ,'currency'=>'rtgs'])}}"
                           class="btn btn-outline-primary waves-effect waves-light f-right m-1"><i
                                class="feather icon-list"></i>&nbsp;Pay &nbsp;(RTGS)</a>
                    </div>
                    <div class="card-block">
                        <div class="view-info">
                            <div class="row">
                                <div class="col-lg-12">
                                    <div class="general-info">
                                        <table class="table m-0">
                                            <div class="row">
                                                <div class="col-3">
                                                    <h5 class=" text-uppercase text-primary">
                                                        Total Invoice (USD)
                                                        : {{$application->activeLicenceInvoice->total}}
                                                    </h5>
                                                </div>
                                                <div class="col-3">
                                                    <h5 class="text-uppercase text-info">
                                                        Total Paid (USD)
                                                        : {{($application->pendingLicenceInvoice->paynowPayments->where('status', 'paid')->sum('amount')) ?? "0"}}
                                                    </h5>
                                                </div>
                                                <div class="col-3">
                                                    <h5 class="text-uppercase text-danger">
                                                        Balance (USD)
                                                        : {{($application->activeLicenceInvoice->total)-($application->pendingLicenceInvoice->paynowPayments->sum('amount'))}}
                                                    </h5>
                                                </div>
                                                <div class="col-3">
                                                    <h5 class="text-uppercase text-success">
                                                        1 &nbsp;USD &nbsp;: &nbsp;{{$rate->rate}} &nbsp; ZWL
                                                    </h5>
                                                </div>
                                            </div>
                                            <thead>
                                            <tr>
                                                <th>Reference</th>
                                                <th>Paynow Reference</th>
                                                <th>Amount</th>
                                                <th>Status</th>
                                                <th>Clerk</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            @forelse($application->pendingLicenceInvoice->paynowPayments as $tran)
                                                <tr>
                                                    <td>{{$tran->reference}}</td>
                                                    <td>{{$tran->pay_now_reference}}</td>
                                                    <td>{{($tran->amount)}}</td>
                                                    <td>{{$tran->rate}}</td>
                                                    <td>
                                                        @if($tran->status == "Sent")
                                                            <button type="button" disabled style="color:black;"
                                                                    class="btn btn-outline-primary waves-effect waves-light">{{$tran->status}}</button>
                                                        @elseif ($tran->status == "paid")
                                                            <button type="button" disabled style="color:black;"
                                                                    class="btn btn-outline-success  waves-effect waves-light">{{$tran->status}}</button>
                                                        @elseif ($tran->status == "Cancelled")
                                                            <button type="button" disabled style="color:black;"
                                                                    class="btn btn-outline-danger  waves-effect waves-light">{{$tran->status}}</button>
                                                        @endif
                                                    </td>
                                                    <td>{{$tran->clerkPortal->name()}}</td>
                                                </tr>
                                            @empty
                                                <tr>
                                                    <td colspan="4">
                                                        <div class="text-center">
                                                            no payments
                                                        </div>
                                                    </td>
                                                </tr>
                                            @endforelse
                                            </tbody>
                                        </table>
                                    </div>
                                    <!-- end of general info -->
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            @else
                <div class="card">
                    <div class="card-header">
                        <h5 class="card-header-text text-uppercase"> Licence : Invoice &amp; Payments</h5>
                        <label class="label label-lg label-inverse-primary f-right m-1">Licence Fee Payment
                            Complete</label>
                    </div>
                    <div class="col-lg-12">
                        <div class="general-info">
                            <h5 class="text-uppercase text-danger">Total Paid
                                &nbsp;: {{ ($application->completedLastLicenceInvoice->paynowPayments->where('status', 'paid')->sum('amount'))}}</h5>
                            <table class="table m-0">
                                <thead>
                                <tr>
                                    <th>Refference</th>
                                    <th>Paynow Refference</th>
                                    <th>Amount</th>
                                    <th>Rate</th>
                                    <th>Status</th>
                                    <th>Platform</th>
                                    <th>Clerk</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($application->completedLastLicenceInvoice->paynowPayments as $tran)
                                    <tr>
                                        <td>{{$tran->reference}}</td>
                                        <td>{{$tran->pay_now_reference}}</td>
                                        <td>{{($tran->amount)}}</td>
                                        <td>{{$tran->rate}}</td>
                                        <td>
                                            @if($tran->status == "Sent")
                                                <button type="button" disabled style="color:black;"
                                                        class="btn btn-outline-primary waves-effect waves-light">{{$tran->status}}</button>
                                            @elseif ($tran->status == "paid")
                                                <button type="button" disabled style="color:black;"
                                                        class="btn btn-outline-success  waves-effect waves-light">{{$tran->status}}</button>
                                            @elseif ($tran->status == "Cancelled")
                                                <button type="button" disabled style="color:black;"
                                                        class="btn btn-outline-danger  waves-effect waves-light">{{$tran->status}}</button>
                                            @endif
                                        </td>
                                        <td>{{$tran->platform}}</td>
                                        <td>{{$tran->clerkPortal->name()}}</td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                        <!-- end of general info -->
                    </div>
                </div>
            @endif
            @if($application->stage == 'ISSUE LICENCE' || $application->stage == 'COLLECTED')
                <div class="card">
                    <div class="card-header">
                        <h5 class="card-header-text text-uppercase"> Licence : Complete</h5>
                        <a href="{{route('licence-preview',['app_id'=>$application->id])}}"
                           class="btn btn-outline-success waves-effect waves-light f-right m-1"><i
                                class="feather icon-list"></i>&nbsp;Download Licence</a>
                    </div>
                </div>
            @endif
        @else
            @if($application->activeInvoice()->count() == 0)
                <div class="card">
                    <div class="card-header">
                        <h5 class="card-header-text text-uppercase"> Application : Invoice &amp; Payments</h5>
                        <a href="{{route('save-licence-fee',['inv'=>$application->pendingInvoice->id ,'currency'=>'rtgs'])}}"
                           class="btn btn-outline-primary waves-effect waves-light f-right m-1"><i
                                class="feather icon-list"></i>&nbsp; Pay &nbsp;(RTGS)</a>
                    </div>
                    <div class="card-block">
                        <div class="view-info">
                            <div class="row">
                                <div class="col-lg-12">
                                    <div class="general-info">
                                        <div class="row">
                                            <div class="col-lg-12 col-xl-12">
                                                <div class="table-responsive">
                                                    <div class="row">
                                                        <div class="col-md-3">
                                                            <h5 class="text-uppercase text-danger">Total Paid
                                                                &nbsp;: {{ round($application->pendingInvoice->paynowPayments->where('status', 'paid')->sum('amount') , 4)}} USD</h5>
                                                        </div>
                                                        <div class="col-md-3">
                                                            <h5 class="text-uppercase text-danger">Balance
                                                                &nbsp;: {{ round(($application->pendingInvoice->total ) - ($application->pendingInvoice->paynowPayments->where('status', 'paid')->sum('amount')), 4)}} USD</h5>
                                                        </div>
                                                        <div class="col-md-3">
                                                            <h5 class="text-uppercase text-danger">Total Invoice
                                                                &nbsp;: {{round($application->pendingInvoice->total , 4)}} USD</h5>
                                                        </div>
                                                        <div class="col-md-3">
                                                            <h5 class="text-uppercase text-success">
                                                                1 &nbsp;USD &nbsp;: &nbsp;{{$rate->rate}} &nbsp; ZWL
                                                            </h5>
                                                        </div>
                                                    </div>
                                                    <table class="table m-0">
                                                        <thead>
                                                        <tr>
                                                            <th>Refference</th>
                                                            <th>Paynow Refference</th>
                                                            <th>Amount</th>
                                                            <th>Rate</th>
                                                            <th>Status</th>
                                                            <th>Clerk</th>
                                                        </tr>
                                                        </thead>
                                                        <tbody>
                                                        @forelse($application->pendingInvoice->paynowPayments as $tran)
                                                            <tr>
                                                                <td>{{$tran->reference}}</td>
                                                                <td>{{$tran->pay_now_reference}}</td>
                                                                <td>{{round($tran->amount , 4)}}</td>
                                                                <td>{{$tran->rate}}</td>
                                                                <td>
                                                                    @if($tran->status == "Sent")
                                                                        <button type="button" disabled
                                                                                style="color:black;"
                                                                                class="btn btn-outline-primary waves-effect waves-light">{{$tran->status}}</button>
                                                                    @elseif ($tran->status == "paid")
                                                                        <button type="button" disabled
                                                                                style="color:black;"
                                                                                class="btn btn-outline-success  waves-effect waves-light">{{$tran->status}}</button>
                                                                    @elseif ($tran->status == "Cancelled")
                                                                        <button type="button" disabled
                                                                                style="color:black;"
                                                                                class="btn btn-outline-danger  waves-effect waves-light">{{$tran->status}}</button>
                                                                    @endif
                                                                </td>
                                                                <td>{{$tran->clerkPortal->name()}}</td>
                                                            </tr>
                                                        @empty
                                                            <tr>
                                                                <td colspan="4">
                                                                    <div class="text-center">
                                                                        no payments made
                                                                    </div>
                                                                </td>
                                                            </tr>
                                                        @endforelse
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            @else
                <div class="card">
                    <div class="card-header">
                        <h5 class="card-header-text text-uppercase"> Application : Invoice &amp; Payments</h5>
                        <label class="label label-lg label-inverse-primary f-right m-1">Application Fee Receipts</label>
                    </div>
                    <div class="card-block">
                        <div class="col-lg-12 col-xl-12">
                            <div class="table-responsive">
                                <h5 class="text-uppercase text-danger">Total Paid
                                    &nbsp;: {{ $application->activeInvoice->paynowPayments->where('status', 'paid')->sum('amount')}}</h5>
                                <table class="table m-0">
                                    <thead>
                                    <tr>
                                        <th>Refference</th>
                                        <th>Paynow Refference</th>
                                        <th>Amount (USD)</th>
                                        <th>Rate</th>
                                        <th>Platform</th>
                                        <th>Status</th>
                                        <th>Clerk</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @foreach($application->activeInvoice->paynowPayments as $tran)
                                        <tr>
                                            <td>{{$tran->reference}}</td>
                                            <td>{{$tran->pay_now_reference}}</td>
                                            <td>{{($tran->amount)}}</td>
                                            <td>{{$tran->rate}}</td>
                                            <td>{{$tran->platform}}</td>
                                            <td>
                                                @if($tran->status == "Sent")
                                                    <button type="button" disabled style="color:black;"
                                                            class="btn btn-outline-primary waves-effect waves-light">{{$tran->status}}</button>
                                                @elseif ($tran->status == "paid")
                                                    <button type="button" disabled style="color:black;"
                                                            class="btn btn-outline-success  waves-effect waves-light">{{$tran->status}}</button>
                                                @elseif ($tran->status == "Cancelled")
                                                    <button type="button" disabled style="color:black;"
                                                            class="btn btn-outline-danger  waves-effect waves-light">{{$tran->status}}</button>
                                                @endif
                                            </td>
                                            <td>{{$tran->clerkPortal->name()}}</td>
                                        </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            @endif

            @if($application->licenceInvoices()->count()!=0)
                <div class="card">
                    <div class="card-header">
                        <h5 class="card-header-text text-uppercase"> Licence : Invoice &amp; Payments</h5>
                        <label class="label label-lg label-inverse-primary f-right m-1">Licence Fee Payment
                            Reciepts</label>
                    </div>
                    <div class="col-lg-12">
                        <div class="general-info">
                            @if($latestLic != null && $latestLic->status == 'paid')
                                <h5 class="text-uppercase text-danger">Total Paid
                                    &nbsp;: {{ ($application->portalPaymentsLicence->sum('amount'))}}</h5>
                            @endif
                            <table class="table m-0">
                                <thead>
                                <tr>
                                    <th>Refference</th>
                                    <th>Paynow Refference</th>
                                    <th>Amount</th>
                                    <th>Rate</th>
                                    <th>Status</th>
                                    <th>Clerk</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($licencePay as $tran)
                                    <tr>
                                        <td>{{$tran->reference}}</td>
                                        <td>{{$tran->pay_now_reference}}</td>
                                        <td>{{($tran->amount)}}</td>
                                        <td>{{$tran->rate}}</td>
                                        <td>
                                            @if($tran->status == "Sent")
                                                <button type="button" disabled style="color:black;"
                                                        class="btn btn-outline-primary waves-effect waves-light">{{$tran->status}}</button>
                                            @elseif ($tran->status == "paid")
                                                <button type="button" disabled style="color:black;"
                                                        class="btn btn-outline-success  waves-effect waves-light">{{$tran->status}}</button>
                                            @elseif ($tran->status == "Cancelled")
                                                <button type="button" disabled style="color:black;"
                                                        class="btn btn-outline-danger  waves-effect waves-light">{{$tran->status}}</button>
                                            @endif
                                        </td>
                                        <td>{{$tran->clerkPortal->name()}}</td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                        <!-- end of general info -->
                    </div>
                </div>
            @endif
            @if($application->stage == "LICENCE PAYMENT" || $application->stage == "RENEWAL")
                @if($application->activeLicenceInvoice()->count()>0)
                    <div class="card">
                        <div class="card-header">
                            <h5 class="card-header-text text-uppercase"> Licence : Invoice &amp; Payments</h5>
                            <a href="{{route('save-licence-fee',['inv'=>$application->activeLicenceInvoice->id ,'currency'=>'rtgs'])}}"
                               class="btn btn-outline-primary waves-effect waves-light f-right m-1"><i
                                    class="feather icon-list"></i>&nbsp;Pay (RTGS)</a>
                        </div>
                        <div class="card-block">
                            <div class="view-info">
                                <div class="row">
                                    <div class="col-lg-12">
                                        <div class="general-info">
                                            <div class="row">
                                                <div class="col-md-3">
                                                    <h5 class=" text-uppercase text-primary">
                                                        Total Invoice (USD)
                                                        : {{$application->activeLicenceInvoice->total}}
                                                    </h5>
                                                </div>
                                                <div class="col-md-3">
                                                    <h5 class="text-uppercase text-success">
                                                        Total Paid(USD)
                                                        : {{$application->activeLicenceInvoice->paynowPayments->where('status', 'paid')->sum('amount')}}
                                                    </h5>
                                                </div>
                                                <div class="col-md-3">
                                                    <h5 class="text-uppercase text-danger">Balance(USD)
                                                        &nbsp;: {{ ($application->activeLicenceInvoice->total) - ($application->activeLicenceInvoice->paynowPayments->where('status', 'paid')->sum('amount'))}}</h5>
                                                </div>
                                                <div class="col-3">
                                                    <h5 class="text-uppercase text-success">
                                                        1 &nbsp;USD &nbsp;: &nbsp;{{$rate->rate}} &nbsp; ZWL
                                                    </h5>
                                                </div>
                                            </div>
                                            <table class="table m-0">
                                                <thead>
                                                <tr>
                                                    <th>Refference</th>
                                                    <th>Paynow Refference</th>
                                                    <th>Amount</th>
                                                    <th>Rate</th>
                                                    <th>Status</th>
                                                    <th>Platform</th>
                                                    <th>Clerk</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                @forelse($application->activeLicenceInvoice->paynowPayments as $tran)
                                                    <tr>
                                                        <td>{{$tran->reference}}</td>
                                                        <td>{{$tran->pay_now_reference}}</td>
                                                        <td>{{($tran->amount)}}</td>
                                                        <td>{{$tran->rate}}</td>
                                                        <td>
                                                            @if($tran->status == "Sent")
                                                                <button type="button" disabled style="color:black;"
                                                                        class="btn btn-outline-primary waves-effect waves-light">{{$tran->status}}</button>
                                                            @elseif ($tran->status == "paid")
                                                                <button type="button" disabled style="color:black;"
                                                                        class="btn btn-outline-success  waves-effect waves-light">{{$tran->status}}</button>
                                                            @elseif ($tran->status == "Cancelled")
                                                                <button type="button" disabled style="color:black;"
                                                                        class="btn btn-outline-danger  waves-effect waves-light">{{$tran->status}}</button>
                                                            @endif
                                                        </td>
                                                        <td>{{$tran->platform}}</td>
                                                        <td>{{$tran->clerkPortal->name()}}</td>
                                                    </tr>
                                                @empty
                                                    <tr>
                                                        <td colspan="4">
                                                            <div class="text-center">
                                                                no payments made
                                                            </div>
                                                        </td>
                                                    </tr>
                                                @endforelse
                                                </tbody>
                                            </table>
                                        </div>
                                        <!-- end of general info -->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                @endif
            @endif
            @if($application->stage == 'ISSUE LICENCE' || $application->stage == 'COLLECTED')
                <div class="card">
                    <div class="card-header">
                        <h5 class="card-header-text text-uppercase"> Licence : Complete</h5>
                        <a href="{{route('licence-preview',['app_id'=>$application->id])}}"
                           class="btn btn-outline-success waves-effect waves-light f-right m-1"><i
                                class="feather icon-list"></i>&nbsp;Download Licence</a>
                    </div>
                </div>
            @endif
        @endif
    </div>
</div>
