<div>
    <div class="col-md-12">
        {{--        <form action="{{route('user-add-new-query')}}" method="POST">--}}
        {{--            @csrf--}}
        <form wire:submit.prevent="submit">
            <div class="modal-body">
                <div class="row">
                    <div class="col-sm-4">
                        <div class="form-group">
                            <label for="stand_number"
                                   class="col-form-label">FirstName</label>
                            <input type="text" name="firstname" value="{{$first_name}}"
                                   wire:model="first_name"
                                   required
                                   class="form-control">
                        </div>
                    </div>
                    <div class="col-sm-4">
                        <div class="form-group">
                            <label for="stand_number"
                                   class="col-form-label">LastName</label>
                            <input type="text" name="lastname" value="{{\Illuminate\Support\Facades\Auth::user()->surnames}}"
                                   wire:model="last_name"
                                   required
                                   class="form-control">
                        </div>
                    </div>
                    <div class="col-sm-4">
                        <div class="form-group">
                            <label for="stand_number"
                                   class="col-form-label">Address</label>
                            <input type="text" name="address" value="{{\Illuminate\Support\Facades\Auth::user()->first_names}}"
                                   wire:model="address"
                                   required
                                   class="form-control">
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-4">
                        <div class="form-group">
                            <label for="location"
                                   class="col-form-label">Location</label>
                            <select class="form-control"
                                    name="locationId" id="locationId"
                                    wire:model="location_id"
                                    required>
                                <option value="">Select Location
                                </option>
                                @foreach($locations as $item)
                                    <option
                                        value="{{$item->id}}">{{$item->name}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-sm-4">
                        <div class="form-group">
                            <label for="client_type"
                                   class="col-form-label"> Type</label>
                            <select class="form-control"
                                    name="client_type" id="client_type"
                                    wire:model="client_type"
                                    required>
                                <option value="">Select Designation
                                </option>
                                @foreach($queryClientTypes as $item)
                                    <option
                                        value="{{$item->id}}">{{$item->name}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-sm-4">
                        <div class="form-group">
                            <label for="stand_number"
                                   class="col-form-label">Phone
                                Number <span>(for calls &amp; notifications)</span></label>
                            <input type="text" name="phone_number"
                                   required
                                   wire:model="phone_number" value = "{{$phone_number}}"
                                   pattern="[0-9]{4}[0-9]{3}[0-9]{3}"
                                   title="Phone Number Should Be In Format 07777777777 ..."
                                   class="form-control">
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-4">
                        <div class="form-group">
                            <label for="stand_number"
                                   class="col-form-label">Stand
                                Number</label>
                            <input type="number" name="stand_number"
                                   required
                                   wire:model="stand_number"
                                   id="stand_number"
                                   class="form-control">
                        </div>
                    </div>
                    <div class="col-sm-4">
                        <div class="form-group">
                            <label for="type" class="col-form-label">Type</label>
                            <select name="type"
                                    wire:model="type"
                                    id="type"
                                    class="form-control" required>
                                <option value="">Select whether Query /
                                    Complaint
                                </option>
                                <option value="query">Query</option>
                                <option value="complaint">Complaint
                                </option>
                            </select>
                        </div>
                    </div>
                    <div class="col-sm-4">
                        <div class="form-group">
                            <label for="type" class="col-form-label">Query
                                Type</label>
                            <select class="form-control"
                                    name="query_type" id="query_type"
                                    wire:model="query_type"
                                    required>
                                <option value="">Select Query Type
                                </option>
                                @foreach($queryCategories as $item)
                                    <option
                                        value="{{$item->id}}">{{$item->name}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label for="notes"
                           class="col-form-label">Notes</label>
                    <textarea name="notes" id="notes" required wire:model="notes"
                              class="form-control" rows="3"></textarea>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button"
                        class="btn btn-default waves-effect "
                        data-dismiss="modal">Close
                </button>
                <button type="submit"
                        class="btn btn-outline-primary waves-effect "><i
                        class="feather icon-send"></i>Send
                </button>
            </div>
        </form>
    </div>
</div>
