<div wire:poll>
    <div class="card">
        <div class="card-header">
            <h5 class="card-header-text">Logger Details</h5>
        </div>
        <div class="card-block">
            <div class="view-info">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="general-info">
                            <div class="row">
                                <div class="col-lg-12 col-xl-6">
                                    <div class="table-responsive">
                                        <table class="table m-0">
                                            <tbody>
                                            <tr>
                                                <th scope="row">Full Name</th>
                                                <td>{{$query->full_name}}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">Phone</th>
                                                <td>{{$query->phone_number}}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">Email</th>
                                                <td>{{$query->email}}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">
                                                    Logged By
                                                </th>
                                                <td>
                                                    {{$query->employee->name()}}
                                                </td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <div class="col-lg-12 col-xl-6">
                                    <div class="table-responsive">
                                        <table class="table">
                                            <tbody>
                                            <tr>
                                                <th scope="row">Location</th>
                                                <td>{{$query->location->name}}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">Description</th>
                                                <td>{{$query->description}}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">Address</th>
                                                <td>{{$query->address}}</td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @if(\Illuminate\Support\Facades\Auth::user()->permissions->is_council)
        <div class="card">
            <div class="card-header">
                <h5 class="card-header-text">Attendant Details</h5>
            </div>
            <div class="card-block">
                <div class="view-info">
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="general-info">
                                <table class="table table-striped">
                                    <thead>
                                    <tr>
                                        <th>Name</th>
                                        <th>Phone Number</th>
                                        <th>Email</th>
                                    </tr>
                                    </thead>

                                    <tbody>
                                    @if($query->attendant)
                                        <tr>
                                            <td>{{$query->attendant->taskForce->name}}</td>
                                            <td><label
                                                    class="label label-lg label-primary">{{$query->attendant->taskForce->phone_number}}</label>
                                            </td>
                                            <td>----------</td>
                                        </tr>
                                    @else
                                        <tr>
                                            <td colspan="3">
                                                no task force assigned
                                            </td>
                                        </tr>
                                    @endif
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    @endif
    <div class="card">
        <div class="card-header">
            <h5 class="card-header-text">Date Logged
                | {{Carbon\Carbon::create($query->logged_at)->toFormattedDateString()}}</h5>
            <button id="edit-btn" type="button" class="btn btn-sm btn-outline-primary waves-effect waves-light f-right">
                {{$query->type}} &nbsp;|&nbsp;{!! $query->category->name !!}
            </button>
        </div>
        <div class="card-block">
            <div class="media m-b-20">
                <div class="media-body photo-contant">
                    <hr>
                    <div class="m-t-15">
                        <div class="row">
                            <div class="col-sm-6">
                                <i class="feather icon-hash f-20 m-r-10"></i>Query Number
                            </div>
                            <div class="col-sm-6">
                                <h5>
                                    @if($query->query_id)
                                        <label
                                            class="label label-lg label-inverse-primary f-right m-1"> {{ $query->query_id }}
                                        </label>
                                    @else
                                        <label style="color:red;">
                                            Your Query ID is being created this may take
                                            close to 2 minutes
                                        </label>
                                    @endif
                                </h5>
                            </div>
                        </div>
                    </div>
                    <hr>
                    <div>
                        <div class="">
                            <div class="card-header">
                                <h5>Updates</h5>
                            </div>
                            <div class="">
                                <div class="table-responsive">
                                    <table class="table  table-striped table-bordered nowrap">
                                        <thead>
                                        <tr class="table-primary text-white">
                                            <th>Status</th>
                                            <th>Title</th>
                                            <th>Description</th>
                                            <th>Updated At</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        @forelse($query->progress as $progress)
                                            <tr>
                                                @if($progress->status == "on-hold")
                                                    <td><span class="label label-danger">On Hold</span>
                                                    </td>
                                                @elseif($progress->status == "started")
                                                    <td><span class="label label-warning">started</span>
                                                    </td>
                                                @elseif($progress->status == "completed")
                                                    <td><span class="label label-success">completed</span>
                                                    </td>
                                                @elseif($progress->status == "responded")
                                                    <td><span class="label label-primary">responded</span>
                                                    </td>
                                                @elseif($progress->status == "Overdue")
                                                    <td><span class="label label-danger">overdue</span>
                                                    </td>
                                                @elseif($progress->status == "resolved")
                                                    <td><span class="label label-success">resolved</span>
                                                    </td>
                                                @else
                                                    <td></td>
                                                @endif
                                                <td>{{$progress->title}}</td>
                                                <td>{{$progress->description ?? ".............."}}</td>
                                                <td>{{$progress->created_at->format('Y-m-d')}}</td>

                                                @empty
                                                    <i style="color:red;">No updates
                                                        available for you at the moment</i>
                                            </tr>
                                        @endforelse
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
