<div>
    @include('includes.table-header')
    <table class="table table-bordered table-striped">
        <thead>
        <tr>
            <th>Plan no</th>
            <th>Account Number</th>
            <th>Account Owner</th>
            <th>Debt</th>
            <th>Tarrif</th>
            <th>Repayment Period</th>
            <th>Total Paid</th>
            <th>Outstanding</th>
            <th>Progress</th>
            <th>Status</th>
            <th>Action</th>
        </tr>
        </thead>
        <tbody>


        @forelse ($results as $result)
            @php
                $state = round(($result->credit / $result->debt) * 100);
            @endphp
            @if ($result->status =='REJECTED')
                <tr style="background-color:red;" class="text-white">
                    <td>{{ $result->id }}</td>
                    <td>{{ $result->account_no }}</td>
                    <td>{{ $result->account->account_name }}</td>
                    <td class="bg-warning text-white">{{ $result->debt }}</td>
                    <td>{{ $result->tarrif->tarrif }}</td>
                    <td>{{ $result->repayment_period }}</td>
                    <td class="bg-success text-white">{{ $result->credit }}</td>
                    @if ($state < 50)
                        <td
                            class="bg-danger text-white">{{ $result->debt - $result->credit }}</td>
                    @elseif ($state > 50 && $state < 75)
                        <td class="bg-warning text-white">{{ $result->debt - $result->credit }}</td>
                    @else
                        <td class="bg-success text-white">{{ $result->debt - $result->credit }}</td>
                    @endif
                    <td>{{ $state }}%</td>
                    <td>{{ $result->status }}</td>
                    <td>
                        <a class="btn btn-primary" href="/paymentplan/preview/{{ $result->id }}"><i class="feather icon-arrow-right-circle"></i></a>
                    </td>
                </tr>
            @elseif ($result->status =='POSTED')
                <tr style="background-color:orange;" class="text-white">
                    <td>{{ $result->id }}</td>
                    <td>{{ $result->account_no }}</td>
                    <td>{{ $result->account->account_name }}</td>
                    <td class="bg-warning text-white">{{ $result->debt }}</td>
                    <td>{{ $result->tarrif->tarrif }}</td>
                    <td>{{ $result->repayment_period }}</td>
                    <td class="bg-success text-white">{{ $result->credit }}</td>
                    @if ($state < 50)
                        <td
                            class="bg-danger text-white">{{ $result->debt - $result->credit }}</td>
                    @elseif ($state > 50 && $state < 75)
                        <td class="bg-warning text-white">{{ $result->debt - $result->credit }}</td>
                    @else
                        <td class="bg-success text-white">{{ $result->debt - $result->credit }}</td>
                    @endif
                    <td>{{ $state }}%</td>
                    <td>{{ $result->status }}</td>
                    <td>
                        <button data-toggle="modal" data-target="#paymentDetail{{$result->id}}" class="btn btn-outline-success" title="Pay Bill Details">
                            <i class="feather icon-dollar-sign"></i>
                        </button>
                        <a class="btn btn-primary" href="/paymentplan/fdpreview/{{ $result->id }}"><i class="feather icon-arrow-right-circle"></i></a>
                    </td>
                </tr>
            @elseif ($result->status =='COMPLETED')
                <tr style="background-color:green;" class="text-white">
                    <td>{{ $result->id }}</td>
                    <td>{{ $result->account_no }}</td>
                    <td>{{ $result->account->account_name }}</td>
                    <td class="bg-warning text-white">{{ $result->debt }}</td>
                    <td>{{ $result->tarrif->tarrif }}</td>
                    <td>{{ $result->repayment_period }}</td>
                    <td class="bg-success text-white">{{ $result->credit }}</td>
                    @if ($state < 50)
                        <td
                            class="bg-danger text-white">{{ $result->debt - $result->credit }}</td>
                    @elseif ($state > 50 && $state < 75)
                        <td class="bg-warning text-white">{{ $result->debt - $result->credit }}</td>
                    @else
                        <td class="bg-success text-white">{{ $result->debt - $result->credit }}</td>
                    @endif
                    <td>{{ $state }}%</td>
                    <td>{{ $result->status }}</td>
                    <td>
                        <a class="btn btn-primary" href="/paymentplan/preview/{{ $result->id }}"><i class="feather icon-arrow-right-circle"></i></a>
                    </td>
                </tr>
            @else
                <tr>
                    <td>{{ $result->id }}</td>
                    <td>{{ $result->account_no }}</td>
                    <td>{{ $result->account->account_name }}</td>
                    <td class="bg-warning text-white">{{ $result->debt }}</td>
                    <td>{{ $result->tarrif->tarrif }}</td>
                    <td>{{ $result->repayment_period }}</td>
                    <td class="bg-success text-white">{{ $result->credit }}</td>
                    @if ($state < 50)
                        <td
                            class="bg-danger text-white">{{ $result->debt - $result->credit }}</td>
                    @elseif ($state > 50 && $state < 75)
                        <td class="bg-warning text-white">{{ $result->debt - $result->credit }}</td>
                    @else
                        <td class="bg-success text-white">{{ $result->debt - $result->credit }}</td>
                    @endif
                    <td>{{ $state }}%</td>
                    <td>{{ $result->status }}</td>
                    <td>
                        <button data-toggle="modal" data-target="#paymentDetail{{$result->id}}" class="btn btn-outline-success" title="Pay Bill Details">
                            <i class="feather icon-dollar-sign"></i>
                        </button>
                        <a class="btn btn-primary" href="/paymentplan/preview/{{ $result->id }}"><i class="feather icon-arrow-right-circle"></i></a>

                        <!--Multi Model Start-->
                        <div class="modal fade" id="paymentDetail{{$result->id}}">
                            <div class="modal-dialog modal-lg">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h4 class="modal-title">Pay Bill For Payment Plan </h4>
                                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                                    </div>
                                    <div class="container"></div>
                                    {{--                        <form id="paymentForm" method="POST" action="{{route('payment-process-payment')}}">--}}
                                    <div class="content loaderHtml">
                                        <div class="container row">
                                            <div class="wrapper success_tick col-md-12"> <svg class="animated-check" viewBox="0 0 24 24">
                                                    <path d="M4.1 12.7L9 17.6 20.3 6.3" fill="none" /> </svg>
                                            </div>
                                            <div class="wrapper failed_loader col-md-12">
                                                <svg class="checkmark" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 52 52">
                                                    <circle class="checkmark_circle" cx="26" cy="26" r="25" fill="none" />
                                                    <path class="checkmark_check" fill="none" d="M14.1 14.1l23.8 23.8 m0,-23.8 l-23.8,23.8" /></svg>
                                            </div>
                                            <div class="wrapper waiting_loader col-md-12" >
                                                <div class="loader">
                                                    <div class="dot"></div>
                                                </div>
                                                <div class="loader">
                                                    <div class="dot"></div>
                                                </div>
                                                <div class="loader">
                                                    <div class="dot"></div>
                                                </div>
                                                <div class="loader">
                                                    <div class="dot"></div>
                                                </div>
                                                <div class="loader">
                                                    <div class="dot"></div>
                                                </div>
                                                <div class="loader">
                                                    <div class="dot"></div>
                                                </div>
                                            </div>
                                            <div class="text col-md-12">
                                                Please authorise payment...
                                            </div>
                                        </div>
                                    </div>
                                    <div class="modal-body processes">
                                        <div class="row">
                                            <div class="col-lg-12 col-xl-2">
                                                <!-- Filter card start -->
                                                <div class="card">
                                                    <div class="card-header">
                                                        <h5 style="color: green">Balances</h5><hr>
                                                    </div>
                                                    <div class="card-block">
                                                        <p><i class="feather icon-dollar-sign"></i>{{ $result->debt - $result->credit }} </p>
                                                    </div>
                                                    <!-- Filter card end -->
                                                </div>
                                            </div>
                                            <div class="col-lg-12 col-xl-6">
                                                <!-- Open position card start -->
                                                <div class="card">
                                                    <div class="card-header">
                                                        <h5>Payment Information</h5><hr>
                                                    </div>
                                                    <div class="card-block">
                                                        <div class="job-cards">
                                                            <div class="row">
                                                                <div class="form-group col-md-12">
                                                                    <label for="wallet">Payment Method *</label>
                                                                    <select name="wallet" onchange="fieldForm(event.target,'{{$result->id}}')" id="wallet{{$result->id}}" class="form-control" required>
                                                                        <option disabled selected>Select Method</option>
                                                                        <option value="ecocash">Ecocash</option>
                                                                        <option value="onemoney">One Money</option>
                                                                        <option value="zimswitch">Zim Switch</option>
                                                                        <option value="paypal">PayPal</option>
                                                                    </select>
                                                                </div>
                                                                <div class="card card-primary card-outline" id="mobile_payment{{$result->id}}" style="display:none">
                                                                    <div class="card-header">
                                                                        <h3 class="card-title font-weight-bold" style="text-align: center">Fill Fields</h3><hr>
                                                                    </div>
                                                                    <div class="card-body">
                                                                        <div class="row">
                                                                            <div class="col-md-12">
                                                                                <div class="form-row">
                                                                                    <div class="form-group col-md-12">
                                                                                        <label for="amount">Amount *</label>
                                                                                        <input type="number" name="amount{{$result->id}}" id="amount{{$result->id}}" class="form-control" placeholder="Amount" min="1" step="1.00" value=""required>
                                                                                    </div>
                                                                                    <div class="form-group col-md-12">
                                                                                        <label for="businessOwnerNumber">Mobile Number</label>
                                                                                        <input type="tel" class="form-control" name="mobil{{$result->id}}" id="mobile_number{{$result->id}}" maxlength="12" minlength="10" placeholder="Mobile Mobile Number" required>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="card card-primary card-outline" id="banking_payment{{$result->id}}" style="display:none">
                                                                    <div class="card-header">
                                                                        <h3 class="card-title font-weight-bold" style="text-align: center">Fill Fields</h3><hr>
                                                                    </div>
                                                                    <div class="card-body">
                                                                        <div class="row">
                                                                            <div class="col-md-12">
                                                                                <div class="form-row">
                                                                                    <div class="form-group col-md-12">
                                                                                        <label for="amount">Account Number</label>
                                                                                        <input type="number" name="amount{{$result->id}}" id="account_number{{$result->id}}" class="w-100 py-2 px-2 rounded shadow-lg" placeholder="Enter Account " min="1" value=""required>
                                                                                    </div>
                                                                                    <div class="form-group col-md-12">
                                                                                        <label for="amount">Receiving Council Account</label>
                                                                                        <input type="number" name="amount{{$result->id}}" id="receiving_account{{$result->id}}" class="form-control" readonly  min="1" value="Council Bank account">
                                                                                    </div>
                                                                                    <div class="form-group col-md-12">
                                                                                        <label for="amount">Amount *</label>
                                                                                        <input type="number" name="amount{{$result->id}}" id="amount_banking{{$result->id}}" class="form-control" placeholder="Amount" min="1" value=""required>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <!-- Open position card end -->
                                            </div>
                                            <div class="col-lg-12 col-xl-4">
                                                <!-- Filter card start -->
                                                <div class="card">
                                                    <div class="card-header">
                                                        <h5 style="color: green">Payer Information</h5><hr>
                                                    </div>
                                                    <div class="card-block">
                                                        <p><i class="feather icon-user"></i>: {{Auth::user()->first_names.' '.Auth::user()->surnames}}</p>
                                                        <p><i class="feather icon-mail"></i>: {{Auth::user()->email}}</p>
                                                        <p><i class="feather icon-phone"></i>: {{Auth::user()->telephone}}</p>
                                                        <p><i class="feather icon-map-pin"></i>: {{Auth::user()->address}}</p>
                                                    </div>
                                                    <!-- Filter card end -->
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <a href="#" data-dismiss="modal" class="btn">Close</a>
                                        <a href="#" onclick="initialize('{{$result->id}}','{{$result->account_no}}',event.target)" class="btn btn-success btn btn-primary">Pay Now</a>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </td>
                </tr>
            @endif
        @empty
            <tr>
                <td colspan="11" class="text-center">
                    no data available
                </td>
            </tr>

        @endforelse

        </tbody>
    </table>
    @include('includes.table-footer')
</div>
