<div>
    @include('includes.table-header')
    <table id="responsive-datatable" class="table table-striped dt-responsive nowrap">
        <thead>
        <tr>
            <th class="color-333">Transaction Date</th>
            <th class="color-333">Account Number</th>
            <th class="color-333">Detail</th>
            <th class="color-333">Service</th>
            <th class="color-333">Amount</th>
            <th class="color-333">Reference</th>
            <th class="color-333">Payment Method</th>
            <th class="color-333">Number</th>
            <th class="color-333">Payment Status</th>
            <th class="color-333">Actions</th>
        </tr>
        </thead>
        <tbody class="color-333">
        @forelse($results as $result)
            <tr>

                <td>{{ $result->transaction_date }}</td>
                <td>{{ $result->account_no }}</td>
                <td>{{ $result->payment_for }}</td>
                <td>{{ $result->service_id }}</td>
                <td>{{ $result->amount_paid }}</td>
                <td>{{ $result->reference }}</td>
                <td>{{ $result->mode_of_payment }}</td>
                <td>{{ $result->customer_number }}</td>
                <td>
                    @if ($result->status == 'Paid')
                        <span class="badge p-1" data-toggle="tooltip" style="color: #00B698; background: #E7FAF7;" title="Payment has been completed">{{ $result->status }}</span>
                    @elseif ($result->status == 'Cancelled')
                        <span class="badge p-1" data-toggle="tooltip" style="color: rgb(255, 0, 0); background: #FFF3F3" title="Payment was cancelled by user">{{ $result->status }}</span>
                    @elseif ($result->status == 'Sent')
                        <span class="badge p-1" data-toggle="tooltip" style="color: #2E4493; background: #E7ECF8;" title="Payment has been sent is awaiting processing.">{{ $result->status }}</span>
                    @else
                        <span class="badge p-1" data-toggle="tooltip" style="color: orange; background: rgba(255, 255, 0, 0.3);" title="Payment has been created. Please wait.">{{ $result->status }}</span>
                    @endif
                </td>
                <td class="text-center">
                    @if ($result->status != 'Paid' || $result->status != 'Cancelled')
                        <a wire:click="usePollUrl('{{ $result->paynow_poll_url }}')" href="#" class="btn btn-outline-info font-weight-bold" title="Click to verify payment" data-toggle="tooltip">
                            <i class="feather icon-external-link"></i>
                        </a>
{{--                        <a wire:click="usePollUrl({{ $result->paynow_poll_url }})" href="{{ route('payment-process-via-poll-url',Auth::user()->council_id) }}?url={{ $result->paynow_poll_url }}" class="btn btn-outline-info font-weight-bold" title="Click to verify payment" data-toggle="tooltip">--}}
{{--                            <i class="feather icon-external-link"></i>--}}
{{--                        </a>--}}
                    @endif
                    @if ($result->status == 'Paid')
                        <button title="Click to view receipt" onclick="openModal({{json_encode($result)}})" class="btn btn-outline-success font-weight-bold" @if ($result->status != 'Paid') disabled @endif>Receipt</button>
                    @endif
                </td>
            </tr>
{{--            <div class="modal fade" id="payment_{{ $result->id }}" style="backdrop-filter: blur(8px)">--}}
{{--                <div class="modal-dialog">--}}
{{--                    <div class="modal-content" id="content_payment_{{ $result->id }}">--}}
{{--                        <div class="modal-header w-100">--}}
{{--                            <div class="w-100 text-center">--}}
{{--                                <img src="{{ asset('assets/images/logo.png') }}" alt="Murewa RDC">--}}
{{--                            </div>--}}
{{--                        </div>--}}
{{--                        <div class="modal-body">--}}
{{--                            <div class="row">--}}
{{--                                <div class="col-md-12 text-center mb-3">--}}
{{--                                    <h3 class="font-weight-bold">Thank You</h3>--}}
{{--                                    <h5>Your payment has been confirmed</h5>--}}
{{--                                </div>--}}
{{--                                <div class="col-md-12">--}}
{{--                                    <table class="table table-striped table-borderless">--}}
{{--                                        <thead>--}}
{{--                                        <tr>--}}
{{--                                            <th class="text-secondary-700">Summary</th>--}}
{{--                                            <th>_</th>--}}
{{--                                        </tr>--}}
{{--                                        </thead>--}}
{{--                                        <tbody>--}}
{{--                                        <tr>--}}
{{--                                            <td class="font-weight-bold">Payment ID</td>--}}
{{--                                            <td>{{ $result->transaction_id }}</td>--}}
{{--                                        </tr>--}}
{{--                                        <tr>--}}
{{--                                            <td class="font-weight-bold">Payment Date</td>--}}
{{--                                            <td>{{ $result->created_at }}</td>--}}
{{--                                        </tr>--}}
{{--                                        <tr>--}}
{{--                                            <td class="font-weight-bold">Payment Amount</td>--}}
{{--                                            <td>${{ $result->amount_paid }}</td>--}}
{{--                                        </tr>--}}
{{--                                        <tr>--}}
{{--                                            <td class="font-weight-bold">Payment Description</td>--}}
{{--                                            <td>{{ $result->item_paid }}</td>--}}
{{--                                        </tr>--}}
{{--                                        <tr>--}}
{{--                                            <td class="font-weight-bold">Payment Reference</td>--}}
{{--                                            <td>{{ $result->reference }}</td>--}}
{{--                                        </tr>--}}
{{--                                        </tbody>--}}
{{--                                    </table>--}}
{{--                                </div>--}}
{{--                                <div class="col-md-12 mt-3">--}}
{{--                                    <div style="background-color: rgba(128, 128, 128, 0.2); padding: 15px; margin-left: 50px; margin-right: 50px; text-align: center; border-radius: 50px;">--}}
{{--                                        <h3>Enquiry?</h3>--}}
{{--                                        <h5>Call us at (+263) 27822241</h5>--}}
{{--                                    </div>--}}
{{--                                </div>--}}
{{--                            </div>--}}
{{--                        </div>--}}
{{--                        <div class="modal-footer">--}}
{{--                            <button onclick="printReceipt('content_payment_{{ $result->id }}');"><i class="fas fa-print"></i></button>--}}
{{--                        </div>--}}
{{--                    </div>--}}
{{--                </div>--}}
{{--            </div>--}}
        @empty
            <tr>
                <td colspan="9">No payments made</td>
            </tr>
        @endforelse
        </tbody>
    </table>
    @include('includes.table-footer')
</div>
<div class="modal fade" id="payment_" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-sm" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Modal title</h4>
            </div>
            <div class="modal-body">
                <table class="table table-striped">
                    <thead>
                    <tr>
                        <th>Firstname</th>
                        <th>Lastname</th>
                        <th>Email</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                        <td>John</td>
                        <td>Doe</td>
                        <td>john@example.com</td>
                    </tr>
                    <tr>
                        <td>Mary</td>
                        <td>Moe</td>
                        <td>mary@example.com</td>
                    </tr>
                    <tr>
                        <td>July</td>
                        <td>Dooley</td>
                        <td>july@example.com</td>
                    </tr>
                    </tbody>
                </table>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default waves-effect" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>
<script>
    function openModal (data){
        console.log(data->id)
    }

    function printReceipt (id) {
        console.log(id);
        let prtContent = document.getElementById(id);
        console.log(prtContent);
        var WinPrint = window.open('', '', 'left=0,top=0,width=800,height=900,toolbar=0,scrollbars=0,status=0');
        WinPrint.document.write(generateHtml(prtContent.innerHTML));
        WinPrint.document.close();
        WinPrint.focus();
        WinPrint.print();
        // WinPrint.close();
    }

    function generateHtml (data) {
        let html = `
                <!DOCTYPE html>
                <html lang="en">
                <head>
                <link href="{{ asset('assets/css/bootstrap.min.css') }}" id="bootstrap-stylesheet" rel="stylesheet" type="text/css"/>
                <link href="{{ asset('assets/css/all.css') }}" rel="stylesheet" type="text/css"/>
                </head>
                <body>
                <div class="content-page">
                    <div class="content">
                        <div class="container-fluid">
                            ${data}
                        </div>
                    </div>
                </div>
                </body>
                </html>
                `;
        return html;
    }
</script>
