<div wire:poll>
    <div class="card">
        <div class="card-header">
            <h5 class="card-header-text">About Me</h5>
            <button id="edit-btn" type="button" class="btn btn-outline-primary waves-effect waves-light f-right">
                <i class="icofont icofont-street-view"></i>
            </button>
        </div>
        <div class="card-block">
            <div class="edit-info">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="general-info">
                            <div class="row">
                                <div class="col-lg-6">
                                    <table class="table">
                                        <tbody>
                                        <tr>
                                            <td>
                                                <div class="input-group">
                                                    <span class="input-group-addon"><i class="icofont icofont-user"></i>&nbsp;Name</span>
                                                    <input type="text" class="form-control"
                                                           value="{{$market->full_name}}" readonly>
                                                </div>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <div class="form-radio">
                                                    <div class="group-add-on">
                                                        <div class="radio radiofill radio-inline">
                                                            <label>
                                                                <input type="radio" name="radio" checked=""><i
                                                                    class="helper"></i>
                                                                {{$market->sex}}
                                                            </label>
                                                        </div>
                                                    </div>
                                                </div>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <div class="input-group">
                                                    <span class="input-group-addon"><i
                                                            class="icofont icofont-listing-number"></i>&nbsp;Id No.</span>
                                                    <input type="text" class="form-control"
                                                           value="{{ $market->national_id}}" readonly>
                                                </div>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <div class="input-group">
                                                    <span class="input-group-addon"><i
                                                            class="icofont icofont-location-pin"></i>&nbsp;Address</span>
                                                    <input type="text" class="form-control"
                                                           value="{{ $market->physical_address}}" readonly>
                                                </div>
                                            </td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>
                                <!-- end of table col-lg-6 -->
                                <div class="col-lg-6">
                                    <table class="table">
                                        <tbody>
                                        <tr>
                                            <td>
                                                <div class="input-group">
                                                    <span class="input-group-addon"><i
                                                            class="icofont icofont-mobile-phone"></i>&nbsp;Contact</span>
                                                    <input type="text" class="form-control"
                                                           value="{{ $market->contact}}" readonly>
                                                </div>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <div class="input-group">
                                                    <span class="input-group-addon"><i
                                                            class="icofont icofont-ui-email"></i>&nbsp;Email</span>
                                                    <input type="text" class="form-control" value="{{ $market->email}}"
                                                           readonly>
                                                </div>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <div class="input-group">
                                                    <span class="input-group-addon"><i
                                                            class="icofont icofont-calendar"></i>&nbsp;D.O.B</span>
                                                    <input type="text" class="form-control"
                                                           value="{{ \Carbon\Carbon::create($market->dob)->toFormattedDayDateString()}}"
                                                           readonly>
                                                </div>
                                            </td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>
                                <!-- end of table col-lg-6 -->
                            </div>
                        </div>
                        <!-- end of edit info -->
                    </div>
                    <!-- end of col-lg-12 -->
                </div>
                <!-- end of row -->
            </div>
            <!-- end of edit-info -->
        </div>
    </div>
    <div class="col-sm-12">
        <div class="card">
            <div class="card-header">
                <h5 class="card-header-text">Application</h5>
                <button id="edit-nok" type="button"
                        class="btn btn-primary waves-effect waves-light f-right">
                    <i class="icofont icofont-edit"></i>
                </button>
            </div>
            <div class="card-block">
                <div id="work-nok" class="row">
                    <div class="col-lg-6 col-md-12">
                        <table class="table table-responsive m-b-0">
                            <tr>
                                <th class="social-label b-none p-t-0">WaitingList Number &nbsp; &nbsp; &nbsp;</th>
                                <td class="social-user-name b-none p-t-0 text-bold">{{$market->waiting_list_number}}</td>
                            </tr>
                            <tr>
                                <th class="social-label b-none">Market</th>
                                <td class="social-user-name b-none text-muted text-uppercase">{{$market->market->name }}</td>
                            </tr>
                            <tr>
                                <th class="social-label b-none">Type</th>
                                <td class="social-user-name b-none text-muted text-uppercase">{{$market->type->name}}</td>
                            </tr>
                        </table>
                    </div>
                    <div class="col-lg-6 col-md-12">
                        <table class="table table-responsive m-b-0">
                            <tr>
                                <th class="social-label b-none p-t-0">Status &nbsp; &nbsp; &nbsp;</th>
                                <td class="social-user-name b-none p-t-0 text-muted text-uppercase">{{$market->status ?? "NOT YET IN QUEUE"}}</td>
                            </tr>
                            <tr>
                                <th class="social-label b-none">Application Date</th>
                                <td class="social-user-name b-none p-b-0 text-muted text-uppercase">{{$market->application_date}}</td>
                            </tr>
                            @if($market->waiting_list_number != "NOT SET")
                                <tr>
                                    <th class="social-label b-none">Expiry</th>
                                    <td class="social-user-name b-none p-b-0 text-muted text-uppercase">{{$market->expiry_date}}</td>
                                </tr>
                            @endif
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @if($market->verify == "awaiting verification")
        <div class="col-sm-12">
            <div class="card">
                <div class="card-block">
                    <div class="text-center text-capitalize text-c-lite-green">
                        Your Application Is Under Verification This May Take Close To 2 minutes
                    </div>
                </div>
            </div>
        </div>
    @elseif($market->verify == "not_verified")
        <div class="col-sm-12">
            <div class="card">
                <div class="card-block">
                    <div class="text-center text-capitalize text-c-lite-green">
                        <p>
                            Applicant Already Exists ,
                            <span>Track Waiting List To View Your Application</span> Or Visit Our Council
                            Offices For Further Verification
                        </p>
                    </div>
                </div>
            </div>
        </div>
    @else
        @if($market->applicationMarketInvoicePending()->count() > 0 || $market->applicationMarketRenewal()->count() > 0)
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-header">
                        <h5 class="card-header-text">Payment Details
                            @if(!(\Illuminate\Support\Facades\Auth::user()->permissions->is_council))
                                <div>
                                    <button id="edit-nok" type="button" wire:click="$emitSelf('payMarketWaitingList')"
                                            class="btn btn-outline-primary waves-effect waves-light f-right">
                                        <i class="icofont icofont-plus"></i>
                                        Pay (RTGS)
                                    </button>
                                </div>
                        @endif
                    </div>
                    <div class="card-block">
                        <div id="">
                            <div class="card-block contact-details">
                                @if($market->applicationMarketInvoicePending()->count() > 0)
                                    <div class="row">
                                        <div class="col-sm-3">TOTAL PAID
                                            : {{ $market->applicationMarketInvoicePending->total_paid }} </div>
                                        <div class="col-sm-3">BALANCE
                                            &nbsp;:{{($market->applicationMarketInvoicePending->balance)}} </div>
                                        <div class="col-sm-3">TOTAL INVOICE
                                            : {{ $market->applicationMarketInvoicePending->amount }} USD
                                        </div>
                                        <div class="col-sm-3"> 1 USD &nbsp;:&nbsp;{{$currencies->rate}}
                                            &nbsp;&nbsp;{{$currencies->code}} </div>
                                    </div>
                                @endif
                                @if($market->applicationMarketRenewal()->count() > 0)
                                    <div class="row">
                                        <div class="col-sm-3">TOTAL PAID
                                            : {{ $market->applicationMarketRenewal->total_paid }} </div>
                                        <div class="col-sm-3">BALANCE
                                            &nbsp;:{{($market->applicationMarketRenewal->balance)}} </div>
                                        <div class="col-sm-3">TOTAL INVOICE
                                            : {{ $market->applicationMarketRenewal->amount }} USD
                                        </div>
                                        <div class="col-sm-3"> 1 USD &nbsp;:&nbsp;{{$currencies->rate}}
                                            &nbsp;&nbsp;{{$currencies->code}} </div>
                                    </div>
                                @endif
                                <div class="data_table_main table-responsive dt-responsive">
                                    <table id="simpletable"
                                           class="table  table-striped table-bordered nowrap">
                                        <thead>
                                        <tr class="table-primary text-white">
                                            <th>Refference</th>
                                            <th>Paynow Refference</th>
                                            <th>Amount</th>
                                            <th>Rate</th>
                                            <th>Status</th>
                                            <th>Clerk</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        @foreach($market->portalPaymentMarket as $payment)
                                            <tr>
                                                <td>{{$payment->reference}}</td>
                                                <td>{{$payment->paynow_reference}}</td>
                                                <td>{{$payment->amount}}</td>
                                                <td>{{$payment->rate}}</td>
                                                <td>{{$payment->status}}</td>
                                                <td>{{$payment->employee->name()}}</td>
                                            </tr>
                                        @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        @else
            <div class="col-sm-12">
                <div class="card">
                    @if($market->waiting_list_number == "NOT SET")
                        <div>
                            <p class="text-success">
                                Your Application Awaits Waitinglist Number , Processing Take At 2minutes
                            </p>
                        </div>
                    @endif
                    <div class="m-2">
                        <h6 class="sub-title">
                            Application
                        </h6>
                    </div>
                    <div class="data_table_main table-responsive dt-responsive p-3">
                        <table class="table  table-striped table-bordered nowrap">
                            <thead>
                            <tr class="table-primary text-white">
                                <th>Applicant Name</th>
                                <th>Waiting List #</th>
                                <th>Joining Date</th>
                                <th>Renewal Date</th>
                                <th>Expiry Date</th>
                                <th>Amount Paid USD</th>
                                <th>Amount Paid RTGS</th>
                                <th>Account Status</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr>
                                <td>{{$market->full_name}}</td>
                                <td>{{$market->waiting_list_number}}</td>
                                <td>{{$market->application_date}}</td>
                                <td>{{$market->payment_date}}</td>
                                <td>{{$market->expiry_date}}</td>
                                <td>{{$market->usd_amount_paid ?? "0" }}</td>
                                <td>{{$market->rtgs_amount_paid  }}</td>
                                <td>{{$market->status ?? "NOT YET IN QUEUE"}}</td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                    @if(count($market->marketRenewals) > 0)
                        <div class="m-2">
                            <h6 class="sub-title">
                                Renewals
                            </h6>
                        </div>
                        <div class="data_table_main table-responsive dt-responsive p-3">
                            <table class="table  table-striped table-bordered nowrap">
                                <thead>
                                <tr class="table-primary text-white">
                                    <th>Applicant Name</th>
                                    <th>Waiting List #</th>
                                    <th>Joining Date</th>
                                    <th>Renewal Date</th>
                                    <th>Expiry Date</th>
                                    <th>Amount Paid USD</th>
                                    <th>Amount Paid RTGS</th>
                                    <th>Account Status</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($market->marketRenewals as $marketApp)
                                    <tr>
                                        <td>{{$market->full_name}}</td>
                                        <td>{{$market->waiting_list_number}}</td>
                                        <td>{{$market->application_date}}</td>
                                        <td>{{$marketApp->payment_date}}</td>
                                        <td>{{$marketApp->expiry_date}}</td>
                                        <td>{{$marketApp->usd_amount_paid ?? "0" }}</td>
                                        <td>{{$marketApp->rtgs_amount_paid  }}</td>
                                        <td>{{$market->status}}</td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    @endif
                </div>
            </div>
        @endif
    @endif
</div>
