<div wire:poll>
    <div class="show-table-lg">
        <div class="card mb-5">
            <div class="card-header">
                <h5 class="card-header-text">Residential Stands Waiting List</h5>
                <button type="button" class="btn btn-outline-primary waves-effect waves-light f-right"
                        wire:click="$emitSelf('trackWaitingList')">
                    Track My WaitingList
                </button>
            </div>
            <div class="card-block">
                @include('includes.table-header')
                <div class="pt-4"></div>
                <table id="applicants" class="table table-bordered table-striped">
                    <thead>
                    <tr class="table-primary text-white">
                        <th>Applicant Name</th>
                        <th>Waiting List #</th>
                        <th>National ID</th>
                        <th>Category</th>
                        <th>Type</th>
                        <th>Expiry Date</th>
                        <th>Account Status</th>
                        <th>Action</th>
                    </tr>
                    </thead>
                    <tbody>

                    @foreach($results as $mem)
                        <tr>
                            <td>{{$mem->firstname }} {{$mem->lastname }}</td>
                            @if ($mem->waitingList != null && $mem->waitingList->status == 'Expired')
                                <td>{{$mem->waiting_list_number}}
                                    <a href="{{route("renewal-waiting-list",$mem->id)}}"
                                       class="btn btn-outline-primary">Renew</a>
                                </td>
                            @else
                                <td>{{$mem->waiting_list_number}}</td>
                            @endif
                            <td>{{$mem->national_no}}</td>
                            <td>{{$mem->application_details->category }}</td>
                            <td> {{$mem->application_details->type }}</td>
                            <td>
                                @if ($mem->application_details != null && str_contains($mem->application_details->expiry_date, '/'))
                                    {{$mem->application_details->expiry_date  }}
                                @else
                                    {{\Carbon\Carbon::parse($mem->application_details->expiry_date)->format('Y-m-d')}}
                                @endif
                            </td>

                            @if($mem->waitingList != null)
                                @if($mem->waitingList->status=='Expired')
                                    <td>
                                        <button class="btn btn-outline-danger">
                                            {{$mem->waitingList->status}}
                                        </button>
                                    </td>
                                @elseif($mem->waitingList->status=='Deactive')
                                    <td>
                                        <button class="btn btn-outline-warning">
                                            {{$mem->waitingList->status}}
                                        </button>
                                    </td>
                                @elseif($mem->waitingList->status=='Active' || $mem->waitingList->status=='ACTIVE')
                                    <td>
                                        <button class="btn btn-outline-success">
                                            {{$mem->waitingList->status}}
                                        </button>
                                    </td>
                                @else
                                    <td>
                                        <button class="btn btn-outline-primary">
                                            {{$mem->waitingList->status}}
                                        </button>
                                    </td>
                                @endif
                            @else
                                <td>
                                    <button class="btn btn-outline-danger">
                                        Not Yet In Queue
                                    </button>
                                </td>
                            @endif
                            <td>
                                <a href="{{route('view-waiting-list',$mem->id)}}" class="btn btn-outline-primary"><i
                                        class="feather icon-action"></i>Action</a>
                                @if($mem->waiting_list_number != "NOT SET")
                                    <a href="{{route('waiting-list-application-form',$mem->id)}}"
                                       class="btn btn-outline-primary">
                                        <i class="feather icon-action"></i>
                                        Form
                                    </a>
                                @endif
                            </td>
                        </tr>
                    @endforeach
                    </tbody>

                </table>
                @include('includes.table-footer')
            </div>
        </div>
        <div class="card mb-5">
            <div class="card-header">
                <h5 class="card-header-text">Markets Waiting List</h5>
                <button type="button"
                        wire:click="$emitSelf('trackWaitingListMarket')"
                        class="btn btn-outline-primary waves-effect waves-light f-right">
                    Track My Market WaitingList
                </button>
            </div>
            <div class="card-block">
                <div class="pt-4"></div>
                <table id="applicants" class="table table-bordered table-striped">
                    <thead>
                    <tr class="table-primary text-white">
                        <th>Applicant Name</th>
                        <th>Waiting List # (Renew)</th>
                        <th>National ID</th>
                        <th>City</th>
                        <th>Application Date</th>
                        <th>Expiry Date</th>
                        <th>Account Status</th>
                        <th>Action</th>
                    </tr>
                    </thead>
                    <tbody>
                    @forelse($markets as $member)
                        <tr>
                            <td>{{ $member->full_name  }}</td>
                            @if($member->status == 'Expired' || $member->status == 'Deactivated' )
                                <td>
                                    <a href="{{route("market-renewal-form",$member->id)}}"
                                       class="btn btn-outline-success">Renew</a>
                                </td>
                            @elseif($member->status == 'Active' || $member->status == 'Allocated')
                                <td>
                                    {{ $member->waiting_list_number }}
                                </td>
                            @else
                                <td>
                                    {{ $member->waiting_list_number }}
                                </td>
                            @endif
                            <td>{{ $member->national_id }}</td>
                            <td>{{ $member->city }}</td>
                            <td>{{ $member->application_date }}</td>
                            <td>{{ $member->expiry_date }}</td>
                            @if($member->status=='Expired')
                                <td>
                                    <button class="btn btn-outline-danger">
                                        {{$member->status}}
                                    </button>
                                </td>
                            @elseif($member->status=='Deactive')
                                <td>
                                    <button class="btn btn-outline-warning">
                                        {{$member->status}}
                                    </button>
                                </td>
                            @elseif($member->status=='Active')
                                <td>
                                    <button class="btn btn-outline-success">
                                        {{$member->status}}
                                    </button>
                                </td>
                            @elseif($member->status == "Allocated" || $member->status == "allocated")
                                <td>
                                    <button class="btn btn-outline-primary">
                                        {{$member->status}}
                                    </button>
                                </td>
                            @else
                                <td>
                                    <button class="btn btn-outline-danger">
                                        Not Yet In Queue
                                    </button>
                                </td>
                            @endif
                            <td>
                                <a href="{{route('market-action',$member->id)}}" class="btn btn-outline-primary"><i
                                        class="feather icon-action"></i>Action</a>
                            </td>
                        </tr>
                    @empty
                        <tr>
                            <td colspan="8">
                                <div class="text-center">
                                    no applications
                                </div>
                            </td>
                        </tr>
                    @endforelse
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    {{--    small content--}}
    <div class="show-sm">
        <div class="row m-2">
            <button type="button" class="btn btn-outline-primary waves-effect waves-light f-right m-1"
                    wire:click="$emitSelf('trackWaitingList')">
                Track My WaitingList
            </button>
            <button type="button"
                    wire:click="$emitSelf('trackWaitingListMarket')"
                    class="btn btn-outline-primary waves-effect waves-light f-right m-1">
                Track My Market WaitingList
            </button>
        </div>
        <div class="row">
            @forelse($results as $mem)
                <div class="col-md-6 col-xl-4">
                    <div class="card widget-statstic-card">
                        <div class="card-header">
                            <div class="card-header-left">
                                <h5>RESIDENTIAL QUEUE : {{$mem->firstname }} {{$mem->lastname }}</h5>
                                <p class="p-t-10 m-b-0 text-c-blue">{{$mem->national_no}}</p>
                            </div>
                        </div>
                        <div class="card-block">
                            <a href="{{route('view-waiting-list',$mem->id)}}">
                                <i class="feather icon-arrow-right st-icon bg-c-blue"></i>
                            </a>
                            <div class="text-left">
                                <h4 class="d-inline-block">{{$mem->application_details->type }}
                                    | {{$mem->waiting_list_number}}
                                    @if ($mem->waitingList != null && $mem->waitingList->status == 'Expired')
                                        | <a href="{{route("renewal-waiting-list",$mem->id)}}"
                                             class="btn btn-outline-primary">Renew</a>
                                    @endif
                                </h4>
                                <br>
                                <i class="feather icon-arrow-up text-c-green f-30 ">
                                    <badge>{{$mem->waitingList->status ?? 'NOT YET IN QUEUE'}}</badge>
                                </i>
                            </div>
                        </div>
                    </div>
                </div>
            @empty
                <div class="col-md-12 col-xl-4">
                    <div class="card">
                        <div class="card-block text-center">
                            <i class="feather icon-briefcase text-c-pink d-block f-40"></i>
                            <h4 class="m-t-20">Residential</h4>
                            <p class="m-b-20">No Applications Found</p>
                            <button class="btn btn-danger btn-sm btn-round">Apply Now</button>
                        </div>
                    </div>
                </div>
            @endforelse
            @forelse($markets as $member)
                <div class="col-md-12 col-xl-4">
                    <div class="card widget-statstic-card">
                        <div class="card-header">
                            <div class="card-header-left">
                                <h5>{{ $member->full_name }}</h5>
                                <p class="p-t-10 m-b-0 text-c-yellow">{{$member->market->name}}
                                    | {{$member->type->name}}</p>
                            </div>
                        </div>
                        <div class="card-block">
                            <div class="text-left">
                                @if($member->status == 'Expired' || $member->status == 'Deactivated' )
                                    <a href="{{route("market-renewal-form",$member->id)}}"
                                       class="btn btn-outline-success">Renew</a>
                                @else
                                    <h3 class="d-inline-block">{{ $member->waiting_list_number }}</h3>
                                @endif
                                <i class="feather icon-arrow-up f-30 text-c-green"></i>
                                <a href="{{route('market-action',$member->id)}}"><span
                                        class="f-right bg-c-yellow">view</span></a>
                            </div>
                        </div>
                    </div>
                </div>
            @empty
                <div class="col-md-12 col-xl-4">
                    <div class="card">
                        <div class="card-block text-center">
                            <i class="feather icon-briefcase text-c-pink d-block f-40"></i>
                            <h4 class="m-t-20">Markets</h4>
                            <p class="m-b-20">No Applications Found</p>
                            <button class="btn btn-danger btn-sm btn-round">Apply Now</button>
                        </div>
                    </div>
                </div>
            @endforelse
        </div>
    </div>
</div>
