@extends('layouts.master', ['menuJson' => $userMenu, 'moduleTitle' => 'Council Management Portal'])

@section('page-css')
    @livewireStyles
    <style src="{{ asset('assets/css/custom/sweetalerts.css') }}"></style>
@endsection

@section('content')
<!-- Main-body start -->
    <div class="main-body">
        <div class="page-wrapper">
            <!-- Page-header start -->
            <div class="page-header">
                <div class="row align-items-end">
                    <div class="col-lg-8">
                        <div class="page-header-title">
                            <div class="d-inline">
                                <h4>Payment Plan</h4>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Page-header end -->

            <!-- Page-body start -->
            <div class="page-body" id="display_msg">

                <div class="row">
                    <div class="col-lg-12">
                        <!-- personal card start -->
                        <div class="card">
                            <div class="card-header">
                                <h5 class="card-header-text">Add New Account</h5>
                            </div>
                            <div class="card-block">
                                <div class="view-info">
                                    <div class="row">
                                        <div class="col-lg-12">
                                            <div class="general-info">
                                                <div class="row">
                                                    <div class="col-lg-12 col-xl-12" style="border: solid thin red;border-radius: 5px;">
                                                        <div class="table-responsive">
                                                            @livewire('usermanagement::payment-plan-management.new-payment-plan')
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- end of card-block -->
                        </div>
                        <!-- contact card end-->
                    </div>
                </div>
                <!-- Page-body end -->
            </div>
            <!-- Page-body end -->
        </div>
    </div>

@endsection

@section('page-js')
    @livewireScripts
    <script src="{{ asset('assets/js/sweetalert/js/sweetalert2@11.js') }}"></script>
    <x-livewire-alert::scripts />
    <script src="{{ asset('vendor/livewire-alert/livewire-alert.js') }}"></script>
    <x-livewire-alert::flash />

    <script src="{{ asset('assets/js/jquery/moment/moment.min.js')}}"></script>

    <script>
        let amount,customerNumber;
        $(document).ready(function(){
            $('div.modal').on('hidden', function() {
                $(this).removeData('modal');
            });
            $('.loaderHtml').hide();
            $('.modal-body').removeClass('processes');
            console.log('hello');
        });

        function getAmount(event){
            amount=event.value;
        }

        function getNumber(event){
            customerNumber=event.value;
        }

        function checkCurrency(event){
            var text=event.selectedOptions[0].text;
            if(text != "ZWL | Zimbabwe Dollar"){
                document.getElementById('receipt_number_field').style.display = "block";
                document.getElementById('submit_button').style.display = "block";
                document.getElementById('process_button').style.display = "none";
            }else{
                document.getElementById('receipt_number_field').style.display = "none";
                document.getElementById('process_button').style.display = "block";
                document.getElementById('submit_button').style.display = "none";
            }

        }

        function fieldForm(event,id){
            var mobile_payment = document.getElementById("mobile_payment");
            var banking_payment = document.getElementById("banking_payment");
            if(event.value =="zimswitch"){
                mobile_payment.style.display = "none";
                banking_payment.style.display = "block";
            }else {
                mobile_payment.style.display = "none";
                mobile_payment.style.display = "block";
            }

        }
    </script>

    <script>
        $(document).ready(function(){
            $('#pay_now').hide();
        })
        function myowner() {
            document.getElementById('kin').style.display = "none";
            document.getElementById('details').style.display = "none";
        }

        function getOption(event) {
            if(event.value == true){
                $('#saveData').hide();
                $('#pay_now').show();
            }else {
                $('#saveData').show();
                $('#pay_now').hide();
            }
        }

        function mycommitter() {
            document.getElementById('kin').style.display = "contents";
            document.getElementById('details').style.display = "contents";
        }
        function calculate_enddate() {
            var period = document.getElementById('repayment_period').value;
            var startdate = document.getElementById('sd').value;

            var new_date = moment(startdate).add(period, 'month');

            var new_date = new Date(new_date);

            // var day = new_date.format('D');
            // var month = new_date.format('MM');
            // var year = new_date.format('Y');

            // new_date = month + "/" + day + "/" + year;
            document.getElementById('ed').value = new_date.toDateString();
        }

        function validateform()
        {
            document.getElementById("submitPp").disabled = true;
            document.getElementById("submitPp").textContent = 'Processing, Please wait ...';
            return true;
        }

        function initialize(data){

            console.log(data);
            processPayment(data);
        }

        async function processPayment(data) {
            var ref='PP'+ Math.floor((Math.random() * 100000) + 1000);
            const wallet = $('#wallet').val();
            var customerNumber = $('#mobile_number').val();
            var accountNumber = '{{Auth::user()->telephone}}';

            $('.loaderHtml').show();
            $('.loaderHtml div.success_tick').hide();
            $('.loaderHtml div.failed_loader').hide();
            $('.loaderHtml div.text').text('Please authorise payment...');
            $('.modal-body').addClass('processes');
            try {
                var data = {
                    'amount' : data.amount,
                    {{--'account_no' : '{{$account_number}}',--}}
                    'wallet' : data.wallet,
                    'reason' : `Paying bill for payment plan.`,
                    'customer_number' : data.mobile,
                    'customer_email' : "{{Auth::user()->email}}",
                    'item_reference' : ref,
                    'item' : 1,
                };

                $.getJSON('/user-dashboard/payments/{{Auth::user()->council_id}}', data,)
                    .done(response=>{
                        setTimeout(function () {
                            if(response.code == 200){
                                alert('Payment successful');
                                // $('.loaderHtml').appendChild($(`
                                //         <div class="container row">
                                //         <div class="wrapper waiting_loader col-md-12" >
                                //             <div class="loader">
                                //                 <div class="dot"></div>
                                //             </div>
                                //             <div class="loader">
                                //                 <div class="dot"></div>
                                //             </div>
                                //             <div class="loader">
                                //                 <div class="dot"></div>
                                //             </div>
                                //             <div class="loader">
                                //                 <div class="dot"></div>
                                //             </div>
                                //             <div class="loader">
                                //                 <div class="dot"></div>
                                //             </div>
                                //             <div class="loader">
                                //                 <div class="dot"></div>
                                //             </div>
                                //         </div>
                                //         <div class="text col-md-12">
                                //             Please authorise payment...
                                //         </div>
                                //     </div>
                                //     `));
                                // $('.loaderHtml div.waiting_loader').hide();
                                // $('.loaderHtml div.success_tick').show();
                            }else{
                                alert('Failed to process payment');
                                // $('.loaderHtml div.text').text('Failed to process transaction');
                                // $('.loaderHtml div.waiting_loader').hide();
                                // $('.loaderHtml div.failed_loader').show();
                            }
                        }, 1000);
                    })
                    .fail(()=>{
                        alert('Failed to proccess payment.');
                        // $('.loaderHtml').appendChild($(`
                        //                 <div class="container row">
                        //                 <div class="wrapper waiting_loader col-md-12" >
                        //                     <div class="loader">
                        //                         <div class="dot"></div>
                        //                     </div>
                        //                     <div class="loader">
                        //                         <div class="dot"></div>
                        //                     </div>
                        //                     <div class="loader">
                        //                         <div class="dot"></div>
                        //                     </div>
                        //                     <div class="loader">
                        //                         <div class="dot"></div>
                        //                     </div>
                        //                     <div class="loader">
                        //                         <div class="dot"></div>
                        //                     </div>
                        //                     <div class="loader">
                        //                         <div class="dot"></div>
                        //                     </div>
                        //                 </div>
                        //                 <div class="text col-md-12">
                        //                     Please authorise payment...
                        //                 </div>
                        //             </div>
                        //             `));
                        // $('.loaderHtml div.text').text('Connection error');
                        // $('.loaderHtml div.waiting_loader').hide();
                        // $('.loaderHtml div.failed_loader').show();
                    });
                {{--const response = await axios.get(`/user-dashboard/payments/{{Auth::user()->council_id}}?amount=${amount.value}&reason=${reason}&customer_email=${customerEmail}&customer_number=${customerNumber.value}&wallet=${wallet.value}&type=${wallet.value == 'bank' ? 'bank' : 'mobile'}&item=${reason}&account_no=${accountNumber.value}&item_reference=${ref}`);--}}


            } catch (error) {
                alert('Failed to process payment');
                // if (error.response !== undefined || error.response.data !== 'undefined' || error.response.data != null) {
                // $('.loaderHtml div.text').text('Failed to process transaction. Check fields');
                // $('.loaderHtml div.waiting_loader').hide();
                // $('.loaderHtml div.failed_loader').show();
                // // } else {
                // //     alert(error.response);
                // // }
            }

        }
    </script>

    <script>
        window.addEventListener('initializepayment', event => {
            // console.log(event)
            initialize(event.detail)
        });
    </script>
@endsection
