@extends('layouts.master', ['menuJson' => $userMenu, 'moduleTitle' => 'Council Management Portal'])

@section('page-css')
@endsection

@section('content')
    <div class="container-fluid">
       <div id="printme">
           <div class="row">

               <div class="col-md-4">
               </div>
               <div class="col-md-4">

                   <!-- Profile Image -->
                   <div class="card card-primary">
                       <div class="card-body">
                           <div class="text-center">
                               <img class="img-fluid"
                                    src="{{ asset('images/mutarelogo.png') }}"
                                    alt="company logo"
                                    width="124"
                                    height="124">
                           </div>
                       </div>
                   </div>

               </div>

           </div>
           <h1 class="text-center">APPLICATION TO
               {{--          {{$renewal}}--}}
               @if( \Carbon\Carbon::parse($applicant->application_details->application_date)->format('Y') == \Carbon\Carbon::now()->format('Y')
                 && substr($applicant->waiting_list_number, 0, 1) != 'P')
                   JOIN
               @else
                   RENEW
               @endif
               WAITING LIST </h1>
           <hr>
           <p class="text-center">{{$applicant->council->address}} | Tel: {{$applicant->council->telephone1}} | Tel: {{$applicant->council->telephone2}} | {{$applicant->council->email}}</p>
           <hr>
           <br>
           <div class="row">
               <div class="col-md-7">

                   <!-- About Me Box -->
                   <div class="card">
                       <div class="card-header">
                           <h1 class="card-title"><strong>APPLICATION DETAILS</strong></h1>
                       </div>
                       <!-- /.card-header -->
                       <div class="card-body">
                           <strong><i class="fas fa-grip-lines-verticalt mr-1"></i> Waiting List Number</strong>

                           <p class="text-muted">{{$applicant->waiting_list_number}}</p>
                           <hr>


                           <hr>

                           <strong><i class="fas fa-pencil-alt mr-1"></i> Stand Category</strong>

                           <p class="text-muted">
                               {{$applicant->application_details->category}}
                           </p>
                           @if($applicant->residential_address != null)

                               <strong><i class="fas fa-pencil-alt mr-1"></i>Previously Allocated Stand Address</strong>

                               <p class="text-muted">
                                   {{$applicant->residential_address}}
                               </p>
                           @else
                           @endif

                           <hr>
                           <strong><i class="fas fa-pencil-alt mr-1"></i> Stand Type</strong>

                           <p class="text-muted">
                               {{$applicant->application_details->type}}
                           </p>

                           <hr>

                           <strong><i class="fas fa-grip-lines-vertical mr-1"></i> Waiting List Status</strong>

                           <p class="text-muted">{{$applicant->waitingList->status}} </p>

                           <hr>
                           <strong><i class="fas fa-clock mr-1"></i> Joining Date</strong>

                           <p class="text-muted">{{$applicant->application_details->application_date}}</p>

                           <hr>
                           <strong><i class="fas fa-clock mr-1"></i>
                               {{--                    {{$renewal}}--}}
                               @if( \Carbon\Carbon::parse($applicant->application_details->application_date)->format('Y') == \Carbon\Carbon::now()->format('Y')
                                   && substr($applicant->waiting_list_number, 0, 1) != 'P' )
                                   Application
                               @else
                                   Renewal
                               @endif
                               Date</strong>


                           {{--                        <p class="text-muted">{{$renewal_date}}</p>--}}

                           <hr>
                           <strong><i class="fas fa-clock mr-1"></i> Expiry Date</strong>

                           <p class="text-muted">{{\Carbon\Carbon::parse($applicant->expiry_date)->format('Y-m-d')}}</p>
                           <hr>

                       </div>
                       <!-- /.card-body -->
                   </div>
                   <!-- /.card -->
               </div>
               <!-- /.col -->
               <div class="col-md-5">

                   <!-- Profile Image -->
                   <div class="card">
                       <div class="card-body">
                           <br>
                           <ul class="list-group list-group-unbordered mb-1">
                               <li class="list-group-item">
                                   <b>Full Name: </b> <a class="float-right">{{$applicant->full_name}}</a>
                               </li>
                               <li class="list-group-item">
                                   <b>National ID</b> <a class="float-right">{{$applicant->national_no}}</a>
                               </li>
                               <li class="list-group-item">
                                   <b>Date of Birth</b> <a class="float-right">{{$applicant->dob}}</a>
                               </li>
                               <li class="list-group-item">
                                   <b>Phone Number: </b> <a class="float-right">{{$applicant->contact}}</a>
                               </li>
                               <li class="list-group-item">
                                   <b>Occupation</b> <a class="float-right">{{$applicant->employment->occupation}}</a>
                               </li>
                               <li class="list-group-item">
                                   <b>Monthly Income</b> <a class="float-right">{{$applicant->employment->income}}</a>
                               </li>
                               <li class="list-group-item">
                                   <b>Marital Status </b> <a class="float-right">{{$applicant->marital_status}}</a>
                               </li>
                               <li class="list-group-item">
                                   <b>Marriage Certificate Number</b> <a class="float-right">{{$applicant->spouse->Marriage_certificate_number ?? "NULL"}}</a>
                               </li>
                               <li class="list-group-item">
                                   <b>Spouse Name </b> <a class="float-right">{{$applicant->spouse->full_name ?? "NULL"}}</a>
                               </li>
                               <li class="list-group-item">
                                   <b>Spouse ID N<sup>0</sup></b> <a class="float-right">{{$applicant->spouse->national_id ?? "NULL"}}</a>
                               </li>
                               <li class="list-group-item">
                                   <b>Spouse Contact Number</b> <a class="float-right">{{$applicant->spouse->contact ?? "NULL"}}</a>
                               </li>
                               <li class="list-group-item">
                                   <b>Email Address </b> <a class="float-right">{{$applicant->email}}</a>
                               </li>
                               <li class="list-group-item">
                                   <b>Residential Address</b> <a class="float-right">{{$applicant->physical_address}}</a>
                               </li>

                           </ul>
                       </div>
                       <!-- /.card-body -->
                   </div>
                   <!-- /.card -->
               </div>
               <!-- /.col -->
           </div>

           <div class="row">
               <div class="col-md-6">
                   <div class="card">
                       <!-- /.card-header -->
                       <div class="card-header">
                           Next Of kin
                       </div>
                       <div class="card-body">
                           <ul class="list-group list-group-unbordered mb-1">
                               <li class="list-group-item">
                                   <b>Full Name: </b> <a class="float-right">{{$applicant->applicant_next_of_kin->full_name}}</a>
                               </li>
                               <li class="list-group-item">
                                   <b>National ID</b> <b class="float-right">{{$applicant->applicant_next_of_kin->national_id}}</b>
                               </li>
                               <li class="list-group-item">
                                   <b>Contact</b> <a class="float-right">{{$applicant->applicant_next_of_kin->contact}}</a>
                               </li>
                               <li class="list-group-item">
                                   <b>Relationship</b> <a class="float-right">{{$applicant->applicant_next_of_kin->relationship }}</a>
                               </li>
                           </ul>
                       </div>
                   </div>
               </div>

               @if($applicant->dependants()->count() > 0)
                   <div class="col-md-6">
                       <div class="card">
                           <!-- /.card-header -->
                           <div class="card-header">
                               Dependants
                           </div>
                           <div class="card-body">
                               @foreach($applicant->dependants as $dp)
                                   <ul class="list-group list-group-unbordered mb-1">
                                       <li class="list-group-item">
                                           <b>Full Name: </b> <a class="float-right">{{ $dp->full_name }}</a>
                                       </li>
                                       <li class="list-group-item">
                                           <b>National ID</b> <a class="float-right">{{ $dp->national_id }}</a>
                                       </li>
                                       <li class="list-group-item">
                                           <b>Date of Birth</b> <a class="float-right">{{ $dp->date_of_birth }}</a>
                                       </li>
                                       {{--                                <li class="list-group-item">--}}
                                       {{--                                    <b>Gender</b> <a class="float-right">{{ $dp->gender }}</a>--}}
                                       {{--                                </li>--}}
                                       <li class="list-group-item">
                                           <b>Relationship</b> <a class="float-right">{{ $dp->relationship }}</a>
                                       </li>
                                       <ul>
                               @endforeach
                           </div>
                       </div>
                   </div>
               @else
               @endif
           </div>

           @if($applicant->residential_address == null )
               <div class="row">
                   <div class="col-md-12">
                       <strong>
                           l  <span class="text-uppercase" style="font-weight:bolder">{{$applicant->full_name}}</span>  declare that l have not been allocated a residential stand before and should council later on discover that l own/have a residential
                           , reserve the right to reposes the said stand
                       </strong>
                   </div>
               </div>
           @else
               <div class="row">
                   <div class="col-md-12">
                       <strong>
                           Previous Allocated Residential Address <br>
                           <span class="text-uppercase" style="font-weight:bolder">{{ $applicant->residential_address }}</span>
                       </strong>
                   </div>
               </div>
           @endif
           <div class="row">
               <div class="col-md-8">
                   <div style="margin-top: 2px">
                   </div>
                   ..............................................................................
                   <div>
                       <h6> {{$applicant->full_name}} <br>
                       </h6>
                   </div>

               </div>
               <div class="col-md-4">
                   <div style="border: 1px; border-style: dotted; height:100px; width:230px;">
                       <div style="padding: 40px;">
                           <h6>DATE STAMP</h6>
                       </div>
                   </div>
               </div>
           </div>
       </div>

        <!-- /.row -->
        <!-- this row will not appear when printing -->
        <div class="row no-print">
            <button type="button" onclick="printDiv(printme)"
                    class="btn btn-outline-primary waves-effect waves-light m-2">
                <i class="icofont icofont-printer"></i>
                Print Invoice
            </button>
        </div>
    </div>
@endsection

@section('page-js')
    <script>
        var printTitle = document.getElementById('heading').innerHTML;
        document.getElementById('title').innerHTML = printTitle;

        function printDiv(printme) {
            var printContents = document.getElementById('printme').innerHTML;
            var originalContents = document.body.innerHTML;
            document.body.innerHTML = printContents;
            window.focus();
            window.print();
            window.close();
            window.location.reload();
            document.body.innerHTML = originalContents;

        }
    </script>
@endsection
