@extends('layouts.master', ['menuJson' => $userMenu, 'moduleTitle' => 'Council Management Portal'])

@section('page-css')
    @livewireStyles
@endsection

@section('content')
    <livewire:usermanagement::waiting-list.market-action :market="$market"/>
    @include('layouts.payment-modal')

@endsection

@section('page-js')
    @livewireScripts
    <script src="{{ asset('assets/js/sweetalert/js/sweetalert2@11.js') }}"></script>
    <x-livewire-alert::scripts/>
    <script src="{{ asset('vendor/livewire-alert/livewire-alert.js') }}"></script>
    <x-livewire-alert::flash/>
    <script>
        window.addEventListener("waitingListPaymentMarket", event => {
            document.getElementById('amount').value = event.detail.amount;
            document.getElementById('phone_number').value = event.detail.number;
            document.getElementById('id').value = event.detail.id;
            document.getElementById('payment_type').value = event.detail.type;
            $("#small-Modal").modal().show();
        })
    </script>
@endsection
