@extends('layouts.master', ['menuJson' => $userMenu, 'moduleTitle' => 'Council Management Portal'])

@section('page-css')
    @livewireStyles
@endsection

@section('content')
   <div class="card">
       <div class="card-header">
           <h5 class="card-header-text">Personal Details</h5>
           <button id="edit-btn" type="button" class="btn btn-outline-primary waves-effect waves-light f-right">
               <i class="icofont icofont-street-view"></i>
           </button>
       </div>
       <div class="card-block">
           <div class="edit-info">
               <div class="row">
                   <div class="col-lg-12">
                       <div class="general-info">
                           <form action="{{route("market-renewal",$market->id)}}" method="POST">
                               @csrf
                               <div class="row">
                                   <div class="col-lg-6">
                                       <table class="table">
                                           <tbody>
                                           <tr>
                                               <td>
                                                   <div class="input-group">
                                                       <span class="input-group-addon"><i class="icofont icofont-user"></i>&nbsp;Name</span>
                                                       <input type="text" class="form-control"
                                                              value="{{$market->full_name}}" readonly>
                                                   </div>
                                               </td>
                                           </tr>
                                           <tr>
                                               <td>
                                                   <div class="form-radio">
                                                       <div class="group-add-on">
                                                           <div class="radio radiofill radio-inline">
                                                               <label>
                                                                   <input type="radio" name="radio" checked=""><i
                                                                       class="helper"></i>
                                                                   {{$market->sex}}
                                                               </label>
                                                           </div>
                                                       </div>
                                                   </div>
                                               </td>
                                           </tr>
                                           <tr>
                                               <td>
                                                   <div class="input-group">
                                                    <span class="input-group-addon"><i
                                                            class="icofont icofont-listing-number"></i>&nbsp;Id No.</span>
                                                       <input type="text" class="form-control"
                                                              value="{{ $market->national_id}}" readonly>
                                                   </div>
                                               </td>
                                           </tr>
                                           <tr>
                                               <td>
                                                   <div class="input-group">
                                                    <span class="input-group-addon"><i
                                                            class="icofont icofont-location-pin"></i>&nbsp;Address</span>
                                                       <input type="text" class="form-control"
                                                              value="{{ $market->physical_address}}" readonly>
                                                   </div>
                                               </td>
                                           </tr>
                                           <tr>
                                               <td>
                                                   <div class="input-group">
                                                    <span class="input-group-addon"><i
                                                            class="icofont icofont-location-pin"></i>&nbsp;Currency</span>
                                                       <input type="text" class="form-control"
                                                              value="RTGS" name="currency" readonly>
                                                   </div>
                                               </td>
                                           </tr>
                                           </tbody>
                                       </table>
                                   </div>
                                   <!-- end of table col-lg-6 -->
                                   <div class="col-lg-6">
                                       <table class="table">
                                           <tbody>
                                           <tr>
                                               <td>
                                                   <div class="input-group">
                                                    <span class="input-group-addon"><i
                                                            class="icofont icofont-mobile-phone"></i>&nbsp;Contact</span>
                                                       <input type="text" class="form-control"
                                                              value="{{ $market->contact}}" readonly>
                                                   </div>
                                               </td>
                                           </tr>
                                           <tr>
                                               <td>
                                                   <div class="input-group">
                                                    <span class="input-group-addon"><i
                                                            class="icofont icofont-ui-email"></i>&nbsp;Email</span>
                                                       <input type="text" class="form-control" value="{{ $market->email}}"
                                                              readonly>
                                                   </div>
                                               </td>
                                           </tr>
                                           <tr>
                                               <td>
                                                   <div class="input-group">
                                                    <span class="input-group-addon"><i
                                                            class="icofont icofont-calendar"></i>&nbsp;D.O.B</span>
                                                       <input type="text" class="form-control"
                                                              value="{{ \Carbon\Carbon::create($market->dob)->toFormattedDayDateString()}}"
                                                              readonly>
                                                   </div>
                                               </td>
                                           </tr>
                                           <tr>
                                               <td>
                                                   <div></div>
                                               </td>
                                           </tr>
                                           <tr>
                                               <td>
                                                   <div class="input-group">
                                                    <span class="input-group-addon"><i
                                                            class="icofont icofont-ui-email"></i>&nbsp;Fees (USD)</span>
                                                       <input type="text" class="form-control" name="renewal_fee" value="{{ $market_fee}}"
                                                              readonly>
                                                   </div>
                                               </td>
                                           </tr>
                                           </tbody>
                                       </table>
                                   </div>
                                   <!-- end of table col-lg-6 -->
                               </div>
                               <button class="btn btn-outline-primary waves-effect waves-light">
                                   APPLY RENEWAL
                               </button>
                           </form>
                       </div>
                       <!-- end of edit info -->
                   </div>
                   <!-- end of col-lg-12 -->
               </div>
               <!-- end of row -->
           </div>
           <!-- end of edit-info -->
       </div>
   </div>
@endsection

@section('page-js')
    @livewireScripts
    <script src="{{ asset('assets/js/sweetalert/js/sweetalert2@11.js') }}"></script>
    <x-livewire-alert::scripts/>
    <script src="{{ asset('vendor/livewire-alert/livewire-alert.js') }}"></script>
    <x-livewire-alert::flash/>
@endsection
