@extends('layouts.master', ['menuJson' => $userMenu, 'moduleTitle' => 'Council Management Portal'])

@section('page-css')
    @livewireStyles
    <style src="{{ asset('assets/css/custom/sweetalerts.css') }}"></style>
    <style>
        .show-sm {
            display: none;
        }

        @media only screen and (max-width: 600px) {
            .show-table-lg {
                display: none;
            }

            .show-sm {
                display: block;
            }
        }
    </style>
@endsection

@section('content')
    <!-- Main-body start -->
    <div class="main-body">
        <div class="page-wrapper">
            <!-- Page-header start -->
            <div class="page-header mb-3">
                <div class="row align-items-end">
                    <div class="col-lg-8">
                        <div class="page-header-title">
                            <div class="d-inline">
                                <h4>{{\Illuminate\Support\Facades\Auth::user()->council->council}}</h4>
                                <span>My WaitingList Applications</span>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="page-header-breadcrumb">
                            <ul class="breadcrumb-title">
                                <li class="breadcrumb-item">
                                    <a href="#"> <i class="feather icon-home"></i> </a>
                                </li>
                                <li class="breadcrumb-item"><a href="#!">Join Waitinglist</a>
                                </li>
                                <li class="breadcrumb-item"><a href="#!">My Applications</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Page-header end -->

            <!-- Page-body start -->
            <div class="page-body" id="display_msg">
                <div class="row">
                    <div class="col-lg-12">
                        @livewire('usermanagement::waiting-list.my-waiting-list')
                    </div>
                </div>
                <div>
                    <div class="modal fade" id="large-Modal" tabindex="-1" role="dialog">
                        <div class="modal-dialog modal-md" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4 class="modal-title">Track My Application</h4>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <form action="{{route("track-waiting-list-market")}}" method="POST">
                                    @csrf
                                    <div class="modal-body">
                                        <div>
                                            <div class="form-group">
                                                <label for="applicant_id">National ID <span class="text-warning">(Note Applicant ID number is required)</span></label>
                                                <input type="text" id="applicant_id" class="form-control"
                                                       {{--                                                       pattern="[0-9]{2}[-][0-9]{6}[A-Za-z]{1}[0-9]{2}"--}}
                                                       {{--                                                       title="National ID Number must be in format 75-489592D49"--}}
                                                       placeholder="e.g 75-489592D49"
                                                       name="applicant_id">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default waves-effect "
                                                data-dismiss="modal">
                                            Close
                                        </button>
                                        <button type="submit" class="btn btn-primary waves-effect waves-light ">Save
                                            changes
                                        </button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Page-body end -->
        </div>
    </div>
@endsection

@section('page-js')
    @livewireScripts
    <script src="{{ asset('assets/js/sweetalert/js/sweetalert2@11.js') }}"></script>
    <x-livewire-alert::scripts />
    <script src="{{ asset('vendor/livewire-alert/livewire-alert.js') }}"></script>
    <x-livewire-alert::flash />
    <script>
        window.addEventListener("trackModal", event => {
            $("#large-Modal").modal().show();
        })
    </script>
@endsection
