@extends('layouts.master', ['menuJson' => $userMenu, 'moduleTitle' => 'Council Management Portal'])

@section('page-css')
@endsection

@section('content')
    <div class="container-fluid">
        <!-- Registration -->
        <form class="form-horizontal" method="POST" action="{{route('user-waiting-list-renew')}}">
            @csrf
            <div class="card card-default">
                <div class="card-header">
                    <h3 class="card-title sub-title"><i class="icofont icofont-recycle-alt"></i> Applicant Details</h3>
                </div>
                <!-- /.card-header -->
                <div class="card-body">

                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>First Name</label>
                                <input type="text" class="form-control" name="firstname"
                                       value="{{$applicant->firstname}}" readonly>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Surname</label>
                                <input type="text" class="form-control" name="lastname" placeholder="Last Name"
                                       value="{{$applicant->lastname}}" readonly>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Waiting List Number</label>
                                <input type="text" class="form-control" name="waitinglistno"
                                       value="{{$applicant->waiting_list_number}}" readonly>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Stand Type</label>
                                <input type="text" class="form-control" name="stype"
                                       value="{{$applicant->application_details->type}}" readonly>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Stand Category</label>
                                <input type="text" class="form-control" name="scategory" placeholder="Last Name"
                                       value="{{$applicant->application_details->type}}" readonly>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Status</label>
                                <select class="form-control" name="sstatus" value="active" readonly>
                                    <option selected>Active</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <hr>
                    <div class="card-header">
                        <h3 class="card-title sub-title">Payment Details</h3>
                    </div>
                    <div class="row mt-3">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Payment Type</label>
                                <select class="form-control" name="paymenttpye" disabled>
                                    <option value="rtgs">RTGS</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-6 rtgs-payment" id="rtgs-payment-fee">
                            <div class="form-group">
                                <label>Registration Fee *</label>
                                <input class="form-control" type="text" name="rtgs_amount_renewal"
                                       value="{{$fee_renewal}} USD" readonly>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Date *</label>
                                <input type="text" class="form-control" id="sdate" name="sdate" value="{{\Carbon\Carbon::now()->format("Y-m-d")}}" readonly>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Renewal for period until *</label>
                                <input type="text" class="form-control" id="renewal" name="renewal" value="{{\Carbon\Carbon::create($exp)->format("Y-m-d")}}" readonly>
                            </div>
                        </div>
                        <input type="text" name="app_id" value="{{$applicant->id}}" readonly hidden>
                    </div>
                </div>
            </div>
            <div class="card-footer">
                <button type="submit" class="btn btn-outline-primary">Apply Renewal</button>
            </div>
        </form>
    </div>
@endsection

@section('page-js')
@endsection
