@extends('layouts.master', ['menuJson' => $userMenu, 'moduleTitle' => 'Council Management Portal'])

@section('page-css')
    @livewireStyles
@endsection

@section('content')
    <div class="main-body">
        <div class="page-wrapper">
            <div class="page-header mb-3">
                <div class="row align-items-end">
                    <div class="col-lg-8">
                        <div class="page-header-title">
                            <div class="d-inline">
                                <h4>{{\Illuminate\Support\Facades\Auth::user()->council->council}}</h4>
                                <span>My WaitingList Applications</span>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="page-header-breadcrumb">
                            <ul class="breadcrumb-title">
                                <li class="breadcrumb-item">
                                    <a href="#"> <i class="feather icon-home"></i> </a>
                                </li>
                                <li class="breadcrumb-item"><a href="#">Applications</a>
                                </li>
                                <li class="breadcrumb-item"><a href="#">View Application</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <livewire:usermanagement::waiting-list.waiting-list-action :waitinglistapplicant="$id"/>
            {{--    modals--}}
            @include('layouts.payment-modal')
        </div>
    </div>
    {{--    <div class="modal fade" id="small-Modal" tabindex="-1" role="dialog">--}}
    {{--        <div class="modal-dialog modal-md" role="document">--}}
    {{--            <div class="modal-content">--}}
    {{--                <div class="modal-header">--}}
    {{--                    <h4 class="modal-title text-capitalize">Waiting List Payment</h4>--}}
    {{--                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">--}}
    {{--                        <span aria-hidden="true">&times;</span>--}}
    {{--                    </button>--}}
    {{--                </div>--}}
    {{--                <form action="{{route("user-waiting-list-create-payment")}}" method="POST">--}}
    {{--                    @csrf--}}
    {{--                    <div class="modal-body">--}}
    {{--                        <div style="height:50%;">--}}
    {{--                            <img width="100%" height="20%" src="{{ asset('images/ecocash.png') }}"--}}
    {{--                                 alt="ecocash/netone only">--}}
    {{--                        </div>--}}
    {{--                        <div>--}}
    {{--                            <input type="text" name="id" id="id" hidden readonly>--}}
    {{--                            <div class="form-group mt-4">--}}
    {{--                                    <div class="col-sm-8">--}}
    {{--                                        <label class="col-form-label">Phone Number &nbsp;<span>(only ecocash or netone number)</span></label>--}}
    {{--                                        <input type="tel" name="phone_number"--}}
    {{--                                               value=""--}}
    {{--                                               pattern="[0-9]{4}[0-9]{3}[0-9]{3}" required--}}
    {{--                                               id="phone_number" class="form-control">--}}
    {{--                                    </div>--}}
    {{--                                    <div class="col-sm-6">--}}
    {{--                                        <label class="col-form-label">Amount To Pay <span>(RTGS)</span> </label>--}}
    {{--                                        <input type="text" name="amount"--}}
    {{--                                               value=""--}}
    {{--                                               id="amount" class="form-control">--}}
    {{--                                    </div>--}}
    {{--                            </div>--}}
    {{--                        </div>--}}
    {{--                    </div>--}}
    {{--                    <div class="modal-footer">--}}
    {{--                        <button type="submit" class="btn btn-outline-primary waves-effect waves-light">--}}
    {{--                            Create Payment--}}
    {{--                        </button>--}}
    {{--                        <button type="button" class="btn btn-default waves-effect " data-dismiss="modal">--}}
    {{--                            Cancel--}}
    {{--                        </button>--}}
    {{--                    </div>--}}
    {{--                </form>--}}
    {{--            </div>--}}
    {{--        </div>--}}
    {{--    </div>--}}
@endsection

@section('page-js')
    @livewireScripts
    <script src="{{ asset('assets/js/sweetalert/js/sweetalert2@11.js') }}"></script>
    <x-livewire-alert::scripts/>
    <script src="{{ asset('vendor/livewire-alert/livewire-alert.js') }}"></script>
    <x-livewire-alert::flash/>
    <script>
        window.addEventListener("waitingListPayment", event => {
            document.getElementById('amount').value = event.detail.amount;
            document.getElementById('phone_number').value = event.detail.number;
            document.getElementById('id').value = event.detail.id;
            document.getElementById('payment_type').value = event.detail.type;
            $("#small-Modal").modal().show();
        })
    </script>
    <script>
        document.getElementById('swal-input1').value = "simz";
        $("#application_type").change(function () {
            if ($(this).val() == "Renewal") {
                $('#list_number').show();
                document.getElementById('application-date').removeAttribute('readonly');
            } else {
                $('#list_number').hide();
                document.getElementById('application-date').readOnly = true;
            }
        });
    </script>
    <script>
        $("#resident").change(function () {
            if ($(this).val() == "Yes") {
                $('#area').show();
            } else {
                $('#area').hide();
            }
        });
    </script>
    <script>
        $(document).ready(function () {
            //    Edit information
            $('#edit-info').hide();

            $('#edit-cancel').on('click', function () {
                var c = $('#edit-btn').find("i");
                c.removeClass('icofont-close');
                c.addClass('icofont-edit');
                $('#view-info').show();
                $('#edit-info').hide();
            });

            $('#edit-save').on('click', function () {
                var c = $('#edit-btn').find("i");
                c.removeClass('icofont-close');
                c.addClass('icofont-edit');
                $('#view-info').show();
                $('#edit-info').hide();
            });


            $('#edit-btn').on('click', function () {
                var b = $(this).find("i");
                var edit_class = b.attr('class');
                if (edit_class == 'icofont icofont-edit') {
                    b.removeClass('icofont-edit');
                    b.addClass('icofont-close');
                    $('#view-info').hide();
                    $('#edit-info').show();
                } else {
                    b.removeClass('icofont-close');
                    b.addClass('icofont-edit');
                    $('#view-info').show();
                    $('#edit-info').hide();
                }
            });


            //    Edit contact
            $('#edit-contact-info').hide();

            $('#contact-save').on('click', function () {
                var c = $('#edit-Contact').find("i");
                c.removeClass('icofont-close');
                c.addClass('icofont-edit');
                $('#contact-info').show();
                $('#edit-contact-info').hide();
            });

            $('#contact-cancel').on('click', function () {
                var c = $('#edit-Contact').find("i");
                c.removeClass('icofont-close');
                c.addClass('icofont-edit');
                $('#contact-info').show();
                $('#edit-contact-info').hide();
            });

            $('#edit-Contact').on('click', function () {
                var b = $(this).find("i");
                var edit_class = b.attr('class');
                if (edit_class == 'icofont icofont-edit') {
                    b.removeClass('icofont-edit');
                    b.addClass('icofont-close');
                    $('#contact-info').hide();
                    $('#edit-contact-info').show();
                } else {
                    b.removeClass('icofont-close');
                    b.addClass('icofont-edit');
                    $('#contact-info').show();
                    $('#edit-contact-info').hide();
                }
            });

            //    Edit work
            $('#edit-contact-work').hide();

            $('#work-save').on('click', function () {
                var c = $('#edit-work').find("i");
                c.removeClass('icofont-close');
                c.addClass('icofont-edit');
                $('#work-info').show();
                $('#edit-contact-work').hide();
            });

            $('#work-cancel').on('click', function () {
                var c = $('#edit-work').find("i");
                c.removeClass('icofont-close');
                c.addClass('icofont-edit');
                $('#work-info').show();
                $('#edit-contact-work').hide();
            });

            $('#edit-work').on('click', function () {
                var b = $(this).find("i");
                var edit_class = b.attr('class');
                if (edit_class == 'icofont icofont-edit') {
                    b.removeClass('icofont-edit');
                    b.addClass('icofont-close');
                    $('#work-info').hide();
                    $('#edit-contact-work').show();
                } else {
                    b.removeClass('icofont-close');
                    b.addClass('icofont-edit');
                    $('#work-info').show();
                    $('#edit-contact-work').hide();
                }
            });


            $('#post-new').hide();

            $('#post-message').keyup(function () {
                if (($(this).val() != "")) {
                    $('#post-new').show();
                } else
                    $('#post-new').hide();
            });

        });
    </script>
@endsection
