@extends('layouts.master', ['menuJson' => $userMenu, 'moduleTitle' => 'Council Management Portal'])

@section('page-css')
    <style>
        .base-timer {
            position: relative;
            width: 300px;
            height: 300px;
            text-align: center;
        }

        .base-timer__svg {
            transform: scaleX(-1);
        }

        .base-timer__circle {
            fill: none;
            stroke: none;
        }

        .base-timer__path-elapsed {
            stroke-width: 7px;
            stroke: grey;
        }

        .base-timer__path-remaining {
            stroke-width: 7px;
            stroke-linecap: round;
            transform: rotate(90deg);
            transform-origin: center;
            transition: 1s linear all;
            fill-rule: nonzero;
            stroke: currentColor;
        }

        .base-timer__path-remaining.green {
            color: rgb(65, 184, 131);
        }

        .base-timer__path-remaining.orange {
            color: orange;
        }

        .base-timer__path-remaining.red {
            color: red;
        }

        .base-timer__label {
            position: absolute;
            width: 300px;
            height: 300px;
            top: 0;
            display: flex;
            align-items: center;
            justify-content: center;
            font-size: 48px;
        }
    </style>

    @livewireStyles
    <style src="{{ asset('assets/css/custom/sweetalerts.css') }}"></style>

@endsection

@section('content')
    <!-- Main-body start -->
    <div class="main-body">
        <div class="page-wrapper">
            <!-- Page-header start -->
            <div class="page-header">
                <div class="row align-items-end">
                    <div class="col-lg-8">
                        <div class="page-header-title">
                            <div class="d-inline">
                                <h4>{{\Illuminate\Support\Facades\Auth::user()->council->council}}</h4>
                                <span>Join WaitingList</span>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="page-header-breadcrumb">
                            <ul class="breadcrumb-title">
                                <li class="breadcrumb-item">
                                    <a href="index-1.htm"> <i class="feather icon-home"></i> </a>
                                </li>
                                <li class="breadcrumb-item"><a href="#!">waitinglist</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Page-header end -->
            <!-- Page-body start -->
            @livewire('usermanagement::waiting-list.waiting-list',["low"=>$low_density])
            <!-- Page-body end -->
        </div>
    </div>
@endsection

@section('page-js')
    @livewireScripts
{{--    <script src="{{ asset('assets/js/jquery-ui/jquery-ui.min.js') }}"></script>--}}
    <script>
        var low = {{$low_density}};
        var high = {{$high_density}};
        document.getElementById('standtype').addEventListener('change', function(){
            if(this.value === "LOW DENSITY"){
                document.getElementById('rtgs_amount_paid').value = low +" "+ "USD";
            }else if(this.value === "HIGH DENSITY"){
                document.getElementById('rtgs_amount_paid').value = high +" "+ "USD";
            }
        });
    </script>
    <script>
        $("#resident").change(function() {
            if ($(this).val() == "Yes") {
                $('#area').show();
            } else {
                $('#area').hide();
            }
        });
    </script>
    <script>
        $("#marital_status").change(function() {
            if ($(this).val() == "Married") {
                $('#spouse_details').show();
            } else {
                $('#spouse_details').hide();
            }
        });
    </script>
    <script>
        function deleteRowT(tableID) {
            var table = document.getElementById("datatable");
            var rowCount = table.rows.length;
            console.log(rowCount);
            for(var i=0; i<rowCount; i++) {
                var row = table.rows[i];
                var chkbox = row.cells[0].childNodes[0];
                if(null != chkbox && true == chkbox.checked) {
                    if(rowCount <= 2){
                        alert("Cannot Remove all the Rows.");
                        break;
                    }
                    table.deleteRow(i);
                    rowCount--;
                    i--;
                }
            }
        }

        $(document).ready(function(){
            $('#addbtn1').click(function(){
                $(this).closest('tr').clone(true).appendTo('#dataTable');
                var pid = $(this).closest('td').prevAll().eq(0).find('input[name="productid[]"]').val();
                var result = parseInt(pid) + 1;
                $(this).closest('td').children().empty();
                $(this).hide();
                $(this).closest('tr').nextAll().eq(0).find('input#productid').val(result);
                // console.log(result);
            });
        });
    </script>
{{--    <script>--}}
{{--        var c = 0;--}}
{{--        function addRow(tableID) {--}}
{{--            var table = document.getElementById("dataTableFacilities");--}}
{{--            var rowCount = table.rows.length;--}}
{{--            var row = table.insertRow(rowCount);--}}

{{--            var cell1 = row.insertCell(0);--}}
{{--            var element1 = document.createElement("input");--}}
{{--            element1.type = "checkbox";--}}
{{--            element1.name = "chkbox[]";--}}
{{--            cell1.appendChild(element1);--}}



{{--            var cell2 = row.insertCell(1);--}}
{{--            var element1 = document.createElement("input");--}}
{{--            element1.type = "text";--}}
{{--            element1.name = `dependant[${c}][depname]`;--}}
{{--            element1.style.border = "none";--}}
{{--            cell2.appendChild(element1);--}}

{{--            var gender = ["Male", "Female"]--}}
{{--            var cell3 = row.insertCell(2);--}}
{{--            var element2 = document.createElement("select");--}}
{{--            element2.type = "text";--}}
{{--            element2.name = `dependant[${c}][depsex]`;--}}
{{--            element2.style.border = "none";--}}
{{--            cell3.appendChild(element2);--}}
{{--            var myParent = document.body;--}}
{{--            for (var i = 0; i < gender.length; i++) {--}}
{{--                var option1 = document.createElement("option");--}}
{{--                option1.value = gender[i];--}}
{{--                option1.text = gender[i];--}}
{{--                element2.appendChild(option1);--}}
{{--            }--}}

{{--            //Create array of options to be added--}}
{{--            var array = ["Father", "Son", "Brother", "Mother", "Daughter", "Sister", "Legal Guardian", "Grandfather",--}}
{{--                "Grandmother", "Other"--}}
{{--            ];--}}

{{--            var cell4 = row.insertCell(3);--}}
{{--            var element3 = document.createElement("select");--}}
{{--            element3.option = "date";--}}
{{--            element3.name = `dependant[${c}][deprelationship]`;--}}
{{--            element3.style.border = "none";--}}
{{--            cell4.appendChild(element3);--}}
{{--            var myParent = document.body;--}}
{{--            //Create and append the options--}}
{{--            for (var i = 0; i < array.length; i++) {--}}
{{--                var option = document.createElement("option");--}}
{{--                option.value = array[i];--}}
{{--                option.text = array[i];--}}
{{--                element3.appendChild(option);--}}
{{--            }--}}

{{--            var cell5 = row.insertCell(4);--}}
{{--            var element3 = document.createElement("input");--}}
{{--            element3.type = "date";--}}
{{--            element3.name = `dependant[${c}][depdob]`;--}}
{{--            element3.style.border = "none";--}}
{{--            cell5.appendChild(element3);--}}

{{--            var cell6 = row.insertCell(5);--}}
{{--            var element5 = document.createElement("input");--}}
{{--            element5.type = "text";--}}
{{--            element5.name = `dependant[${c}][depnatid]`;--}}
{{--            element5.style.border = "none";--}}
{{--            cell6.appendChild(element5);--}}

{{--            c += 1;--}}
{{--        }--}}
{{--        function deleteRow(tableID) {--}}
{{--            try {--}}
{{--                console.log(tableID);--}}
{{--                var table = document.getElementById("dataTableFacilities");--}}
{{--                var rowCount = table.rows.length;--}}
{{--                for (var i = 0; i < rowCount; i++) {--}}
{{--                    var row = table.rows[i];--}}
{{--                    var chkbox = row.cells[0].childNodes[0];--}}
{{--                    if (null != chkbox && true == chkbox.checked) {--}}
{{--                        table.deleteRow(i);--}}
{{--                        rowCount--;--}}
{{--                        i--;--}}
{{--                    }--}}


{{--                }--}}
{{--            } catch (e) {--}}
{{--                alert(e);--}}
{{--            }--}}
{{--        }--}}
{{--    </script>--}}
@endsection
