<?php

use App\Http\Controllers\Api\AccountController;
use App\Http\Controllers\Api\BusinessLicenceController;
use App\Http\Controllers\Api\PaymentController;
use App\Http\Controllers\Api\SyncController;
use App\Http\Controllers\Api\WaitingList;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Artisan;
use Modules\UserManagement\Http\Controllers\PaymentPlanController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

//business Licence
Route::get('/applications',[BusinessLicenceController::class ,'getApplications']);
Route::post('/sync-updates',[BusinessLicenceController::class ,'getUpdate']);
Route::post('/local-updates',[BusinessLicenceController::class ,'getLocalData']);
Route::post('/update-rate',[BusinessLicenceController::class , 'updateRate']);
Route::post('/portal-configuration',[BusinessLicenceController::class ,'configuration']);
Route::get('/link-local-applications',[BusinessLicenceController::class ,'linkLocalApplications']);
Route::post('/update-linked-applications',[BusinessLicenceController::class ,'updateLinked']);
Route::post('/update-employee',[BusinessLicenceController::class ,'editEmployee']);
Route::post('/updating-business-licencing',[BusinessLicenceController::class ,'updateLicencing']);

//crm
Route::post('/crm-configuration',[\App\Http\Controllers\Api\CrmController::class , 'crmConfig']);
Route::get('/post-queries-to-local',[\App\Http\Controllers\Api\CrmController::class , 'sendQueriesToLocal']);
Route::post('/get-local-update',[\App\Http\Controllers\Api\CrmController::class , 'localUpdate']);
Route::post('/update-queries',[\App\Http\Controllers\Api\CrmController::class ,'updateQuery']);

//waiting list
Route::post('/waitinglist-configuration',[\Modules\UserManagement\Http\Controllers\WaitingListController::class,'config']);
Route::get('/waitinglist-search-applicants',[WaitingList::class,'searchApplicants']);
Route::post('/verification-applicants',[WaitingList::class ,'verifyApplicants']);
Route::post('/waiting-list-update-applicants',[WaitingList::class , 'updateApplicant']);
Route::post('/link-applicants',[WaitingList::class ,"linkApplicants"]);
Route::post('/receive-local-data',[WaitingList::class , "receiveLocalData"]);

//reccieve accounts
Route::post('/local-billing-accounts',[AccountController::class , 'receiveAccount']);
Route::get("/send-account-payments",[AccountController::class , "sendAccountPayments"]);
Route::post("/update-account-payments-synced",[AccountController::class , "updateAccountPayment"]);
Route::post("/single-account-update",[AccountController::class , "singleAccountUpdate"]);


