<?php

namespace App\Classes;

use App\Models\AccountVerificationApplications;
use App\Enums\ApplicationStatus;
use App\Models\Attachments;
use Illuminate\Support\Facades\Auth;

class AccountVerificationApplication {
    private $applicationData;

    public function __construct(array $data)
    {
        $this->applicationData = $data;
    }

    public function makeApplication () {
        $application = new AccountVerificationApplications;
        $application->user_id = Auth::user()->user_id;
        $application->application_id = Random::generate();
        $application->account_no = $this->applicationData['account_no'];
        $application->status = ApplicationStatus::Pending;
        $application->save();
        return $application;
    }

    public function submitAttachment ($item_description, $application_id, $path, $extension) {
        $attachment = new Attachments;
        $attachment->item_id = $application_id;
        $attachment->attachment_id = Random::generate();
        $attachment->attachment_description = $item_description;
        $attachment->attachment_url = $path;
        $attachment->extension = $extension;
        $attachment->save();
    }
}
