<?php

namespace App\BusinessLogic;



use App\Enums\ApplicationStatus;
use App\Models\AccountVerificationApplication;
use App\Models\Attachment;
use Illuminate\Support\Facades\Auth;
use Nette\Utils\Random;

class AccountVerificationApplications {
    private $applicationData;

    public function __construct(array $data)
    {
        $this->applicationData = $data;
    }

    public function makeApplication () {
        $application = new AccountVerificationApplication;
        $application->user_id = Auth::user()->id;
        $application->council_id = Auth::user()->council_id;
        $application->application_id = Random::generate();
        $application->account_no = $this->applicationData['account_no'];
        $application->status = ApplicationStatus::Pending;
        $application->save();
        return $application;
    }

    public function submitAttachment ($item_description, $application_id, $path, $extension) {
        $attachment = new Attachment;
        $attachment->item_id = $application_id;
        $attachment->attachment_id = Random::generate();
        $attachment->attachment_description = $item_description;
        $attachment->attachment_url = $path;
        $attachment->extension = $extension;
        $attachment->save();
    }
}
