<?php


namespace App\BusinessLogic;

use App\Models\AccountingLedger;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Log;
use App\Models\Payment;

class CommitToLedger
{
    private $payment;
    public function __construct(Payment $payment)
    {
        $this->payment = $payment;
    }

    public function commit () {
        $payment =$this->payment;
        DB::beginTransaction();
        try {
            $transaction = new AccountingLedger;
            $transaction->account_no = $payment->account_no;
            $transaction->transaction_date = $payment->transaction_date;
            $transaction->transaction_id = $payment->transaction_id;
            $transaction->reference = $payment->reference;
            $transaction->paynow_reference = $payment->paynow_reference;
            $transaction->transaction_type = $payment->mode_of_payment;
            $transaction->transaction_description = $payment->item_paid;
            $transaction->credit = $payment->amount_paid;
            $transaction->debit = 0;
            if ($payment->item_paid == 'Plan Approval Application' || $payment->account_no == 'not billed') {
                $transaction->is_billable = false;
            }
            $transaction->save();

            DB::commit();
        } catch (\Exception $ex) {
            DB::rollBack();
            Log::error($ex);
        }
    }
}
