<?php


namespace App\BusinessLogic;

use Illuminate\Support\Facades\Auth;
use Paynow\Payments\Paynow;

class
CouncilPaymentServive
{

    private $id;
    private $key;

    public function __construct(PaynowID $id, PaynowKey $key)
    {
        $this->id = $id->getID();
        $this->key = $key->getKey();
    }

    public function processCharge (TransactionInfo $info) {
        $paynow = new Paynow($this->id, $this->key, $returnUrl = 'https://smsportal.unlocktechnologies.co.zw/paybill', $info->resultUrl ?? url());
        $payment = new Payment();
        $pPayment = $paynow->createPayment(strstr(Auth::user()->council->council," ",true).$payment->id, $info->customerEmail);
        $pPayment->add($info->reason ?? 'Council Payment'.$payment->id, $info->amount());

        $response = $paynow->sendMobile($pPayment, $info->customerMobile(), $info->wallet());
        if ($response->success()) {
            $paymentResponse = new PaymentResponse();
            $paymentResponse->council_id= Auth::user()->council_id;
            $paymentResponse->id = $payment->id;
            $paymentResponse->status = $payment->status;
            $paymentResponse->method = $info->wallet();
            $paymentResponse->pollUrl = $response->pollUrl();
            $paymentResponse->instructions = $response->instructions();
            $paymentResponse->reference = strstr(Auth::user()->council->council," ",true).$payment->id;
            $paymentResponse->paynowReference = $response->data()['paynowreference'];
            $paymentResponse->amount = $info->amount();

            return $paymentResponse;
        }

        throw new Exception($response->data()['error']);
    }
}
