<?php


namespace App\BusinessLogic;

use Carbon\Carbon;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use App\Models\Payment;

class CreatePayment
{

    public function commit (array  $paymentfields) {
        DB::beginTransaction();
        if(Payment::where('service_id',$paymentfields[8])->where('account_no',$paymentfields[0])->first()){
            return "Payment Saved";
        }else{
            try {
                $payment = new Payment;
                $payment->user_id = Auth::user()->user_id;
                $payment->account_no = $paymentfields[0];
                $payment->council_id = Auth::user()->council_id;
                $payment->transaction_id = Random::generate();
                $payment->transaction_date = Carbon::now()->toDateTime();
                $payment->payment_for = $paymentfields[1];
                $payment->amount_paid = $paymentfields[2];
                $payment->reference = $paymentfields[3];
                $payment->paynow_reference = $paymentfields[4];
                $payment->paynow_poll_url = $paymentfields[5];
                $payment->mode_of_payment = $paymentfields[6];
                $payment->status = $paymentfields[7];
                $payment->user_id = Auth::user()->id;
                $payment->service_id = $paymentfields[9];
                $payment->customer_number = $paymentfields[10];
                $payment->save();
                DB::commit();
                return $payment;
            } catch (\Exception $ex) {
                DB::rollBack();
                return $ex;
            }
        }
    }
}
