<?php


namespace App\BusinessLogic;


use http\Exception\InvalidArgumentException;

class MobileMoneyNumber
{
    private $mobileNumber;
    private $wallet;

    public function __construct ($number, $wallet) {
        if($wallet != 'undefined' || $wallet != null || $wallet != ''){
            switch ($wallet) {
                case 'ecocash':
                    $pattern = '/^((\+|00)?263|0)?7(7|8)\d{7}$/';
                    if (!preg_match($pattern, $number)) {
                        throw new InvalidArgumentException('Invalid Ecocash number!');
                    }
                    break;
                case 'onemoney':
                    $pattern = '/^((\+|00)?263|0)?71\d{7}$/';
                    if (!preg_match($pattern, $number)) {
                        throw new InvalidArgumentException('Invalid Netone number!');
                    }
                    break;
                default:
                    throw new InvalidArgumentException('Used wallet not supported!');
                    break;
            }
            $this->mobileNumber = '0'.substr($number, -9);
            $this->wallet = $wallet;
        }else{
            throw new InvalidArgumentException('Invalid payment method!');
        }
    }

    public function getMobile () {
        return $this->mobileNumber;
    }

    public function getWallet () {
        return $this->wallet;
    }
}
