<?php

namespace App\Exports;

use App\Models\AccountingLedger;
use Carbon\Carbon;
use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;

class TransactionsWithRange implements FromCollection, WithHeadings
{
    public $from;
    public $to;
    public function __construct($from, $to)
    {
        $this->from = $from;
        $this->to = $to;
    }

    /**
    * @return Collection
    */
    public function collection()
    {
        $data = AccountingLedger::whereBetween('transaction_date', [$this->from, $this->to])->get();
        $formattedData = array();

        foreach ($data as $dt) {
            $value = [
                'AccountNo' => $dt->account_no,
                'TransDate' => Carbon::make($dt->transaction_date)->format('d/m/Y'),
                'Service Code' => '8090',
                'Service Description' => $dt->transaction_description,
                'Credit' => $dt->credit,
                'Debit' => $dt->debit,
                'Reference Number' => $dt->reference,
                'TransType' => $dt->transaction_type
            ];

            array_push($formattedData, $value);
        }

        return Collection::make($formattedData);
    }

    public function headings () : array {
        return [
            'AccountNo',
            'TransDate',
            'Service Code',
            'Service Description',
            'Credit',
            'Debit',
            'Reference Number',
            'TransType'
        ];
    }
}
