<?php



if (!function_exists('sendSmsFunction')) {
    /**
     * Sending an sms
     *
     * @param  string $phone Name
     * @param  string $message Message
     * @return string
     */
    function sendSmsFunction($phone,$message)
    {
        if (empty($phone)) {
            return back()->with('error','No phone Numbers were sent');
        }
        $characters = strlen($message);
        $message_credits = ceil($characters/160);

        $total_credits = count($phone) * $message_credits;


         $council = \App\Models\CouncilConfig::where('council_id','1')->first();
        $remaining = $council->value('number');
        $sent = $council->value('total_sent');

        $remaining = round($remaining);
        // dd($remaining);

        if($remaining < $total_credits)
        {
            return back()->with('error','Not Enough Credits to perform sms action');
        }
        else{

          \App\Models\CouncilConfig::where('council_id','1')->update([
                'number'=>$remaining - $total_credits,
                'total_sent'=>$sent + $total_credits
            ]);

            $details = [
                'phone'=>$phone,
                'message'=>$message
            ];
            $smsJob = (new    \App\Jobs\SendSmsNotificationManagement($details))->delay(\Carbon\Carbon::now()->addMinutes(1));
            dispatch($smsJob);

            // CompanyConfig::where('id','1')->update([
            //     'number'=>$remaining - count($phone),
            //     'totalsent'=> $sent + 1
            // ]);
        }
        return back()->with('success','Processing completed, Notifications will be sent at a later time');
    }
}
