<?php

namespace App\Http\Controllers;

use App\Models\LastCouncilLoggedIn;
use App\Models\User;
use Exception;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return Renderable
     */
    public function index()
    {
        $url =url()->previous();
        $id = (int)explode('=', $url);
        if(Auth::user()->permissions->is_admin){
            return redirect('/lads-dashboard');
        }elseif (Auth::user()->permissions->is_council){
            if(Auth::user()->permissions->is_council){
                return redirect('/council-dashboard');
            }
        }else{
            DB::beginTransaction();
            try{
                User::where('id', Auth::user()->id)->update([
                    'council_id'=>$id
                ]);

                LastCouncilLoggedIn::create([
                    'user_id'=>Auth::user()->id,
                    'council_id'=>$id
                ]);
                DB::commit();
                if(Auth::user()->permissions->is_user){
                    return redirect('/user-dashboard/');
                }
            }catch (Exception $e){
                dd($e);
                DB::rollback();
            }
        }
    }

    public function myProfile()
    {
        return view('user-profile.index');
    }
}
