<?php

namespace App\Imports;

use App\Classes\Random;
use App\Models\AccountingLedger;
use Carbon\Carbon;
use Maatwebsite\Excel\Concerns\ToModel;

class Transactions implements ToModel
{
    /**
    * @param array $row
    *
    * @return AccountingLedger
     */
    public function model(array $row)
    {
        return new AccountingLedger([
            'account_no' => $row[0],
            'is_billable' => true,
            'transaction_id' => Random::generate(),
            'transaction_date' => Carbon::createFromFormat('d/m/Y', $row[1])->toDateTime(),
            'reference' => $row[6],
            'transaction_type' => $row[7],
            'transaction_description' => $row[3],
            'credit' => $row[4],
            'debit' => $row[5]
        ]);
    }
}
