<?php

namespace App\Jobs;

use App\Models\CouncilConfig;
use App\Models\SmsLog;
use GuzzleHttp\Client;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldBeUnique;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Log;
use Swift;
use Swift_TransportException;

class SendSmsNotificationManagement implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;
    protected $details;
    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct($details)
    {
        $this->details = $details;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        try {

            $number = implode(",",$this->details['phone']);

            $mobiles = explode(',',$number);

            foreach ($mobiles as $mobile) {

                //logging messages

                $characters = strlen($this->details['message']);
                $credits = ceil($characters/160);

                if(empty($mobile))
                {
                    Log::info('invalid phone number');
                }else{

                    $message = new SmsLog();
                    $message->mobile = $mobile;
                    $message->message = $this->details['message'];
                    $message->date_sent = date('Y-m-d');
                    $message->characters = $characters;
                    $message->credits = $credits;
                    $message->council_id = 1;
                    $message->save();

                    $client = new Client();
                    $res = $client->request('GET', 'http://196.29.38.126:8901/teleoss/sendsms.jsp',
                        [
                            'query' =>
                                [
                                    'senderid' => 'MutareCity',
                                    'user' => 'InstiByt',
                                    'password' => 'Lads@2021',
                                    'mobiles' => $number,
                                    'sms' =>  $this->details['message']
                                ]
                        ]);

                }


            }
        } catch (Swift_TransportException $netwok) {

            try {
                Log::info('Network error');
                $council = CouncilConfig::where('council_id','1')->first();
                $failed = $council->value('total_failed');
                $council->update([
                    'total_failed'=> $failed + 1
                ]);

            } catch (\Exception $e) {
                Log::info($e);
            }

        }catch(\Exception $e)
        {
            Log::info('..................check error message below ......................');
            Log::info($e);
            Log::info('..................end of error message ......................');
        }

    }
}
