<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasOne;

class BillingAccountType extends Model
{
    use HasFactory;
    protected $guarded =['id','created_at','updated_at'];

    public function settings():HasOne{
        return $this->hasOne(WaitingListSetting::class,'type_id');
    }

    public function accountCategory():BelongsTo
    {
        return $this->belongsTo(BillingAccountCategory::class,'id','account_category_id');
    }
    public function fee(): HasOne
    {
        return $this->hasOne(HousingFee::class,'type_id');
    }
}
