<?php

namespace Modules\BuildingInspections\Entities;

use App\Models\Employee;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class BuildingInspectionApprovalStage extends Model
{
    use HasFactory;

    protected $fillable = [];
    protected $guarded = ['id', 'created_at', 'updated_at'];

    protected static function newFactory()
    {
        return \Modules\BuildingInspections\Database\factories\BuildingInspectionApprovalStageFactory::new();
    }

    public static function CreateInitiatorOr($data)
    {
        $has_initiator = static::where('id', "1")->where('title', 'initiator')->first();
        if (is_null($has_initiator)) {
            $initiator = [
                'title' => "initiator",
                'order' => "1",
                "days" => "0",
                "status" => "active",
            ];
            self::create($initiator);
        }
        return static::create($data);
    }

    public function approvers(): \Illuminate\Database\Eloquent\Relations\BelongsToMany
    {
      return $this->belongsToMany(Employee::class,'building_approval_stage_employee' ,'employee_id','building_approval_stage_id');
    }
}
