<?php

namespace Modules\BuildingInspections\Entities;

use App\Models\Employee;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class BuildingInspectionHistory extends Model
{
    use HasFactory;

    protected $fillable = [];
    protected $guarded = ['id', 'created_at', 'updated_at'];

    protected static function newFactory()
    {
        return \Modules\BuildingInspections\Database\factories\BuildingInspectionHistoryFactory::new();
    }
    public function employee(): \Illuminate\Database\Eloquent\Relations\BelongsTo
    {
        return $this->belongsTo(Employee::class,"employee_id");
    }
    public function approval(): \Illuminate\Database\Eloquent\Relations\BelongsTo
    {
        return $this->belongsTo(BuildingInspectionApprovalStage::class,"next_approval_stage_id");
    }
    public function structure(): \Illuminate\Database\Eloquent\Relations\BelongsTo
    {
        return $this->belongsTo(BuildingInspectionStage::class ,"next_stage_id");
    }
}
