<?php

namespace Modules\BuildingInspections\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class BuildingInspectionStage extends Model
{
    use HasFactory;

    protected $fillable = [];
    protected $guarded = ['id','created_at','updated_at'];

    protected static function newFactory()
    {
        return \Modules\BuildingInspections\Database\factories\BuildingInspectionStageFactory::new();
    }
    public function approvalStages(): \Illuminate\Database\Eloquent\Relations\BelongsToMany
    {
        return $this->belongsToMany(BuildingInspectionApprovalStage::class,"building_approval_stage_building_inspection_stage","approval_stage_id","inspection_id");
    }
    public function getInspectorsAttribute()
    {
       $st = $this->approvalStages();
       return $st->orderBy("id","asc")->first();
    }
}
