<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Modules\ProcurementManagement\Entities\ProcurementRfqHeader;

/**
 * App\CompanyDetail
 *
 * @property int $id
 * @property string $name
 * @property string $code
 * @property string $email
 * @property string $prefix
 * @property string $configuration
 * @property int|null $company_head_id
 * @property string|null $logo
 * @property string $telephone1
 * @property string|null $telephone2
 * @property string $vat_number
 * @property string $address
 * @property string $creditors_number
 * @property string|null $license_token
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @method static \Illuminate\Database\Eloquent\Builder|CompanyDetail newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|CompanyDetail newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|CompanyDetail query()
 * @method static \Illuminate\Database\Eloquent\Builder|CompanyDetail whereAddress($value)
 * @method static \Illuminate\Database\Eloquent\Builder|CompanyDetail whereCode($value)
 * @method static \Illuminate\Database\Eloquent\Builder|CompanyDetail whereCompanyHeadId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|CompanyDetail whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|CompanyDetail whereCreditorsNumber($value)
 * @method static \Illuminate\Database\Eloquent\Builder|CompanyDetail whereEmail($value)
 * @method static \Illuminate\Database\Eloquent\Builder|CompanyDetail whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|CompanyDetail whereLicenseToken($value)
 * @method static \Illuminate\Database\Eloquent\Builder|CompanyDetail whereLogo($value)
 * @method static \Illuminate\Database\Eloquent\Builder|CompanyDetail whereName($value)
 * @method static \Illuminate\Database\Eloquent\Builder|CompanyDetail wherePrefix($value)
 * @method static \Illuminate\Database\Eloquent\Builder|CompanyDetail whereProvince($value)
 * @method static \Illuminate\Database\Eloquent\Builder|CompanyDetail whereTelephone1($value)
 * @method static \Illuminate\Database\Eloquent\Builder|CompanyDetail whereTelephone2($value)
 * @method static \Illuminate\Database\Eloquent\Builder|CompanyDetail whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|CompanyDetail whereVatNumber($value)
 * @mixin \Eloquent
 */
class CompanyDetail extends Model
{
    protected $guarded = [];
    public function head() {
        return Employee::find($this->company_head_id);
    }

}
