<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Employee extends Model
{
    use HasFactory;
    protected $guarded =["id",'created_at','updated_at'];
    public function name(): string
    {
        return $this->firstnames.' '.$this->surname;
    }
    public function initials(): string
    {
        return substr($this->firstnames, 0,1).''.substr($this->surname, 0,1);
    }
    public function user_signature(): \Illuminate\Database\Eloquent\Relations\HasOne
    {
        return $this->hasOne(SystemUserSignature::class, 'employee_id');
    }
}
