<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class InspectionDone extends Model
{
    use HasFactory;

    protected $guarded = [];

    public function inspectionBooking()
    {
        return $this->belongsTo(InspectionBooking::class, 'inspection_booking_id');
    }

    public function inspector()
    {
        return $this->belongsTo(Inspector::class, 'inspected_by');
    }

    public function stage()
    {
        return $this->belongsTo(Stage::class, 'stage_id');
    }

    public function buildingInspectionAttachments()
    {
        return $this->hasMany(BuildingInspectionsAttachments::class, 'inspection_done_id');
    }

    public function artisan()
    {
        return $this->belongsTo(Artisans::class, 'artisan_id');
    }
}
