<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Licence extends Model
{
    use HasFactory;

    protected $guarded =['id','created_at','updated_at'];

    public function application(){
        return $this->belongsTo(LicenceApplication::class , 'licence_application_id');
    }
    public function licenceType(){
        return $this->belongsTo(LicenceType::class , 'licence_type_id');
    }
    public function licenceTariff(){
        return $this->belongsTo(LicenceTarriff::class , 'licence_tariff_id');
    }
    public function classes(): \Illuminate\Database\Eloquent\Relations\BelongsToMany
    {
        return $this->belongsToMany(ShopLicenceClass::class);
    }

    public function registrablePremises(): \Illuminate\Database\Eloquent\Relations\BelongsToMany
    {
        return $this->belongsToMany(RegistrablePremise::class);
    }

    public function invoice(): \Illuminate\Database\Eloquent\Relations\BelongsTo
    {
        return $this->belongsTo(LicenceInvoice::class , 'licence_invoice_id');
    }

    public function payments(): \Illuminate\Database\Eloquent\Relations\BelongsTo
    {
        return $this->belongsTo(LicenceInvoice::class , 'licence_invoice_id');
    }
    public function hdSign(): \Illuminate\Database\Eloquent\Relations\BelongsTo
    {
        return $this->belongsTo(Employee::class , 'employee_id');
    }
    public function loSign(): \Illuminate\Database\Eloquent\Relations\BelongsTo
    {
        return $this->belongsTo(Employee::class , 'lo_id');
    }

    public function lsSign(): \Illuminate\Database\Eloquent\Relations\BelongsTo
    {
        return $this->belongsTo(Employee::class , 'ls_id');
    }

    public function ehmSign(): \Illuminate\Database\Eloquent\Relations\BelongsTo
    {
        return $this->belongsTo(Employee::class , 'ehm_id');
    }

    public function doSign(){
        return  (new Employee())->find($this->application->inspection->deo);
    }

}
