<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class WaitingListInvoice extends Model
{
    use HasFactory;

    protected $guarded = ['created_at', 'updated_at'];
    protected $appends = ['total_paid','balance'];
    protected $mappedOnly = false;
    protected $map =
        [
            'total_paid' => 'total_paid',
            'balance'=>'balance'
        ];
    /**
     * @var mixed
     */

    public function payment(): \Illuminate\Database\Eloquent\Relations\HasMany
    {
        return $this->hasMany(WaitingListPortalPayment::class, 'invoice_id')->where('status', 'paid');
    }

    public function getTotalPaidAttribute()
    {
        $value = $this->payment;
        $total = 0;
        foreach ($value as $transaction) {
            $total += $transaction->amount;
        }
        return $total;
    }
    public function getBalanceAttribute()
    {
        $totalAmount = $this->amount * $this->rate;
        $balance = ($totalAmount - $this->total_paid);
        if (round($balance,3) <= 0) {
            $balance = 0;
        }
        return $balance;
    }
}
