<?php

namespace App\Observers;

use App\Models\AccountingLedger;

class AccountingLedgerObserver
{
    /**
     * Handle the AccountingLedger "created" event.
     *
     * @param  \App\Models\AccountingLedger  $accountingLedger
     * @return void
     */
    public function created(AccountingLedger $transaction)
    {
        $transaction->transaction_type = $transaction->transaction_type.'-online_payment';
        $transaction->saveQuietly();
    }

    /**
     * Handle the AccountingLedger "updated" event.
     *
     * @param  \App\Models\AccountingLedger  $accountingLedger
     * @return void
     */
    public function updated(AccountingLedger $accountingLedger)
    {
        //
    }

    /**
     * Handle the AccountingLedger "deleted" event.
     *
     * @param  \App\Models\AccountingLedger  $accountingLedger
     * @return void
     */
    public function deleted(AccountingLedger $accountingLedger)
    {
        //
    }

    /**
     * Handle the AccountingLedger "restored" event.
     *
     * @param  \App\Models\AccountingLedger  $accountingLedger
     * @return void
     */
    public function restored(AccountingLedger $accountingLedger)
    {
        //
    }

    /**
     * Handle the AccountingLedger "force deleted" event.
     *
     * @param  \App\Models\AccountingLedger  $accountingLedger
     * @return void
     */
    public function forceDeleted(AccountingLedger $accountingLedger)
    {
        //
    }
}
