<?php

namespace App\Providers;

use App\BusinessLogic\CouncilPaymentServive;
use App\BusinessLogic\PaynowID;
use App\BusinessLogic\PaynowKey;
use App\Models\CouncilPayNowKeys;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->singleton(CouncilPaymentServive::class, function ($app) {
            $id = explode('/',request()->path());
            $council =CouncilPayNowKeys::where('council_id', $id['2'])->first();
            $id = new PaynowID($council->integration_key);
            $key = new PaynowKey($council->integration_secrete);

            return new CouncilPaymentServive($id, $key);
        });
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        //
    }
}
