<?php

namespace App\Providers;
use File;
use Illuminate\Support\Facades\View;
use Illuminate\Support\ServiceProvider;

class MenuServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function boot()
    {

        // ADMIN DASHBOARD LAYOUT
        $councilMenuJson = File::get(public_path('assets/menu-data/council-menu.json'));
        $councilData = json_decode($councilMenuJson, false);

        // User MANAGEMENT LAYOUT
        $userMenuJson = File::get(public_path('assets/menu-data/user-menu.json'));
        $userData = json_decode($userMenuJson, false);

        // SYSTEM SETTINGS LAYOUT
        $systemSettingsJson = File::get(public_path('assets/menu-data/system-settings.json'));
        $systemSettingsData = json_decode($systemSettingsJson, false);


        View::share([
            "userMenu" => $userData,
            "councilMenu" => $councilData,
            "systemSettingsMenu" => $systemSettingsData,
        ]);
    }
}
