<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Nette\Utils\Random;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->string('first_names');
            $table->string('surnames');
            $table->string('sex')->nullable();
            $table->string('marital_status')->nullable();
            $table->string('id_number')->nullable();
            $table->string('nationality')->nullable();
            $table->date('birth_date')->nullable();
            $table->integer('council_id')->nullable();
            $table->string('email')->unique();
            $table->string('verification_code')->default(Random::generate());
            $table->boolean('is_verified')->default(false);
            $table->timestamp('email_verified_at')->nullable();
            $table->string('telephone');
            $table->string('telephone_alt')->nullable();
            $table->longText('address');
            $table->string('password');
            $table->boolean('is_admin')->default(false);
            $table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
