<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBillingAccountsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('billing_accounts', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('user_id')->nullable();
            $table->string('code')->nullable();
            $table->string('account_no');
            $table->string('account_name');
            $table->bigInteger('category_id');
            $table->bigInteger('type_id');
            $table->bigInteger('class_id');
            $table->bigInteger('employee_id');
            $table->string('address');
            $table->string('email')->nullable();
            $table->string('cell1');
            $table->string('cell2')->nullable();
            $table->string('national_id');
            $table->integer('council_id');
            $table->boolean('has_user')->default(false);
            $table->bigInteger('location_id');
            $table->bigInteger('balance')->nullable();
            $table->string('contact_name')->nullable();
            $table->string('status')->default('active');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('billing_accounts');
    }
}
