<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLicenceTypesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('licence_types', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('title');
            $table->string('status')->default('Active');
            $table->string('type')->default('Fixed');
            $table->string('vote_code')->nullable();
            $table->float('discount')->default('0.3');
            $table->double('tax')->default('0.145');
            $table->float('application_fee')->default('0');
            $table->float('inspection_fee')->default('0');
            $table->string('change_fee')->nullable();
            $table->string('penalty_fee')->nullable();
            $table->string('vote_line_description')->nullable();
            $table->string('application_vote_line')->nullable();
            $table->string('application_vote_description')->nullable();
            $table->string('permanent_description')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('licence_types');
    }
}
