<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLicenceApplicationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('licence_applications', function (Blueprint $table) {
            //generic
            $table->bigIncrements('id');
            $table->integer('local_data_id')->nullable();
            $table->string('sync_status')->default('not synced');
            $table->string('applicant_name');
            $table->integer('user_id');
            $table->integer('council_id');
            $table->string('applicant_number');
            $table->string('applicant_address');
            $table->string('applicant_id');
            $table->string('status');
            $table->string('stage');
            $table->integer('location_id')->index()->nullable();
            $table->integer('district_id')->index()->nullable();
            $table->integer('licence_type_id')->index()->nullable();
            $table->integer('licence_tariff_id')->index()->nullable();
            $table->integer('account_id')->index()->nullable();
            $table->string('account_no')->nullable();
            $table->string('vat_number')->nullable();
            $table->string('bp_number')->nullable();
            //shop & trading licence fields
            $table->string('business_owner_name')->nullable();
            $table->string('business_owner_number')->nullable();
            $table->string('business_owner_email')->nullable();
            $table->string('business_owner_address')->nullable();
            $table->string('business_address')->nullable();
            $table->string('business_number')->nullable();
            $table->string('business_name')->nullable();
            $table->string('trading_as')->nullable();
            $table->string('stand_number')->nullable();
            $table->string('street_address')->nullable();
            $table->integer('premise_space_id')->index()->nullable();
            $table->boolean('owner_applicant')->nullable();


            // hawkers licence
            $table->string('vehicle_type')->nullable();
            $table->boolean('previous_application')->nullable();

            //cycle
            $table->string('badge_number')->nullable();
            $table->string('bicycle')->nullable();
            $table->string('maker_number')->nullable();

            //dog
            $table->string('breed')->nullable();
            $table->string('sex')->nullable();
            $table->string('colour')->nullable();
            $table->string('dog_name')->nullable();


            //registration
            $table->integer('registrable_premise_id')->nullable();
            $table->integer('employee_id')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('licence_applications');
    }
}
