<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateWaitingListMarketApplicantsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('waiting_list_market_applicants', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id');
            $table->integer('council_id');
            $table->string('sync_status');
            $table->integer('local_wait_list_id')->nullable();
            $table->string('firstname')->nullable();
            $table->string('lastname')->nullable();
            $table->string('sex')->nullable();
            $table->string('national_id')->nullable();
            $table->date('dob')->nullable();
            $table->string('nationality')->nullable();
            $table->string('region')->nullable();
            $table->string('city')->nullable();
            $table->text('physical_address')->nullable();
            $table->string('contact')->nullable();
            $table->string('email')->nullable();
            $table->date('application_date')->nullable();
            $table->date('expiry_date')->nullable();
            $table->double('rtgs_amount_paid')->nullable();
            $table->double('usd_amount_paid')->nullable();
            $table->string('currency')->nullable();
            $table->string('rtgs_receipt_no')->nullable();
            $table->string('usd_receipt_no')->nullable();
            $table->string('waiting_list_number')->nullable();
            $table->string('status')->nullable();
            $table->string('verify');
            $table->unsignedBigInteger('market_type_id')->nullable();
            $table->integer('market_id')->nullable();
            $table->string('synced')->default('0');
            $table->integer("account_id")->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('waiting_list_market_applicants');
    }
}
