<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateWaitingListMarketRenewalsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('waiting_list_market_renewals', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('waiting_list_market_applicant_id');
            $table->date('payment_date');
            $table->date('expiry_date');
            $table->double('rtgs_amount_paid')->nullable();
            $table->double('usd_amount_paid')->nullable();
            $table->string('currency')->nullable();
            $table->string('rtgs_receipt_no')->nullable();
            $table->string('usd_receipt_no')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('waiting_list_market_renewals');
    }
}
