<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Nette\Utils\Random;

class CreatePaymentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('payments', function (Blueprint $table) {
            $table->id();
            $table->string('user_id');
            $table->integer('council_id');
            $table->string('account_no');
            $table->string('transaction_id')->default(Random::generate());
            $table->dateTime('transaction_date');
            $table->string('payment_for');
            $table->decimal('amount_paid', 8,2);
            $table->string('reference');
            $table->string('customer_number');
            $table->string('paynow_reference');
            $table->string('paynow_poll_url');
            $table->string('mode_of_payment');
            $table->string('status');
            $table->string('service_id')->nullable();
            $table->boolean('isSynchronised')->default('0');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('payments');
    }
}
