<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAccountingLedgersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('accounting_ledgers', function (Blueprint $table) {
            $table->id();
            $table->string('account_no');
            $table->integer('council_id');
            $table->integer('user_id');
            $table->boolean('is_billable')->default(true);
            $table->dateTime('transaction_date');
            $table->string('transaction_id')->nullable();
            $table->string('reference');
            $table->string('paynow_reference')->nullable();
            $table->string('transaction_type');
            $table->string('transaction_description');
            $table->bigInteger('service_id')->nullable();
            $table->double('credit');
            $table->double('debit');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('accounting_ledgers');
    }
}
