<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateInspectionBookingsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('inspection_bookings', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('council_id');
            $table->integer('user_id');
            $table->string('booked_by');
            $table->date('date_entered');
            $table->date('inspection_date');
            $table->unsignedBigInteger('account_id');
            $table->string('contact_number');
            $table->unsignedBigInteger('stage_id')->nullable();
            $table->unsignedBigInteger('inspector_id')->nullable();
            $table->string('status')->default('pending');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('inspection_bookings');
    }
}
