<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLoggedQueriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('logged_queries', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('user_id');
            $table->integer('council_id');
            $table->integer('local_crm_id')->nullable();
            $table->string('query_id')->nullable();
            $table->string('first_name');
            $table->string('last_name');
            $table->string('address')->nullable();
            $table->string('email')->nullable();
            $table->string('phone_number')->nullable();
            $table->string('reporting_channel');
            $table->unsignedBigInteger('crm_query_category_id');
            $table->unsignedBigInteger('department_id')->nullable();
            $table->unsignedBigInteger('crm_client_type_id');
            $table->string('logged_by_id');
            $table->unsignedBigInteger('location_id')->nullable();
            $table->timestamp('viewed_at')->nullable();
            $table->string('description');
            $table->string('status');
            $table->string('type');
            $table->timestamp('logged_at')->default(DB::raw('CURRENT_TIMESTAMP'));
            $table->timestamp('assigned_at')->nullable();
            $table->timestamp('resolved_at')->nullable();
            $table->string('has_been_escalated')->default('No');
            $table->string('state')->nullable();
            $table->integer('stand_number')->default(0);
            $table->string('sync_status');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('logged_queries');
    }
}
