<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCrmSuggestionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('crm_suggestions', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id');
            $table->integer('council_id');
            $table->string('sync_status');
            $table->integer('local_suggestion_id')->nullable();
            $table->string('sc_id')->unique()->nullable();
            $table->string('type');
            $table->string('first_name');
            $table->string('last_name');
            $table->string('phone_number')->nullable();
            $table->string('subject');
            $table->string('description');
            $table->string('reporting_channel');
            $table->unsignedInteger('department_id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('crm_suggestions');
    }
}
