<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePortalPaymentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('portal_payments', function (Blueprint $table) {
            $table->id();
            $table->string('reference');
            $table->string('pay_now_reference');
            $table->float('amount');
            $table->string('status');
            $table->string('poll_url');
            $table->string('hash');
            $table->bigInteger('application_id');
            $table->bigInteger('user_id');
            $table->bigInteger('council_id');
            $table->string('platform');
            $table->integer('invoice_id');
            $table->integer('employee_id');
            $table->integer('licence_payments_id')->nullable();
            $table->float('rate')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('portal_payments');
    }
}
