<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAccountsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('accounts', function (Blueprint $table) {
            $table->id();
            $table->string('code')->unique();
            $table->string('account_no')->nullable();
            $table->string('account_name')->nullable();
            $table->bigInteger('category_id')->nullable();
            $table->bigInteger('type_id')->nullable();
            $table->bigInteger('class_id')->nullable();
            $table->string('status')->nullable();
            $table->string('address')->nullable();
            $table->string('email')->nullable();
            $table->string('cell1')->nullable();
            $table->string('cell2')->nullable();
            $table->string('national_id')->nullable();
            $table->bigInteger('location_id')->nullable();
            $table->string('contact_name')->nullable();
            $table->bigInteger('employee_id')->nullable();
            $table->string('description')->nullable();
            $table->enum('hasProperty',['Yes','No'])->nullable();
            $table->enum('isStaff',['Yes','No'])->nullable();
            $table->enum('isTenant',['Yes','No'])->nullable();
            $table->integer('zone_id')->nullable();
            $table->integer("council_id")->nullable();
            $table->string('sync_status')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('accounts');
    }
}
