<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAccountPortalPaymentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('account_portal_payments', function (Blueprint $table) {
            $table->id();
            $table->string('account_no');
            $table->string('payer_name');
            $table->string('pay_now_reference');
            $table->string('reference');
            $table->float('amount');
            $table->float('rate');
            $table->string('pay_now_status');
            $table->string('sync_status')->nullable();
            $table->string('poll_url');
            $table->string('hash');
            $table->date('date_paid');
            $table->integer("user_id");
            $table->integer("employee_id");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('account_portal_payments');
    }
}
