<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateBuildingInspectionBookingsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('building_inspection_bookings', function (Blueprint $table) {
            $table->id();
            $table->integer("account_id");
            $table->string("booked_by");
            $table->string("contact_number");
            $table->string("receipt_number");
            $table->string("stage_id");
            $table->date("date_entered");
            $table->date("inspection_date");
            $table->integer("nature_of_building");
            $table->integer("employee_id");
            $table->integer("inspector_id")->nullable();
            $table->string("status");
            $table->integer("approval_stage_id");
            $table->integer("artisan_id")->nullable();
            $table->double("rate");
            $table->integer("currency");
            $table->double("amountPaid");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('building_inspection_bookings');
    }
}
