@extends('layouts.app')

@section('content')
<div class="w-1/3 mx-auto bg-white rounded shadow">
  <div class="bg-blue-700 w-full p-4 text-center text-white text-2xl">{{ __('Reset Password') }}</div>
  <div class="py-12 px-12">
    <div class="card">
      <div class="card-body">

          <form method="POST" action="{{ route('userresetrequest') }}">
            @csrf
            <div class="w-full">
              <label class="block mb-4">
                <span class="text-gray-700">Employee Number:</span>
                <input id="employee_no" type="text" class="form-input mt-1 block w-full @error('employee_no') is-invalid @enderror" name="employee_no" value="{{ old('employee_no') }}" required autofocus>
                @error('employee_no')
                    <span class="invalid-feedback" role="alert">
                        <strong>{{ $employee_no }}</strong>
                    </span>
                @enderror
              </label>
            </div>

            <div class="form-group row mb-0">
                <div class="col-md-8 offset-md-4">
                  <button type="submit" class="w-full px-8 py-2 bg-blue-700 hover:bg-blue-600 rounded text-white font-bold">
                      {{ __('Send Password Reset Link') }}
                  </button>
                </div>
            </div>
            <div class="form-group row mb-0">
                <div class="col-md-8 offset-md-4">
                    <br>
                    <span>
                        ↺
                    </span>
                  <a href="/" class="w-full text-blue" style="text-decoration:underline;" >
                      Click here to login
                  </a>
                </div>
            </div>
          </form>
      </div>
    </div>
  </div>
</div>
@endsection
