@extends('layouts.app')

@section('content')
<div class="w-1/2 mx-auto bg-white rounded shadow">
  <div class="bg-blue-700 w-full p-4 text-center text-white text-2xl">{{ Auth::user()->employee->name() }}</div>
  <div class="py-12 px-12">
    <div class="card">
      <div class="card-body">
          <form method="POST" action="{{ route('postPassword') }}">
            @csrf
            <div class="w-full {{ $errors->has('password') ? ' has-error' : '' }}">
              <label for="password" class="block mb-4">
                <span class="text-gray-700">Enter New Password:</span>
                <input id="password" type="password" class="form-input mt-1 block w-full" name="password"  required autofocus>
                @if ($errors->has('password'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('password') }}</strong>
                                    </span>
                                @endif
              </label>
            </div>

            <div class="w-full {{ $errors->has('password_confirmation') ? ' has-error' : '' }}">
              <label for="password-confirm" class="block mb-4">
                <span class="text-gray-700">Confirm New Password:</span>
                <input id="password-confirm" type="password" class="form-input mt-1 block w-full" name="password_confirmation" required>
                @if ($errors->has('password_confirmation'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('password_confirmation') }}</strong>
                                    </span>
                                @endif
              </label>
            </div>

            
            <div class="form-group row mb-0">
                <div class="col-md-8 offset-md-4">
                  <button type="submit" class="w-full px-8 py-2 bg-blue-700 hover:bg-blue-600 rounded text-white font-bold">
                      {{ __('Change') }}
                  </button>
                </div>
            </div>
          </form>
      </div>
    </div>
  </div>
</div>
@endsection
