<!DOCTYPE html>
<html lang="en">

<meta http-equiv="content-type" content="text/html;charset=UTF-8"/>
<head>
    <title> {{ $moduleTitle }} | {{ Route::currentRouteName() }}</title>

    <meta charset="utf-8">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0, minimal-ui">
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="description" content="#">
    <meta name="keywords"
          content="Admin , Responsive, Landing, Bootstrap, App, Template, Mobile, iOS, Android, apple, creative app">
    <meta name="author" content="#">

    <!-- App favicon -->
    <link rel="shortcut icon"
        href="{{ asset('assets/images/favicon.png') }}"
    >
    <link rel="stylesheet" href="{{asset('assets/icofont/css/icofont.css')}}">
    <link href="{{ asset('assets/css/main.css') }}" rel="stylesheet">

    @yield('page-css')
    <link href="{{ asset('assets/css/sub.css') }}" rel="stylesheet">
</head>
<body>

@include('includes.preloder')

<div id="pcoded" class="pcoded">
    <div class="pcoded-overlay-box"></div>
    <div class="pcoded-container navbar-wrapper">
        @include('layouts.topbar' ,['module' => $moduleTitle])

        <div class="pcoded-main-container">
            <div class="pcoded-wrapper">
                @include('layouts.sidebar',['sideMenu'=>$menuJson])
                <div class="pcoded-content">
                    <div class="pcoded-inner-content">
                        <div class="main-body">
                            <div class="page-wrapper">
                                <div class="page-body">
                                    <!-- Page Content -->
                                    @include('includes.messages.flash-message')
                                    @yield('content')
                                    @yield('modals')
                                    <!-- Page Content -->
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript" src="{{ asset('assets/js/jquery.min.js') }}"></script>
<script type="text/javascript" src="{{ asset('assets/js/jquery-ui.min.js') }}"></script>
<script type="text/javascript" src="{{ asset('assets/js/popper.min.js') }}"></script>
<script type="text/javascript" src="{{ asset('assets/js/bootstrap.min.js') }}"></script>

<script src="{{ asset('assets/js/custom/alertsFunctions.js') }}"></script>

<script type="text/javascript" src="{{ asset('assets/js/jquery.slimscroll.js') }}"></script>

<script type="text/javascript" src="{{ asset('assets/js/modernizr.js') }}"></script>
<script type="text/javascript" src="{{ asset('assets/js/css-scrollbars.js') }}"></script>

<script src="{{ asset('assets/js/jquery.mCustomScrollbar.concat.min.js') }}"></script>
<script src="{{ asset('assets/js/jquery/axios.min.js') }}"></script>
<script type="text/javascript" src="{{ asset('assets/js/SmoothScroll.js') }}"></script>
<script src="{{ asset('assets/js/pcoded.min.js') }}"></script>

<script src="{{ asset('assets/js/vartical-layout.min.js') }}"></script>
<script src="{{ asset('assets/js/button-disable.js') }}"></script>
<script src="{{ asset('js/sockets.js') }}"></script>
<script src="{{ asset('assets/js/moment/moment.min.js') }}"></script>


@yield('page-js')
<script>
        $(document).ready(function(){
        $('div.modal').on('hidden', function() {
            $(this).removeData('modal');
        });
        $('.loaderHtml').hide();
        $('.modal-body').removeClass('processes');
        console.log('hello');
    });

    function deleteRow(tableID) {
        try {
            var table = document.getElementById(tableID);
            var rowCount = table.rows.length;

            for (var i = 0; i < rowCount; i++) {
                var row = table.rows[i];
                var chkbox = row.cells[0].childNodes[0];
                if (null != chkbox && true == chkbox.checked) {
                    table.deleteRow(i);
                    rowCount--;
                    i--;
                }


            }
        } catch (e) {
            alert(e);
        }
    }
</script>

<script type="text/javascript" src="{{ asset('assets/js/script.min.js') }}"></script>
</body>
</html>
